/* callpascal
 *
 * demonstrates use of CallPascal() 
 * address passing in LightSpeed C
 *
 * By Kirk Kerekes
 * 
 */
 
 #include	"QuickDraw.h"
 #include	"OSUtil.h"
 #include	"Window.h"
 
 #define	Nil		0L
 
 pascal		void	CallPascal();
 
 main()
 {
 	Rect		testrect;
 	Rect		wrect;
 	WindowPtr	thewindow;
 	
 	InitGraf(&thePort);
 	InitWindows();
 	InitFonts();
 	InitMenus();
 	InitDialogs(GetTrapAddress(0xA9F4)); /* A9F4 = ExitTo Shell */
 	
 	SetRect(&wrect, 10, 10, 500, 300);
 	thewindow = NewWindow (Nil, &wrect, "\pGetTrapAddress", 
 						   TRUE, 2, -1L, FALSE, Nil);
 	SetPort(thewindow);
 	/* make a rectangle */
 	SetRect(&testrect, 20, 20, 100, 200); 
 	/* fill it with gray, the usual way */
 	FillRect(&testrect, gray);  
 	/* now make it smaller */
 	InsetRect(&testrect, 10, 10); 
 	/* fill it with black with the Trap Address 
 	   technique.  The addresses are listed in a
 	   table in Inside Macintosh.  Note that by
 	   looking at the code you would have very 
 	   little idea what this does. */
 	CallPascal(&testrect, black, 
 				GetTrapAddress(0xA8A5));

 	
 	while (!Button())
 		;
 	
 	DisposeWindow(thewindow);
 	
 }
 
 	
 	