/*	FILE:	PStrFixLen.c
	Sets length of pascal string s to len by either chopping
	extra chars off or by padding out with c characters. */
#include	"PStrLib.h"

PStrFixLen(s, len, c)
register	unsigned char	*s;		/* pascal string */
register 	int				len;	/* max length is 255 */
register	int				c;		/* pad character */
{	
	register	unsigned char	*sp = s + *s;
	register	int				n;
	
	if (*s < (len &= 0xFF)) {
		n = len - *s;
		while (--n >= 0)  *++sp = c;
	}
	*s = len;
}
