
/*
 *  MacTypes.h
 *
 *  Copyright (c) 1986 THINK Technologies, Inc.
 *  These interfaces are based on information published in
 *  "Inside Macintosh" by Apple Computer, Addison-Wesley,
 *  Reading (Mass.), 1985.
 *
 */

#ifndef	_MacTypes_
#define _MacTypes_
	
#define	noErr	0

typedef	int	OsErr, OSErr;
typedef long OsType, OSType;
typedef char SignedByte ;
typedef unsigned char Byte ;
typedef char * Ptr ;
typedef char ** Handle ;
typedef int (*ProcPtr)() ;
typedef long Fixed ;
typedef	long Size;
typedef enum { false, true, FALSE = 0, TRUE } Boolean;
typedef unsigned char Str255[256];
typedef unsigned char * StringPtr,** StringHandle ;
typedef	long ResType ;


typedef struct 
	{
	int	v,h;
	} Point ;
	
typedef struct
	{
	int	top,left,bottom,right ;
	} Rect ;
#define topLeft(r)	(((Point *) &(r))[0])
#define botRight(r)	(((Point *) &(r))[1])


/*  functions returning non-integral values  */
#define NewHandle			(Handle) NewHandle
#define NewPtr				(Ptr) NewPtr
#define GetIndResource		(Handle) GetIndResource
#define GetResource			(Handle) GetResource
#define GetNamedResource	(Handle) GetNamedResource
	
#endif