UNIT InputDriverShell;


INTERFACE

	USES
		Globals, Scrapbook;

   { main entry point for the code unit }

	PROCEDURE Main;

IMPLEMENTATION

	PROCEDURE Main;

		VAR
			anErr : OsErr;
			add_topic_Ptr : ProcPtr;
			att : Topic_Attributes;
			ResRefNum : Integer;
			Refnum : Integer;

  { ------------------------------------------------------------------------ }

  { definition for the ASM C/Pascal glue routines for Acta input format driver }

		PROCEDURE CFunctionReturn (anErr : OsErr);
		external;

		PROCEDURE GetArguments (VAR add_topic_Ptr : ProcPtr;
										VAR att : Topic_Attributes;
										VAR ResRefNum : Integer;
										VAR Refnum : Integer);
		External;

  { ------------------------------------------------------------------------ }

	BEGIN

	{ get the funtions arguments from the stack, behind the compilers back	}
		GetArguments(add_topic_Ptr, att, ResRefNum, Refnum);

	{ call the specific input format driver	}
		anErr := a_ScrapBook(add_topic_Ptr, att, ResRefNum, Refnum);

	{ put the functional result in register D0 so acta can get it	}
		CFunctionReturn(anErr);

	END;

END.