/*------------------------------------------------------------------------------

	  ColorPuzzle.r	-  Resources for the Color Puzzle DA
	  	used to store the Palette RGB values between boots.
	  
	  Steve Sheets 2/3/88
	  All rights reserved.

------------------------------------------------------------------------------*/

#include "Types.r"

data 'RGBs' (-16000) {
	$"43D8 95AE FFFF FFFF 8659 9785 4ECA 8BFF"        /* Cؕ....YNʋ. */
	$"06E2 FFFF FFFF 0000 FFFF 0000 FFFF 0000"        /* ................ */
	$"FFFF FFFF FFFF 04E9 0EAE 0000 0000 FFFF"        /* ............... */
	$"0000 FFFF 0000 FFFF 80C7 061A FFFF 0000"        /* .............. */
	$"FFFF 22D4 827A D4FF FFFF 24D3 77A3 A426"        /* .."Ԃz...$w& */
	$"60C4 FFFF C0FF 6091 0001 8888 8888 8888"        /* `...`.. */
	$"5282 2638 FFFF"                                 /* R&8.. */
};

data 'RGBs' (-15999) {
	$"A5B9 8160 07AB FFFF 038B 0580 FFFF 04D5"        /* `........ */
	$"8295 FFFF 0001 FD8F FFFF 051B FFFF 882A"        /* ...........* */
	$"0961 FFFF 0854 828F FFFF 051F FB98 FFFF"        /* a...T....... */
	$"075A FFFF 7CF0 051B FFFF 0282 0768 FFFF"        /* .Z..|.......h.. */
	$"023D 8533 FFFF 046E FAB5 8666 0CCD FFFF"        /* .=3...n.f... */
	$"FFFF 68F6 68F6 FFFF 6ABA B7C3 FC9B 6556"        /* ..h.h...j.eV */
	$"FFFF ACFC 63C2 FFFF 6C10 668D FFFF 6316"        /* ...c..l.f..c. */
	$"B628 FFFF 63D7 FFFF FFFF 6556 FFFF B60E"        /* (..c....eV... */
	$"6B90 FFFF 714E B0BE FFFF 6661 FFFF F73D"        /* k..qN..fa...= */
	$"66A3 FFFF ADC3 668D 0062 E01F FFFF 8564"        /* f..f.b....d */
	$"1979 FFFF FFFF 542D A5B9 8160 07AB FFFF"        /* .y....T-`... */
	$"038B 0580 FFFF 04D5 8295 FFFF 0001 FD8F"        /* .....Ղ..... */
	$"FFFF 051B FFFF 882A 0961 FFFF 0854 828F"        /* ......*a...T */
	$"FFFF 051F FB98 FFFF 075A FFFF 7CF0 051B"        /* ........Z..|... */
	$"FFFF 0282 0768 FFFF 023D 8533 FFFF 046E"        /* ....h...=3...n */
	$"FAB5 8666 0CCD FFFF FFFF 68F6 68F6 FFFF"        /* .f.....h.h... */
	$"6ABA B7C3 FC9B 6556 FFFF ACFC 63C2 FFFF"        /* j.eV...c.. */
	$"6C10 668D FFFF 6316 B628 FFFF 63D7 FFFF"        /* l.f..c.(..c.. */
	$"FFFF 6556 FFFF B60E 6B90 FFFF 714E B0BE"        /* ..eV...k..qN */
	$"FFFF 6661 FFFF F73D 66A3 FFFF ADC3 668D"        /* ..fa...=f..f */
	$"0062 E01F FFFF 8564 1979 FFFF FFFF 542D"        /* .b....d.y....T- */
	$"A5B9 8160 07AB FFFF 038B 0580 FFFF 04D5"        /* `........ */
	$"8295 FFFF 0001 FD8F FFFF 051B FFFF 882A"        /* ...........* */
	$"0961 FFFF 0854 828F FFFF 051F FB98 FFFF"        /* a...T....... */
	$"075A FFFF 7CF0 051B FFFF 0282 0768 FFFF"        /* .Z..|.......h.. */
	$"023D 8533 FFFF 046E FAB5 8666 0CCD FFFF"        /* .=3...n.f... */
	$"FFFF 68F6 68F6 FFFF 6ABA B7C3 FC9B 6556"        /* ..h.h...j.eV */
	$"FFFF ACFC 63C2 FFFF 6C10 668D FFFF 6316"        /* ...c..l.f..c. */
	$"B628 FFFF 63D7 FFFF FFFF 6556 FFFF B60E"        /* (..c....eV... */
	$"6B90 FFFF 714E B0BE FFFF 6661 FFFF F73D"        /* k..qN..fa...= */
	$"66A3 FFFF ADC3 668D FFFF FFFF FFFF FFFF"        /* f..f........ */
	$"FFFF FFFF FFFF FFFF FFFF 4482 B1D9 0000"        /* ..........D... */
	$"0000 FFFF 0000 FFFF 0000 FFFF FFFF 0000"        /* ................ */
	$"FFFF 0000 FFFF 0000 FFFF FFFF FFFF 0000"        /* ................ */
	$"0000 0000 0000 FFFF 0000 FFFF 0000 FFFF"        /* ................ */
	$"FFFF 0000 FFFF 0000 FFFF 0000 FFFF FFFF"        /* ................ */
	$"FFFF 0000 0000 0000 0000 FFFF 0000 FFFF"        /* ................ */
	$"0000 8888 8888 8888 1303 9828 FFFF"             /* ....(.. */
};

