unit  InitTheMenus;
 
{File name:InitTheMenus.Pas}
{Function: Pull in menu lists from a resource file.}
{          This procedure is called once at program start.}
{          AppleMenu is the handle to the Apple menu, it is also}
{          used in the procedure that handles menu events.}
{History: 6/13/88 Original by Prototyper.   }
{                       }
interface
 
  procedure Init_My_Menus;              {Initialize the menus}
 
  var
    AppleMenu:MenuHandle;               {Used to handle DAs, needed for later use}
      
 
implementation
 
  procedure Init_My_Menus;              {Initialize the menus}
  const
    Menu1 = 201;                        {Menu resource ID}
    Menu2 = 202;                        {Menu resource ID}
    Menu3 = 203;                        {Menu resource ID}
  var
    tempMenu:MenuHandle;                {Throw away all other menu handles}
      
 
  begin                                 {Start of Init_My_Menus}
    ClearMenuBar;                       {Clear any old menu bars}
      
 
    { This menu is the APPLE menu, used for About and desk accessories.}
    tempMenu := GetMenu(Menu1);         {Get the menu from the resource file}
    AddResMenu(tempMenu,'DRVR');        {Add in DAs}
    InsertMenu (tempMenu,0);            {Insert this menu into the menu bar}
    AppleMenu:=tempMenu;                {Save this menu handle for later use}
 
    { This menu is  File  }
    tempMenu := GetMenu(Menu2);         {Get the menu from the resource file}
    InsertMenu (tempMenu,0);            {Insert this menu into the menu bar}
 
    { This menu is  Edit  }
    tempMenu := GetMenu(Menu3);         {Get the menu from the resource file}
    InsertMenu (tempMenu,0);            {Insert this menu into the menu bar}
 
    DrawMenuBar;                        {Draw the menu bar}
 
end;                                    {End of procedure Init_My_Menus}

end.
