/*	This is the set of externs needed to access the IAC interface routines */
/*	The pointer/handle indicators are only reminders */

extern	short	iac_add_dependency();				/* *doc_ID, *slot_ID, *hat_check,
																				 	 *edition */
extern	short	iac_available_dependency();	/* doc_id, hat_check */
extern	short	iac_census();								/* *extent_count, **extent_info */
extern	short	iac_complete_dependency();	/* *doc_id, *slot_id, *hat_check */
extern	short	iac_open();
extern	short	iac_read_data();						/* doc_id, slot_id, hat_check, *edition,
																 				 	 fmt_pref[], *fmt_code, **ext_data */
extern	short	iac_remove_dependency();		/* doc_id, slot_id, hat_check */
extern	short	iac_status();								/* slot_id, *vers_id, *doc_count,
																				 	 *extent_count */
extern	short	iac_write_data();						/* doc_id, hat_check, *edition,
																				 	 fmt_count, **ext_data */

/*	error codes for iac_open, etc. */
# define NO_DRIVER -1
# define EARLY_SYS -2
# define MAX_EXTS	64

typedef struct {
		long		doc_ID;
		short		hat_check;
		short		ed_level;
}	info_rec;

typedef struct {
		info_rec	ext_entry[MAX_EXTS];
} info_tbl, *info_tblP, **info_tblH;