# Make file for the Sample IAC-friendly Editor

ob = {hlxEtc}		#Set these definitions to your normal working directories
sr = {hlxSrc}
prog = {hlx}
e  = echo 

COptions = -o {ob} -g -q2
AOptions = -i {mpw}AIncludes -o "{ob}"

"{prog}Editor"			Editor.r {ob}Editor.code
	{e} `Date -a -t` Rez Editor >> "{log}"
	Rez	Editor.r -o "{prog}Editor" -t APPL -c IAC1
	Setfile -a b "{prog}Editor"		#set bundle bit

{ob}Editor.code		{ob}Editor.c.o				{ob}IAC.c.o 
									{ob}SysEnv.a.o				{ob}Doc_rtns.c.o 
									{ob}Edit_IAC_rtns.c.o	{ob}Edit_rtns.c.o 
									{ob}Editor.a.o				{ob}Boxes.c.o
	exit 1 if {err} <> 0
	{e} `Date -a -t` Link Editor >> "{log}"
	Link {ob}Editor.c.o		{ob}IAC.c.o		{ob}SysEnv.a.o 
			 {ob}Doc_rtns.c.o	{ob}Edit_IAC_rtns.c.o	{ob}Edit_rtns.c.o 
			 {ob}Editor.a.o		{ob}Boxes.c.o 
			 "{CLibraries}"CRuntime.o 
			 "{CLibraries}"CInterface.o 
			 "{CLibraries}"StdCLib.o 
			 "{CLibraries}"CSANElib.o 
			 "{Libraries}"Interface.o 
			 -t "OBJ " -o {ob}Editor.code

{ob}Editor.c.o		{sr}Editor.c	{sr}IAC.h	{sr}Editor.h
	{e} `Date -a -t` C Editor >> "{log}"
	C {COptions} Editor.c || set err 1

{ob}IAC.c.o		{sr}IAC.c	{sr}IAC.h
	{e} `Date -a -t` C IAC >> "{log}"
	C {COptions} IAC.c || set err 1

{ob}SysEnv.a.o		{sr}SysEnv.a
	{e}	`Date -a -t` Asm SysEnv >> "{log}"
	Asm {AOptions}	SysEnv.a || Set err 1

{ob}Editor.a.o		{sr}Editor.a
	{e}	`Date -a -t` Asm Editor.a >> "{log}"
	Asm {AOptions}	Editor.a || Set err 1

{ob}Doc_rtns.c.o					{sr}Doc_rtns.c	{sr}IAC.h	{sr}Editor.h
	{e} `Date -a -t` C Doc_rtns >> "{log}"
	C {COptions} Doc_rtns.c || set err 1

{ob}Edit_IAC_rtns.c.o			{sr}Edit_IAC_rtns.c	{sr}IAC.h	{sr}Editor.h
	{e} `Date -a -t` C Edit_IAC_rtns >> "{log}"
	C {COptions} Edit_IAC_rtns.c || set err 1

{ob}Edit_rtns.c.o					{sr}Edit_rtns.c	{sr}IAC.h	{sr}Editor.h
	{e} `Date -a -t` C Edit_rtns >> "{log}"
	C {COptions} Edit_rtns.c || set err 1

{ob}Boxes.c.o							{sr}Boxes.c	{sr}IAC.h	{sr}Editor.h
	{e} `Date -a -t` C Boxes >> "{log}"
	C {COptions} Boxes.c || set err 1

