/*******************
 ** MakeMouseUp.c **
 *******************/

#include <OSUtil.h>
#include <EventMgr.h>

/* mouse up, no key modifier */

MakeMouseUp(hzntl,vrtcl) 
int hzntl,vrtcl;
{

MMUmod(hzntl,vrtcl,0);

}

/* mouse up with key modifier */

MMUmod(hzntl,vrtcl,mod) 
int hzntl,vrtcl,mod;
{

/* locals */

EvQElPtr MyEventPtr;
QHdrPtr TheHdr;

/* begin executable */

MyEventPtr = (EvQElPtr) NewPtr ( sizeof(EvQEl) );

TheHdr = GetEvQHdr();

MyEventPtr->qType = evType;
MyEventPtr->evtQWhat = 2;
MyEventPtr->evtQMessage = 0;
MyEventPtr->evtQWhen = TickCount();
MyEventPtr->evtQWhere.h = hzntl;
MyEventPtr->evtQWhere.v = vrtcl;
MyEventPtr->evtQModifiers = mod;

Enqueue (MyEventPtr, TheHdr);

}