	program gausstest
	implicit none
	integer*4 i,ierr,j,n,np
	real*4 a(10,10), b(10), c(10,10), d(10), sum
	
	np = 10
1	write (6,*) 'Enter problem dimension (max=10):'
	read (6,*) n
	if (n.ge.np .or. n.eq.0) goto 1
	
	do i=1,n
		write (6,*) 'Enter row #',i,':'
		read (6,*) (a(i,j),j=1,n),b(i)
		do j=1,n
			c(i,j) = a(i,j)
		end do
	end do
	
	write (6,*) 'Calling GAUSSJ...'
	call gaussj(ierr,1,1,b,np,n,a)
	write (6,*) 'After GAUSSJ. Components of A, B:'
	do i=1,n
		write (6,*) (a(i,j),j=1,n),b(i)
	end do
	
	write (6,*) 'Checking solution: original b(i):'
	
	do i=1,n
		sum = 0.
		do j=1,n
			sum = sum + c(i,j)*b(j)
		end do
		write (6,*) sum
	end do
		
	call matmul (1,1,np,n,np,n,d,b,c)
	write (6,*) (d(i),i=1,n)
	
	goto 1
	end
	
	
	
	