/*	Header file for scrolling manager
	 1988 John A. Nairn, All Rights Reserved	*/

#ifndef	_ControlMgr_
#include <ControlMgr.h>
#endif
#ifndef	_TextEdit_
#include <TextEdit.h>
#endif
#ifndef _MacTypes_
#include <MacTypes.h>
#endif
	
#define SBarWidth 15	/*Standard Constants*/
#define HorizBar 1
#define VertBar 2
#define inPixels 0
#define inLines 1

typedef struct {
	ControlHandle hScrollHdl;
	int horizLines;
	int horizLinesVis;
	Rect horizScrollRect;
	Point hRectTopLeft;
	int hScrollMarg;
	ControlHandle vScrollHdl;
	int vertLines;
	int vertLinesVis;
	Rect vertScrollRect;
	Point vRectTopLeft;
	int vScrollMarg;
	TEHandle hTE;
	long refCon;
} ScrollInfo,*ScrollPtr;

ScrollPtr SetScrollWindow();
RgnHandle ScrollSectRgn();
Rect *NonScrollRect();
Rect *ScrollSectRect();
long GetSRefCon();
ScrollPtr ActiveScrollPtr();
