/*------------------------------------------------------------------------------

	  HeyYou.r	-  Resources for HeyYou
	  
	  Notification Manager Example Program for MacTutor by Steve Sheets

------------------------------------------------------------------------------*/

#include "Types.r"

type 'HEY!' as 'STR ';

resource 'HEY!' (0) {
	"Notification Manager Example for MacTutor by Steve Sheets"
};

resource 'BNDL' (128) {
	'HEY!',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'ICN#',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 128
		},
		/* [2] */
		'FREF',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 128
		}
	}
};

resource 'FREF' (128) {
	'APPL',
	0,
	""
};

resource 'ICN#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"FFFF FFFF 807F FFFF 807F FFFF 807F FFFF"
		$"807F FFFF 807F C0FF 887F 003F 887E 001F"
		$"887C 000F 8078 0007 8079 5D47 8071 5143"
		$"8071 D9C3 8071 5083 8071 5C83 8070 0003"
		$"8070 0003 8070 0003 8071 5D43 8071 5543"
		$"87F1 D543 81F0 9543 81F0 9DC7 81F0 0007"
		$"81F0 000F 81E0 001F 8F80 007F 81FF FFFF"
		$"81FF FFFF 81FF FFFF 81FF FFFF FFFF FFFF",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'SICN' (500, purgeable) {
	{	/* array: 1 elements */
		/* [1] */
		$"7FFC 8002 ABAA AA2A BB3A AA12 AB92 8002"
		$"ABAA AAAA BAAA 92AA 93BA 8002 7FFC"
	}
};

resource 'ICON' (500) {
	$"FFFF FFFF 807F FFFF 807F FFFF 807F FFFF"
	$"807F FFFF 807F C0FF 887F 003F 887E 001F"
	$"887C 000F 8078 0007 8079 5D47 8071 5143"
	$"8071 D9C3 8071 5083 8071 5C83 8070 0003"
	$"8070 0003 8070 0003 8071 5D43 8071 5543"
	$"87F1 D543 81F0 9543 81F0 9DC7 81F0 0007"
	$"81F0 000F 81E0 001F 8F80 007F 81FF FFFF"
	$"81FF FFFF 81FF FFFF 81FF FFFF FFFF FFFF"
};

data 'SIZE' (-1) {
	$"5800 0006 4000 0006 4000"
};

resource 'ALRT' (500) {
	{40, 76, 164, 436},
	500,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'DITL' (500) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{84, 150, 104, 210},
		Button {
			enabled,
			"Ok"
		},
		/* [2] */
		{20, 84, 74, 344},
		StaticText {
			disabled,
			"A Notification Manager example program f"
			"or MacTutor by Steve Sheets Requires Sys"
			"tem 6.0 or higher"
		},
		/* [3] */
		{10, 10, 74, 74},
		Icon {
			disabled,
			500
		}
	}
};

