program who;
	uses
		filestuff;

	const
		DialogID = 4912;		{Resource ID number}
		FinderName = $2E0;	{Global location of Finder name}
		CurApName = $910;	{Global location of Current Application name}

	type	{this type sets up structure for launching applications}
		pLaunchStruct = ^LaunchStruct;
		LaunchStruct = record
				pfName: StringPtr;
				param: integer;
			end; { LaunchStruct}
	var
		itemhit: integer;
		theDialog: Dialogptr;
		itemtype, index: integer;
		item2, item3: handle;
		box: rect;
		text2, text3, thepassword: str255;
		access, done: boolean;
		Filenameptr: STRINGptr;
		fName: str255;
		Finderptr: stringptr;
		pMyLaunch: pLaunchStruct;
		myLaunch: LaunchStruct;
		d: DateTimeRec;
		datafile: str255;
		data: text;

	procedure Launchit (pLnch: pLaunchStruct);	{Launch an application}
	inline
		$205F, $A9F2;

	procedure writedata;	{store the log in file to disk}
		var
			whichvol, VolRefNum: integer;
			volName: str255;
			Result: OSErr;
			fndrInfo: FInfo;
			flgptr: ptr;

	begin
		datafile := 'Log in.data';	{set the filename for the data file}
		open(data, datafile);		{open the file}
		seek(data, maxlongint);	{find the end of the file}
		writeln(data, text3, '  ', text2, '  ', d.Month : 3, '/', d.Day : 2, '/', d.Year : 4, d.Hour : 3, ':', d.Minute : 2, ':', d.Second : 2);
		whichVol := 1;			{ start searching for disks in the 1st vol.}
		repeat	{ find all the volumes that are currently mounted}
			begin
				Result := GetIndVolume(whichVol, volName, VolRefNum);
				if Result <> nsvErr then
					begin	{ store the volumes on line to the system disk}
						writeln(data, whichvol, ':  ', volName);
						whichVol := whichVol + 1;
					end;
			end;
		until Result = nsvErr;
		close(data);
		Result := GetFInfo(datafile, 0, fndrInfo);
		if BitAnd(fndrInfo.fdFlags, fInvisible) <> 16384 then
			fndrInfo.fdFlags := fndrInfo.fdFlags + fInvisible;
		if text2 = 'ShowLog' then
			fndrInfo.fdFlags := fndrInfo.fdFlags - fInvisible;
		Result := SetFInfo(datafile, 0, fndrInfo);
	end;

begin	{start of main program}
	initcursor;
	access := false;
	text2 := 'Enter Password here!';
	text3 := 'Enter Your Name here!';
	theDialog := getnewdialog(dialogID, nil, POINTER(-1));
	getditem(thedialog, 2, itemtype, item2, box);
	setItext(item2, text2);
	getditem(thedialog, 3, itemtype, item3, box);
	setItext(item3, text3);
	repeat
		SelIText(theDialog, 2, 0, 32767);
		itemhit := 10;
		repeat
			modaldialog(nil, itemhit);
		until itemhit = 1;
		getItext(item2, text2);
		getItext(item3, text3);
		done := false;
		index := 1;
		repeat
			begin
				getindstring(thepassword, DialogID, index);
				if (text2 = thepassword) and (thepassword <> '') then
					access := true;
				if access = true then
					done := true;
				if thepassword = '' then
					done := true;
				index := index + 1;
			end;
		until done = true;
		if access = false then
			setItext(item2, 'Access Denied!');
		if text3 = 'Enter Your Name here!' then
			access := false;
	until access = true;
	closedialog(theDialog);
	Filenameptr := STRINGptr(CurApName);
	fName := Filenameptr^;
	Filenameptr := STRINGptr(FinderName);
	Filenameptr^ := fName;
	if text3 = 'RestoreFinder' then
		Filenameptr^ := 'Finder';
	GetTime(d);
	WriteData;
	pMyLaunch := @myLaunch;
	fName := 'Finder';
	with pMyLaunch^ do
		begin
			pfname := @fName;
			param := 0;
		end;
	LaunchIt(pMyLaunch);
end.