/*
	ChangeTextRes.r
	
	This file contains only one resource which defines
	the commando interface for the MPW Tool ChangeTextRes

*/

#include "cmdo.r"

resource 'cmdo' (128, "ChangeTextRes") {
	{ /* array dialogs: 2 elements */
		300,
		"ChangeTextRes, an MPW Tool that deletes MPW text file resources",
			{	/* array itemArray: 3 items */
				/* [1] */
				NotDependent { }, RadioButtons {
					{ /* array radioArray: 10 elements */
						/* [1] */
						{40, 30, 55, 60}, "1", "-t 1", notSet, "Set tabs to one spaces",
						/* [2] */
						{60, 30, 75, 60}, "2", "-t 2", notSet, "Set tabs to two spaces",
						/* [3] */
						{80, 30, 95, 60}, "3", "-t 3", Set, "Set tabs to three spaces",
						/* [4] */
						{100, 30, 115, 60}, "4", "-t 4", notSet, "Set tabs to four spaces",
						/* [5] */
						{120, 30, 135, 60}, "5", "-t 5", notSet, "Set tabs to five spaces",
						/* [6] */
						{140, 30, 155, 60}, "6", "-t 6", notSet, "Set tabs to six spaces",
						/* [7] */
						{160, 30, 175, 60}, "7", "-t 7", notSet, "Set tabs to seven spaces",

						/* [8] */
						{40, 100, 55, 140}, "8", "-t 8", notSet, "Set tabs to eight spaces",
						/* [9] */
						{60, 100, 75, 140}, "9", "-t 9", notSet, "Set tabs to nine spaces",
						/* [10] */
						{80, 100, 95, 140}, "10", "-t 10", notSet, "Set tabs to ten spaces",
						/* [11] */
						{100, 100, 115, 140}, "11", "-t 11", notSet, "Set tabs to eleven spaces",
						/* [12] */
						{120, 100, 135, 140}, "12", "-t 12", notSet, "Set tabs to twelve spaces",
						/* [13] */
						{140, 100, 155, 140}, "13", "-t 13", notSet, "Set tabs to thirteen spaces",
						/* [14] */
						{160, 100, 175, 140}, "14", "-t 14", notSet, "Set tabs to fourteen spaces",

						/* [15] */
						{40, 170, 55, 210}, "15", "-t 15", notSet, "Set tabs to fifteen spaces",
						/* [16] */
						{60, 170, 75, 210}, "16", "-t 16", notSet, "Set tabs to sixteen spaces",
						/* [17] */
						{80, 170, 95, 210}, "17", "-t 17", notSet, "Set tabs to seventeen spaces",
						/* [18] */
						{100, 170, 115, 210}, "18", "-t 18", notSet, "Set tabs to eighteen spaces",
						/* [19] */
						{120, 170, 135, 210}, "19", "-t 19", notSet, "Set tabs to nineteen spaces",
						/* [20] */
						{140, 170, 155, 210}, "20", "-t 20", notSet, "Set tabs to twenty spaces",
						/* [21] */
						{160, 170, 175, 210}, "21", "-t 21", notSet, "Set tabs to twenty one spaces",
					}	/* array radioArray */
				},	/* RadioButtons cluster */
				
				NotDependent { }, TextBox {
					gray,
					{30, 20,185, 220 },
					"Tab Setting"
				},

				/* [3] */
				NotDependent { }, PopUp	{
					Font,
					{20, 250, 40, 320},
					{20, 330, 40, 450},
					"Font",
					"-f",
					"Select font specified files are to assume",
					hasDefault
				},
				
				Or {{1}}, EditPopUp {
					FontSize,
					{50, 250, 70, 320},
					{50, 330, 70, 400},
					"Font Size",
					"-s",
					"User definable font",
					"Select from available fonts"
				},
				
				NotDependent { }, MultiFiles {
					"Files",
					"Select files who's resources are to be deleted",
					{155, 350, 175, 450},
					"",
					"",
					MultiInputFiles {
						{text},
						"",
						"",
						""
					}
				},
				
				NotDependent { }, CheckOption {
					NotSet,
					{100, 250, 115, 425},
					"Delete resource fork",
					"-d",
					"Delete all resources for the selected files"
				}
			}	/* array itemArray */
	}	/* array dialogs */
};

