#******************************************************************
#	
#	Window.make
#
#	MPW make file for dynamic Window menu demo
#	
#	(c) 1988, by Clifford Story & Attic Software
#	
#******************************************************************

#******************************************************************
#	Compile the resources
#******************************************************************

Window  Window.make Window.r
	Rez Window.r -append -o Window

#******************************************************************
#	Compile common declarations
#******************************************************************

Common.p.o  Window.make Common.p
	Pascal Common.p

#******************************************************************
#	Compile and link the MDEF
#******************************************************************

'Window Menu'.p.o  Window.make 'Window Menu'.p Common.p.o
	Pascal 'Window Menu'.p
Window  Window.make 'Window Menu'.p.o
	Link -m MENUDEF -w -t 'APPL' -c '????' 
     -rt MDEF=1001 -sn Main='Window Menu' 
		'Window Menu'.p.o 
		"{Libraries}"Interface.o 
		"{Libraries}"Runtime.o 
		"{PLibraries}"PasLib.o 
		"{PLibraries}"SANELib.o 
		-o Window

#******************************************************************
#	Compile and link the main program
#******************************************************************

Window.p.o  Window.make Window.p Common.p.o
	Pascal Window.p
Window  Window.make Window.p.o
	Link -w -t APPL -c '????' 
		Window.p.o 
		"{Libraries}"Interface.o 
		"{Libraries}"Runtime.o 
		"{PLibraries}"PasLib.o 
		"{PLibraries}"SANELib.o 
		-o Window

#******************************************************************
