pascal void mat_mul_c 
	(extended c[50][], long nc,
	 extended a[50][], long na,
	 extended b[50][], long nb,
	 long n1, long n2, long n3)

{
	int i,j,k;
	
	for ( k=1 ; k <= n3; k++ )
		for ( i=1 ; i <= n1 ; i++ )
		{
			c[i][k] = 0.0;
			for ( j=1 ; j <= n2 ; j++ )
				c[i][k] = c[i][k]+a[i][j]*b[j][k];
		}
	
}

pascal void mat_mul_c_opt
	(extended c[50][], long nc,
	 extended a[50][], long na,
	 extended b[50][], long nb,
	 long n1, long n2, long n3)

{
	register int i,j,k;
	register extended sum;
	
	for ( k=1 ; k <= n3; k++ )
		for ( i=1 ; i <= n1 ; i++ )
		{
			sum = 0.0;
			for ( j=1 ; j <= n2 ; j++ )
				sum = sum+a[i][j]*b[j][k];
			c[i][k] = sum;
		}
	
}
