/********************************************************************/
/*						SOURCE CODE FILE							*/
/********************************************************************/
/*
*   >>>	File name:		New.c	
*
*  	>>>	Purpose:		Methods for Creating Objects
* 	>>>	Project:		PoopDraw	Version 1		
* 	>>>	Date:			2/20/89
*  	>>>	By:				Adam Treister
*
*/
/********************************************************************/
/*	For Your Information			1802 Hillside Rd. SB CA 93101	*/
/********************************************************************/

#include "PoopDrawInc"


	
/***** Public Functions *********************************************/

ObjectHandle NewRectObj(LPtr InParmP);
ObjectHandle NewOvalObj(LPtr InParmP);
ObjectHandle NewLineObj(LPtr InParmP);
ObjectHandle NewTextObj(LPtr InParmP);
ObjectHandle NewGroupObj(LPtr InParmP);
ObjectHandle NewDrawPanel(LPtr InParmP);
WindowPtr NewDrawWindow(void);
ObjectHandle NewListObject(void);
ObjectHandle NewGroup(void);

/********************************************************************/


void New(Message,InParmP,OutParmP)
int Message;
LPtr InParmP;
LPtr OutParmP;

{
	switch(Message)
	{
	
		case DRAWWIND:	*OutParmP = (long) NewDrawWindow();			break;
		case DRAWPANEL:	*OutParmP = (long) NewDrawPanel(InParmP);	break;
 		case RECT:		*OutParmP = (long) NewRectObj(InParmP);		break;
		case OVAL:		*OutParmP = (long) NewOvalObj(InParmP);		break;
		case LINE:		*OutParmP = (long) NewLineObj(InParmP);		break;
		case TEXT:		*OutParmP = (long) NewTextObj(InParmP);		break;
		case LIST:		*OutParmP = (long) NewListObject();			break;
 		case GROUP:		*OutParmP = (long) NewGroup();				break;


		default:	Oops("\pI can't create what I don't know",Message,TRUE);
					*OutParmP = NULL;
	}
}	

