
/********************************************************************/
/*
*					PROTOTYPES
*
/***  Specific to POOPShell and POOPDraw ****************************/

void New(int Message,LPtr InParmP,LPtr OutParmP);
void Dispatch(ObjectHandle ObjectH, int Message,LPtr ParmP);
void WDispatch(WindowPtr wP, int Message,LPtr ParmP);
void DrawObjectDispatch(ObjectHandle ObjectH,int Message,LPtr ParmP);
void ObjectDispatch(ObjectHandle ObjectH,int Message,LPtr ParmP);

/*******************************************************************
*
*		Library Function Prototypes   -excerpted
*
********************************************************************/

/*-----------------------------------------------------ASSORTED---------*/

void		InitMacintosh		(void);
void 		Oops				(char *s,int ErrNum,Boolean Recoverable);

/*----------------------------------------------------MEMORY----------*/

Handle 		GetNewHandle		(long TheHandleSize);
void		DisposeHandle		(Handle TheHandle);
void		NullOutHandle		(Handle h);
void 		NullOutBytes		(Ptr p,long siz);
/*------------------------------------------------- QUICKDRAW ------*/

void 		DrawLine			(Point a,Point b);
int			Width				(Rect r);
int			Height				(Rect r);
void 		SortRect			(Rect *rp);
void		DrawPic				(int x,int y,PicHandle picture);
void 		GetDragRect			(Rect *rp);
void		TurnWatchOn			(void);
void		TurnArrowOn			(void);

/*--------------------------------------------------TEXTEDIT-----------*/
void	TESetString(TEHandle teH,Str255 str);
void	TEGetString(TEHandle teH,Str255 str);

/*-------------------------------------------------- WINDOW MGR -----*/
Boolean 	OurWindow			(WindowPeek	wP);
Rect 		GetWindowRect		(WindowPtr wP);
WindowPtr 	MyFrontWindow		(void);
/*---------------------------------------------------- FILE I/O --------*/

void 		WriteHandleToFile	(Handle h,SFReply *replyP);
Handle 		ReadFileToHandle	(void);

/*---------------------------------------------------- STRINGS ----------*/
StrCopy(Str255 src, Str255 dest);
PStrCat		(int count, unsigned char *dst, ...);
