/* Copyright  1988 by Charles F. McMath  All rights reserved. */

#ifdef Debugging
include "Debug.rsrc";
#endif
include "MacApp.rsrc";
include "Printing.rsrc";
include "Dialog.rsrc";

include "QPlot" 'CODE';

resource 'BNDL' (128) {
	'FGT3',
	0,
	{	'ICN#',
		{ 0, 128, 1, 129 },
		'FREF',
		{0, 128, 1, 129 }
	}
};

resource 'FREF' (128) {
	'APPL', 0, ""
};

resource 'FREF' (129) {
	'PICT', 1, ""
};

type 'FGT3' as 'STR ';

resource 'FGT3' (0) {
	" by Dave Kelly & Dave Smith \nver 4 JAN 1988;"
	" MacApp version by Chuck McMath"
};

resource 'WIND' (1001, purgeable) {
	{45, 15, 445, 615},
	zoomDocProc,
	invisible,
	goAway,
	0x0,
	"<<<>>>"
};

resource 'view' (1001, purgeable) {
	{
		root, 'WIND', { 50, 20 }, { 260, 430 }, sizeVariable, sizeVariable, shown, enabled,
		Window		{ "TWindow", zoomDocProc, goAwayBox, resizable, modeless,
					ignoreFirstClick,
					freeOnClosing, disposeOnFree, closesDocument, openWithDocument, dontAdaptToScreen,
					stagger, forceOnScreen, dontCenter, 'QPLT', "" };

		'WIND', 'SCLR',	{ 0, 0 }, { 260-kSBarSizeMinus1, 430-kSBarSizeMinus1 },
		sizeRelSuperView, sizeRelSuperView, shown, enabled,
		Scroller	{ "TScroller", vertScrollBar, horzScrollBar, 0, 0, 16, 16,
					vertConstrain, horzConstrain, { 0, 0, 0, 0 } };

		'SCLR',IncludeViews	{ 1002 }
	}
};

resource 'view' (1002, purgeable) {
	{
		root, 'QPLT', { 0, 0 }, { 134, 414 }, sizeFixed, sizeFixed, shown, enabled,
		View		{ "TQPlotView"}
	}
};

resource 'view' (2000, purgeable) {
	{	/* array viewArray: 15 elements */
		root, noID,
		{ 100, 105 },
		{ 150, 300 }, sizeVariable, sizeVariable, notShown, enabled,
		Window {
			"TWindow",
			documentProc,
			noGoAwayBox,
			notResizable,
			modal,
			ignoreFirstClick,
			freeOnClosing,
			disposeOnFree,
			doesntCloseDocument,
			dontOpenWithDocument,
			dontAdaptToScreen,
			dontStagger,
			dontForceOnScreen,
			center,
			noID,
			"Plot Parameters"
		},
		/* [2] */
		root, 'PPRM',
		{0, 0},{150, 300}, sizeVariable, sizeVariable, shown, disabled,
		DialogView { "TDialogView", 'ok  ', noID },
		/* [3] */
		'PPRM', 'ok  ',
		{110, 230}, {26, 45}, sizeFixed, sizeFixed, shown, enabled,
		Button {
			"TButton",
			0b0,
			{1, 1},
			sizeable,
			notDimmed,
			notHilited,
			dismisses,
			{0, 0, 0, 0},
			plain,
			0,
			{0x0,0x0,0x0},
			"",
			"OK"
		},
		/* [4] */
		'PPRM', 'a   ',
		{30, 15},{20, 45}, sizeFixed, sizeFixed, shown, enabled,
		EditText {
			"TEditText",
			0b1111,
			{1, 1},
			sizeable,
			notDimmed,
			notHilited,
			doesntDismiss,
			{2, 2, 2, 2},
			plain,
			0,
			{0x0,0x0,0x0},
			"",
			justLeft,
			"1",
			unlimited,
			0b11110000000000000000000100000000
		},
		/* [5] */
		'PPRM', 'b   ',
		{30, 100},{20, 45}, sizeFixed, sizeFixed, shown, enabled,
		EditText {
			"TEditText",
			0b1111,
			{1, 1},
			sizeable,
			notDimmed,
			notHilited,
			doesntDismiss,
			{2, 2, 2, 2},
			plain,
			0,
			{	/* array: 3 elements */
				0x0,
				0x0,
				0x0
			},
			"",
			justLeft,
			"-1",
			unlimited,
			0b11110000000000000000000100000000
		},
		/* [6] */
		'PPRM', 'c   ',
		{30, 180},{20, 45}, sizeFixed, sizeFixed, shown, enabled,
		EditText {
			"TEditText",
			0b1111,
			{1, 1},
			sizeable,
			notDimmed,
			notHilited,
			doesntDismiss,
			{2, 2, 2, 2},
			plain,
			0,
			{0x0,0x0,0x0},
			"",
			justLeft,
			"-6",
			unlimited,
			0b11110000000000000000000100000000
		},
		/* [7] */
		'PPRM', 'step',
		{80, 10},{20, 55}, sizeFixed, sizeFixed, shown, enabled,
		EditText {
			"TEditText",
			0b1111,
			{1, 1},
			sizeable,
			notDimmed,
			notHilited,
			doesntDismiss,
			{2, 2, 2, 2},
			plain,
			0,
			{0x0,0x0,0x0},
			"",
			justLeft,
			".05",
			unlimited,
			0b11110000000000000000000100000000
		},
		/* [8] */
		'PPRM', 'xscl',
		{80, 100},{20, 50}, sizeFixed, sizeFixed, shown, enabled,
		EditText {
			"TEditText",
			0b1111,
			{1, 1},
			sizeable,
			notDimmed,
			notHilited,
			doesntDismiss,
			{2, 2, 2, 2},
			plain,
			0,
			{0x0,0x0,0x0},
			"",
			justLeft,
			"10",
			unlimited,
			0b11110000000000000000000100000000
		},
		/* [9] */
		'PPRM', 'yscl',
		{80, 185},{20, 50}, sizeFixed, sizeFixed, shown, enabled,
		EditText {
			"TEditText",
			0b1111,
			{1, 1},
			sizeable,
			notDimmed,
			notHilited,
			doesntDismiss,
			{2, 2, 2, 2},
			plain,
			0,
			{0x0,0x0,0x0},
			"",
			justLeft,
			"20",
			unlimited,
			0b11110000000000000000000100000000
		},
		/* [10] */
		'PPRM', 'alab',
		{10, 35},{16, 20}, sizeFixed, sizeFixed, shown, disabled,
		StaticText {
			"TStaticText",
			0b0,
			{1, 1},
			sizeable,
			notDimmed,
			notHilited,
			doesntDismiss,
			{0, 0, 0, 0},
			plain,
			0,
			{0x0,0x0,0x0},
			"",
			justLeft,
			"a"
		},
		/* [11] */
		'PPRM', 'blab',
		{10, 120},{16, 20}, sizeFixed, sizeFixed, shown, disabled,
		StaticText {
			"TStaticText",
			0b0,
			{1, 1},
			sizeable,
			notDimmed,
			notHilited,
			doesntDismiss,
			{0, 0, 0, 0},
			plain,
			0,
			{0x0,0x0,0x0},
			"",
			justLeft,
			"b"
		},
		/* [12] */
		'PPRM', 'clab',
		{10, 200},{16, 20}, sizeFixed, sizeFixed, shown, disabled,
		StaticText {
			"TStaticText",
			0b0,
			{1, 1},
			sizeable,
			notDimmed,
			notHilited,
			doesntDismiss,
			{0, 0, 0, 0},
			plain,
			0,
			{0x0,0x0,0x0},
			"",
			justLeft,
			"c"
		},
		/* [13] */
		'PPRM', 'slab',
		{60, 10},{16, 55}, sizeFixed, sizeFixed, shown, disabled,
		StaticText {
			"TStaticText",
			0b0,
			{1, 1},
			sizeable,
			notDimmed,
			notHilited,
			doesntDismiss,
			{0, 0, 0, 0},
			plain,
			0,
			{0x0,0x0,0x0},
			"",
			justLeft,
			"step size"
		},
		/* [14] */
		'PPRM', 'xlab',
		{60, 95},{16, 55}, sizeFixed, sizeFixed, shown, disabled,
		StaticText {
			"TStaticText",
			0b0,
			{1, 1},
			sizeable,
			notDimmed,
			notHilited,
			doesntDismiss,
			{0, 0, 0, 0},
			plain,
			0,
			{0x0,0x0,0x0},
			"",
			justLeft,
			"x scale"
		},
		/* [15] */
		'PPRM', 'ylab',
		{60, 180},{16, 70}, sizeFixed, sizeFixed, shown, disabled,
		StaticText {
			"TStaticText",
			0b0,
			{1, 1},
			sizeable,
			notDimmed,
			notHilited,
			doesntDismiss,
			{0, 0, 0, 0},
			plain,
			0,
			{0x0,0x0,0x0},
			"",
			justLeft,
			"y scale"
		}
	}
};


resource 'SIZE' (-1) {
	dontSaveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,
	MultiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
#if qDebug
	275 * 1024,	
	200 * 1024
#else
	(250-32) * 1024,	
	(175-32) * 1024
#endif
};

resource 'DLOG' (1024) {
	{100, 100, 318, 416},
	dBoxProc,
	-1,
	noGoAway,
	0x0,
	1024,
	"About Plotter"
};

resource 'DITL' (1024, purgeable) {
	{	/* array DITLarray: 5 elements */
		/* [1] */
		{112, 235, 141, 284},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 88, 141, 289},
		StaticText {
			disabled,
			"Plot Demo\n\nGraphs Quadratic Equations\n^0"
			"\n^1\n^2\n^3"
		},
		/* [3] */
		{10, 10, 96, 81},
		Picture {
			disabled,
			128
		},
		/* [4] */
		{154, 22, 208, 283},
		StaticText {
			disabled,
			"This application brought to you courtesy"
			" of MacApp 2.0. Copyright 1985-1988 App"
			"le Computer, Inc."
		},
		/* [5] */
		{149, 17, 211, 290},
		UserItem {
			disabled
		}
	}
};

resource 'cmnu' (1) {
	1,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	 {	/* array: 2 elements */
		/* [1] */
		"About Plotter", noIcon, noKey, noMark, plain, cAboutApp;
		/* [2] */
		"-", noIcon, noKey, noMark, plain, nocommand
	}
};

resource 'cmnu' (2) {
	2,
	textMenuProc,
	allEnabled,
	enabled,
	"File",
	 {	/* array: 8 elements */
		/* [1] */
		"Plot", noIcon, "P", noMark, plain, cNew;
		/* [2] */
		"-", noIcon, noKey, noMark, plain, nocommand;
		/* [3] */
		"Save", noIcon, "S", noMark, plain, cSave;
		/* [4] */
		"Save As", noIcon, noKey, noMark, plain, cSaveAs;
		/* [5] */
		"Page Setup", noIcon, "U", noMark, plain, cPageSetup;
		/* [6] */
		"Print", noIcon, "O", noMark, plain, cPrint;
		/* [7] */
		"-", noIcon, noKey, noMark, plain, nocommand;
		/* [8] */
		"Quit", noIcon, "Q", noMark, plain, cQuit
	}
};

resource 'cmnu' (3) {
	3,
	textMenuProc,
	allEnabled,
	enabled,
	"Edit",
	 {	/* array: 6 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain, cUndo;
		/* [2] */
		"-", noIcon, noKey, noMark, plain, nocommand;
		/* [3] */
		"Cut", noIcon, "X", noMark, plain, cCut;
		/* [4] */
		"Copy", noIcon, "C", noMark, plain, cCopy;
		/* [5] */
		"Paste", noIcon, "V", noMark, plain, cPaste;
		/* [6] */
		"Clear", noIcon, noKey, noMark, plain, cClear
	}
};

resource 'cmnu' (4) {
	4,
	textMenuProc,
	allEnabled,
	enabled,
	"Graph",
	 {	/* array: 3 elements */
		/* [1] */
		"Graph", noIcon, "\0x1B", "\0x0A", plain, 1201;
		/* [2] */
		"Axis", noIcon, "\0x1B", "\0x0B", plain, 1202;
		/* [3] */
		"Background", noIcon, "\0x1B", "\0x0C", plain, 1203
	}
};

resource 'cmnu' (5) {
	5,
	textMenuProc,
	allEnabled,
	enabled,
	"Print Options",
	 {	/* array: 2 elements */
		/* [1] */
		"Window Size", noIcon, "[", noMark, plain, 1301;
		/* [2] */
		"Page Size", noIcon, "]", noMark, plain, 1302
	}
};

resource 'cmnu' (10) {
	10,
	textMenuProc,
	allEnabled,
	enabled,
	"Graph Colors",
	 {	/* array: 8 elements */
		/* [1] */
		"Black", noIcon, noKey, noMark, plain, 10001;
		/* [1] */
		"White", noIcon, noKey, noMark, plain, 10002;
		/* [1] */
		"Red", noIcon, noKey, noMark, plain, 10003;
		/* [1] */
		"Green", noIcon, noKey, noMark, plain, 10004;
		/* [1] */
		"Blue", noIcon, noKey, noMark, plain, 10005;
		/* [1] */
		"Cyan", noIcon, noKey, noMark, plain, 10006;
		/* [1] */
		"Magenta", noIcon, noKey, noMark, plain, 10007;
		/* [1] */
		"Yellow", noIcon, noKey, noMark, plain, 10008
	}
};

resource 'cmnu' (11) {
	11,
	textMenuProc,
	allEnabled,
	enabled,
	"Axis Colors",
	 {	/* array: 8 elements */
		/* [1] */
		"Black", noIcon, noKey, noMark, plain, 11001;
		/* [1] */
		"White", noIcon, noKey, noMark, plain, 11002;
		/* [1] */
		"Red", noIcon, noKey, noMark, plain, 11003;
		/* [1] */
		"Green", noIcon, noKey, noMark, plain, 11004;
		/* [1] */
		"Blue", noIcon, noKey, noMark, plain, 11005;
		/* [1] */
		"Cyan", noIcon, noKey, noMark, plain, 11006;
		/* [1] */
		"Magenta", noIcon, noKey, noMark, plain, 11007;
		/* [1] */
		"Yellow", noIcon, noKey, noMark, plain, 11008
	}
};

resource 'cmnu' (12) {
	12,
	textMenuProc,
	allEnabled,
	enabled,
	"Background Colors",
	 {	/* array: 8 elements */
		/* [1] */
		"Black", noIcon, noKey, noMark, plain, 12001;
		/* [1] */
		"White", noIcon, noKey, noMark, plain, 12002;
		/* [1] */
		"Red", noIcon, noKey, noMark, plain, 12003;
		/* [1] */
		"Green", noIcon, noKey, noMark, plain, 12004;
		/* [1] */
		"Blue", noIcon, noKey, noMark, plain, 12005;
		/* [1] */
		"Cyan", noIcon, noKey, noMark, plain, 12006;
		/* [1] */
		"Magenta", noIcon, noKey, noMark, plain, 12007;
		/* [1] */
		"Yellow", noIcon, noKey, noMark, plain, 12008
	}
};

resource 'cmnu' (128) {
	128,
	textMenuProc,
	allEnabled,
	enabled,
	"Buzzwords",
	 {	/* array: 1 elements */
		/* [1] */
		"Page Setup Change", noIcon, noKey, noMark, plain, cChangePrinterStyle
	}
};

resource 'MBAR' (128) {
	{1; 2; 3; 4; 5}
};

resource 'MBAR' (130) {
	{10; 11; 12}
};

resource 'mctb' (0) {
	{0, 0,
		{	/* array: 4 elements */
			0, 0, 0,
			65535, 65535, 65535,
			65535, 0, 65535,
			65535, 65535, 65535
		}
	}
};

resource 'mctb' (1) {
	{1, 0,
		/* [1] */
		{	/* array: 4 elements */
			0, 65535, 65535,
			65535, 65535, 65535,
			65535, 0, 0,
			65535, 65535, 65535
		},
		/* [2] */
		1, 1,
		{	/* array: 4 elements */
			0, 0, 65535,
			0, 0, 65535,
			0, 0, 65535,
			65535, 65535, 65535
		},
		/* [3] */
		1, 2,
		{	/* array: 4 elements */
			0, 0, 65535,
			0, 0, 65535,
			0, 0, 65535,
			65535, 65535, 65535
		}
	}
};

resource 'mctb' (10) {
	{10, 1,
		{	/* array: 4 elements */
			0, 0, 0,
			0, 0, 0,
			0, 0, 0,
			65535, 65535, 65535
		},
		/* [2] */
		10, 2,
		{	/* array: 4 elements */
			0, 0, 0,
			0, 0, 0,
			0, 0, 0,
			65535, 65535, 65535
		},
		/* [3] */
		10, 3,
		{	/* array: 4 elements */
			65535, 0, 0,
			65535, 0, 0,
			65535, 0, 0,
			65535, 65535, 65535
		},
		/* [4] */
		10, 4,
		{	/* array: 4 elements */
			0, 65535, 0,
			0, 65535, 0,
			0, 65535, 0,
			65535, 65535, 65535
		},
		/* [5] */
		10, 5,
		{	/* array: 4 elements */
			0, 0, 65535,
			0, 0, 65535,
			0, 0, 65535,
			65535, 65535, 65535
		},
		/* [6] */
		10, 6,
		{	/* array: 4 elements */
			0, 65535, 65535,
			0, 65535, 65535,
			0, 65535, 65535,
			65535, 65535, 65535
		},
		/* [7] */
		10, 7,
		{	/* array: 4 elements */
			65535, 0, 65535,
			65535, 0, 65535,
			65535, 0, 65535,
			65535, 65535, 65535
		},
		/* [8] */
		10, 8,
		{	/* array: 4 elements */
			65535, 65535, 0,
			65535, 65535, 0,
			65535, 65535, 0,
			65535, 65535, 65535
		}
	}
};

resource 'mctb' (11) {
	{	/* array MCTBArray: 8 elements */
		/* [1] */
		11, 1,
		{	/* array: 4 elements */
			0, 0, 0,
			0, 0, 0,
			0, 0, 0,
			65535, 65535, 65535
		},
		/* [2] */
		11, 2,
		{	/* array: 4 elements */
			0, 0, 0,
			0, 0, 0,
			0, 0, 0,
			65535, 65535, 65535
		},
		/* [3] */
		11, 3,
		{	/* array: 4 elements */
			65535, 0, 0,
			65535, 0, 0,
			65535, 0, 0,
			65535, 65535, 65535
		},
		/* [4] */
		11, 4,
		{	/* array: 4 elements */
			0, 65535, 0,
			0, 65535, 0,
			0, 65535, 0,
			65535, 65535, 65535
		},
		/* [5] */
		11, 5,
		{	/* array: 4 elements */
			0, 0, 65535,
			0, 0, 65535,
			0, 0, 65535,
			65535, 65535, 65535
		},
		/* [6] */
		11, 6,
		{	/* array: 4 elements */
			0, 65535, 65535,
			0, 65535, 65535,
			0, 65535, 65535,
			65535, 65535, 65535
		},
		/* [7] */
		11, 7,
		{	/* array: 4 elements */
			65535, 0, 65535,
			65535, 0, 65535,
			65535, 0, 65535,
			65535, 65535, 65535
		},
		/* [8] */
		11, 8,
		{	/* array: 4 elements */
			65535, 65535, 0,
			65535, 65535, 0,
			65535, 65535, 0,
			65535, 65535, 65535
		}
	}
};

resource 'mctb' (12) {
	{	/* array MCTBArray: 8 elements */
		/* [1] */
		12, 1,
		{	/* array: 4 elements */
			0, 0, 0,
			0, 0, 0,
			0, 0, 0,
			65535, 65535, 65535
		},
		/* [2] */
		12, 2,
		{	/* array: 4 elements */
			0, 0, 0,
			0, 0, 0,
			0, 0, 0,
			65535, 65535, 65535
		},
		/* [3] */
		12, 3,
		{	/* array: 4 elements */
			65535, 0, 0,
			65535, 0, 0,
			65535, 0, 0,
			65535, 65535, 65535
		},
		/* [4] */
		12, 4,
		{	/* array: 4 elements */
			0, 65535, 0,
			0, 65535, 0,
			0, 65535, 0,
			65535, 65535, 65535
		},
		/* [5] */
		12, 5,
		{	/* array: 4 elements */
			0, 0, 65535,
			0, 0, 65535,
			0, 0, 65535,
			65535, 65535, 65535
		},
		/* [6] */
		12, 6,
		{	/* array: 4 elements */
			0, 65535, 65535,
			0, 65535, 65535,
			0, 65535, 65535,
			65535, 65535, 65535
		},
		/* [7] */
		12, 7,
		{	/* array: 4 elements */
			65535, 0, 65535,
			65535, 0, 65535,
			65535, 0, 65535,
			65535, 65535, 65535
		},
		/* [8] */
		12, 8,
		{	/* array: 4 elements */
			65535, 65535, 0,
			65535, 65535, 0,
			65535, 65535, 0,
			65535, 65535, 65535
		}
	}
};

resource 'PICT' (128) {
	891,
	{195, 254, 281, 325},
	$"1101 A000 82A0 008E 0100 0A00 0000 0002"
	$"D002 4098 000A 00C3 00F8 00FF 0148 00C3"
	$"00FE 00FF 0145 00C3 00FE 00FF 0145 0000"
	$"02F7 0002 F700 02F7 0002 F700 02F7 0002"
	$"F700 02F7 0002 F700 02F7 0002 F700 02F7"
	$"0006 FD00 000E FC00 07FD 0001 1F80 FD00"
	$"07FD 0001 7FC0 FD00 07FD 0001 FFF0 FD00"
	$"08FE 0002 03FF FCFD 0008 FE00 0207 FFFE"
	$"FD00 09FE 0003 1FFF FF80 FE00 09FE 0003"
	$"3FFF FFE0 FE00 09FE 0003 7FFF FFF8 FE00"
	$"0A02 0000 01FE FF00 FCFE 0008 0200 0003"
	$"FDFF FE00 0A02 0000 0FFD FF00 C0FF 000B"
	$"0700 001F FFFF 3FFF E0FF 000B 0700 007F"
	$"FFFE 1FFF F8FF 000B 0700 00FF FFFE 1FFF"
	$"FCFF 000B 0100 01FE FF02 27FF FCFF 000B"
	$"0100 01FE FF02 F9FF F8FF 000B 0100 00FE"
	$"FF02 FE7F F0FF 000B 0200 003F FEFF 019F"
	$"E0FF 000B 0200 001F FEFF 01E7 C0FF 000B"
	$"0200 003F FEFF 01F9 80FF 000B 0200 0033"
	$"FEFF 01FE 80FF 000A 0200 0060 FDFF 00C0"
	$"FF00 0B07 0000 607F FFFF FCC0 FF00 0B07"
	$"0000 601F FFFF F870 FF00 0B07 0000 6007"
	$"FFFF F0F8 FF00 0B07 0000 6001 FFFF F0F8"
	$"FF00 0B07 0000 6000 FFFF F0F8 FF00 0B07"
	$"0000 6038 3FFF B050 FF00 0A06 0000 607C"
	$"0FFF 30FE 000B 0700 0060 F603 FE30 A8FF"
	$"000B 0700 0060 E301 FC30 50FF 000B 0700"
	$"0060 C000 7830 20FF 000B 0700 0060 0000"
	$"1030 88FF 000B 0200 0060 FE00 0130 50FF"
	$"000A 0200 0060 FE00 0030 FE00 0B02 0000"
	$"60FE 0001 30A8 FF00 0B07 0000 6807 0700"
	$"B050 FF00 0A06 0000 681F 8FC0 B0FE 000B"
	$"0700 006C 7FDF F1B0 A8FF 000A 0200 0067"
	$"FEFF 0030 FE00 0B09 0000 63FF FFFE 31F4"
	$"1000 0B09 0000 307F DFF0 6046 3000 0B09"
	$"0000 381F 8FC0 E045 5000 0B09 0000 1C00"
	$"0001 C044 9000 0B09 0000 0E00 0003 8044"
	$"1000 0802 0000 07FE FFFD 0009 0500 0001"
	$"FFFF FCFD 0008 FE00 0280 0004 FD00 9800"
	$"0A00 FF00 F801 1901 4800 FF00 FE01 1901"
	$"4500 FF00 FE01 1901 4500 0008 FE00 0280"
	$"0004 FD00 08FE 0002 FFFF FCFD 0008 0200"
	$"0001 FEAA FD00 0802 0000 03FE 55FD 000A"
	$"0600 0006 FEAF EA80 FE00 0A06 0000 0D83"
	$"5835 40FE 000A 0600 001B 01B0 1AA0 FE00"
	$"0A06 0000 3501 5015 50FE 000A 0600 006A"
	$"82A8 2AA8 FE00 0A06 0000 D57D 57D7 F4FE"
	$"000A 0600 01AF AAFA AC1A FE00 0A06 0003"
	$"5055 0558 0DFE 000B 0700 06A0 2A02 A80A"
	$"80FF 000B 0700 0D60 3603 5415 40FF 000B"
	$"0700 0AB0 6B06 ABEA C0FF 000B 0700 0D5F"
	$"D5FD 5555 40FF 0009 0100 0AFC AA00 C0FF"
	$"0009 0100 0DFC 5500 40FF 0009 0100 0FFC"
	$"FF00 C0FF 0002 F700 02F7 0002 F700 02F7"
	$"0002 F700 02F7 0002 F700 A000 8FA0 0083"
	$"FF"
};

resource 'ICN#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"0001 0000 0002 8000 0004 4000 0008 2000"
		$"0010 1000 0020 0800 0050 0400 0088 0200"
		$"0100 0100 0284 0080 0440 0240 0822 0420"
		$"1410 0810 220A 1008 4084 3F04 802A 4082"
		$"4001 8041 2003 3022 1005 C814 080E 7F8F"
		$"0412 3005 0221 0007 0140 8005 0080 6007"
		$"0040 1FE5 0020 021F 0010 0407 0008 0800"
		$"0004 1000 0002 2000 0001 4000 0000 80",
		/* [2] */
		$"0001 0000 0003 8000 0007 C000 000F E000"
		$"001F F000 003F F800 007F FC00 00FF FE00"
		$"01FF FF00 03FF FF80 07FF FFC0 0FFF FFE0"
		$"1FFF FFF0 3FFF FFF8 7FFF FFFC FFFF FFFE"
		$"7FFF FFFF 3FFF FFFE 1FFF FFFC 0FFF FFFF"
		$"07FF FFFF 03FF FFFF 01FF FFFF 00FF FFFF"
		$"007F FFFF 003F FE1F 001F FC07 000F F800"
		$"0007 F000 0003 E000 0001 C000 0000 80"
	}
};

resource 'ICN#' (129) {
	{	/* array: 2 elements */
		/* [1] */
		$"0FFF FE00 0800 0300 0800 0280 0800 0240"
		$"0800 0220 0800 0210 0800 03F8 0801 0008"
		$"0880 0008 0801 0208 0840 0008 0801 0408"
		$"0820 0008 0801 0808 0810 0008 0801 1008"
		$"0AAB AAA8 0809 2008 0804 4008 0803 8008"
		$"0800 0008 0801 0008 0800 0008 0801 0008"
		$"0800 0008 0801 0008 0800 0008 0801 0008"
		$"0800 0008 0800 0008 0800 0008 0FFF FFF8",
		/* [2] */
		$"0FFF FE00 0FFF FF00 0FFF FF80 0FFF FFC0"
		$"0FFF FFE0 0FFF FFF0 0FFF FFF8 0FFE FFF8"
		$"0F7F FFF8 0FFE FDF8 0FBF FFF8 0FFF FBF8"
		$"0FDD 7FF8 0FFA B7F8 0FE7 DFF8 0FEF FFF8"
		$"0D74 5D58 0FB7 DBF8 0F7B BDF8 0EFD 7EF8"
		$"0FFF FFF8 0FFF FFF8 0FFF FFF8 0FFF FFF8"
		$"0FFF FFF8 0FFF FFF8 0FFF FFF8 0FFF FFF8"
		$"0FFF FFF8 0FFF FFF8 0FFF FFF8 0FFF FFF8"
	}
};
