/*
 * Earle R. Horton.
 * Wednesday, November 30, 1988
 * All rights reserved.
 */
#ifndef __DMP__
#define __DMP__
/*
 * Define BACKWARD_COMPATIBLE if you wish to use the printing glue,
 * rather than the _PrGlue trap.  Penalty is about 2k size in the
 * final printer resource file.
 */
#ifdef BACKWARD_COMPATIBLE
#include <Printing.h>
#else
#include <Printtraps.h>
#endif
#include <setjmp.h>
#include <Devices.h>
#include <AppleTalk.h>
#include <Files.h>
#include <Serial.h>
#define PrintErr (*(short *)(0x0944)) /* Not used if PrGlue trap found. */
#define SHEETDIALOG (-8190)
#define DONEITEM    1
#define STOPITEM    2
#define RES1ID      (-4080)
#define RES2ID      (-8192)
#define SYSNEEDED   (0x0410)
#define ATALKALERT   (-4078)
#define SYSVERSALERT (-4079)
#define iPrRelease 3

#define GRAFREZZ    120
#define NORMALREZ   80
#define COMPATREZ   72

#define VERSION     3
#define iFMgrCtl    8
#define iPrEvtCtl   6
#define lPrLFEighth 0x0003FFFE
#ifndef FALSE
#define FALSE       0
#define TRUE        1
#endif
#define iPrPgMax    9999
#define iPrPgFst    1

typedef struct
    {
    struct QElem    *qLink;
    short       qType;
    short       ioTrap;
    Ptr         ioCmdAddr;
    ProcPtr     ioCompletion;
    OSErr       ioResult;
    char        *ioNamePtr;
    short       ioVRefNum;
    short       ioCRefNum;
    short       csCode;
    long        lParam1;
    long        lParam2;
    long        lParam3;
} PrParam,*PPrParam;

typedef struct{
    short   dummy[5];
} pconfig,*Pcfg,**Pfg;

#define pport       ((*settings)->dummy[0])
#define pbaud       ((*settings)->dummy[1])
#define XonXoff     ((*settings)->dummy[2])

#define MAGIC 'Dmp1'
#define PORTOPEN 'OPEN'
#define dOpened 5

typedef struct{
    ParamBlockRec   iopb;       /* For writing to the serial driver. */
    jmp_buf         abortbuf;
    Ptr             obuf;
}Dstorage,*DPstorage,**DHstorage;

#endif
