/*
 * This FILE is intended for use with the MPW C 2.0 Interface files
 * which generate InLine code for routines that call the
 * ToolBox with points by value and strings as Pascal strings.
 * It should be included AFTER any Macintosh #include files.  See
 * Appendix H of the MPW C 2.0 manual for details.
 *
 * This file allows use of MPW C 2.0 standardized ToolBox calls using
 * the spelling from Inside Macinstosh, and not all upper case, as is used
 * in the MPW C 2.0 header files.  Please note that use of this file
 * means that you no longer have access to the C-language versions of
 * the ToolBox calls.
 *
 * It is rumored that this file will no longer be necessary with MPW
 * C 3.0. (?)
 *
 * If you like to pass C strings to the ToolBox, do NOT include this
 * FILE.
 *
 */
#ifdef MPU68000 /* Aztec C, v 3.6c. */
/* -D_INLINE on cc's command line is all that's required. */
#else
#define NewControl  NEWCONTROL
#define SetCTitle   SETCTITLE
#define GetCTitle   GETCTITLE
#define DragControl DRAGCONTROL
#define TestControl TESTCONTROL
#define TrackControl    TRACKCONTROL
#define FindControl FINDCONTROL
#define OpenDeskAcc OPENDESKACC
#define FindDItem   FINDDITEM
#define NewDialog   NEWDIALOG
#define ParamText   PARAMTEXT
#define GetIText    GETITEXT
#define SetIText    SETITEXT
#define NewCDialog  NEWCDIALOG
#define GetVol      GETVOL
#define SetVol      SETVOL
#define UnmountVol  UNMOUNTVOL
#define Eject       EJECT
#define FlushVol    FLUSHVOL
#define Create      CREATE
#define FSDelete    FSDELETE
#define FSOpen      FSOPEN
#define OpenRF      OPENRF
#define Rename      RENAME
#define GetFInfo    GETFINFO
#define SetFInfo    SETFINFO
#define SetFLock    SETFLOCK
#define RstFLock    RSTFLOCK
#define GetFontName GETFONTNAME
#define GetFNum     GETFNUM
#define LCellSize   LCELLSIZE
#define LClick      LCLICK
#define LNew        LNEW
#define NewMenu     NEWMENU
#define AppendMenu  APPENDMENU
#define SetItem     SETITEM
#define GetItem     GETITEM
#define InsMenuItem INSMENUITEM
#define MenuSelect  MENUSELECT
#define EqualString EQUALSTRING
#define RelString   RELSTRING
#define UprString   UPRSTRING
#define DIZero      DIZERO
#define NumToString NUMTOSTRING
#define StringToNum STRINGTONUM
#define SFPutFile   SFPUTFILE
#define SFPPutFile  SFPPUTFILE
#define SFGetFile   SFGETFILE
#define SFPGetFile  SFPGETFILE
#define IUDateString    IUDATESTRING
#define IUDatePString   IUDATEPSTRING
#define IUTimeString    IUTIMESTRING
#define IUTimePString   IUTIMEPSTRING
#define IUCompString    IUCOMPSTRING
#define IUEqualString   IUEQUALSTRING
#define DIBadMount  DIBADMOUNT
#define DrawString  DRAWSTRING
#define StringWidth STRINGWIDTH
#define StuffHex    STUFFHEX
#define AddPt       ADDPT
#define SubPt       SUBPT
#define EqualPt     EQUALPT
#define PtInRect    PTINRECT
#define Pt2Rect     PT2RECT
#define PtToAngle   PTTOANGLE
#define PtInRgn     PTINRGN
#define StdText     STDTEXT
#define CreateResFile   CREATERESFILE
#define OpenResFile OPENRESFILE
#define OpenRFPerm  OPENRFPERM
#define GetNamedResource    GETNAMEDRESOURCE
#define Get1NamedResource   GET1NAMEDRESOURCE
#define GetResInfo  GETRESINFO
#define SetResInfo  SETRESINFO
#define AddResource ADDRESOURCE
#define GetAppParms GETAPPPARMS
#define OpenDriver  OPENDRIVER
#define TEGetOffset TEGETOFFSET
#define TEGetPoint  TEGETPOINT
#define TEClick     TECLICK
#define NewString   NEWSTRING
#define SetString   SETSTRING
#define GetIndString    GETINDSTRING
#define DeltaPoint  DELTAPOINT
#define ShieldCursor    SHIELDCURSOR
#define NewWindow   NEWWINDOW
#define SetWTitle   SETWTITLE
#define GetWTitle   GETWTITLE
#define NewCWindow  NEWCWINDOW
#define GrowWindow  GROWWINDOW
#define DragWindow  DRAGWINDOW
#define TrackGoAway TRACKGOAWAY
#define FindWindow  FINDWINDOW
#define PinRect     PINRECT
#define DragGrayRgn DRAGGRAYRGN
#define TrackBox    TRACKBOX
#endif

