unit Globals;


interface


	uses
		AppleTalk;


	type
{AppleTalk Types}
		NameLookUpRec = record
				PbInUse: Boolean;
				CallDone: LongInt;
				xMPPPb: MPPParamBlock;
			end;

{String Types}
		Str32Hdl = ^Str32Ptr;
		Str32Ptr = ^Str32;


	const
		F = false;
		T = true;

{Constants used ONLY when debugging}
{$IFC TALK_DEBUG }
		SENDSELF = 1;
{$ENDC}

{AppleTalk Constants}
		ANYZONE = '*';
		ANYOJB = '=';
		ASYNC = T;
		DOVERIFY = 1;
		LOOKUPBUFFERSIZE = 1023;
		MAXNAMELENGTH = 31;
		MAXTOLOOKUP = 100;
		SYNC = F;
		XNCVERSION = 48;

{Dialog Constants}
		rABOUTDLOGID = 128;

		rUSERNAMEDLOGID = 129;
		rUSERNAMEITEM = 4;

{Event Constants}
		MFEVENT = app4Evt;
		RESUMEMASK = 1;
		SUSPENDRESUMEMSG = 1;

{Menu Constants}
		APPLEMENUID = 128;
		ABOUTITEM = 1;

		FILEMENUID = 129;
		QUITITEM = 1;

		EDITMENUID = 130;

		SPECIALMENUID = 131;
		LOOKUPITEM = 1;
		CONFIRMITEM = 2;
		SENDITEM = 3;

{String Resource Constants}
		rAPPUSERNAMESTRID = 128;
		rCHOOSERUSERSTRID = -16096;


	var
		DoneFlag: Boolean;
		DragRect: Rect;
		Evt: EventRecord;

{Globals used ONLY when debugging}
{$IFC TALK_DEBUG }
		DebugOnRect: Rect;
		OldSelfFlag: Byte;
		SelfSendOn: Boolean;
		SelfSendOnRect: Rect;
{$ENDC}

{AppleTalk Globals}
		ConfirmString: Str255;
		ConfirmStringPos: Point;
		ConfirmStringRect: Rect;
		LookUpBuffer: array[0..LOOKUPBUFFERSIZE] of Integer;
		LookUpNamePb: NameLookUpRec;
		LookUpNTT: EntityName;
		LookUpString: Str255;
		LookUpStringPos: Point;
		LookUpStringRect: Rect;
		NBPsNTE: NamesTableEntry;
		NewCallsExist: Boolean;
		UserNTT: EntityName;
		UserSkt: Byte;

{List Globals}
		ListFrameRect, ListViewRect: Rect;
		MaxRows, NameListLength: Integer;
		NameListHdl: ListHandle;

{Event Globals}
		SleepTime: LongInt;

{Menu Globals}
		AppleMenu, FileMenu, EditMenu, SpecialMenu: MenuHandle;

{Window Globals}
		TextHeight: Integer;
		UserWindowFontInfo: FontInfo;
		UserWindowProcsChanged: Boolean;
		UserWindowRect: Rect;
		UserWindow, WhichWindow: WindowPtr;
		UserWRec: WindowRecord;


implementation
end.