#   File:       MacTutorApp.make
#   Target:     MacTutorApp
#   Sources:    MacTutorApp.cp
#               MacTutorApp.h
#               MacTutorApp.r
#               TApplication.cp
#               TApplication.h
#               TDocument.cp
#               TDocument.h
#               TApplication.r
#   Created:    Wednesday, October 18, 1989 8:15:31


OBJECTS = MacTutorApp.cp.o TApplication.cp.o TDocument.cp.o

MacTutorApp.cp.o  MacTutorApp.make MacTutorApp.cp MacTutorApp.h
	 CPlus  MacTutorApp.cp
TApplication.cp.o  MacTutorApp.make TApplication.cp TApplication.h
	 CPlus  TApplication.cp
TDocument.cp.o  MacTutorApp.make TDocument.cp TDocument.h
	 CPlus  TDocument.cp

MacTutorApp  MacTutorApp.make {OBJECTS}
	Link -w -t APPL -c JLMT 
		"{CLibraries}"CRuntime.o 
		{OBJECTS} 
		"{Libraries}"Interface.o 
		"{CLibraries}"StdCLib.o 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		"{CLibraries}"CInterface.o 
		"{CLibraries}"CPlusLib.o 
		#"{CLibraries}"Complex.o 
		-o MacTutorApp

MacTutorApp  MacTutorApp.make MacTutorApp.r
	Rez MacTutorApp.r -append -o MacTutorApp
MacTutorApp  MacTutorApp.make TApplication.r
	Rez TApplication.r -append -o MacTutorApp
