#************************************************#
#*                  Sample DLL's                *#
#*       Copyright  Vincent Parsons 1989.      *#
#************************************************#
#*    Microsoft C 5.1 Makefile  SAMPDLLS.MAK    *#
#************************************************#

SampDLLs.lib : SampDLLs.def SampDLLs.mak
 implib SampDLLs.lib SampDLLs.def

SampAAA.obj : SampAAA.c SampDLLs.mak
 cl -c /D THINK_C=0 /D applec=0 \
    -Gsw -Asnw SampAAA.c

SampBBB.obj : SampBBB.c SampDLLs.mak
 cl -c -Gsw -Asnw SampBBB.c

SampCC.obj : SampCC.c SampDLLs.mak
 cl -c -Gsw -Asnw SampCC.c

SampDD.obj : SampDD.c SampDLLs.mak
 cl -c -Gsw -Asnw SampDD.c

SampEIIE.obj : SampEIIE.c SampDLLs.mak
 cl -c -Gsw -Asnw SampEIIE.c

SampFHF.obj : SampFHF.c SampDLLs.mak
 cl -c -Gsw -Asnw SampFHF.c

SampGHG.obj : SampGHG.c SampDLLs.mak
 cl -c -Gsw -Asnw SampGHG.c

SampHHH.obj : SampHHH.c SampDLLs.mak
 cl -c -Gsw -Asnw SampHHH.c

SampIII.obj : SampIII.c SampDLLs.mak
 cl -c -Gsw -Asnw SampIII.c

SampJJ.obj : SampJJ.c SampDLLs.mak
 cl -c -Gsw -Asnw SampJJ.c

SampKKK.obj : SampKKK.c SampDLLs.mak
 cl -c -Gsw -Asnw SampKKK.c

Flash.obj : Flash.c SampDLLs.mak
 cl -c -Gsw -Asnw Flash.c

SampDLLs.exe : SampAAA.obj SampBBB.obj \
               SampCC.obj SampDD.obj \
               SampEIIE.obj SampFHF.obj \
               SampGHG.obj SampHHH.obj \
               SampIII.obj SampJJ.obj \
               SampKKK.obj Flash.obj \
               SampDLLs.lib
 lib Samp1.lib -+SampAAA.obj -+SampBBB.obj \
    -+SampCC.obj -+SampDD.obj -+SampEIIE.obj \
    -+SampFHF.obj -+SampGHG.obj;
 lib Samp2.lib -+SampHHH.obj -+SampIII.obj \
    -+SampJJ.obj -+SampKKK.obj;
 link4 /al:16 /NOE  Flash.obj, SampDLLs.exe,,\
    Samp1.lib Samp2.lib win87em swinlibc slibw,\
    SampDLLs.def
