/************************************************/
/*                  Sample DLL's                */
/*       Copyright  Vincent Parsons 1989.      */
/************************************************/
/*    DLL code for MPW C 3.0 or THINK C 4.0     */
/*       with Excel for the Macintosh 2.2       */
/*             and Microsoft C 5.1              */
/*          with Excel for Windows 2.1          */
/************************************************/
/* SampCC is an example of one data type C      */
/* input and one data type C output.  The       */
/* output has all upper case letters converted  */
/* to lower case and vice versa.  The answer    */
/* has been stored in the Excel buffer used by  */
/* the input variable.                          */
/************************************************/
/*   =REGISTER("SampDLLs","SampCC","CC")        */
/*   for both the Mac and the PC.               */
/************************************************/

#include "DLL.h"

#if applec
#include <Types.h>

#elif MSDOS
#include <windows.h>

#endif

#if THINK_C
pascal char * main(char * c1);	/* prototype */

pascal char * main(c1)
char * c1;

#elif applec
pascal char * SampCC(char * c1)

#elif MSDOS
char far * far pascal SampCC(char far * c1)
#endif
{
	short i = 0;
	
	while ( c1[i] != '\0' ) {	/* C String */
		if ((c1[i] >= 'A') && (c1[i] <= 'Z'))
			c1[i] += 32;
		else if ((c1[i] >= 'a') && (c1[i] <= 'z'))
			c1[i] -= 32;
		i++;
	}
	
	return (c1);
}

/************************************************/
