// Our document class. Only displays some text in a window
//
class TMacTutorDocument : public TDocument {
	
  protected:
	short fItemSelected;
	// string corresponding to menu item selected
	StringPtr fDisplayString;

	void DrawWindow(void);

  public:
	TMacTutorDocument(short resID, StringPtr s);
	~TMacTutorDocument(void);
	// routine to access private variables
	void SetDisplayString (StringPtr s) {fDisplayString = s;}
	short GetItemSelected(void) {return fItemSelected;}
	void SetItemSelected(short item) {fItemSelected = item;}

	// methods from TDocument we override
	void DoUpdate(void);
};

const int kMinDocDim = 40;

