/*---- XDemo.h -------------------
by Mark Lankton, 1989, for MacTutor
*/

/*----- typedefs ---------------*/
/*
This is the (dirt-simple) structure which allows communication
with the external functions. You can get very fancy here.
*/
typedef struct XTRABlock{
		int			dataLength;
		short		*theData;
		}XTRABlock,*XTRABlockPtr,**XTRABlockHandle;

/*------ defines ---------------*/
#define		appleID		128
#define		fileID		129
#define		editID		130
#define		externalsID	131

#define 	menuCount	4

#define		appleMenu	1
#define		aboutMeItem	1

#define		fileMenu	2
#define		newItem		1
#define		closeItem	2
#define		quitItem	3

#define		editMenu		3
#define		undoItem		1
/*item 2 is a dividing line */
#define		cutItem			3
#define		copyItem		4
#define		pasteItem		5

#define 	externalsMenu	4

#define		aboutID		128

#define 	TRUE 	0xFF
#define 	FALSE 	0x00
#define		minWidth		200
#define 	minHeight		80
#define		mBarHeight		20
#define		scrollBarAdjust	15

#define	osEvent					app4Evt	
#define	suspendResumeMessage	1		
#define	resumeMask				1		
#define	mouseMovedMessage		0xFA	

/*---------- globals -------------*/
Boolean			allDone;
Boolean			inBackground;

/*The array of MenuHandles
is 1-based. */
MenuHandle		myMenus[menuCount + 1];	
EventRecord		myEvent;
WindowPtr		theWindow;
Rect			screenRect,defaultWRect;
Rect			dragRect;
RgnHandle		eventRgn;
long			sleepTime;

/*The array of Handles to the external
functions is 1-based, too, to match up
with the menu item numbers. */
Handle			XTRAArray[33];		/*1-based array!*/
short			*screenData;		/*Our data buffer. */
int				screenDataLength;