#   File:       MacTutorApp.make
#   Target:     MacTutorApp
#   Sources:    MacTutorApp.cp MacTutorDoc.cp MacTutorApp.r
#   Created:    Sunday, November 19, 1989 21:14:46


OBJECTS = TApplication.cp.o TDocument.cp.o DocListApp.cp.o ListDoc.cp.o DisplList.cp.o
HEADERS = TApplication.h TDocument.h DocListApp.h ListDoc.h DisplList.h

TApplication.cp.o  TApplication.cp TApplication.h
	 CPlus  TApplication.cp
TDocument.cp.o  TDocument.cp TDocument.h
	 CPlus  TDocument.cp
DocListApp.cp.o  DocListApp.make {HEADERS} DocListApp.cp
	 CPlus  DocListApp.cp
ListDoc.cp.o  DocListApp.make {HEADERS} ListDoc.cp
	 CPlus  ListDoc.cp
DisplList.cp.o  DocListApp.make {HEADERS} DisplList.cp
	 CPlus  DisplList.cp

DocListApp  DocListApp.make {OBJECTS}
	Link -w -t APPL -c JLMT 
		"{CLibraries}"CRuntime.o 
		{OBJECTS} 
		"{Libraries}"Interface.o 
		"{CLibraries}"StdCLib.o 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		"{CLibraries}"CInterface.o 
		"{CLibraries}"CPlusLib.o 
		#"{CLibraries}"Complex.o 
		-o DocListApp

DocListApp  DocListApp.make DocListApp.r
	Rez DocListApp.r -append -o DocListApp

