/*											TrackSetSelect.c								*/
/*
 * Copyright  1989 Martin Minow. All rights reserved.
 *
 * void
 * TrackSetSelect(start, end,  track_handle)
 * DOT					start;
 * DOT					end;
 * TrackHandle	track_handle;
 *
 * Set the selection range.
 */

#include	"TrackEdit.h"
#define TR	(*tr)

void
TrackSetSelect(sel_start, sel_end,  track_handle)
DOT					sel_start;
DOT					sel_end;
TrackHandle	track_handle;
{
		register TrackPtr	tr;
		_Track_state			state;
		static Point			zero_point;
		
		TrackDeactivate(track_handle);	/* Undraw selection	*/
		tr = (*track_handle);						/* Lock unnecessary	*/
		if ((TR.selStart = sel_start) < 0)
			TR.selStart = 0;
		if ((TR.selEnd = sel_end) >  TR.textLength)
			TR.selEnd = TR.textLength;
		TR.selRow = _Track_row(tr, TR.selStart);
		TrackActivate(track_handle);		/* Redraw selection	*/
}


