#include "Types.r"

type 'samp' as 'STR ';

type 'nrct' {
	integer = $$CountOf(RectArray);
	array RectArray { rect; };
};

type 'mach' {
	unsigned hex integer;	/* Softmask */
	unsigned hex integer;	/* Hardmask */
};

resource 'samp' (0, purgeable) {
	"Sample cdev 1.0d2, June 23, 1987"
};

resource 'BNDL' (-4064, purgeable) {
	'samp', 0,
	{	'ICN#', {0, -4064},
		'FREF', {0, -4064}
	}
};

resource 'ICN#' (-4064, purgeable) {
	{
		$"FFFF FFFF 8000 0001 8000 0001 8000 0001"
		$"800E 0001 800E 0001 800E 0001 800E 0001"
		$"800E 0000 76FE 3E33 F9FE 7F33 F9FE 6333"
		$"E1CE 7F33 E1CE 7F33 E1CE 603F F9FE 7F1E"
		$"F9FE 7F1E 78FE 3F0C 8000 0001 8000 0001"
		$"8000 0001 8000 0001 8000 0001 8000 0001"
		$"8000 0001 8000 0001 8000 0001 8000 0001"
		$"FFFF FFFF 0000 0000 0000 0000 0000 0000",
		
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF 7FFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF 7FFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF 0000 0000 0000 0000 0000 0000"
	}
};

resource 'FREF' (-4064, purgeable) {
	'cdev', 0, ""
};

resource 'mach' (-4064, purgeable) {
	0xFFFF,
	0
};

resource 'nrct' (-4064, purgeable) {
{
	{-1, 87, 79, 322}
	}
};

resource 'DITL' (-4064, purgeable) {
	{
		{4, 287, 16, 320}, StaticText {disabled, "1.0d2"};
		{4,  92, 16, 280}, StaticText {disabled, "Messages recieved by Sample: "};
		{26, 122, 43, 170}, Control {enabled, -4048};
		{42, 122, 59, 170}, Control {enabled, -4047};
		{29, 190, 41, 230}, StaticText {disabled, "Handled:"};
		{45, 190, 57, 230}, StaticText {disabled, "Ignored:"};
		{29, 240, 39, 300}, UserItem {disabled};
		{45, 240, 55, 300}, UserItem {disabled}
	}
};


resource 'CNTL' (-4048, purgeable) {
	{26, 122, 43, 170}, 0, visible, 1, 0, radioButProcUseWFont, 0, "Show"
};

resource 'CNTL' (-4047, purgeable) {
	{42, 122, 59, 170}, 0, visible, 1, 0, radioButProcUseWFont, 0, "Hide"
};
