#include "SysTypes.r"
#include "Types.r"

resource 'PAT ' (-16000, purgeable) {
	$"40 00 04 00 40 00 04"
};

resource 'ICN#' (128, "Other") {
	{	/* array: 2 elements */
		/* [1] */
		$"00 00 00 00 00 7F FF 80 00 80 00 40 01 00 00 20"
		$"02 00 00 10 04 3C 00 08 08 24 00 04 08 20 00 02"
		$"08 3D F0 02 08 04 40 02 08 24 40 02 08 3C 5E 02"
		$"08 00 52 02 08 00 52 02 08 00 12 02 08 00 12 F2"
		$"08 00 1E 92 08 00 00 92 08 00 00 F2 08 00 00 82"
		$"08 00 00 82 04 00 00 82 02 00 00 02 01 00 00 04"
		$"00 80 00 08 00 40 00 10 00 20 00 20 00 1F FF C0",
		/* [2] */
		$"00 00 00 00 00 7F FF 80 00 FF FF C0 01 FF FF E0"
		$"03 FF FF F0 07 FF FF F8 0F FF FF FC 0F FF FF FE"
		$"0F FF FF FE 0F FF FF FE 0F FF FF FE 0F FF FF FE"
		$"0F FF FF FE 0F FF FF FE 0F FF FF FE 0F FF FF FE"
		$"0F FF FF FE 0F FF FF FE 0F FF FF FE 0F FF FF FE"
		$"0F FF FF FE 07 FF FF FE 03 FF FF FE 01 FF FF FC"
		$"00 FF FF F8 00 7F FF F0 00 3F FF E0 00 1F FF C0"
	}
};

resource 'DLOG' (-16000, purgeable) {
	{58, 117, 311, 437},
	documentProc,
	invisible,
	goAway,
	0x0,
	-16000,
	"Control Panel"
};

resource 'DLOG' (128, "Msg Masks") {
	{50, 60, 286, 450},
	dBoxProc,
	visible,
	goAway,
	0x0,
	128,
	""
};

resource 'DLOG' (132, "About...") {
	{62, 104, 172, 398},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	132,
	""
};

resource 'DITL' (-15999, purgeable) {
	{	{65, 85, 85, 155},
		Button {
			enabled,
			"OK"
		},
		{8, 60, 56, 235},
		StaticText {
			disabled,
			""
		},
		{61, 81, 89, 159},
		UserItem {
			disabled
		},
		{10, 20, 42, 52},
		Icon {
			enabled,
			0
		}
	}
};

resource 'DITL' (-16000, purgeable) {
	{	{241, 1, 253, 87},
		StaticText {
			enabled,
			"3.3.1"
		},
		{1, 1, 242, 88},
		UserItem {
			enabled
		}
	}
};

resource 'DITL' (-15998, purgeable) {
	{	{5, 7, 100, 227},
		StaticText {
			disabled,
			"Contributions by:\n   Steve Horowitzthe "
			"main man\n   scott douglass\n   Kristee Kr"
			"eitman\n   Amy Goldsmith"
		},
		{113, 155, 134, 224},
		Button {
			enabled,
			"Continue"
		}
	}
};

resource 'DITL' (130) {
	{	{139, 189, 159, 249},
		Button {
			enabled,
			"OK"
		},
		{29, 30, 124, 251},
		StaticText {
			disabled,
			"Fatal Error: ^0"
		}
	}
};

resource 'DITL' (128) {
	{	{202, 300, 222, 360},
		Button {
			enabled,
			"OK"
		},
		{201, 212, 221, 272},
		Button {
			enabled,
			"Cancel"
		},
		{40, 24, 62, 102},
		CheckBox {
			enabled,
			"initDev"
		},
		{70, 24, 84, 110},
		CheckBox {
			enabled,
			"hitDev"
		},
		{100, 24, 115, 104},
		CheckBox {
			enabled,
			"closeDev"
		},
		{130, 24, 146, 106},
		CheckBox {
			enabled,
			"nulDev"
		},
		{160, 24, 176, 112},
		CheckBox {
			enabled,
			"updateDev"
		},
		{40, 160, 61, 251},
		CheckBox {
			enabled,
			"activDev"
		},
		{70, 160, 92, 276},
		CheckBox {
			enabled,
			"deActiveDev"
		},
		{100, 160, 116, 253},
		CheckBox {
			enabled,
			"keyEvtDev"
		},
		{130, 160, 148, 261},
		CheckBox {
			enabled,
			"macDev"
		},
		{160, 160, 180, 268},
		CheckBox {
			enabled,
			"undoDev"
		},
		{40, 282, 69, 368},
		CheckBox {
			enabled,
			"cutDev"
		},
		{70, 282, 100, 367},
		CheckBox {
			enabled,
			"copyDev"
		},
		{100, 282, 127, 369},
		CheckBox {
			enabled,
			"pasteDev"
		},
		{130, 282, 154, 374},
		CheckBox {
			enabled,
			"clearDev"
		},
		{160, 282, 184, 365},
		CheckBox {
			enabled,
			"cursorDev"
		},
		{8, 8, 33, 278},
		StaticText {
			disabled,
			"Mark Boxes to Disable cdev Messages:"
		}
	}
};

resource 'DITL' (131) {
	{	{106, 168, 126, 228},
		Button {
			enabled,
			"OK"
		},
		{7, 14, 98, 228},
		StaticText {
			disabled,
			"Warning: ^0"
		}
	}
};

resource 'DITL' (132) {
	{	{80, 217, 100, 277},
		Button {
			enabled,
			"OK"
		},
		{12, 51, 32, 238},
		StaticText {
			disabled,
			"cdev Shell for Pascal"
		},
		{48, 52, 68, 235},
		StaticText {
			disabled,
			" 1989 by J. Peter Hoddie"
		}
	}
};

resource 'CNTL' (-4048, purgeable) {
	{26, 122, 43, 170},
	0,
	visible,
	1,
	0,
	radioButProcUseWFont,
	0,
	"Show"
};

resource 'MENU' (128, "Apple Menu") {
	1,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	"About it...", noIcon, noKey, noMark, plain,
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (129, "Files") {
	2,
	textMenuProc,
	0x7FFFFFFB,
	enabled,
	"File",
	{	"Open", noIcon, "O", noMark, plain,
		"Close", noIcon, "W", noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (130, "Edit", preload) {
	3,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	"Edit",
	{	"Undo", noIcon, "Z", noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Cut", noIcon, "X", noMark, plain,
		"Copy", noIcon, "C", noMark, plain,
		"Paste", noIcon, "V", noMark, plain,
		"Clear", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (131, "Options") {
	4,
	textMenuProc,
	allEnabled,
	enabled,
	"Options",
	{	"Msg Masks...", noIcon, noKey, noMark, plain,
		"Force Update", noIcon, noKey, noMark, plain
	}
};

resource 'MBAR' (256) {
	{	128,
		129,
		130,
		131
	}
};

resource 'ALRT' (-16000, purgeable) {
	{48, 128, 188, 368},
	-15998,
	{
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent
	}
};

resource 'ALRT' (130, "Fatal Error") {
	{56, 126, 238, 410},
	130,
	{	OK, visible, sound1,
		OK, visible, sound1,
		OK, visible, sound1,
		OK, visible, sound1
	}
};

resource 'ALRT' (131, "Warning Error") {
	{54, 134, 192, 378},
	131,
	{	OK, visible, sound1,
		OK, visible, sound1,
		OK, visible, sound1,
		OK, visible, sound1
	}
};

data 'msks' (128) {
	$"00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00"
	};

resource 'WIND' (128, "Other Window") {
	{38, 388, 80, 510},
	documentProc,
	visible,
	noGoAway,
	0x0,
	"OtherWindow"
};
