/******** System includes ********/
#include <Quickdraw.h>
#include <ControlMgr.h>
#include <MemoryMgr.h>
#include <OSUtil.h>
#include <WindowMgr.h>
#include <EventMgr.h>
/**********************************/

/******** defines ********/
#define NULL	0L
/**********************************/

/******** prototypes ********/
void main( void ) ;
void TestControl( void ) ;
/**********************************/

/******** globals ********/
Rect test_window_rect = { 40, 10, 300, 400 } ;
Rect test_control_rect = { 10, 10, 34, 150 } ;
WindowPtr window_ptr ;
ControlHandle control_hdl ;
ControlHandle control_hdl2 ;
long tmp ;
EventRecord event ;
Point pt ;
int part_code ;
int last_part_code ;
ControlHandle which_control ;
RgnHandle clip ;
Rect rect ;
/**********************************/

void main( )
{
	/* Initialize the macintosh managers */
	InitGraf( ( Ptr) &thePort ) ;
	InitFonts( ) ;
	InitWindows( ) ;
	InitCursor( ) ;
	InitMenus( ) ;
	TEInit( ) ;
	InitDialogs( 0L ) ;
	MoreMasters( ) ;
	MoreMasters( ) ;
	MoreMasters( ) ;
	MoreMasters( ) ;
	MoreMasters( ) ;
	MoreMasters( ) ;
	MoreMasters( ) ;
	MoreMasters( ) ;
	FlushEvents( everyEvent, 0 ) ;

	/* Now call test control routine */
	TestControl( ) ;
	
	return ;
}
void TestControl( )
{
	rect.top = 0 ;
	rect.left = 0 ;
	rect.right = 512 ;
	rect.bottom = 382 ;
	
	/* Open the window */
	window_ptr = NewWindow( NULL, &test_window_rect, "\ptest window", TRUE, 1, 
							(WindowPtr)-1L, FALSE, 0L ) ;
							
	if( window_ptr == NULL ) return ;
	
	SetPort( window_ptr ) ;
							
	/* Open the control */
	control_hdl = NewControl( window_ptr, &test_control_rect, "\ptest control",
							  TRUE, 0, 0, 0, 32, 0L ) ;
	OffsetRect( &test_control_rect, 150, 50 ) ;
	control_hdl2 = NewControl( window_ptr, &test_control_rect, "\ptest control",
							  TRUE, 0, 0, 0, 32, 0L ) ;
	
	MoveTo( 110, 250 ) ;
	DrawString( "\pHit any key to quit" ) ;
	/* Now start miniature event loop */
	while( TRUE ) {
	
		GetNextEvent( everyEvent, &event ) ;
		
		pt = event.where ;
		
		SetPort( window_ptr ) ;
		
		GlobalToLocal( &pt ) ;
		
		if( event.what == mouseDown ) {
		
			part_code = FindControl( pt, window_ptr, &which_control ) ;
			
			if( which_control == NULL ) {
				if( (**control_hdl).contrlHilite != 0 ) {
					HiliteControl( control_hdl, 0 ) ;
				}
				if( (**control_hdl2).contrlHilite != 0 ) {
					HiliteControl( control_hdl2, 0 ) ;
				}
				SysBeep( 5 ) ;
			}else{
				part_code = TrackControl( which_control, pt, (ProcPtr)-1L ) ;
				HiliteControl( which_control, part_code ) ;
				if( which_control == control_hdl ) {
					if( (**control_hdl2).contrlHilite != 0 ) {
						HiliteControl( control_hdl2, 0 ) ;
					}
				}
				if( which_control == control_hdl2 ) {
					if( (**control_hdl).contrlHilite != 0 ) {
						HiliteControl( control_hdl, 0 ) ;
					}
				}
			}
		}
		if( event.what == keyDown ) {
			break ;
		}
	}
		  
	/* Close the control */
	DisposeControl( control_hdl ) ;
	DisposeControl( control_hdl2 ) ;

	/* Close the window */
	DisposeWindow( window_ptr ) ;
	return ;
}
	