program Editable_Lists;
	uses
		DemoConstants, DemoDialog, MenuUtilities;
	var
		error: boolean;
		i: integer;
		data: DataHandle;
begin
	error := false;
	InitCursor;
{set up the Menus}
	SetMenuBar(GetNewMBar(mBarID));
	DrawMenuBar;

	for i := mFirstPopUp to mLastPopUp do
		InsertMenu(GetMenu(i), -1);{-1 denotes a popup or hierarchal menu}

	CreateData(data, 4, error);
	if not error then
		begin
			data^^[0].name := 'Methane';
			data^^[0].formula := 'CH4';
			data^^[0].weight := 16;
			data^^[0].reference := 87;

			data^^[1].name := 'Carbon Dioxide is too long';
			data^^[1].formula := 'CO2';
			data^^[1].weight := 44;
			data^^[1].reference := 125;

			data^^[2].name := 'Methanol';
			data^^[2].formula := 'CH3OH';
			data^^[2].weight := 32;
			data^^[2].reference := 1;

			data^^[3].name := 'Carbon Monoxide';
			data^^[3].formula := 'CO';
			data^^[3].weight := 28;
			data^^[3].reference := 124;
		end;
	DemoDialog(Data, error);
	DisposData(Data, error);
end.