/* =======================================

File: HandleTheMenus
Function: Handle any menu selections.
History: 10/3/89.  

====================================== */

#include "String.h"
#include "Preferences.h"
#include "Messenger.h"
#include "About.h"
 
#define      NIL    0

/* External variables & routines that are called */
extern MenuHandle AppleMenu;

void HandleMenu(char *doneFlag, short theMenu, short theItem);

void HandleMenu(doneFlag,theMenu,theItem)
char     *doneFlag; 
short   theMenu,theItem;
{
int dummy;
/* List in the menu bar */
#define List_Apple  1001
	#define Item_About_dDriver  1

/* List in the menu bar */
#define List_File  1002
	#define Item_Preferences  1
	#define Item_Test  2
	#define Item_Example 3
	#define Item_Quit  5

GrafPtr	SavePort;
Str255	DAName;
short	DNA;

switch (theMenu) {
	case List_Apple:
		switch (theItem) {
			case Item_About_dDriver:
				D_About();
				break;
			default:
				GetPort(&SavePort);
				GetItem(AppleMenu, theItem, &DAName);
				DNA = OpenDeskAcc(DAName);
				SetPort(SavePort);
				break;
		}
		break;

	case List_File:
		switch (theItem) {
			case Item_Preferences:
				D_Preferences();
				MInfo.Arrange = HORIZONTAL;
				break;
			case Item_Test:
				dummy = DoMessage("\pTest Line 0", "\pTest Line 1", "\pTest Line 2", "\pTest Line 3");
				MInfo.Arrange = VERTICAL;
				dummy = DoMessage("\pTest Line 4", "\pTest Line 5", "\pTest Line 6", "\pTest Line 7");
				MInfo.Arrange = HORIZONTAL;
				break;
			case Item_Example:
				D_Example();
				break;
			case Item_Quit:
				*doneFlag = TRUE;
				break;
			default:
				break;
		}
		break;

	default:
		break;
}

HiliteMenu(0);
} /* HandleMenu */


