#***********************************************************************************
#
#	Filter.make
#	
#	Make file for skeleton filter tool
#
#***********************************************************************************

#***********************************************************************************
#	Compile symbols
#***********************************************************************************

Dumper.c.o  Filter.make Dumper.c
	C -r -mbg ch8 
		Dumper.c

#***********************************************************************************
#	Compile and link code
#***********************************************************************************

Filter.c.o  Filter.make Dumper.c.o Filter.c
	C -r -mbg ch8 
		Filter.c

Filter  Filter.make Filter.c.o
	Link -w 
		Filter.c.o 
		"{Libraries}"Interface.o 
		"{CLibraries}"CRuntime.o 
		"{CLibraries}"StdCLib.o 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		"{CLibraries}"CInterface.o 
		"{Libraries}"ToolLibs.o 
	-o Filter

#***********************************************************************************
