/* USavedMe.r
	 Copyright  1989 Fred J. Condo Jr. All rights reserved.
	 INCLUDE USavedMe.r in YourApp.r
	 or list it in your .MAMake file as an "OtherRezFiles" reference */

#define kAutoSaveDialogID	5000
#define kAutoSaveMenuID		5000
#define cToggleAutoSave		5000
#define	cSetAutoSave			5001
#define kMinutesID				18950

include "dialog.rsrc";

resource 'STR#' (kMinutesID, "Minutes", purgeable) {
	{	/* array StringArray: 2 elements */
		/* [1] */
		"minute.",
		/* [2] */
		"minutes."
	}
};

resource 'view' (kAutoSaveDialogID, purgeable) {
	{	/* array viewArray: 10 elements */
		/* [1] */
		root, 'root',
		{	/* array: 1 elements */
			/* [1] */
			50, 40
		},
		{	/* array: 1 elements */
			/* [1] */
			226, 192
		}, sizeVariable, sizeVariable, notShown, enabled,
		Window {
			"TWindow",
			16,
			goAwayBox,
			notResizable,
			modeless,
			ignoreFirstClick,
			freeOnClosing,
			disposeOnFree,
			doesntCloseDocument,
			dontOpenWithDocument,
			dontAdaptToScreen,
			dontStagger,
			forceOnScreen,
			dontCenter,
			'time',
			"Auto-save"
		},
		/* [2] */
		'root', 'DLOG',
		{	/* array: 1 elements */
			/* [1] */
			0, 0
		},
		{	/* array: 1 elements */
			/* [1] */
			224, 192
		}, sizeVariable, sizeVariable, shown, enabled,
		DialogView {
			"TAutoSaveDialogView",
			'ok  ',
			'cncl'
		},
		/* [3] */
		'DLOG', 'VW06',
		{	/* array: 1 elements */
			/* [1] */
			8, 8
		},
		{	/* array: 1 elements */
			/* [1] */
			64, 176
		}, sizeFixed, sizeFixed, shown, disabled,
		Cluster {
			"TCluster",
			0b0,
			{1, 1},
			sizeable,
			notDimmed,
			notHilited,
			doesntDismiss,
			{0, 0, 0, 0},
			plain,
			9,
			{	/* array: 3 elements */
				/* [1] */
				0x0,
				/* [2] */
				0x0,
				/* [3] */
				0x0
			},
			"A",
			"Document to Auto-save"
		},
		/* [4] */
		'VW06', 'docn',
		{	/* array: 1 elements */
			/* [1] */
			16, 8
		},
		{	/* array: 1 elements */
			/* [1] */
			40, 160
		}, sizeFixed, sizeFixed, shown, disabled,
		StaticText {
			"TStaticText",
			0b0,
			{1, 1},
			sizeable,
			notDimmed,
			notHilited,
			doesntDismiss,
			{0, 0, 0, 0},
			plain,
			0,
			{	/* array: 3 elements */
				/* [1] */
				0x0,
				/* [2] */
				0x0,
				/* [3] */
				0x0
			},
			"",
			justLeft,
			"static text"
		},
		/* [5] */
		'DLOG', 'VW08',
		{	/* array: 1 elements */
			/* [1] */
			80, 8
		},
		{	/* array: 1 elements */
			/* [1] */
			88, 176
		}, sizeFixed, sizeFixed, shown, disabled,
		Cluster {
			"TCluster",
			0b0,
			{1, 1},
			sizeable,
			notDimmed,
			notHilited,
			doesntDismiss,
			{0, 0, 0, 0},
			plain,
			9,
			{	/* array: 3 elements */
				/* [1] */
				0x0,
				/* [2] */
				0x0,
				/* [3] */
				0x0
			},
			"A",
			"Set the Auto-save interval"
		},
		/* [6] */
		'VW08', 'VW03',
		{	/* array: 1 elements */
			/* [1] */
			16, 8
		},
		{	/* array: 1 elements */
			/* [1] */
			16, 80
		}, sizeFixed, sizeFixed, shown, disabled,
		StaticText {
			"TStaticText",
			0b0,
			{1, 1},
			sizeable,
			notDimmed,
			notHilited,
			doesntDismiss,
			{0, 0, 0, 0},
			plain,
			0,
			{	/* array: 3 elements */
				/* [1] */
				0x0,
				/* [2] */
				0x0,
				/* [3] */
				0x0
			},
			"",
			justLeft,
			"Save every"
		},
		/* [7] */
		'VW08', 'time',
		{	/* array: 1 elements */
			/* [1] */
			40, 60
		},
		{	/* array: 1 elements */
			/* [1] */
			20, 48
		}, sizeFixed, sizeFixed, shown, enabled,
		NumberText {
			"TNumberText",
			0b1111,
			{1, 1},
			notSizeable,
			notDimmed,
			notHilited,
			doesntDismiss,
			{2, 2, 2, 2},
			plain,
			0,
			{	/* array: 3 elements */
				/* [1] */
				0x0,
				/* [2] */
				0x0,
				/* [3] */
				0x0
			},
			"",
			justRight,
			"15",
			5,
			0b110000000000000000000100000000,
			15,
			1,
			65535
		},
		/* [8] */
		'VW08', 'mnut',
		{	/* array: 1 elements */
			/* [1] */
			64, 96
		},
		{	/* array: 1 elements */
			/* [1] */
			16, 72
		}, sizeFixed, sizeFixed, shown, disabled,
		StaticText {
			"TStaticText",
			0b0,
			{1, 1},
			sizeable,
			notDimmed,
			notHilited,
			doesntDismiss,
			{0, 0, 0, 0},
			plain,
			0,
			{	/* array: 3 elements */
				/* [1] */
				0x0,
				/* [2] */
				0x0,
				/* [3] */
				0x0
			},
			"",
			justLeft,
			"x"
		},
		/* [9] */
		'DLOG', 'cncl',
		{	/* array: 1 elements */
			/* [1] */
			184, 16
		},
		{	/* array: 1 elements */
			/* [1] */
			24, 72
		}, sizeFixed, sizeFixed, shown, enabled,
		Button {
			"TButton",
			0b0,
			{1, 1},
			sizeable,
			notDimmed,
			notHilited,
			dismisses,
			{0, 0, 0, 0},
			plain,
			0,
			{	/* array: 3 elements */
				/* [1] */
				0x0,
				/* [2] */
				0x0,
				/* [3] */
				0x0
			},
			"",
			"Cancel"
		},
		/* [10] */
		'DLOG', 'ok  ',
		{	/* array: 1 elements */
			/* [1] */
			182, 94
		},
		{	/* array: 1 elements */
			/* [1] */
			28, 80
		}, sizeFixed, sizeFixed, shown, enabled,
		Button {
			"TButton",
			0b1000000,
			{3, 3},
			sizeable,
			notDimmed,
			notHilited,
			dismisses,
			{4, 4, 4, 4},
			plain,
			0,
			{	/* array: 3 elements */
				/* [1] */
				0x0,
				/* [2] */
				0x0,
				/* [3] */
				0x0
			},
			"",
			"OK"
		}
	}
};
