/* File CmdoReztAttr.R */
/* W. Powell, 1988 */
/* Include File to generate nested dialog for Rez
 *   resource attributes									*/

/* This file is meant to be included in other Rez files
 * as a complete nested dialog.
 * See Also file CmdoRezID.R (assumes this is dialog 2) 	*/

/* Dialog 2 */
/* Resource attribute stuff */
	270,
	"Select Attributes for the resource",
	{
	NotDependent {}, RadioButtons { {
		{35,85,55,220},
			"Application Heap",
			"",Set,
			"Load resource into application heap" ,
		{35,260,55,400},
			"System Heap",
			"-sy",NotSet,
			"Load resource into system heap instead"
			" of application heap" }},
	NotDependent {}, RadioButtons { {
		{55,260,75,400},
			"Purgeable",
			"-pu",NotSet,
			"Make the resource initially purgeable.",
		{55,85,75,220},
			"Not Purgeable","",NotSet,
			"Make resource initially unpurgeable"
		}},
	NotDependent {}, RadioButtons { {
		{75,85,95,220},
			"Unlocked","",Set,
			"Resource not initially locked in memory",
		{75,260,95,400},
			"Locked","-lo",NotSet,
			"Lock resource in memory when loaded"
		} },
	NotDependent {}, RadioButtons { {
		{95,85,115,220},
			"Unprotected","",Set,
			"Marked as changeable in resource file",
		{95,260,115,400},
			"Protected","-Pr",NotSet,
			"Protect resource in file from changes"
		} },
	NotDependent {}, RadioButtons { {
		{115,85,135,220},
			"No Pre-Load","",Set,
			"Require explicit command to load resource"
			" into memory.",
		{115,260,135,400},
			"Pre-load","-PL",NotSet,
			"Load resource when resource "
			"fork is opened" }}
	},
	
/* End of file CmdoAttributes.R */


