/* File CmdoReztStart.R */
/* W. Powell 1988 */
/* Include File to generate commando input for 
 *	standard Resource ID and attributes						*/

/* This file is meant to be included in other Rez files
 * This file contains 5 Commando control items				*/

/* NOTE:  The cmdo dialog for resource attributes is  in 
 *			include file CmdoReztAttr.R	
 		  The cmdo dialog for redirection is in include file
 *			CmdoReztRdir.R									*/

	/* Item 1 */
	NotDependent {}, RegularEntry {
		"Resource ID#:",
		{20,25,36,125},
		{20,127,40,167},
		"",	/* No default */
		keepCase, "",
		"Enter the resource ID number.\nUsually 128  ID "
		"32767  (See I.M. I-108)." },
	/* Item 2 */ 
	NotDependent {}, NestedDialog {
		2, /* Nested dialog number */
		{20,190,40,280},
		"Attributes",
		"Set resource attribute bits" },
	/* Item 3 */
	OR { {1} }, RegularEntry {
		"Resource Name:",
		{50,25,66,145},
		{50,148,66,430},
		"", /* No default */
		keepCase, "-nms",
		"Enter a name for the resource (optional)." },
	/* Item 4 */
	NotDependent {}, NestedDialog {
		3,	/* Nested Dialog number */
		{20,300,40,420},
		"Redirection",
		"Specify output redirection.\n"
		"Defaults to Active window." },
	/* Item 5 */
	NotDependent {}, Box {
		Black, {73,45,74,410} },

/* End of file CmdoReztStart.R */
