/* File: NewTempFile.cmdo.R */
/* Rez input for Commando interface for NewTempFile command */
#include "Cmdo.r"

Resource 'cmdo' (200)  {
	{ 270, 	/* dialog box height */
	"NewTempFile opens a window on a scratch file with a unique name",
	{ NotDependent {}, RadioButtons {
		{{35,35,55,160},"Active Window", "", Set,
		"Open new temporary file as the active window",
		{55,35,75,160}, "Target Window", "-t", NotSet,
		"Open new temporary file as the target window"}
		},
	NotDependent {}, RegularEntry {
		"Base name for file:",
		{85,50,105,180},
		{85,183,105,430},
		"", keepCase,"",
		"File name for temporary file; a number will be concatenated."
		},
	Or { {-4} }, CheckOption {
		NotSet,
		{30,195,50,445},
		"Echo File Name without Quoting",
		"-e",
		"Cause name of temporary file to be written to Standard Output; don't quote special characters"
		},
	Or { {-3} }, CheckOption {
		NotSet,
		{50,195,70,445},
		"Echo File Name with Quoting",
		"-q",
		"Cause name of temporary file to be written to Standard Output; quoting special characters"
		},
	Or {{3,4}}, Redirection {
		StandardOutput,
		{117,150},
		},
	NotDependent {}, Redirection {
		DiagnosticOutput,
		{117,290},
		},
	NotDependent {}, TextBox {
		gray,
		{115,30,156,450},
		"Redirection"
		},
	NotDependent {}, TextBox {
		gray,
		{25,30,78,165},
		"Open As"
		},
	}
}
} ;

/* End File NewTempFile.cmdo.R */
