/* File RezC.MBAR.Cmdo.R */
/* Rez input for the Rezc.MBAR Commando interface */
/* W. Powell 1988 */

/* Rez definitions for Rez-building Commando interfaces */
#include "Cmdo.R"

Resource 'cmdo' (200) {
	{ 280,
	"Rezc.MBAR produces Rez input for a Menu Bar resource.",
	{
/* This include file has a standard arrangement of items
 *   common to all resources: ID#, attributes, name, 
 * 	 and redirection of output from the Rezc. script		*/
#include "CmdoReztStart.R"

	/* Item 6 */
	OR {{1}}, MultiRegularEntry {
		"Resource IDs of MENUs:",
		{85,30,101,190},
		{85,200,165,280},
		{},"",
		"List menu resource ID numbers in their order of "
		"appearance in the menu bar." },
	/* Item 7 */
	AND {{6}}, DoItButton {},
	/* Item 8 */
	NotDependent {}, RadioButtons { {
		{40,1000, 41,1001},
		"","-END",NotSet, "" }}, 
	}, 
/* Dialog 2 */
/* Include the standard resource attributes dialog */
#include "CmdoReztAttr.R"

/* Dialog 3 */
/* Include a redirection dialog */
#include "CmdoReztRdir.R"

}
};