/* File RezC.STRlist.more.Cmdo.R */
/* Rez input for the Rezc.STRlist.more Commando interface */
/* W. Powell 1988 */

/* Rez definitions for Rez-building Commando interfaces */
#include "Cmdo.R"

Resource 'cmdo' (200) {
	{ 220,
	"Enter the next string in the STR# string list.",
	{
	NotDependent {}, RadioButtons {{
		{30,30,46,140},
			"More strings","-OK",NotSet,
			"This is not the last string in the list."
			" Continue prompting for more." ,
		{30,170,46,270},
			"Last string","-LAST",NotSet,
			"This is the last string in the list."
			" Dont need to prompt for more.",
		{30,300,46,410},
			"Already done","-DONE",NotSet,
			"Previous string was the last.  Ignore any "
			"input in this dialog."
		}},
	NotDependent {}, Box {
		gray, {25,25,50,415} },
	OR {{(3<<12)+1}}, Dummy {},
	OR {{-3}}, RegularEntry {
		"String:", 
		{55,30,71,100},
		{74,30,90,450},
		"",keepCase,"",
		"Enter the string.\nUse \\ to escape special characters."
		},
	}
	}
};

/* End File RezC.STRlist.more.Cmdo.R */
