/*******************************************\
*	file: 		PrintTitle.c				*
*	version:	0.1						*
* 	XFCN ID		504							*
*											*
* params[0] == left margin					*
* params[1] == right margin					*
* params[2] == top margin					*
* params[3] == bottom margin				*
* -----------------------------------------	*
* By:	Donald Koscheka						*
* Date:	30-OCT-89							*
* 	Copyright 1989, Donald Koscheka			*
*	All Rights Reserved						*
*											*
* -----------------------------------------	*
\*******************************************/

#include <MacTypes.h>
#include <MemoryMgr.h>
#include <ResourceMgr.h>
#include <OSUtil.h>
#include <HyperXCmd.h>
#include <HyperUtils.h>
#include <PrintMgr.h>
#include "ReportUtils.h"



pascal void main( paramPtr )
	XCmdBlockPtr	paramPtr;
/**********************************
* Passing no parameters has the effect
* of resetting the margins.
**********************************/
{
	Handle		pH;
	pInfoPtr	pp;
	short		pts[4];
	short		i;
	
	if( paramPtr->paramCount && ( pH = GetSystemResource( PAGE_INFO, PAGE_ID ) ) ){
		pp = (pInfoPtr)*pH;
		
		for( i = 0; i < 4; i++ )
			if( paramPtr->params[i] ){
				pts[i] = parseNum( *(paramPtr->params[i] ) );
			}
			else
				pts[i] = 0;

		SetMargin( pp, 0,0,0,0 );	/*** need to reset first ? ***/
		SetMargin( pp, pts[0], pts[1], pts[2], pts[3]  );
	}
	
	paramPtr->returnValue = NIL;
}


