(******************************************************)
(*													  *)
(*	file:  DrawDragon.m								  *)
(*													  *)
(*	Main program to test Dragon method.				  *)
(*													  *)
(*	Written in SemperSoft Modula-2 v.1.1.2			  *)
(*													  *)
(*	Allen Stenger	August 1989  					  *)
(*													  *)
(******************************************************)

MODULE DrawDragon;

FROM InOut			IMPORT WriteLong, WriteString, Read;
FROM InsideMac		IMPORT TickCount;
FROM DragonModule	IMPORT Dragon;
FROM Pen			IMPORT Home;

	
VAR
	oldTime,
	newTime		:	LONGINT;
	ch 			: 	CHAR;

BEGIN
	oldTime := TickCount();
	
	Home;
	Dragon( 8 );
	
	newTime := TickCount();
	WriteString( "Run time is " );
	WriteLong( newTime - oldTime, 6 );
	WriteString( " -- press space to exit " );
	Read( ch );
END DrawDragon.