#***********************************************************************************
#
#	Binary.make
#	
#	Make file for binary tree program
#
#***********************************************************************************

#***********************************************************************************
#	Compile symbols
#***********************************************************************************

Dumper.c.o  Binary.make Dumper.c
	C -r -mbg ch8 
		Dumper.c

#***********************************************************************************
#	Compile and link code
#***********************************************************************************

Binary.c.o  Binary.make Dumper.c.o Binary.c
	C -r -mbg ch8 
		Binary.c

Binary  Binary.make Binary.c.o
	Link -w 
		Binary.c.o 
		"{Libraries}"Interface.o 
		"{CLibraries}"CRuntime.o 
		"{CLibraries}"StdCLib.o 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		"{CLibraries}"CInterface.o 
		"{Libraries}"ToolLibs.o 
	-o Binary

#***********************************************************************************
