/*****
 * CWaveApp.c
 *
 *	 Symantec - USE FOR TEST ONLY! - (stripped down from Starter appl)
 *
 *****/

#include "CWaveApp.h"
#include "CWaveDoc.h"

extern	OSType	gSignature;

/* IWaveApp */
 
void CWaveApp::IWaveApp(void)

{
	CApplication::IApplication(4, 20480L, 2048L);
}


/* SetUpFileParameters */

void CWaveApp::SetUpFileParameters(void)

{
	inherited::SetUpFileParameters();	/* Be sure to call the default method */
	sfNumTypes = 1;
	sfFileTypes[0] = 'TEXT';
	gSignature = '????';
}


/* Exit */
 
void CWaveApp::Exit()

{
}


/* CreateDocument */

void CWaveApp::CreateDocument()

{
	CWaveDoc	*theDocument;
	
	theDocument = new(CWaveDoc);
	theDocument->IWaveDoc(this, TRUE);
	theDocument->NewFile();
}


/* OpenDocument */
 
void CWaveApp::OpenDocument(SFReply *macSFReply)

{
	CWaveDoc	*theDocument;
	
	theDocument = new(CWaveDoc);
	theDocument->IWaveDoc(this, TRUE);
	theDocument->OpenFile(macSFReply);
}