/****
 * CHeapListerPane.h
 *
 *	Pane class for a typical application.
 *
 ****/

#define _H_CHeapListerPane			/* Include this file only once */
#include <CPanorama.h>
#include "CHeapInfo.h"


struct CHeapListerPane : CPanorama {

	Cursor		itsCursor;
									/** Contruction/Destruction **/
	void		IHeapListerPane(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing);

									/** Drawing **/
	void		Draw(Rect *area);
	void		DrawLine (long lineNo);

									/** Mouse **/
	void		DoClick(Point hitPt, short modifierKeys, long when);
	
	void		SetPaneSize (void);
	void		ScrollToSelection (void);
};
