/***********************
Transition.h
************************/
extern Ptr NewBitMap(BitMap *bm, Rect *r);

extern void DisposBitMap(BitMap *bm);

extern GrafPtr NewOffScreen(Rect *theBounds);

extern void DisposOffScreen(GrafPtr offPort);

extern void WipeTopBottom(BitMap *srcBits, BitMap *dstBits,
		Rect *srcRect, Rect *dstRect, int mode, RgnHandle mask, 
		int partitions, long pauseTicks);
		
extern void WipeBottomTop(BitMap *srcBits, BitMap *dstBits,
		Rect *srcRect, Rect *dstRect, int mode, RgnHandle mask, 
		int partitions, long pauseTicks);
		
extern void WipeLeftRight(BitMap *srcBits, BitMap *dstBits,
		Rect *srcRect, Rect *dstRect, int mode, RgnHandle mask, 
		int partitions, long pauseTicks);
		
extern void WipeRightLeft(BitMap *srcBits, BitMap *dstBits,
		Rect *srcRect, Rect *dstRect, int mode, RgnHandle mask, 
		int partitions, long pauseTicks);

extern void Iris(BitMap *srcBits, BitMap *dstBits,
		Rect *srcRect, Rect *dstRect, int mode, RgnHandle mask,
		RgnHandle irisRgn, long pauseTicks);
		
extern void FadePat(BitMap *srcBits, BitMap *dstBits,
		Rect *srcRect, Rect *dstRect, int mode, RgnHandle mask,
		int patList, int patCount, long pauseTicks);

extern void PageFlipDown(BitMap *srcBits, BitMap *dstBits,
		Rect *srcRect, Rect *dstRect, RgnHandle mask,
		int partitions, long pauseTicks);
		
extern void PageFlipRight(BitMap *srcBits, BitMap *dstBits,
		Rect *srcRect, Rect *dstRect, RgnHandle mask,
		int partitions, long pauseTicks);