/************************************************************************/
/*                                                                      */
/*	Include  - 4thDefs.h												*/
/*	Author   - Alexander S. Colwell, Copyright  1990					*/
/*																		*/
/*	Revision - None.													*/
/*                                                                      */
/************************************************************************/

#ifndef	_4thDefs_
#define	_4thDefs_

									/* 4th DB external area events		*/
#define	initEvt		16				/* Init event						*/
#define	deInitEvt	17				/* Close event						*/
#define	cursorEvt	18				/* Cursor event						*/
#define	selectReq	20				/* Selection request event			*/
#define activNote	21				/* Activate note event				*/
#define	deActivNote	22				/* Deactivate note event			*/
#define	scrollEvt	25				/* Scroll event						*/
#define	drawReq		26				/* Draw request event				*/
#define	undoEvt		30				/* Edit's "Undo" event				*/
#define	cutEvt		31				/* Edit's "Cut" event				*/
#define	copyEvt		32				/* Edit's "Copy" event				*/
#define	pasteEvt	33				/* Edit's "Paste" event				*/
#define	clearEvt	34				/* Edit's "Clear" event				*/
#define	selectAllEvt 35				/* Edit's "Select All" event		*/
#define	afterActivEvt 40			/* After "ActivNote" event			*/
#define	afterDeactivEvt 41			/* After "DeactivNote" event		*/
#define	activeIdleEvt 43			/* Selection idle event				*/

#endif
