// MacTutorGrow definitions
// subclass of MacTutorDocument that adds scroll, grow and zoom
// and a list of objects to be drawn in the window
#define	rVScroll	128				/* vertical scrollbar control */
#define	rHScroll	129				/* horizontal scrollbar control */
class TMacTutorGrow : public TMacTutorDocument {
	
  private:
	ControlHandle	fDocVScroll;	// vertical scrollbar
	ControlHandle	fDocHScroll;	// horizontal scrollbar
	void AdjustViewRect(void);
	void ResizeWindow(void);
	void AdjustScrollSizes(void);
	void AdjustScrollbars(Boolean needsResize);
	void AdjustScrollValues(Boolean mustRedraw);
	void DrawWindow(void);
	
  public:
	TMacTutorGrow(short resID,StringPtr s);
	~TMacTutorGrow(void);
	// new methods, override previous ones
	void DoZoom(short partCode);
	void DoGrow(EventRecord* theEvent);
	void DoContent(EventRecord* theEvent);
	void DoUpdate(void);
	void DoActivate(Boolean becomingActive);
};

