resource 'MENU' (128) {
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About Cursor Test", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (129) {
	129,
	textMenuProc,
	0x7FFFFFFB,
	enabled,
	"File",
	{	/* array: 4 elements */
		/* [1] */
		"Start Cursor", noIcon, "G", noMark, plain,
		/* [2] */
		"Stop Cursor", noIcon, ".", noMark, plain,
		/* [3] */
		"-", noIcon, noKey, noMark, plain,
		/* [4] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (130) {
	130,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	"Edit",
	{	/* array: 6 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, "X", noMark, plain,
		/* [4] */
		"Copy", noIcon, "C", noMark, plain,
		/* [5] */
		"Paste", noIcon, "V", noMark, plain,
		/* [6] */
		"Clear", noIcon, "B", noMark, plain
	}
};

resource 'MENU' (131) {
	131,
	textMenuProc,
	allEnabled,
	enabled,
	"Cursors",
	{	/* array: 0 elements */
	}
};

resource 'MENU' (132) {
	132,
	textMenuProc,
	allEnabled,
	enabled,
	"Speed",
	{	/* array: 10 elements */
		/* [1] */
		"1", noIcon, noKey, noMark, plain,
		/* [2] */
		"2", noIcon, noKey, noMark, plain,
		/* [3] */
		"4", noIcon, noKey, noMark, plain,
		/* [4] */
		"6", noIcon, noKey, noMark, plain,
		/* [5] */
		"8", noIcon, noKey, noMark, plain,
		/* [6] */
		"10", noIcon, noKey, noMark, plain,
		/* [7] */
		"15", noIcon, noKey, noMark, plain,
		/* [8] */
		"30", noIcon, noKey, noMark, plain,
		/* [9] */
		"45", noIcon, noKey, noMark, plain,
		/* [10] */
		"60", noIcon, noKey, noMark, plain
	}
};

resource 'MBAR' (128) {
	{	/* array MenuArray: 5 elements */
		/* [1] */
		128,
		/* [2] */
		129,
		/* [3] */
		130,
		/* [4] */
		131,
		/* [5] */
		132
	}
};

data 'acur' (128, "Beach Ball") {
	$"00 04 00 00 00 80 00 00 00 81 00 00 00 82 00 00"
	$"00 83 00 00"
};

data 'acur' (200, "Earth") {
	$"00 07 00 00 00 C8 00 00 00 C9 00 00 00 CA 00 00"
	$"00 CB 00 00 00 CC 00 00 00 CD 00 00 00 CE 00 00"
};

data 'acur' (256, "Wrist Watch (B&W)") {
	$"00 08 00 00 01 00 00 00 01 01 00 00 01 02 00 00"
	$"01 03 00 00 01 04 00 00 01 05 00 00 01 06 00 00"
	$"01 07 00 00"
};

data 'acur' (300, "Wrist Watch (Color)") {
	$"00 08 00 00 01 2C 00 00 01 2D 00 00 01 2E 00 00"
	$"01 2F 00 00 01 30 00 00 01 31 00 00 01 32 00 00"
	$"01 33 00 00"
};

data 'acur' (400, "Fingers") {
	$"00 06 00 00 01 90 00 00 01 91 00 00 01 92 00 00"
	$"01 93 00 00 01 94 00 00 01 95 00 00"
};

resource 'CURS' (128) {
	$"07 C0 1F F0 3F F8 5F F4 4F E4 87 C2 83 82 81 02"
	$"83 82 87 C2 4F E4 5F F4 3F F8 1F F0 07 C0",
	$"07 C0 1F F0 3F F8 7F FC 7F FC FF FE FF FE FF FE"
	$"FF FE FF FE 7F FC 7F FC 3F F8 1F F0 07 C0",
	{7, 7}
};

resource 'CURS' (129) {
	$"07 C0 19 F0 21 F8 41 FC 41 FC 81 FE 81 FE FF FE"
	$"FF 02 FF 02 7F 04 7F 04 3F 08 1F 30 07 C0",
	$"07 C0 1F F0 3F F8 7F FC 7F FC FF FE FF FE FF FE"
	$"FF FE FF FE 7F FC 7F FC 3F F8 1F F0 07 C0",
	{7, 7}
};

resource 'CURS' (130) {
	$"07 C0 18 30 20 08 70 1C 78 3C FC 7E FE FE FF FE"
	$"FE FE FC 7E 78 3C 70 1C 20 08 18 30 07 C0",
	$"07 C0 1F F0 3F F8 7F FC 7F FC FF FE FF FE FF FE"
	$"FF FE FF FE 7F FC 7F FC 3F F8 1F F0 07 C0",
	{7, 7}
};

resource 'CURS' (131) {
	$"07 C0 1F 30 3F 08 7F 04 7F 04 FF 02 FF 02 FF FE"
	$"81 FE 81 FE 41 FC 41 FC 21 F8 19 F0 07 C0",
	$"07 C0 1F F0 3F F8 7F FC 7F FC FF FE FF FE FF FE"
	$"FF FE FF FE 7F FC 7F FC 3F F8 1F F0 07 C0",
	{7, 7}
};

resource 'CURS' (256) {
	$"3F 00 3F 00 3F 00 3F 00 40 80 84 40 84 40 84 60"
	$"9C 60 80 40 80 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 5}
};

resource 'CURS' (257) {
	$"3F 00 3F 00 3F 00 3F 00 40 80 80 40 81 40 82 60"
	$"9C 60 80 40 80 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 5}
};

resource 'CURS' (258) {
	$"3F 00 3F 00 3F 00 3F 00 40 80 80 40 80 40 80 60"
	$"9F 60 80 40 80 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 5}
};

resource 'CURS' (259) {
	$"3F 00 3F 00 3F 00 3F 00 40 80 80 40 80 40 80 60"
	$"9C 60 82 40 80 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 5}
};

resource 'CURS' (260) {
	$"3F 00 3F 00 3F 00 3F 00 40 80 80 40 80 40 80 60"
	$"9C 60 84 40 84 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 5}
};

resource 'CURS' (261) {
	$"3F 00 3F 00 3F 00 3F 00 40 80 80 40 80 40 80 60"
	$"9C 60 88 40 90 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 5}
};

resource 'CURS' (262) {
	$"3F 00 3F 00 3F 00 3F 00 40 80 80 40 80 40 80 60"
	$"BC 60 80 40 80 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 5}
};

resource 'CURS' (263) {
	$"3F 00 3F 00 3F 00 3F 00 40 80 80 40 90 40 88 60"
	$"9C 60 80 40 80 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 5}
};

resource 'crsr' (128, purgeable) {
	colorCursor,
	$"07 C0 1F F0 3F F8 5F F4 4F E4 87 C2 83 82 81 02"
	$"83 82 87 C2 4F E4 5F F4 3F F8 1F F0 07 C0",
	$"07 C0 1F F0 3F F8 7F FC 7F FC FF FE FF FE FF FE"
	$"FF FE FF FE 7F FC 7F FC 3F F8 1F F0 07 C0",
	{7, 7},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"00 3F F0 00 03 D5 5F 00 0D 55 55 C0 31 55 55 30"
	$"30 55 54 30 C0 15 50 0C C0 05 40 0C C0 01 00 0C"
	$"C0 05 40 0C C0 15 50 0C 30 55 54 30 31 55 55 30"
	$"0D 55 55 C0 03 D5 5F 00 00 3F F0 00 00 00 00 00",
	0x0,
	0,
	{	/* array ColorSpec: 3 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 56797, 0, 0,
		/* [3] */
		3, 0, 0, 0
	}
};

resource 'crsr' (129, purgeable) {
	colorCursor,
	$"07 C0 19 F0 21 F8 41 FC 41 FC 81 FE 81 FE FF FE"
	$"FF 02 FF 02 7F 04 7F 04 3F 08 1F 30 07 C0",
	$"07 C0 1F F0 3F F8 7F FC 7F FC FF FE FF FE FF FE"
	$"FF FE FF FE 7F FC 7F FC 3F F8 1F F0 07 C0",
	{7, 7},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"00 3F F0 00 03 C1 5F 00 0C 01 55 C0 30 01 55 70"
	$"30 01 55 70 C0 01 55 5C C0 01 55 5C D5 55 55 5C"
	$"D5 55 00 0C D5 55 00 0C 35 55 00 30 35 55 00 30"
	$"0D 55 00 C0 03 D5 0F 00 00 3F F0 00 00 00 00 00",
	0x0,
	0,
	{	/* array ColorSpec: 3 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 56797, 0, 0,
		/* [3] */
		3, 0, 0, 0
	}
};

resource 'crsr' (130, purgeable) {
	colorCursor,
	$"07 C0 18 30 20 08 70 1C 78 3C FC 7E FE FE FF FE"
	$"FE FE FC 7E 78 3C 70 1C 20 08 18 30 07 C0",
	$"07 C0 1F F0 3F F8 7F FC 7F FC FF FE FF FE FF FE"
	$"FF FE FF FE 7F FC 7F FC 3F F8 1F F0 07 C0",
	{7, 7},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"00 3F F0 00 03 C0 0F 00 0C 00 00 C0 35 00 01 70"
	$"35 40 05 70 D5 50 15 5C D5 54 55 5C D5 55 55 5C"
	$"D5 54 55 5C D5 50 15 5C 35 40 05 70 35 00 01 70"
	$"0C 00 00 C0 03 C0 0F 00 00 3F F0 00 00 00 00 00",
	0x0,
	0,
	{	/* array ColorSpec: 3 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 56797, 0, 0,
		/* [3] */
		3, 0, 0, 0
	}
};

resource 'crsr' (131, purgeable) {
	colorCursor,
	$"07 C0 1F 30 3F 08 7F 04 7F 04 FF 02 FF 02 FF FE"
	$"81 FE 81 FE 41 FC 41 FC 21 F8 19 F0 07 C0",
	$"07 C0 1F F0 3F F8 7F FC 7F FC FF FE FF FE FF FE"
	$"FF FE FF FE 7F FC 7F FC 3F F8 1F F0 07 C0",
	{7, 7},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"00 3F F0 00 03 D5 0F 00 0D 55 00 C0 35 55 00 30"
	$"35 55 00 30 D5 55 00 0C D5 55 00 0C D5 55 55 5C"
	$"C0 01 55 5C C0 01 55 5C 30 01 55 70 30 01 55 70"
	$"0C 01 55 C0 03 C1 5F 00 00 3F F0 00 00 00 00 00",
	0x0,
	0,
	{	/* array ColorSpec: 3 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 56797, 0, 0,
		/* [3] */
		3, 0, 0, 0
	}
};

resource 'crsr' (200, purgeable) {
	colorCursor,
	$"07 C0 19 B0 2C 98 76 3C 7D 3C BB 12 BE 0E BF 1E"
	$"9D 1E 8C 0E 47 84 47 84 23 08 1B 30 07 C0",
	$"07 C0 1F F0 3F F8 7F FC 7F FC FF FE FF FE FF FE"
	$"FF FE FF FE 7F FC 7F FC 3F F8 1F F0 07 C0",
	{7, 7},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"00 3F F0 00 03 E9 6F 00 0E 5A 69 C0 35 96 A5 70"
	$"35 59 A5 70 E5 65 A9 AC E5 56 AA 5C E5 55 A9 5C"
	$"E9 59 A9 5C EA 5A AA 5C 3A 95 6A B0 3A 95 6A B0"
	$"0E A5 AA C0 03 E5 AF 00 00 3F F0 00 00 00 00 00",
	0x0,
	0,
	{	/* array ColorSpec: 4 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 0, 48059, 0,
		/* [3] */
		2, 0, 0, 56797,
		/* [4] */
		3, 0, 0, 0
	}
};

resource 'crsr' (201, purgeable) {
	colorCursor,
	$"07 C0 1F 30 2D 98 4E CC 4F A4 87 62 87 C2 87 E2"
	$"83 A2 81 82 40 F4 40 F4 20 68 18 70 07 C0",
	$"07 C0 1F F0 3F F8 7F FC 7F FC FF FE FF FE FF FE"
	$"FF FE FF FE 7F FC 7F FC 3F F8 1F F0 07 C0",
	{7, 7},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"00 3F F0 00 03 D5 AF 00 0E 59 69 C0 3A 56 5A 70"
	$"3A 55 66 B0 EA 95 96 AC EA 95 5A AC EA 95 56 AC"
	$"EA A5 66 AC EA A9 6A AC 3A AA 55 B0 3A AA 55 B0"
	$"0E AA 96 C0 03 EA 9F 00 00 3F F0 00 00 00 00 00",
	0x0,
	0,
	{	/* array ColorSpec: 4 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 0, 48059, 0,
		/* [3] */
		2, 0, 0, 56797,
		/* [4] */
		3, 0, 0, 0
	}
};

resource 'crsr' (202, purgeable) {
	colorCursor,
	$"07 C0 18 70 30 E8 70 F4 50 F4 E0 7E E0 7E C0 7A"
	$"80 3A C8 1A 5C 0C 7C 04 20 08 18 30 07 C0",
	$"07 C0 1F F0 3F F8 7F FC 7F FC FF FE FF FE FF FE"
	$"FF FE FF FE 7F FC 7F FC 3F F8 1F F0 07 C0",
	{7, 7},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"00 3F F0 00 03 D5 6F 00 0E 55 A9 C0 3A 55 AA 70"
	$"36 55 AA 70 E9 55 6A AC E9 55 6A AC E5 55 6A 9C"
	$"D5 55 5A 9C E5 95 56 9C 36 A5 55 B0 3A A5 55 70"
	$"0D 55 55 C0 03 D5 5F 00 00 3F F0 00 00 00 00 00",
	0x0,
	0,
	{	/* array ColorSpec: 4 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 0, 0, 56797,
		/* [3] */
		2, 0, 48059, 0,
		/* [4] */
		3, 0, 0, 0
	}
};

resource 'crsr' (203, purgeable) {
	colorCursor,
	$"07 C0 1F B0 3D 18 7F 0C 7D 0C FE 02 FE 02 FC 02"
	$"A8 02 84 82 51 C4 43 C4 20 08 18 30 07 C0",
	$"07 C0 1F F0 3F F8 7F FC 7F FC FF FE FF FE FF FE"
	$"FF FE FF FE 7F FC 7F FC 3F F8 1F F0 07 C0",
	{7, 7},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"00 3F F0 00 03 D5 6F 00 0D 59 A9 C0 35 55 AA 70"
	$"35 59 AA 70 D5 56 AA AC D5 56 AA AC D5 5A AA AC"
	$"E6 6A AA AC EA 9A 6A AC 39 A9 5A B0 3A A5 5A B0"
	$"0E AA AA C0 03 EA AF 00 00 3F F0 00 00 00 00 00",
	0x0,
	0,
	{	/* array ColorSpec: 4 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 0, 48059, 0,
		/* [3] */
		2, 0, 0, 56797,
		/* [4] */
		3, 0, 0, 0
	}
};

resource 'crsr' (204, purgeable) {
	colorCursor,
	$"07 C0 18 F0 3F D8 7F FC 7F D4 9F E2 EF E2 F6 C2"
	$"F2 82 E0 4A 61 1C 50 3C 20 08 18 30 07 C0",
	$"07 C0 1F F0 3F F8 7F FC 7F FC FF FE FF FE FF FE"
	$"FF FE FF FE 7F FC 7F FC 3F F8 1F F0 07 C0",
	{7, 7},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"00 3F F0 00 03 D5 AF 00 0E AA A6 C0 3A AA AA B0"
	$"3A AA A6 70 D6 AA A9 5C E9 AA A9 5C EA 69 A5 5C"
	$"EA 59 95 5C E9 55 65 9C 39 56 56 B0 36 55 5A B0"
	$"0D 55 55 C0 03 D5 5F 00 00 3F F0 00 00 00 00 00",
	0x0,
	0,
	{	/* array ColorSpec: 4 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 0, 0, 56797,
		/* [3] */
		2, 0, 48059, 0,
		/* [4] */
		3, 0, 0, 0
	}
};

resource 'crsr' (205, purgeable) {
	colorCursor,
	$"07 C0 1E 70 3F F8 7F FC 7F FC 91 FE 8E FE 9F 6E"
	$"9F 2A 8E 02 4E 14 4D 04 20 08 18 30 07 C0",
	$"07 C0 1F F0 3F F8 7F FC 7F FC FF FE FF FE FF FE"
	$"FF FE FF FE 7F FC 7F FC 3F F8 1F F0 07 C0",
	{7, 7},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"00 3F F0 00 03 D6 9F 00 0D 55 55 C0 35 55 55 70"
	$"35 55 55 70 E9 A9 55 5C EA 56 55 5C E9 55 96 5C"
	$"E9 55 A6 6C EA 56 AA AC 3A 56 A9 B0 3A 59 AA B0"
	$"0E AA AA C0 03 EA AF 00 00 3F F0 00 00 00 00 00",
	0x0,
	0,
	{	/* array ColorSpec: 4 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 0, 48059, 0,
		/* [3] */
		2, 0, 0, 56797,
		/* [4] */
		3, 0, 0, 0
	}
};

resource 'crsr' (206, purgeable) {
	colorCursor,
	$"07 C0 1A F0 29 F8 63 FC 53 FC B1 1E E0 CE E1 F2"
	$"D1 F2 C0 E2 78 E4 78 D4 30 08 18 30 07 C0",
	$"07 C0 1F F0 3F F8 7F FC 7F FC FF FE FF FE FF FE"
	$"FF FE FF FE 7F FC 7F FC 3F F8 1F F0 07 C0",
	{7, 7},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"00 3F F0 00 03 E6 5F 00 0E 69 55 C0 35 A5 55 70"
	$"39 A5 55 70 E5 A9 A9 5C D6 AA 5A 5C D6 A9 55 AC"
	$"D9 A9 55 AC DA AA 56 AC 35 6A 56 B0 35 6A 59 B0"
	$"0D AA AA C0 03 EA AF 00 00 3F F0 00 00 00 00 00",
	0x0,
	0,
	{	/* array ColorSpec: 4 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 0, 48059, 0,
		/* [3] */
		2, 0, 0, 56797,
		/* [4] */
		3, 0, 0, 0
	}
};

resource 'crsr' (300, purgeable) {
	colorCursor,
	$"3F 00 3F 00 3F 00 3F 00 40 80 84 40 84 40 84 60"
	$"9C 60 80 40 80 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 5},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"05 55 00 00 05 55 00 00 05 55 00 00 0A AA 00 00"
	$"20 00 80 00 80 20 20 00 80 20 20 00 80 20 28 00"
	$"82 A0 28 00 80 00 20 00 80 00 20 00 20 00 80 00"
	$"0A AA 00 00 05 55 00 00 05 55 00 00 05 55 00 00",
	0x0,
	0,
	{	/* array ColorSpec: 3 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 0, 0, 56797,
		/* [3] */
		2, 17476, 17476, 17476
	}
};

resource 'crsr' (301, purgeable) {
	colorCursor,
	$"3F 00 3F 00 3F 00 3F 00 40 80 80 40 81 40 82 60"
	$"9C 60 80 40 80 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 5},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"05 55 00 00 05 55 00 00 05 55 00 00 0A AA 00 00"
	$"20 00 80 00 80 00 20 00 80 02 20 00 80 08 28 00"
	$"82 A0 28 00 80 00 20 00 80 00 20 00 20 00 80 00"
	$"0A AA 00 00 05 55 00 00 05 55 00 00 05 55 00 00",
	0x0,
	0,
	{	/* array ColorSpec: 3 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 0, 0, 56797,
		/* [3] */
		2, 17476, 17476, 17476
	}
};

resource 'crsr' (302, purgeable) {
	colorCursor,
	$"3F 00 3F 00 3F 00 3F 00 40 80 80 40 80 40 80 60"
	$"9F 60 80 40 80 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 5},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"05 55 00 00 05 55 00 00 05 55 00 00 0A AA 00 00"
	$"20 00 80 00 80 00 20 00 80 00 20 00 80 00 28 00"
	$"82 AA 28 00 80 00 20 00 80 00 20 00 20 00 80 00"
	$"0A AA 00 00 05 55 00 00 05 55 00 00 05 55 00 00",
	0x0,
	0,
	{	/* array ColorSpec: 3 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 0, 0, 56797,
		/* [3] */
		2, 17476, 17476, 17476
	}
};

resource 'crsr' (303, purgeable) {
	colorCursor,
	$"3F 00 3F 00 3F 00 3F 00 40 80 80 40 80 40 80 60"
	$"9C 60 82 40 80 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 5},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"05 55 00 00 05 55 00 00 05 55 00 00 0A AA 00 00"
	$"20 00 80 00 80 00 20 00 80 00 20 00 80 00 28 00"
	$"82 A0 28 00 80 08 20 00 80 00 20 00 20 00 80 00"
	$"0A AA 00 00 05 55 00 00 05 55 00 00 05 55 00 00",
	0x0,
	0,
	{	/* array ColorSpec: 3 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 0, 0, 56797,
		/* [3] */
		2, 17476, 17476, 17476
	}
};

resource 'crsr' (304, purgeable) {
	colorCursor,
	$"3F 00 3F 00 3F 00 3F 00 40 80 80 40 80 40 80 60"
	$"9C 60 84 40 84 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 5},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"05 55 00 00 05 55 00 00 05 55 00 00 0A AA 00 00"
	$"20 00 80 00 80 00 20 00 80 00 20 00 80 00 28 00"
	$"82 A0 28 00 80 20 20 00 80 20 20 00 20 00 80 00"
	$"0A AA 00 00 05 55 00 00 05 55 00 00 05 55 00 00",
	0x0,
	0,
	{	/* array ColorSpec: 3 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 0, 0, 56797,
		/* [3] */
		2, 17476, 17476, 17476
	}
};

resource 'crsr' (305, purgeable) {
	colorCursor,
	$"3F 00 3F 00 3F 00 3F 00 40 80 80 40 80 40 80 60"
	$"9C 60 88 40 90 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 5},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"05 55 00 00 05 55 00 00 05 55 00 00 0A AA 00 00"
	$"20 00 80 00 80 00 20 00 80 00 20 00 80 00 28 00"
	$"82 A0 28 00 80 80 20 00 82 00 20 00 20 00 80 00"
	$"0A AA 00 00 05 55 00 00 05 55 00 00 05 55 00 00",
	0x0,
	0,
	{	/* array ColorSpec: 3 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 0, 0, 56797,
		/* [3] */
		2, 17476, 17476, 17476
	}
};

resource 'crsr' (306, purgeable) {
	colorCursor,
	$"3F 00 3F 00 3F 00 3F 00 40 80 80 40 80 40 80 60"
	$"BC 60 80 40 80 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 5},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"05 55 00 00 05 55 00 00 05 55 00 00 0A AA 00 00"
	$"20 00 80 00 80 00 20 00 80 00 20 00 80 00 28 00"
	$"8A A0 28 00 80 00 20 00 80 00 20 00 20 00 80 00"
	$"0A AA 00 00 05 55 00 00 05 55 00 00 05 55 00 00",
	0x0,
	0,
	{	/* array ColorSpec: 3 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 0, 0, 56797,
		/* [3] */
		2, 17476, 17476, 17476
	}
};

resource 'crsr' (307, purgeable) {
	colorCursor,
	$"3F 00 3F 00 3F 00 3F 00 40 80 80 40 90 40 88 60"
	$"9C 60 80 40 80 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 5},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"05 55 00 00 05 55 00 00 05 55 00 00 0A AA 00 00"
	$"20 00 80 00 80 00 20 00 82 00 20 00 80 80 28 00"
	$"82 A0 28 00 80 00 20 00 80 00 20 00 20 00 80 00"
	$"0A AA 00 00 05 55 00 00 05 55 00 00 05 55 00 00",
	0x0,
	0,
	{	/* array ColorSpec: 3 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 0, 0, 56797,
		/* [3] */
		2, 17476, 17476, 17476
	}
};

resource 'crsr' (400, purgeable) {
	colorCursor,
	$"00 00 00 00 00 00 00 00 0D B0 12 4C 10 0A 08 02"
	$"18 02 20 02 20 02 20 04 10 04 08 08 04 08 04 08",
	$"00 00 00 00 00 00 00 00 0D B0 1F FC 1F FE 0F FE"
	$"1F FE 3F FE 3F FE 3F FC 1F FC 0F F8 07 F8 07 F8",
	{10, 8},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00"
	$"00 F3 CF 00 03 9E 79 F0 03 95 55 EC 00 E5 55 5C"
	$"03 E5 55 5C 0E 55 55 5C 0E 55 55 5C 0E 55 55 70"
	$"03 95 55 70 00 E5 55 C0 00 39 55 C0 00 39 55 C0",
	0x0,
	0,
	{	/* array ColorSpec: 4 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 65535, 52428, 39321,
		/* [3] */
		2, 52428, 39321, 26214,
		/* [4] */
		3, 0, 0, 0
	}
};

resource 'crsr' (401, purgeable) {
	colorCursor,
	$"00 00 18 00 24 00 25 80 12 70 12 4C 08 0A 08 02"
	$"18 02 20 02 20 02 20 04 10 04 08 08 04 08 04 08",
	$"00 00 18 00 3C 00 3D 80 1F F0 1F FC 0F FE 0F FE"
	$"1F FE 3F FE 3F FE 3F FC 1F FC 0F F8 07 F8 07 F8",
	{10, 8},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"00 00 00 00 03 C0 00 00 0E 70 00 00 0E 73 C0 00"
	$"03 9E 7F 00 03 9E 79 F0 00 E5 55 EC 00 E5 55 5C"
	$"03 E5 55 5C 0E 55 55 5C 0E 55 55 5C 0E 55 55 70"
	$"03 95 55 70 00 E5 55 C0 00 39 55 C0 00 39 55 C0",
	0x0,
	0,
	{	/* array ColorSpec: 4 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 65535, 52428, 39321,
		/* [3] */
		2, 52428, 39321, 26214,
		/* [4] */
		3, 0, 0, 0
	}
};

resource 'crsr' (402, purgeable) {
	colorCursor,
	$"01 80 1A 40 26 40 26 40 12 70 12 4C 08 0A 08 02"
	$"18 02 20 02 20 02 20 04 10 04 08 08 04 08 04 08",
	$"01 80 1B C0 3F C0 3F C0 1F F0 1F FC 0F FE 0F FE"
	$"1F FE 3F FE 3F FE 3F FC 1F FC 0F F8 07 F8 07 F8",
	{10, 8},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"00 03 C0 00 03 CD B0 00 0D BD B0 00 0D BD B0 00"
	$"03 6D BF 00 03 6D B6 F0 00 DA AA DC 00 DA AA AC"
	$"03 DA AA AC 0D AA AA AC 0D AA AA AC 0D AA AA B0"
	$"03 6A AA B0 00 DA AA C0 00 36 AA C0 00 36 AA C0",
	0x0,
	0,
	{	/* array ColorSpec: 4 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 52428, 39321, 26214,
		/* [3] */
		2, 65535, 52428, 39321,
		/* [4] */
		3, 0, 0, 0
	}
};

resource 'crsr' (403, purgeable) {
	colorCursor,
	$"01 80 1A 70 26 48 26 48 12 48 12 4C 08 0A 08 02"
	$"18 02 20 02 20 02 20 04 10 04 08 08 04 08 04 08",
	$"01 80 1B F0 3F F8 3F F8 1F F8 1F FC 0F FE 0F FE"
	$"1F FE 3F FE 3F FE 3F FC 1F FC 0F F8 07 F8 07 F8",
	{10, 8},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"00 03 C0 00 03 CD BF 00 0D BD B6 C0 0D BD B6 C0"
	$"03 6D B6 C0 03 6D B6 F0 00 DA AA DC 00 DA AA AC"
	$"03 DA AA AC 0D AA AA AC 0D AA AA AC 0D AA AA B0"
	$"03 6A AA B0 00 DA AA C0 00 36 AA C0 00 36 AA C0",
	0x0,
	0,
	{	/* array ColorSpec: 4 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 52428, 39321, 26214,
		/* [3] */
		2, 65535, 52428, 39321,
		/* [4] */
		3, 0, 0, 0
	}
};

resource 'crsr' (404, purgeable) {
	colorCursor,
	$"01 80 1A 70 26 48 26 4A 12 4D 12 49 08 09 08 01"
	$"18 02 20 02 20 02 20 04 10 04 08 08 04 08 04 08",
	$"01 80 1B F0 3F F8 3F FA 1F FF 1F FF 0F FF 0F FF"
	$"1F FE 3F FE 3F FE 3F FC 1F FC 0F F8 07 F8 07 F8",
	{10, 8},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"00 03 C0 00 03 CD BF 00 0D BD B6 C0 0D BD B6 CC"
	$"03 6D B6 F7 03 6D B6 DB 00 DA AA DB 00 DA AA AB"
	$"03 DA AA AC 0D AA AA AC 0D AA AA AC 0D AA AA B0"
	$"03 6A AA B0 00 DA AA C0 00 36 AA C0 00 36 AA C0",
	0x0,
	0,
	{	/* array ColorSpec: 4 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 52428, 39321, 26214,
		/* [3] */
		2, 65535, 52428, 39321,
		/* [4] */
		3, 0, 0, 0
	}
};

resource 'crsr' (405, purgeable) {
	colorCursor,
	$"01 80 1A 70 26 48 26 4A 12 4D 12 49 68 09 98 01"
	$"88 02 40 02 20 02 20 04 10 04 08 08 04 08 04 08",
	$"01 80 1B F0 3F F8 3F FA 1F FF 1F FF 6F FF FF FF"
	$"FF FE 7F FE 3F FE 3F FC 1F FC 0F F8 07 F8 07 F8",
	{10, 8},
	4,
	{0, 0, 16, 16},
	0,
	unpacked,
	0,
	0x480000,
	0x480000,
	chunky,
	2,
	1,
	2,
	0,
	$"00 03 C0 00 03 CD BF 00 0D BD B6 C0 0D BD B6 CC"
	$"03 6D B6 F7 03 6D B6 DB 3C DA AA DB DB DA AA AB"
	$"DA DA AA AC 36 AA AA AC 0D AA AA AC 0D AA AA B0"
	$"03 6A AA B0 00 DA AA C0 00 36 AA C0 00 36 AA C0",
	0x0,
	0,
	{	/* array ColorSpec: 4 elements */
		/* [1] */
		0, 65535, 65535, 65535,
		/* [2] */
		1, 52428, 39321, 26214,
		/* [3] */
		2, 65535, 52428, 39321,
		/* [4] */
		3, 0, 0, 0
	}
};

resource 'DLOG' (128) {
	{40, 40, 140, 331},
	dBoxProc,
	visible,
	goAway,
	0x0,
	128,
	""
};

resource 'DITL' (128) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{70, 220, 90, 278},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{6, 106, 22, 184},
		StaticText {
			disabled,
			"Cursor Test"
		},
		/* [3] */
		{28, 93, 44, 198},
		StaticText {
			disabled,
			"by Richard Lesh"
		},
		/* [4] */
		{50, 52, 66, 238},
		StaticText {
			disabled,
			"1990, All Rights Reserved"
		}
	}
};

