/*------------------------------------------------------------------------------
#
#	PICS Animator Resource Source
#
#	Steve Sheets
#
------------------------------------------------------------------------------*/

#include "Types.r"

#include "SysTypes.r"

type 'PcPl' as 'STR ';

resource 'PcPl' (0) {
	"PICS Player 1.0,  Steve Sheets." };

resource 'vers' (1) {
	0x1, 0x0, 0x0, -0x80, verUs, "1.0", "1.0,  1990 Steve Sheets." };

resource 'vers' (2) {
	0x1, 0x0, 0x0, -0x80, verUs, "1.0", "PICS Player 1.0" };

resource 'BNDL' (128) {
	'PcPl', 0,
	{	'ICN#', { 0, 128, 1, 129 },
		'FREF', { 0, 128, 1, 129 }	}	};

resource 'ICN#' (128) {
	{	$"FFE0 0000 8030 0000 8010 0000 9FFC 0000"
		$"9006 0000 9002 0000 93FF 8000 9200 C000"
		$"9200 4000 927F F000 9240 1800 9240 1400"
		$"9248 3F00 9248 4080 9248 8040 9249 3020"
		$"924B C810 F24E 7F8F 1242 3007 1241 0007"
		$"1E40 8007 0242 6007 0245 1FE7 03C8 811F"
		$"005F C107 0040 0100 007F FF",

		$"FFE0 0000 FFF0 0000 FFF0 0000 FFFC 0000"
		$"FFFE 0000 FFFE 0000 FFFF 8000 FFFF C000"
		$"FFFF C000 FFFF F000 FFFF F800 FFFF FC00"
		$"FFFF FF00 FFFF FF80 FFFF FFC0 FFFF FFE0"
		$"FFFF FFF0 FFFF FFFF 1FFF FFFF 1FFF FFFF"
		$"1FFF FFFF 03FF FFFF 03FF FFFF 03FF FF1F"
		$"007F FF07 007F FF00 007F FF"	}	};

resource 'ICN#' (129) {
	{	$"FFE0 0000 8030 0000 8010 0000 9FFC 0000"
		$"9006 0000 9002 0000 93FF 8000 9200 C000"
		$"9200 4000 927F F000 9240 1800 9240 1400"
		$"924F 9E00 9248 8200 9248 8200 9248 C200"
		$"9249 2200 F24E 1200 1242 1200 1241 2200"
		$"1E40 C200 0242 0200 0245 0200 03C8 8200"
		$"005F C200 0040 0200 007F FE",

		$"FFE0 0000 FFF0 0000 FFF0 0000 FFFC 0000"
		$"FFFE 0000 FFFE 0000 FFFF 8000 FFFF C000"
		$"FFFF C000 FFFF F000 FFFF F800 FFFF FC00"
		$"FFFF FE00 FFFF FE00 FFFF FE00 FFFF FE00"
		$"FFFF FE00 FFFF FE00 1FFF FE00 1FFF FE00"
		$"1FFF FE00 03FF FE00 03FF FE00 03FF FE00"
		$"007F FE00 007F FE00 007F FE"	}	};

resource 'FREF' (128) { 'APPL', 0, "" };

resource 'FREF' (129) { 'PICS', 1, "" };

resource 'ALRT' (500) {
	{40, 31, 170, 481}, 500,
	{	Cancel, visible, sound1,
		Cancel, visible, sound1,
		Cancel, visible, sound1,
		Cancel, visible, sound1	}	};

resource 'ALRT' (501) {
	{40, 31, 170, 481}, 501,
	{	OK, visible, sound1,
		OK, visible, sound1,
		OK, visible, sound1,
		OK, visible, sound1	}	};

resource 'ALRT' (502) {
	{40, 56, 160, 456}, 502,
	{	OK, visible, sound1,
		OK, visible, sound1,
		OK, visible, sound1,
		OK, visible, sound1	}	};

resource 'ALRT' (503) {
	{40, 56, 190, 456}, 503,
	{	OK, visible, sound1,
		OK, visible, sound1,
		OK, visible, sound1,
		OK, visible, sound1	}	};

resource 'DITL' (500) {
	{	{10, 125, 30, 325}, StaticText { disabled,
			"PICS Player 1.0 - Steve Sheets" },
		{100, 80, 120, 180}, Button { enabled, "Load PICS" },
		{100, 260, 120, 360}, Button { enabled, "Quit" },
		{40, 10, 90, 440}, StaticText { disabled,
			"This is an example program that demonstrates how to animate "
			"PICS files.  This program was written for MacTutor magazine." } } };

resource 'DITL' (501) {
	{	{100, 10, 120, 110}, Button { enabled, "Play Once" },
		{100, 230, 120, 330}, Button { enabled, "Read PICS" },
		{100, 340, 120, 440}, Button { enabled, "Quit" },
		{100, 120, 119, 220}, Button { enabled, "Play Loop" },
		{35, 10, 90, 440}, StaticText { disabled,
			"Name: ^0\n"
			"Number of Frames ^1\n"
			"Select the amount of animation, load PICS or exit the program." },
		{10, 125, 30, 325}, StaticText { disabled, 
			"PICS Player 1.0 - Steve Sheets" } } };

resource 'DITL' (502) {
	{	{80, 170, 100, 230}, Button { enabled, "OK" },
		{20, 20, 60, 380}, StaticText { disabled,
			"There was a problem while reading the file \"^0\".  ^1."	}	}	};

resource 'DITL' (503) {
	{	{110, 170, 130, 230}, Button { enabled, "OK"},
		{20, 20, 86, 380}, StaticText { disabled,
			"You are running on a Black & White Macintosh, and the PICS file "
			"you selected contains color information.  There may be a problem "
			"when drawing using Quickdraw.  Proceed with caution."	}	}	};


