#   File:       Test.asm.FPU.make
#   Target:     Test.asm.FPU
#   Sources:    Test.f Mxmpy.FPU.a Dummy.FPU.a
#   Created:    Saturday, 14 April 1990

#  The program built by this makefile measures the time for matrix
#  multiplication, using an assembly-language subroutine which uses
#  the floating-point coprocessor.

Test.FPU.f.o  Test.asm.FPU.make Test.f
	FORTRAN Test.f -mc68030 -mc68882 -o Test.FPU.f.o
Mxmpy.FPU.a.o  Test.asm.FPU.make Mxmpy.FPU.a
	Asm Mxmpy.FPU.a
Dummy.FPU.a.o  Test.asm.FPU.make Dummy.FPU.a
	Asm Dummy.FPU.a

SOURCES = Test.f Mxmpy.FPU.a Dummy.FPU.a
OBJECTS = Test.FPU.f.o Mxmpy.FPU.a.o Dummy.FPU.a.o

Test.asm.FPU  Test.asm.FPU.make {OBJECTS}
	Link -w -t APPL -c '????' 
		{OBJECTS} 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		"{FLibraries}"FORTRANlib.o 
		"{FLibraries}"IntrinsicLib.o 
		-o Test.asm.FPU
