#   File:       Test.asm.make
#   Target:     Test.asm
#   Sources:    Test.f Mxmpy.a Dummy.a
#   Created:    Friday, 13 April 1990

#  The program built by this makefile measures the time for matrix
#  multiplication, using an assembly-language subroutine which uses
#  software floating-point operations.

Test.f.o  Test.asm.make Test.f
	FORTRAN Test.f
Mxmpy.a.o  Test.asm.make Mxmpy.a
	Asm Mxmpy.a
Dummy.a.o  Test.asm.make Dummy.a
	Asm Dummy.a

SOURCES = Test.f Mxmpy.a Dummy.a
OBJECTS = Test.f.o Mxmpy.a.o Dummy.a.o

Test.asm  Test.asm.make {OBJECTS}
	Link -w -t APPL -c '????' 
		{OBJECTS} 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		"{FLibraries}"FORTRANlib.o 
		"{FLibraries}"IntrinsicLib.o 
		-o Test.asm
