/*
**	File mfpriv.h
**	Private header file for mfile.c and mfldef.c.
**
**	Copyright  Eric Schlegel 1987, 1988
*/


/* private declaration of an MFCELL shared by	*/
/* mfile.c and mfldef.c							*/
/* fname : pstring filename						*/
/* ftype : file type							*/
/* fver : file version							*/
/* vrefnum : always a volume refnum				*/
/* dirid : directory id under HFS, 0 under MFS	*/

typedef struct mfcell {
	String(63)	fname;
	OSType		ftype;
	short		fver;
	short		vrefnum;
	short		dirid;
} MFCELL;