; File primes.sch.  (Eval second.)
;
(define primes
  (lambda (n)
    (letrec 
      ((check
        (lambda (i n)
          (letrec 
            ((iter 
              (lambda (n result)
                (if (zero? (remainder n i))
                    (iter (quotient n i) 
                          (1+ result))
                    (if (zero? result)
                        0
                        (cons (cons i result)
                              n))))))
            (iter n 0))))
       (iter 
        (lambda (i n result)
          (if (>=? i n)
              (if (or (not (=? n 1))
                      (null? result))
                  (cons n result)
                  result)
              (let ((attempt (check i n)))
                (if (not (pair? attempt))
                    (iter (if (= i 2)
                              (1+ i)
                              (+ 2 i)) 
                          n
                          result)
                    (iter (if (= i 2)
                              (1+ i)
                              (+ 2 i)) 
                          (cdr attempt)
                          (cons (if (=? (cdar attempt) 
                                        1)
                                    (caar attempt)
                                    (car attempt))
                                result))))))))
      (iter 2 n ()))))
;
(define prime? 
  (lambda (n)
    (if (equal? n (car (primes n)))
        #t
        #f)))
;
(define pow
  (lambda (m n)
    (letrec 
      ((iter
        (lambda (n)
          (if (zero? n)
              1
              (if (odd? n)
                  (* m (iter (1- n)))
                  (let ((half-power 
                         (iter (quo n 2))))
                    (* half-power half-power)))))))
      (iter n))))
;
(define number->compact-church
  (lambda (number)
    (let* ((factors (primes number))
           (converted-factors
            (mapcar 
             (lambda (x)
               (if (pair? x)
                   ((com-pow (number->church 
                              (car x)))
                    (number->church (cdr x)))
                   (number->church x)))
             factors)))
      (letrec
        ((iter
          (lambda (x)
            (if (null? x)
                com-one
                ((com-mul (car x))
                 (iter (cdr x)))))))
        (iter converted-factors)))))
;
(church->number (number->compact-church 120))
;
'done