/*
 * Login Dialog.h - Definitions for 
 *                   Login Dialog.
 *
 * This program built under LSC 3.0
 *
 * Copyright (c) 1988 by Bill Schilit.
 *
 * Edit History:
 *
 *    April 23, 1988     Schilit   Created
 *    May 9, 1988        Schilit   Clean up
 *
 */


#define LOGIN_DLOG 256

enum {           /* DITL for LOGIN_DLOG */
    okItem=1,    /*  OK button */
    nameItem,    /*  edit text name */
    passwdItem,  /*  edit text password */
    myIconItem   /*  the icon */
};

enum {           /* ASCII definitions */
    CR = 0x0d,
    DEL = 0x7f,
    BS = 0x08
};

  /* max chars in a password */
  
#define MAXPWD 10    

  /* max chars in a user name */
  
#define MAXNAME 12   

/* PROTOTYPES */

LoginDialog(char *uName,char *uPasswd);