/*
 * Login Main.c - Main for Login Example.
 *
 * This program built under LSC 3.0
 *
 * Copyright (c) 1988 by Bill Schilit.
 *
 * Edit History:
 *
 *  April 23, 1988     Schilit    Created
 *  May 9, 1988        Schilit    Clean up
 *
 */

/* MacHeaders included */

#include "Login Dialog.h"

#define ALERTID 128

main()
{    
    char User[255];
    char Password[255];
    
    InitGraf(&thePort);
    InitFonts();
    InitWindows();
    InitMenus();
    TEInit();
    InitDialogs(0);
    FlushEvents(everyEvent,0);
    InitCursor();
            
    /* Show the login dialog box and
     * repeat until the user types
     * the matching password.
     */
     
    for (;;) {
    
        /* Call LoginDialog to get user name 
         * and password.
         */
        
        LoginDialog(User,Password);
        
        /* Compare the entered password with
         * "swordfish" -- case doesn't matter
         *  -- and exit if a match.
         */
         
        if (EqualString(Password,
                        "\pSwordFish",
                        false,false))
            ExitToShell();
            
        /* No match, show our alert box with
         * a hint, and repeat the process.
         */
         
        ParamText(User,0,0,0);
        Alert(ALERTID,(ProcPtr) 0);
    }
}

