/*****
 * FILE:		CMacLockPane.h
 * Programmer:	Mark Bykerk Kauffman
 * Date:		1/91
 * Purpose:
 *		Pane class for the MacLock application.
 *
 *****/

#define _H_CMacLockPane	
		
/* Parent Class */
#include <CStarterPane.h>

#include <CButton.h>

struct CMacLockPane : CStarterPane {

	/* Instance Variables	*/
	CButton 	*LockButton;
	Handle		displayedIcon;
	Handle		closedLockIcon;
	Rect		LockLocation;
	Handle		openLockIcon;
	
	/* Methods */
	void		IMacLockPane(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing);
	void		Dispose(void);
	void		DoCommand(long theCommand);								
	void		Draw(Rect *area);
};
