/******************************************************/
/*																									  */
/*	CBrowserApp.h																		  */
/*																									  */
/*	Class definition for Browser application				  */
/*																									  */
/*	Written in Think C version 4.0.2								  */
/*	Based on CStarterApp.h														*/
/*																									  */
/*	Allen Stenger	January 1991											  */
/*																									  */
/******************************************************/

#define	_H_CBrowserApp
#include <CApplication.h>

struct CBrowserApp : CApplication {

	/* No instance variables */

	/* methods - same function as CStarterApp 					*/
	/* except as noted 																	*/
	void	IBrowserApp(void);
	void	SetUpFileParameters(void);
	void	DoCommand(long theCommand);
		/* DoCommand processes the "About" command 			*/
		/* CreateDocument is deleted, since we only open	*/
		/* existing documents															*/
	void	OpenDocument(SFReply *macSFReply);
	void	StartUpAction(short numPreloads);
		/* StartUpAction asks for the first file to open 	*/
};
