/******************************************************/
/*																									  */
/*	CBrowserPane.h																	  */
/*																									  */
/*	Classes for Browser panes												  */
/*																									  */
/*	Written in Think C version 4.0.2								  */
/*	Based on CStarterPane.h														*/
/*																									  */
/*	Allen Stenger	January 1991											  */
/*																									  */
/******************************************************/

#define _H_CBrowserPane
#include <CPanorama.h>

struct CBrowserPane : CPanorama {

	/* instance variables */
	char		**itsDataH; 
		/* handle to text - 															*/
		/*passed from and owned by CBrowserDoc instance		*/
	short		itsLineCt;	
		/* number of lines in **itsDataH 									*/
	short		itsLineHeight; 	
		/* height of a line in this window (pixels) 			*/
	long		**itsLineStartsH;	
		/* line starts table - passed from and owned by 	*/
		/* CBrowserDoc instance - see CBrowserDoc for 		*/
		/* definition																			*/

	/* Methods - same function as CStarterPane except		*/
	/* as noted 																				*/
	void		IBrowserPane(CView *anEnclosure, 
							CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, 
							SizingOption aVSizing,
	/* added parameters follow */
							char **theDataH, 	/* data of file				*/
							short theLineCt,	/* line count of file	*/
							long **theLineStartsH);
								/* line start table of file 					*/
	void		Draw(Rect *area);
};
