/******************************************************/
/*																									  */
/*	LineCount.h																			  */
/*																									  */
/*	Not a class - utility that counts lines in the	  */
/*	file and builds the line starts table.  Separated */
/*	from CBrowserDoc for ease of testing and tuning.	*/
/*	See CBrowserDoc for definition of line starts 		*/
/*	table.																						*/
/*																									  */
/*	Written in Think C version 4.0.2								  */
/*																									  */
/*	Allen Stenger	January 1991											  */
/*																									  */
/******************************************************/

#define _H_LineCount

/* count lines and build line starts table						*/
void DoLineCount( 
	Handle 	textHandle,		/* handle to text 						*/
	short		*theLineCtP,	/* output - line count 				*/
	long		***theLineStartsHP ); /* output - line 			*/
												/* starts table 							*/
