/******************************************************/
/*																									  */
/*	Search.h																				  */
/*																									  */
/*	Not a class - utility routines for string 			  */
/*	searching.  Separated from CBrowserDoc for ease		*/
/*	of testing and tuning.													  */
/*																									  */
/*	Written in Think C version 4.0.2								  */
/*																									  */
/*	Allen Stenger	January 1991											  */
/*																									  */
/******************************************************/

#define _H_Search

/* Find next occurrence of search string */
Boolean GoFind(	
	Handle	theTextH, 	/* Handle to text 							*/
	long 		*offsetP);	/* offset into *theTextP to 		*/
											/* start search, also returned 	*/
											/* as the offset where string 	*/
											/* is found 										*/
 	/* returns TRUE if found, FALSE if not found */

/* Get search string from user and store.  Entering a */
/* null string resets the saved search string.				*/
Boolean GetSearchString( void ); 
	/* returns TRUE if user supplies non-empty string, 	*/
	/* FALSE if user cancels or supplies empty string		*/
	
Boolean HaveSearchString( void );
	/* returns TRUE if non-empty search string has been */
	/* entered																					*/
		