/**************************************
	cDotsPane.h
****************************************/

#define _H_cDotsPane
#include <CPanorama.h>
#include "dotsTypes.h"

struct cDotsPane : CPanorama {
	
		/* Initialization */
	void		IDotsPane(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing);

		/* Overrides */
	void		Draw(Rect *area);
	void		DoClick(Point hitPt, short modifierKeys, long when);

		/* Additional */
	void		drawCorner(int row, int col);
	void		box2Rect(int row, int col, Rect *r);
	void		dot2Rect(int row, int col, Rect *r);
	void		dotCenter(int row, int col, Point *center);
	void		line2Pt(tLineDir direction, int row, int col, Point *pt);
	void		line2Rect(tLineDir direction, int row, int col, Rect *r);
	Boolean		pt2Line(Point pt, tLineDir *direction, int *row, int *col);
	void		invalLine(tLineDir direction, int row, int col);
	void		invalBox(int row, int col);
};
