#pragma mark Header
/***************************/
/* DebugAids.h
	Header file for DebugAids.c
	Defines whether debugging is done
	and whether a debugger is installed
	6/5/91 - Created by Kirk Chase */
/***************************/

#pragma mark #defines
#define _H_DebugAids /* THINK C one time header inclusion flag */

/*#define PROFILE*/ /* Profile options on */
#define DEBUG /* install debugging features */
/*#define DEBUGGER*/ /* install debugger features */
/*#undef THINK_C*/  /* uncomment for pure generic C features */

#ifndef DEBUG
#undef DEBUGGER
#endif

#ifndef THINK_C
#undef PROFILE
#endif

#pragma mark #includes
#include <setjmp.h>

#pragma mark Prototypes
extern SigHandler(int sig); /* set up jumps and signals */
extern CheckOptionAbort(void); /* checks if cmd-. is down on mac */
extern void UserAbort(int sig); /* forced cmd-. signal if SIGINT is passed */
