PROGRAM SSUTestApp;

  USES MemTypes, Quickdraw, OSIntf, ToolIntf, PackIntf, SegLoad, SSU, MenuTest;
	
	CONST
		eternity	= FALSE;
				
	{-----------------------------------------------------------------}
  PROCEDURE InitStuff;
	
		BEGIN
			InitGraf(@thePort);
			InitFonts;
			InitWindows;
			InitMenus;
			TEInit;
			InitDialogs(NIL);
			InitCursor;
			InitSSU;
		
		END; {Initialize}
	
	
	{-----------------------------------------------------------------}
	PROCEDURE DoEvent(event: EventRecord);
		
		VAR
			part		: INTEGER;
			window	: WindowPtr;
			key			: CHAR;
			ignore	: BOOLEAN;
		
		BEGIN
			CASE event.what OF
				mouseDown: BEGIN
					part := FindWindow (event.where, window);
					CASE part OF
						inMenuBar: BEGIN
							DoMenuCommand (MenuSelect(event.where));
						END;
						inSysWindow:
							SystemClick(event, window);
						inContent:
							IF window <> FrontWindow THEN BEGIN
								SelectWindow(window);
							END ELSE
								{DoContentClick (window, event)};
						inDrag:;
						inGrow:;
						inZoomIn, inZoomOut:;
					END;
				END;
				
				keyDown, autoKey: BEGIN
					key := CHR(BAnd(event.message, charCodeMask));
					IF BAnd(event.modifiers, cmdKey) <> 0 THEN BEGIN	{Command key down}
						IF event.what = keyDown THEN BEGIN
							DoMenuCommand(MenuKey(key));
						END;
					END;
				END;

			END;
		END; {DoEvent}
	
	{-----------------------------------------------------------------}
	PROCEDURE EveLooper;
	VAR	cursorRgn	: RgnHandle;
			event			: EventRecord;
			sleepVal	: LongInt;
	BEGIN
		cursorRgn := NewRgn;		{we'll pass an empty region to WNE the first time thru}
		sleepVal := 10000;
		REPEAT
			IF WaitNextEvent(everyEvent, event, sleepVal, cursorRgn) THEN DoEvent(event);
		UNTIL eternity;
	END; {EventLoop}
	

  PROCEDURE _DATAINIT;
    EXTERNAL;

{This routine is part of the MPW runtime library. This external
 reference to it is done so that we can unload its segment, %A5Init.}

  BEGIN
    UnLoadSeg(@_DATAINIT);
		InitStuff;
		IF NOT SetUpMenus THEN
			{ errorAlert };
		BlockClear (@gSSUList, SizeOf(gSSUList));
		DoSSUDlog;
		EveLooper;
  END.