{ ******************************************************** }
{ "wBMInterface.p"                                         }
{                                                          }
{ by John A. Love, III [ Washington Apple Pi Users' Group] }
{                                                          }
{ using Symantec's "THINK Lightspeed Pascal", v 3.02       }
{                                                          }
{ ******************************************************** }


UNIT wBMInterface;

INTERFACE



{ ----------------------}
{ Memory Manager stuff: }
{ ----------------------}

	FUNCTION NewClearHandle (logicalSize: Size): Handle;
	INLINE

{ The PASCAL-supplied interface is denoted with "***":                   }
{                                                                        }
{ ***            subq.w    #4,sp                                         }
{ ***            move.l    logicalSize,-(sp)                             }
{ $201F:         move.l    (sp)+,d0          ; Size                      }
{ $A322:         _NewHandle,clear                                        }
{ $31C00220:     move.w    d0,MemErr                                     }
{ $2E88:         move.l    a0,(sp)           ; FUNCTION result on Stack. }
{ ***            move.l    (sp)+,xxxx                                    }

		$201F, $A322, $31C0, $0220, $2E88;


	FUNCTION NewSysHandle (logicalSize: Size): Handle;
	INLINE
		$201F, $A522, $31C0, $0220, $2E88;


	FUNCTION NewSysClearHandle (logicalSize: Size): Handle;
	INLINE
		$201F, $A722, $31C0, $0220, $2E88;


	FUNCTION NewClearPtr (logicalSize: Size): Ptr;
	INLINE
		$201F, $A31E, $31C0, $0220, $2E88;


	FUNCTION NewSysPtr (logicalSize: Size): Ptr;
	INLINE
		$201F, $A51E, $31C0, $0220, $2E88;


	FUNCTION NewSysClearPtr (logicalSize: Size): Ptr;
	INLINE
		$201F, $A71E, $31C0, $0220, $2E88;


IMPLEMENTATION



END.   { UNIT = wBMInterface }