/* 

							The root-level Object Class
	
		Abstract class which is at the root of the class hierarchy. CObject
		is the only class which does not have a superclass.	

	SUPERCLASS = None
	
	Copyright  1989 Symantec Corporation. All rights reserved.
	
	Modified by Rob, 900116

	 */

#include <oops.h>
#include "CObject.h"

/*  base object  */

/******************************
 *
 *		Dispose - Dispose of an object by freeing the block of memory it occupies
 */
void	CObject::Dispose()
	{
	delete ( this );
	}


/******************************
 *
 *		Copy - make a copy of an object.
 */
 CObject*	CObject::Copy()
	{
	Handle		copyOfObject;
	
	copyOfObject = (Handle) this;
	HandToHand ( &copyOfObject );
	return ( (CObject*) copyOfObject );
	}