{	File: BWtc.p}

{	COPYRIGHT  1989 Silicon Beach Software, Inc.}
{	All Rights Reserved}

{ Modified by Allen Stenger, July 1991, to add }
{ missing fields fillPatNone, linePatNone }


unit BWtc;

interface


	const
		PaintOpaque = patCopy;
		PaintTransparent = patOr;
		PaintOnBlack = notPatBic;
		InvertPaint = patXor;

	{ toolAbout return codes }
		noAbout = 1;
		textAbout = 2;

	{Command codes}
		menuAbout = 0;
		menuOptions = 10;
		menuSelected = 11;

		verNum = $0001;

	type

		MenuOptionsRec = record
				UsesScratch: boolean;
			end;

		MenuOptionsPtr = ^MenuOptionsRec;

		MenuDataRec = record
				toolID: integer;
				spare1: integer;
				spare2: integer;
				spare3: integer;
				spare4: integer;
				spare5: integer;
				spare6: integer;
				spare7: integer;
				shiftIsDown: boolean;
				cmdIsDown: boolean;
				optIsDown: boolean;
				spareFlag: boolean;
				fillPatNone: boolean;
				linePatNone: boolean;
				subMenu: MenuHandle;
				MenuItem: integer;
				scratchBits: BitMap;
				lassoMaskBits: BitMap;
				undoBits: BitMap;				{ pointer to undo bits }
				selectRect: Rect;				{ selection rectangle in document coords }
				curFillPat: Pattern;			{ current fill pattern }
				curPatList: Handle;			{ handle to currently selected pattern list }
			end;

		MenuDataPtr = ^MenuDataRec;

implementation

end.