/*----------------------------------
#	MultiFinder-Aware Simple NoDraft Application
#
#	NoDraft
#
#	NoDraft.h	-	Nodraft header manifest
#
#	NoDraft is an example application that
#	demonstrates how to modify Print Dialogs.
#
---------------------------------*/

#define kMinSize	128	/* minimum size (K) */

#define kPrefSize	128	/* pref'd size (K) */

/* The following are indicies into STR# resources. */
#define	eWrongMachine			1
#define	eSmallSize				2
#define	eNoMemory				3
#define	eNoWindow				4
#define eUnknown				1

#define	rMenuBar	128		/* app's menu bar */
#define	rAboutAlert	128		/* about alert */
#define	rUserAlert	129		/* error user alert */
#define	rWindow		128		/* A window */
#define	kErrStrings	128		/* error strings */

#define	kSysEnvironsVersion		1

#define	kOSEvent		app4Evt	/* used by MF */
#define	kSuspendResumeMessage	1	
#define	kResumeMask				1
#define	kMouseMovedMessage		0xFA
#define	kNoEvents				0

#define	mApple					128		/* Apple menu */
#define	iAbout					1

#define	mFile					129		/* File menu */
#define	iNew					1
#define	iClose					4
#define	iPSetUp					9
#define	iPrint					10

#define	iQuit					12

#define	mEdit					130		/* Edit menu */
#define	iUndo					1
#define	iCut					3
#define	iCopy					4
#define	iPaste					5
#define	iClear					6

#define abs(x)		( (x) < 0 ? -(x) : (x))
#define MAX(x, y)	( (x) > (y) ? (x) : (y) )

#define kMinHeap				21 * 1024	 
#define kMinSpace				8 * 1024

/* used to set enable/disable flags of a menu */

#define AllItems	0b1111111111111111111111111111111	/* 31 flags worth */
#define NoItems		0b0000000000000000000000000000000
#define MenuItem1	0b0000000000000000000000000000001
#define MenuItem2	0b0000000000000000000000000000010
#define MenuItem3	0b0000000000000000000000000000100
#define MenuItem4	0b0000000000000000000000000001000
#define MenuItem5	0b0000000000000000000000000010000
#define MenuItem6	0b0000000000000000000000000100000
#define MenuItem7	0b0000000000000000000000001000000
#define MenuItem8	0b0000000000000000000000010000000
#define MenuItem9	0b0000000000000000000000100000000
#define MenuItem10	0b0000000000000000000001000000000
#define MenuItem11	0b0000000000000000000010000000000
#define MenuItem12	0b0000000000000000000100000000000

#define	cr		0x0d
#define	enter	0x03

#define delay_length	512
