/*						TextWindow.h					*/
/*
 * TextWindow
 *	Superclass:	AuxWindow
 */ 
#define _H_TextBox
#include <CApplication.h>
#include <CPane.h>
#include "AuxWindow.h"
#include "TextPane.h"

struct TextWindow : AuxWindow {
	struct TextPane		*itsTextPane;

	/*
	 * Create a text window. The parameters
	 * are passed on to AuxWindow (except
	 * for fontName and fontSize that are
	 * needed by the TextPane.
	 */
	void					ITextWindow(
		CApplication	*aSupervisor,
		short			aWindowId,
		Boolean			isFloating,
		Boolean			hideOnSuspend,
		long			toggleCmd,
		short			showHideRes,
		StringPtr		fontName,
		short			fontSize
	);
	/*
	 * Write a message into the TextPane.
	 */
	void					SetText(
		StringPtr		someText
	);
};
