/*********************************************************
 "CmyBar.c"

 by John A. Love, III [Washington Apple Pi Users' Group]

 using Symantec's "THINK C", v 5.0.1
 ... as derived from their "TCL Starter" files
 *********************************************************/




#include <Commands.h>
#include <Balloons.h>

#include "CmyBar.h"



long	CmyBar::FindCmdNumber (short MENUid, short itemNo)	{
/* There are problems in TCL's handling of the Balloon Help MENU.
** For example, IBartender calls _GetMenu(id) which is NOT valid
** for the Help MENU.  Further, the problems snowball from there. */

		long	result;
		
		
	result = inherited::FindCmdNumber(MENUid, itemNo);
	if (result == cmdNull && MENUid == kHMHelpMenuID)
		// Since kHMHelpMenuID is already negative, do as _MenuSelect:
		result = ( (long)MENUid << 16 ) + itemNo;
	
	return (result);

}	/* FindCmdNumber */




/* end: "CmyBar.c" */
