/*********************************************************
 "CmyBitMapPane.c"

 by John A. Love, III [Washington Apple Pi Users' Group]

 using Symantec's "THINK C", v 5.0.1
 ... as derived from their "TCL Starter" files
 *********************************************************/




#include "CmyBitMapPane.h"




void	CmyBitMapPane::ImyBitMapPane(CView *anEnclosure,
									 CBureaucrat *aSupervisor,
									 short aWidth, short aHeight,
									 short aHEncl, short aVEncl,
									 SizingOption aHSizing, SizingOption aVSizing,
									 LongRect *aBounds,
									 CmyBitMap *aBitMap,
									 Boolean makePort)		{
					  
					  
	CPanorama::IPanorama(anEnclosure, aSupervisor,
						 aWidth, aHeight,
						 aHEncl, aVEncl,
						 aHSizing, aVSizing);
	
	bounds = *aBounds;
	position.h = bounds.left;
	position.v = bounds.top;
	
	if (aBitMap == NULL)	{
		itsBitMap = new (CmyBitMap);
		itsBitMap->IBitMap(aBounds->right - aBounds->left,
						   aBounds->bottom - aBounds->top, makePort);
 		itsBitMap->SetBoundsOrigin(aBounds->left, aBounds->top);
	}
	
	else	itsBitMap = aBitMap;
	
	autoRefresh = FALSE;
	
}	/* ImyBitMapPane */




/* end: "CmyBitMapPane.c" */