/*********************************************************
 "CmyMisc.h"

 by John A. Love, III [Washington Apple Pi Users' Group]

 using Symantec's "THINK C", v 5.0.1
 ... as derived from their "TCL Starter" files
 *********************************************************/




#define	_H_CmyMisc


#include <CApplication.h>
#include <CDocument.h>
#include <CPicture.h>
#include <TBUtilities.h>

#include "CmyGlobals.h"
#include "CmyBitMapPane.h"


struct CSpiffyGraphics : CDocument		{

	// Instance variable(s):
	CmyBitMapPane	*bragOSBMPane;		/* For spiffy iris methods: */
	PicHandle		centeredPic;
	CPicture		*pict;				/* For spiffy scroll methods. */
	
	// Instance Methods:
	
		/* Contruction/Destruction */
	void	ISystem7Braggart (CApplication *itsSupervisor);
	void	DisposeSystem7Braggart (void);
	
	void	ISpiffyIris (CApplication *itsSupervisor);
	void	DisposeSpiffyIris (void);
	
	void	ISpiffyScroll (CApplication *itsSupervisor);
	void	DisposeSpiffyScroll (void);
	
		/* Accessing */
	void	DisplaySystem7Braggart (void);
	void	DisplaySpiffyIris (void);
	void	DisplaySpiffyScroll (void);

};


// Other Prototypes:
Boolean		AnyKeyHasBeenPressed (void);
Boolean		MouseHasBeenClicked (void);
void		CenterRects (Rect *srcRect, Rect *withinRect);
Boolean		aDAisUp (WindowPeek macWindow);
void		PlaySound (Str255 mySound);
long		GetStripAddressMask (void);
Ptr			QuickStrip (long *myPtr);
Boolean		WINDResourceHasSystem7Field (CWindow *theWindow);
GDHandle	GetMaxAreaDevice (Rect *globalRect);




/* end: "CmyMisc.h" */