/*********************************************************
 "CmyPane.h"

 by John A. Love, III [Washington Apple Pi Users' Group]

 using Symantec's "THINK C", v 5.0.1
 ... as derived from their "TCL Starter" files
 *********************************************************/




#define _H_CmyPane

#include <CPanorama.h>



struct CStarterPane : CPanorama {

					/** Contruction & Destruction **/
	void		IStarterPane (CView *anEnclosure, CBureaucrat *aSupervisor,
							  short aWidth, short aHeight,
							  short aHEncl, short aVEncl,
							  SizingOption aHSizing, SizingOption aVSizing);

					/** Drawing **/
	void		Draw (Rect *area);

					/** Mouse **/
	void		DoClick (Point hitPt, short modifierKeys, long when);
	Boolean		HitSamePart (Point pointA, Point pointB);
	
					/** Cursor **/
	void		AdjustCursor (Point where, RgnHandle mouseRgn);

					/** Scrolling **/
	void		ScrollToSelection (void);
	
};




/* end: "CmyPane.h" */