/****************************************
 "about.h"

 by Joe Pillera [ MacTutor, January 1990]

 using Symantec's "THINK C", v 5.00
 ****************************************/
 
 
#define	_H_about						// #pragma once


	

#define		HTBL_RSRC			128
#define		MAX_TOPICS			50
#define		Help_Window			300
#define		Help_Error			301

// Parts of Help Window:
#define		OK_Button			ok		/* = 1 from <Dialog.h> */
#define		Topics_Area			2
#define		Display_Area		3
#define		Next_Button			4
#define		Prev_Button			5
#define		Mast_Head			6
#define		Message_Area		7

#define		Initial_Picture		0		/* 1st screen in a series. */

#define		ON		0					/* ... for hiliting Buttons. */
#define		OFF		255

typedef	enum	{
	noMode = -1,
	pict,
	text
}	ViewMode;

typedef	enum	{
	err_no_HTBL,				/* Missing Help Table. */
	err_min_res,				/* Not enough Help screens specified. */
	err_intro_pict,				/* Intro screen MUST be a picture. */
	err_bad_type,				/* Neither text nor a picture. */
	err_no_pict,				/* Where, oh where */
	err_no_text					/*  has it gone ?? */
}	ErrorTypes;

typedef	struct	{
	ViewMode		screen_mode;
	short			resource_start;
	short			resource_end;
	Str255			topic_name;
}	HelpTopic;

typedef	struct	{
	short		First_Menu;
	short		Last_Menu;
	short		Num_Of_Topics;
	HelpTopic	topics[MAX_TOPICS];
}	HelpInfo, *HelpInfoPtr, **HelpInfoHdl;

typedef Ptr			charPtr;	/* typedef char*	charPtr; */
typedef charPtr*	varedPtr;




/*	{ end file "about.h" }  */
