/*********************************************************
 "extern.h"

 by John A. Love, III [ Washington Apple Pi Users' Group]

 using Symantec's "THINK C", v 5.00
 *********************************************************/
 
 
#ifndef	__EXTERNALS__
#define	__EXTERNALS__

#ifndef	__GLOBALS__
#include "globals.h"
#endif




/* --------------------------------------
   External references to Global storage:
   -------------------------------------- */

 /* High Level Events: */
	extern	OSErr				noAppleEventsErr;
	extern	OSErr				noPPCToolboxErr;
	extern	OSErr				gInitPPCToolbox, gInitAppleEvents;
	extern	Boolean				gHasPPCToolbox;

 /* Help Manager: */
	extern	Boolean				gStartBalloons, gBalloonsUp, gSaveBalloons;
	extern	short				gOrigNumHelpItems;
	extern	short				gLastBalloon;
	extern	aDynamicBalloon		gDynamicBalloons[15];

 /* ... for Radius' BIG screens: */
	extern	RadiusData			gFPDRsrc;
	extern	short				gMBarHt, gSizeFont;

 /* General stuff ... */
 	extern	EventRecord			gEvent;
	extern	long				gStripAddressMask;
	extern	Boolean				gMac2, gSys7, gWNE;
	extern	short				gColorDepth;
	extern	MenuHandle			gAppleMenu, gFileMenu, gEditMenu, gHelpMenu;
	extern	WindowPtr			gFW;
	extern	Boolean				gInForeGround, gDone, gCurrDA;




#endif


/*	{ end file "extern.h" }  */
