//------------------------------------------------------------------------------
//	IconEdit.cp - A sample MacApplication in MPW C++.
//
//	Written by K.L. Colclasure for MacTutor, Dec 3, 1989
//	Copyright  1989 MacTutor, all rights reserved.
//
//	Based upon the Object Pascal IconEdit application from
//	the MacApp 2.0 Tutorial.
//------------------------------------------------------------------------------

// These standard types are missing from MPW 3.0 Types.h:
typedef signed char	SignedByte;
typedef unsigned char	Byte;
typedef enum { v, h }	VHSelect;

#include <UMacApp.h>
#include <UIconEdit.h>

// Global holds a reference to the TIconApplication object.
TIconApplication		*gIconApplication;

short main () {
	// Initialize the Mac Toolbox
	InitToolBox ();
	//  and MacApp, eight calls to MoreMasters.
	InitUMacApp (8);
	
	// Create the TIconApplication object.
	gIconApplication = new TIconApplication;
	FailNIL (gIconApplication);
	// Initialize it.
	gIconApplication->IIconApplication (kFileType);
	// Run the application.
	gIconApplication->Run ();
}

