C
C	very short main program
C
	CALL COMMUT(20)
	PAUSE
	END
C
C
	SUBROUTINE COMMUT( NUMTRY)
C
	Implicit None
	
	INTEGER 	DEFECT
	REAL		ULPPLS, ULPMIN

	REAL FP0, FP1, FP2, FP3, HALF
C
	INTEGER NUMTRY
	REAL R9, X, X9, Y, Y9, Z, Z9
	INTEGER I, NN
C

	FP0 = 0
	FP1 = 1
	FP2 = FP1+FP1
	FP3 = FP2+FP1
	HALF = FP1 / FP2
	ULPMIN = 5.96046440E-08
	ULPPLS = 2.0*ULPMIN
	
2920	WRITE(*,2921) NUMTRY
2921	FORMAT(/' Does multiplication commute?',
     1		 ' Testing if  x*y = y*x  for', I4,' random pairs:')
2930	R9 =  SQRT(FP3)
	I = NUMTRY + 1
	X9 = FP0 / FP3
2960	CALL RANDOM (X, Y, X9, R9)
	Y9=X9
	CALL RANDOM (X, Y, X9, R9)
	Z=X9*Y9
	Y=Y9*X9
	Z9=Z-Y
	I=I-1
	IF (I .GT. 0 .AND. Z9 .EQ. FP0) GOTO 2960
2970	IF (I .GT. 0) GOTO 3000
2980	X9=FP0+HALF/FP3
	Y9=(ULPPLS+ULPMIN)+FP0
	Z=X9*Y9
	Y=Y9*X9
	Z9=(FP0+HALF/FP3)*((ULPPLS+ULPMIN)+FP0)
     1 -((ULPPLS+ULPMIN)+FP0)*(FP0+HALF/FP3)
	IF (Z9 .NE. FP0) GOTO 3000
	WRITE(*,2990) NUMTRY
2990	FORMAT(' No failure found in ',I4,' randomly chosen pairs.')
	RETURN
3000	DEFECT=DEFECT+1
	WRITE(*, 3001) X9, Y9
	WRITE(*, 3002) Z, Y, Z9
	NN=NUMTRY-I+1
	WRITE(*, 3003) NN
3001	FORMAT(' DEFECT:  x*y = y*x  violated at  x = ',E15.7,', y = ',
     1 E15.7)
3002	FORMAT('  x*y =',E15.7,',  y*x =',E15.7,',  x*y-y*x =',E15.7)
3003	FORMAT('    ... pair no.', I4)
	RETURN
	END
C---
	SUBROUTINE RANDOM (X, Y, X9, R9)
	REAL X, Y, X9, R9
2950	X=X9+R9
	Y=X*X
	Y=Y*Y
	X=X*Y
	Y=X-AINT(X)
	X9=Y+X*.000005
	RETURN
	END
