/*------------------------------------------------------------------------------
#
#	Alias Meister.h	-	used with Rez and C source files
#	Version 1.0
#
#	Copyright  1992 Tim Swihart
#	All rights reserved.
#	
#	October 10, 1992 (v.1.0)
#
------------------------------------------------------------------------------*/

#define	AppName			"Alias Meister"
#define	AppVers			"v.1.0"
#define	CopyrightNotice	" October 10, 1992 Tim Swihart\nAll Rights Reserved"
#define	AuthorCredit	"by Tim Swihart"
#define	ApplCreator		'AM10'	// Application signature
#define	docsFileType	'TimS'	// file type for documents created by this app

// Resource IDs:

#define	StopIconID			0		// Stop sign icon

#define	rBundle				128		// Application bundle
#define	rSignature			0		// Signature resource
#define	rRefAPPL			128		// APPL file reference
#define	rRefDoc				129		// document file reference
#define	rRefStar			130		// lets all files be dropped on our icon
#define	rRefDisk			131		// lets disks be dropped on our icon
#define	rRefFold			132		// lets folders be dropped on our icon
#define rIconAPPL			128		// Application ICN#
#define rIconDoc			129		// document ICN#

#define	rAboutBox			128		// About box
#define	rNotSystem7			129		// Alert box

#define	rHelpString			128		// Finder help string

#define	kMyCustomDlogID		2362	// ID for CustomGetFile dialog
#define	kMyAlisID			128		// ID for our 'alis' resource
#define	kFndrAlisID			0		// ID for 'alis' resource in Finder alias file
#define	kUseBtnID			10		// item number for "Use Current Directory" button
#define	kSelectBtnID		11		// item number for "Select" button

// Menu and Menu Item IDs:
// (Note: I'm using Menu resource IDs that are the same as Menu IDs)

#define	rMenuBar		128				// application's menu bar

#define	mApple			128				// Apple menu
#define	iAbout			1

#define	mFile			129				// File menu
#define	iQuit			1

#define	mEdit			130				// Edit menu
#define	iUndo			1
#define	iCut			3
#define	iCopy			4
#define	iPaste			5
#define	iClear			6
#define	iSelectAll		7

// Miscellaneous:

#define kMinSize		35			// minimum partition size (in K)
#define kPrefSize		40			// preferred partition size (in K)

// Application constants

#define kDITop			0x0050		// top coord for disk init dialog
#define kDILeft			0x0070		// left coord for disk init dialog

/* Use these to set the enable/disable flags of a menu: */
#define AllItems		0b1111111111111111111111111111111	/* 31 flags */
#define NoItems			0b0000000000000000000000000000000
#define MenuItem1		0b0000000000000000000000000000001
#define MenuItem2		0b0000000000000000000000000000010
#define MenuItem3		0b0000000000000000000000000000100
#define MenuItem4		0b0000000000000000000000000001000
#define MenuItem5		0b0000000000000000000000000010000
#define MenuItem6		0b0000000000000000000000000100000
#define MenuItem7		0b0000000000000000000000001000000
#define MenuItem8		0b0000000000000000000000010000000
#define MenuItem9		0b0000000000000000000000100000000
#define MenuItem10		0b0000000000000000000001000000000
#define MenuItem11		0b0000000000000000000010000000000
#define MenuItem12		0b0000000000000000000100000000000
#define MenuItem13		0b0000000000000000001000000000000
#define MenuItem14		0b0000000000000000010000000000000


/* Added by Technical Editor of MacTech Magazine */
#ifndef kIsAlias
#define	kIsAlias		15
#endif
