/**************************************************************
 * BDisplayOutput.h
 *
 * Display the contents of a Handle in a text screen.
 *
 *  copyright 1991, KSS Scientific Consultants.
 *
 **************************************************************/

#define _H_BDisplayOutput

#include "BEditDoc.h"

class BDisplayOutput : public BEditDoc
{
private:
	//static Boolean		fQuitStatus;
	Boolean		fQuitStatus;

public:	
	void	IBDisplayOutput(CApplication *anApplication, Boolean printable);
	
	void	BuildWindow (Handle theData);
	void	EventManagement(void);
	void	DisplayRun(Handle theText);
	virtual void	CloseWind(CWindow *theWindow);
	virtual void	DoCommand(long theCommand);

private:
	virtual void 	SetQuitStatus(Boolean status);
	virtual Boolean	GetQuitStatus(void);
};
