#ifndef __DEMODOCUMENT__

#define __DEMODOCUMENT__	1

#include <MacApp.h>
#include <UFileBasedDocument.h>
#include "TReportPrinter.h"

const	short	kMainView = 1000;			// main view res. ID
const	IDType	kNumberOfLines = 'VW06';

class TDemoDocument: public TFileBasedDocument {
	private:
		long	fLineCount;
		TNumberText *fLineCountText;
		TReportPrinter	*fReportPrinter;
	public:
		virtual pascal void Initialize();
		virtual pascal void IDemoDocument(TFile* itsFile, OSType itsScrapType);
		virtual pascal void DoMakeViews(Boolean forPrinting);
		virtual pascal void DoRead(TFile *aFile, Boolean forPrinting);
		virtual pascal void DoWrite(TFile* aFile, Boolean makingCopy);
		virtual pascal void DoMenuCommand(CommandNumber aCommandNumber);
		virtual pascal void DoSetupMenus();
};

#endif