/*********************************************************
 "CmyApp.h"

 by John A. Love, III [Washington Apple Pi Users' Group]

 using Symantec's "THINK C", v 5.0.2
 ... as derived from their "TCL Starter" files
 *********************************************************/




#define	_H_CmyApp


#include <CApplication.h>

#include "CmyTear.h"


struct CMovieApp : CApplication {

		// One instance variable:
		CTearMenuDir	*itsTearMenu;


	void	IMovieApp (void);
	void	InitToolbox (void);
	void	MakeClipboard (void);
	void	SetUpFileParameters (void);
	
	void	MemoryShortage (Size bytesNeeded);
    
	void	StartUpAction (short numPreloads);
	
	void	Idle (EventRecord *macEvent);

	void    MakeBartender (void); 
	void    SetUpMenus (void); 
    void    UpdateMenus (void); 

    void    SwitchToDA (void); 
    void    SwitchFromDA (void); 

	void	DoCommand (long theCommand);
	void	DoKeyDown (char theChar, Byte keyCode, EventRecord *macEvent);
    
	void	Exit (void);

	void	CreateDocument (void);
	void	ChooseFile (SFReply *macSFReply);
	void	OpenDocument (SFReply *macSFReply);
	
	void	MakeDesktop (void);			/* So we can have floating windows. */
	void	Suspend (void);
	void	Resume (void);
	
};	/* CMovieApp */




/* end: "CmyApp.h" */
