/* pXFCN.h
 *
 * Declaration code for pXFCN library
 *
 */

#include	"HyperXCmd.h"

Handle LoadXCMD(short Count, ...);
char *StrCpy(char *s1, char *s2);
void JumpToXCMD(XCmdPtr ParamPtr, Handle CodeAddr);
void SwitchXCMD(void);

/* request codes */
enum {  
	xreqSendCardMessage = 1,
	xreqEvalExpr,
	xreqStringLength,
	xreqStringMatch,
	xreqSendHCMessage,
	xreqZeroBytes,
	xreqPasToZero,
	xreqZeroToPas,
	xreqStrToLong,
	xreqStrToNum,
	xreqStrToBool,
	xreqStrToExt,
	xreqLongToStr,
	xreqNumToStr,
	xreqNumToHex,
	xreqBoolToStr,
	xreqExtToStr,
	xreqGetGlobal,
	xreqSetGlobal,
	xreqGetFieldByName,
	xreqGetFieldByNum,
	xreqGetFieldByID, 
	xreqSetFieldByName,
	xreqSetFieldByNum, 
	xreqSetFieldByID,
	xreqStringEqual, 
	xreqReturnToPas,
	xreqScanToReturn,
	xreqScanToZero = 39   /* was suppose to be 29!  Oops! */
};

