
/*
if you want to run a script from within a UCMD, add this file to your
project.
*/

#include "ucmd.h"


pascal Boolean runscript (Handle hscript, Handle *hreturns) {
	
	AppleEvent event, reply;
	Boolean flhavereply = false;
	Boolean fl = false;
	Str255 errorstring;
	
	*hreturns = nil;
	
	if (!IACnewsystemverb ('fast', 'dosc', &event))
		return (false);
	
	IACglobals.event = &event;
	
	if (!IACpushtextparam (hscript, '----'))
		goto exit;
		
	if (!IACsendverb (&event, &reply))
		goto exit;
	
	flhavereply = true;
	
	IACglobals.reply = &reply;
	
	if (IACiserrorreply (errorstring)) {
		
		Handle h;
		long len = errorstring [0];
		
		h = NewHandle (len);
		
		if (h == nil)
			goto exit;
		
		BlockMove (&errorstring [1], *h, len);
		
		*hreturns = h;
		
		goto exit;
		}
		
	IACglobals.event = &reply; /*get the string from the reply record*/
	
	fl = IACgettextparam ('----', hreturns);
	
	if (fl)
		fl = HandToHand (hreturns) == noErr;
	
	exit:
	
	AEDisposeDesc (&event);	
	
	if (flhavereply)
		AEDisposeDesc (&reply);
	
	return (fl);
	} /*runscript*/
	
	
