unit XMGlobals;
	{ Include this unit in both the app and all external module projects. }

interface
	type
		xmPtr = ^xmBlock;
		xmBlock = record
				request: integer;
				result: integer;
				param: array[1..8] of longint;
				callbackAddr: ProcPtr;
				XMODResName: OSType;
			end;

	const
		xmSuccess = 0;							{ result codes in either direction }
		xmFail = -1;
		xmUnknownRequest = -2;
		xmUnknownGlobal = -3;
		xmCantLoadCode = -4;
		xmTooManyMenus = -5;

		xreqNewXMWindow = 5001;			{ app must respond to these }
		xreqCloseXMWindow = 5002;
		xreqSetGlobal = 5003;
		xreqGetGlobal = 5004;
		xreqGetMenu = 5005;
		xreqCountWindows = 5006;
		xreqGetIndWindow = 5007;
		xreqSimpleAlert = 5008;

		areqOpen = 7000;						{ externals must respond to these }
		areqClose = 7001;
		areqDoEvent = 7002;
		areqGetInfo = 7003;
		areqCountCommands = 7004;
		areqGetIndCommand = 7005;
		areqGetErrorInfo = 7006;
		areqDoCommand = 7007;

implementation
end.