/* PMD_Set_Up_Problem */

/* File name: Set_Up_Problem.h */
/* Function: Handle a modeless dialog */
/*            This dialog operates like a window, it is not modal. */
/*           Opened by:     */
/*           Closed by:      */
/*          Purpose:       
History: 5/6/93 Original by Jay Anderson
   */



/* ======================================================= */
/* Initialize the flag for this dialog, for other routines to use */
void Init_Set_Up_Problem(void);

/* We were moved on the screen, or to another screen. */
void Moved_Set_Up_Problem(Rect *OldRect, WindowPtr theWindow);

/* Update the display of this dialog, when an area is uncovered. */
void Update_Set_Up_Problem(WindowPtr theWindow);

/* Open the dialog and display it on the screen. */
void Open_Set_Up_Problem(void);

/* Handle any events for this dialog, when it is active. */
void Do_Set_Up_Problem(EventRecord *theEvent, WindowPtr theWindow, short itemHit);

/* Close this dialog and release it from memory. */
void Close_Set_Up_Problem(WindowPtr theWindow);

/* ======================================================= */


