/****
 * CAppPiPane.h
 *
 *	Pane class for a typical application.
 *
 ****/

#define _H_CAppPiPane			/* Include this file only once */
#include "CPanorama.h"

struct CAppPiPane : CPanorama {
	char		*pi;
	long		time;
	long		numDigits;
									/** Contruction/Destruction **/
	void		IAppPiPane(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing);

									/** Drawing **/
	void		Draw(Rect *area);
	void		SetContent (char *result, long ticks, long digits);
	char		*GetContent (void);

									/** Mouse **/
	void		DoClick(Point hitPt, short modifierKeys, long when);
	Boolean		HitSamePart(Point pointA, Point pointB);
	
									/** Cursor **/
	void		AdjustCursor(Point where, RgnHandle mouseRgn);

									/** Scrolling **/
	void		ScrollToSelection(void);
};
