// This file contains the 68K "glue" code that linkes onto the library and turns
// it into a stand-alone code module

#include <Types.h>
#include <Memory.h>
#include "LibraryInterface.h"

extern pascal OSErr Routine1 (CallbackPtr callbackRoutine);

pascal OSErr BuildJumpTable (JumpTablePtr theJumpTable)
// Build a table of pointers to functions in our linked library
// See the article for an alternate approach where this function
// uses the CFM to locate the table (as exported from the application)
{
	// Fill in the table with pointers to each library function
	OSErr	err;
	
	theJumpTable->routine1 = NewRoutine1Proc(Routine1);
	err = MemError();
	return err;
}
