#include "Types.r"
#include "Pict.r";
#include "SysTypes.r";
#include "BalloonTypes.r";
#include "SimpleCSClock.h";


resource 'vers' (1) {
	$01, $00, final, 0, verUS,
	"1.0",
	"1.0,  1994 Mike K. Blackwell"
};


type 'cs!C' as 'STR ';

resource 'cs!C' (0) {
	"1.0,  1994 Mike K. Blackwell"
};


resource 'PICT' (kArrowPictID) {
	{0, 0, 8, 9}, VersionOne {
		{
			ClipRgn		{{0, 0, 8, 9}, $""};
			FillPoly	{{0, 0, 8, 9}, {{0, 4}, {4, 8}, {8, 4}, {0, 4}}};
		}
	}
};


resource 'MENU' (kConfigMenuID) {
	-kConfigMenuID, textMenuProc, 0b00000011, enabled, "",
	{
		"12 Hour",					noIcon, noKey, noMark, plain;
		"24 Hour",	 				noIcon, noKey, noMark, plain;
	}
};


resource 'STR#' (kHelpStringsID) {
	{
/* 1 */	"CSClock Preferences";
/* 2 */	"CSClock\n\n"
			"This control strip module displays the time of day.\n"
			"It is currently in 12-Hour mode.";
/* 3 */	"CSClock\n\n"
			"This control strip module displays the time of day.\n"
			"It is currently in 24-Hour mode.";
	}
};


resource 'STR ' (-16397) {
	 "This is the CSClock control strip module.  To use this file, "
	 "place it into the Control Strip folder and restart the computer."
};


resource 'hfdr' (kHMHelpID) {
	HelpMgrVersion, hmDefaultOptions, 0, 0,
	{
		HMStrResItem { -16397 }
	}
};


resource 'BNDL' (128) {
	'cs!C', 0,
	{
		'FREF', {0, 128};
		'ICN#', {0, 128};
	}
};


resource 'FREF' (128) {
	'sdev', 0, ""
};


resource 'ICN#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"00FF FFFF 0180 0001 0300 0003 0600 0005"
		$"0C00 0003 1800 0005 3001 FC03 6007 0705"
		$"C60C 2183 8A10 2045 9230 2063 9220 2025"
		$"9260 2033 9240 2015 9240 2013 9240 3F15"
		$"9240 0013 9240 0015 9260 0033 9220 0025"
		$"9230 0063 9210 0045 8A0C 0183 C607 0705"
		$"6001 FC03 3000 0005 1800 0003 0C00 0005"
		$"0600 0003 0315 5555 01AA AAAB 00FF FFFF",
		/* [2] */
		$"00FF FFFF 01FF FFFF 03FF FFFF 07FF FFFF"
		$"0FFF FFFF 1FFF FFFF 3FFF FFFF 7FFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"7FFF FFFF 3FFF FFFF 1FFF FFFF 0FFF FFFF"
		$"07FF FFFF 03FF FFFF 01FF FFFF 00FF FFFF"
	}
};

resource 'icl4' (128) {
	$"0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF"
	$"0000 000F F000 0000 0000 0000 0000 00CF"
	$"0000 00FF 0CCC CCCC CCCC CCCC CCCC CCEF"
	$"0000 0FF0 CCCC CCCC CCCC CCCC CCCC CDEF"
	$"0000 FF0C CCCC CCCC CCCC CCCC CCCC CDEF"
	$"000F F0CC CCCC CCCC CCCC CCCC CCCC CDEF"
	$"00FF 0CCC CCCC CCCF FFFF FFCC CCCC CDEF"
	$"0FF0 CCCC CCCC CFFF CCCC CFFF CCCC CDEF"
	$"FF0C DFF0 CCCC FFCC CC3C CCCF FCCC CDEF"
	$"F0CD F0F0 CCCF CCCC CC3C CCCC CFCC CDEF"
	$"F0CF 00F0 CCFF CCCC CC3C CCCC CFFC CDEF"
	$"F0CF 00F0 CCFC CCCC CC3C CCCC CCFC CDEF"
	$"F0CF 00F0 CFFC CCCC CC3C CCCC CCFF CDEF"
	$"F0CF 00F0 CFCC CCCC CC3C CCCC CCCF CDEF"
	$"F0CF 00F0 CFCC CCCC CC3C CCCC CCCF CDEF"
	$"F0CF 00F0 CFCC CCCC CC33 3333 CCCF CDEF"
	$"F0CF 00F0 CFCC CCCC CCCC CCCC CCCF CDEF"
	$"F0CF 00F0 CFCC CCCC CCCC CCCC CCCF CDEF"
	$"F0CF 00F0 CFFC CCCC CCCC CCCC CCFF CDEF"
	$"F0CF 00F0 CCFC CCCC CCCC CCCC CCFC CDEF"
	$"F0CF 00F0 CCFF CCCC CCCC CCCC CFFC CDEF"
	$"F0CF 00F0 CCCF CCCC CCCC CCCC CFCC CDEF"
	$"F0CD F0F0 CCCC FFCC CCCC CCCF FCCC CDEF"
	$"FFCC DFF0 CCCC CFFF CCCC CFFF CCCC CDEF"
	$"0FFC CCCC CCCC CCCF FFFF FFCC CCCC CDEF"
	$"00FF CCCC CCCC CCCC CCCC CCCC CCCC CDEF"
	$"000F FCCC CCCC CCCC CCCC CCCC CCCC CDEF"
	$"0000 FFCC CCCC CCCC CCCC CCCC CCCC CDEF"
	$"0000 0FFC CCCC CCCC CCCC CCCC CCCC CDEF"
	$"0000 00FF DDDD DDDD DDDD DDDD DDDD DDEF"
	$"0000 000F FEEE EEEE EEEE EEEE EEEE EEEF"
	$"0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'icl8' (128) {
	$"0000 0000 0000 0000 FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"0000 0000 0000 00FF FF00 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 2BFF"
	$"0000 0000 0000 FFFF 00F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F62B FCFF"
	$"0000 0000 00FF FF00 F62B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B 2BF9 FCFF"
	$"0000 0000 FFFF 00F6 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B 2BF9 FCFF"
	$"0000 00FF FF00 F62B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B 2BF9 FCFF"
	$"0000 FFFF 00F6 2B2B 2B2B 2B2B 2B2B 2BFF"
	$"FFFF FFFF FFFF 2B2B 2B2B 2B2B 2BF9 FCFF"
	$"00FF FF00 F62B 2B2B 2B2B 2B2B 2BFF FFFF"
	$"2A2A 2A2A 2AFF FFFF 2B2B 2B2B 2BF9 FCFF"
	$"FFFF 00F6 F9FF FF00 2B2B 2B2B FFFF 2A2A"
	$"2A2A D82A 2A2A 2AFF FF2B 2B2B 2BF9 FCFF"
	$"FF00 F6F9 FF00 FF00 2B2B 2BFF 2A2A 2A2A"
	$"2A2A D82A 2A2A 2A2A 2AFF 2B2B 2BF9 FCFF"
	$"FF00 2BFF 0000 FF00 2B2B FFFF 2A2A 2A2A"
	$"2A2A D82A 2A2A 2A2A 2AFF FF2B 2BF9 FCFF"
	$"FF00 2BFF 0000 FF00 2B2B FF2A 2A2A 2A2A"
	$"2A2A D82A 2A2A 2A2A 2A2A FF2B 2BF9 FCFF"
	$"FF00 2BFF 0000 FF00 2BFF FF2A 2A2A 2A2A"
	$"2A2A D82A 2A2A 2A2A 2A2A FFFF 2BF9 FCFF"
	$"FF00 2BFF 0000 FF00 2BFF 2A2A 2A2A 2A2A"
	$"2A2A D82A 2A2A 2A2A 2A2A 2AFF 2BF9 FCFF"
	$"FF00 2BFF 0000 FF00 2BFF 2A2A 2A2A 2A2A"
	$"2A2A D82A 2A2A 2A2A 2A2A 2AFF 2BF9 FCFF"
	$"FF00 2BFF 0000 FF00 2BFF 2A2A 2A2A 2A2A"
	$"2A2A D8D8 D8D8 D8D8 2A2A 2AFF 2BF9 FCFF"
	$"FF00 2BFF 0000 FF00 2BFF 2A2A 2A2A 2A2A"
	$"2A2A 2A2A 2A2A 2A2A 2A2A 2AFF 2BF9 FCFF"
	$"FF00 2BFF 0000 FF00 2BFF 2A2A 2A2A 2A2A"
	$"2A2A 2A2A 2A2A 2A2A 2A2A 2AFF 2BF9 FCFF"
	$"FF00 2BFF 0000 FF00 2BFF FF2A 2A2A 2A2A"
	$"2A2A 2A2A 2A2A 2A2A 2A2A FFFF 2BF9 FCFF"
	$"FF00 2BFF 0000 FF00 2B2B FF2A 2A2A 2A2A"
	$"2A2A 2A2A 2A2A 2A2A 2A2A FF2B 2BF9 FCFF"
	$"FF00 2BFF 0000 FF00 2B2B FFFF 2A2A 2A2A"
	$"2A2A 2A2A 2A2A 2A2A 2AFF FF2B 2BF9 FCFF"
	$"FF00 2BFF 0000 FF00 2B2B 2BFF 2A2A 2A2A"
	$"2A2A 2A2A 2A2A 2A2A 2AFF 2B2B 2BF9 FCFF"
	$"FF00 2BF9 FF00 FF00 2B2B 2B2B FFFF 2A2A"
	$"2A2A 2A2A 2A2A 2AFF FF2B 2B2B 2BF9 FCFF"
	$"FFFF 2B2B F9FF FF00 2B2B 2B2B 2BFF FFFF"
	$"2A2A 2A2A 2AFF FFFF 2B2B 2B2B 2BF9 FCFF"
	$"00FF FF2B 2B2B 2B2B 2B2B 2B2B 2B2B 2BFF"
	$"FFFF FFFF FFFF 2B2B 2B2B 2B2B 2BF9 FCFF"
	$"0000 FFFF 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B 2BF9 FCFF"
	$"0000 00FF FF2B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B 2BF9 FCFF"
	$"0000 0000 FFFF 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B 2BF9 FCFF"
	$"0000 0000 00FF FF2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B 2BF9 FCFF"
	$"0000 0000 0000 FFFF F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F9 F9F9 F9F9 F9F9 F9F9 FCFF"
	$"0000 0000 0000 00FF FFFC FCFC FCFC FCFC"
	$"FCFC FCFC FCFC FCFC FCFC FCFC FCFC FCFF"
	$"0000 0000 0000 0000 FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'ics#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"1FFF 3001 6003 C001 90E3 B151 B24B B269"
		$"B20B B111 B0E3 9001 C003 6001 3AAB 1FFF",
		/* [2] */
		$"1FFF 3FFF 7FFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF 7FFF 3FFF 1FFF"
	}
};

resource 'ics4' (128) {
	$"000F FFFF FFFF FFFF 00FF 0000 0000 000F"
	$"0FF0 CCCC CCCC CCDF FF0C CCCC CCCC CCDF"
	$"F0CF CCCC FFFC CCDF FCFF CCCF C3CF CCDF"
	$"FCFF CCFC C3CC FCDF FCFF CCFC C33C FCDF"
	$"FCFF CCFC CCCC FCDF FCFF CCCF CCCF CCDF"
	$"FCFF CCCC FFFC CCDF FCCF CCCC CCCC CCDF"
	$"FFCC CCCC CCCC CCDF 0FFC CCCC CCCC CCDF"
	$"00FF DDDD DDDD DDDF 000F FFFF FFFF FFFF"
};

resource 'ics8' (128) {
	$"0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"0000 FFFF 0000 0000 0000 0000 0000 00FF"
	$"00FF FF00 2B2B 2B2B 2B2B 2B2B 2B2B F9FF"
	$"FFFF 002B 2B2B 2B2B 2B2B 2B2B 2B2B F9FF"
	$"FF00 2BFF 2B2B 2B2B FFFF FF2B 2B2B F9FF"
	$"FF2B FFFF 2B2B 2BFF 2AD8 2AFF 2B2B F9FF"
	$"FF2B FFFF 2B2B FF2A 2AD8 2A2A FF2B F9FF"
	$"FF2B FFFF 2B2B FF2A 2AD8 D82A FF2B F9FF"
	$"FF2B FFFF 2B2B FF2A 2A2A 2A2A FF2B F9FF"
	$"FF2B FFFF 2B2B 2BFF 2A2A 2AFF 2B2B F9FF"
	$"FF2B FFFF 2B2B 2B2B FFFF FF2B 2B2B F9FF"
	$"FF2B 2BFF 2B2B 2B2B 2B2B 2B2B 2B2B F9FF"
	$"FFFF 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B F9FF"
	$"00FF FF2B 2B2B 2B2B 2B2B 2B2B 2B2B F9FF"
	$"0000 FFFF F9F9 F9F9 F9F9 F9F9 F9F9 F9FF"
	$"0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF"
};
