/***************************************************** IMPLEMENTATION
	DATE:	10/21/93
	AUTHOR: Eric R. Ros

	CLASS:  CPPYentaAboutBox
	
	SUPERCLASS: CPPWindow
	
		This C++ class manages the Yenta about box dialog
	
********************************************************************/

#pragma once

#include <CPPWindow.h>

class CPPButton;
class CPPStaticText;

class CPPYentaAboutBox : public CPPWindow {
public:
	CPPStaticText	*aboutText;
	CPPButton		*okButton;

			CPPYentaAboutBox (CPPWindowManager *theManager);
			~CPPYentaAboutBox (void);

	virtual	char	*ClassName (void);
	
protected:	
	virtual Boolean	DoUserKey (EventRecord *theEvent);

};

/*-----------------------------------------------------------------*/

Boolean	DoAboutBox (void);