/********************************************************* DEFINITION
	DATE:	9/26/93
	AUTHOR: Eric R. Ros
	
	CLASS:  CPPYenta
	
	SUPERCLASS: CPPApplication
	
		This C++ class defines the backbone for the Yenta Application.
		
********************************************************************/

#pragma once

#include <CPPApplication.h>

class CPPSendWindow;
class CPPMessageWindow;

class CPPYenta : public CPPApplication {
public:	
			CPPYenta (void);
			~CPPYenta (void);
			
	virtual	char	*ClassName (void);

	Boolean	DoCommand (short commandID);
	
protected:
	virtual	void	BuildMenuBar (void);
	virtual	void	DoApplicationSetup (void);
	virtual	void	DoApplicationShutDown (void);
	virtual	void	DoAppPeriodicTask (void);
	
};