/***************************************************** IMPLEMENTATION
	DATE:	9/17/93
	AUTHOR: Eric R. Ros

	CLASS:  CPPStringList
	
	SUPERCLASS: CPPList
	
		This C++ class manages a list of Pascal strings
	
********************************************************************/

#pragma once

#include <CPPList.h>

class CPPStringList : public CPPList{
public:
			CPPStringList (void);
			~CPPStringList (void);
			
	virtual	char *ClassName (void);
	
	
	virtual	void	InsertItem (StringPtr NewItem, long insertAt);
	virtual	void	AppendItem (StringPtr NewItem);			
	StringPtr	operator[] (long getWhich);
	virtual	void	SetItem (StringPtr NewItem, long setWhich, Boolean deleteOld);
		
	long	FindIndex	(StringPtr ItemToFind);

	void	InsertInOrder (StringPtr TheString);
	virtual	void 	SortList (void);
};
