/********************************************************* DEFINITION
	DATE:	9/28/93
	AUTHOR: Eric R. Ros
	
	CLASS:  CPPDialogText
	
	SUPERCLASS: CPPFilterText
	
		This C++ class manages a textedit area with no scrollbars and
		a length limit of 255 characters.
	
********************************************************************/

#pragma once

#include <CPPFilterText.h>

class CPPDialogText : public CPPFilterText {
public:

			CPPDialogText (CPPWindow *OurWindow,
						   Rect *itsBounds,
						   StringPtr defaultString,
						   int maxLength = 255,
						   int Font = geneva,
						   int FSize = 9);
			CPPDialogText (CPPWindow *OurWindow,
						   Rect *itsBounds,
						   short StringID,
						   int maxLength = 255,
						   int Font = geneva,
						   int FSize = 9);
			~CPPDialogText (void);
	
	virtual	char	*ClassName (void);

	virtual	void	TargetHilite (Boolean makeTarget);

	StringPtr	GetAsString (void);
	void	SetToString (StringPtr newString);
	
};