/********************************************************* DEFINITION
	DATE:	9/28/93
	AUTHOR: Eric R. Ros
	
	CLASS:  CPPIntText
	
	SUPERCLASS: CPPDialogText
	
		This C++ class manages a textedit area with no scrollbars and
		only accepts numbers up to 255 characters.
	
********************************************************************/

#pragma once

#include <CPPDialogText.h>

class CPPIntText : public CPPDialogText {
public:

			CPPIntText (CPPWindow *OurWindow,
						   Rect *itsBounds,
						   int	defaultValue,
						   int maxLength = 255,
						   int Font = geneva,
						   int FSize = 9);
			~CPPIntText (void);
	
	virtual	char	*ClassName (void);

	int	GetAsInt (void);
	void	SetToInt (int newValue);
	
};