/********************************************************* DEFINITION
	DATE:	10/4/93
	AUTHOR: Eric R. Ros
	
	CLASS:  CPPVisualStringList
	
	SUPERCLASS: CPPVisualList
	
		This C++ class lets you manage a scrolling list of strings
	
********************************************************************/

#pragma once

#include <CPPVisualList.h>

class CPPDArray;

class CPPVisualStringList : public CPPVisualList {
public:
					CPPVisualStringList (CPPWindow *theWindow, Rect *boundsRect,
										CPPDArray *coreData, Boolean ownsCoreData,
										Boolean canBeTarget = TRUE,
										short selectionFlags = lOnlyOne + lNoNilHilite,
										short cellHeight = 20);
					~CPPVisualStringList (void);
			
	virtual	char	*ClassName (void);

protected:
	virtual	void	DrawCellContents (long whichCell, Rect *itsFrame, Boolean selected);

};