/********************************************************* DEFINITION
	DATE:	10/16/93
	
	CLASS:  CPPTaskList
	
	SUPERCLASS: CPPVisualObjectList
	
		This C++ class manages a list of CPPPeriodicTask objects
	
********************************************************************/

#pragma once

#include <CPPVisualObjectList.h>

class CPPPeriodicTask;
class CPPDArray;

class CPPTaskList : public CPPVisualObjectList  {
public:
					CPPTaskList (CPPWindow *theWindow, Rect *boundsRect,
							     CPPDArray *coreData, Boolean ownsData,
							     Boolean canBeTarget);
					~CPPTaskList (void);
			
	virtual	char	*ClassName (void);

			CPPPeriodicTask	*operator[] (long getWhich);

protected:	
	virtual	void	DrawCellContents (long whichCell, Rect *itsFrame, 
									  Boolean selected);
	virtual	void 	ReceiveMessage( CPPGossipMonger *toldBy, 
									  short reason, void* info);

};