/***************************************************** IMPLEMENTATION
	DATE:	9/27/93
	AUTHOR: Eric R. Ros

	CLASS:  CPPMessageWindow
	
	SUPERCLASS: CPPTEWindow
	
		This C++ class manages NetApp's message window
	
********************************************************************/

#include "CPPMessageWindow.h"
#include <CPPWindowManager.h>

#define	kMessageWindowID	201

/*-----------------------------------------------------------------*/
/*------------------------ PUBLIC METHODS -------------------------*/
/*-----------------------------------------------------------------*/

	CPPMessageWindow::CPPMessageWindow (CPPWindowManager *theManager) :
					  CPPTEWindow (theManager, kMessageWindowID, 
					  			   TRUE, TRUE, geneva, 9)
	{

	}

/*-----------------------------------------------------------------*/

	CPPMessageWindow::~CPPMessageWindow (void)
	{
	
	}

/*-----------------------------------------------------------------*/

	char *CPPMessageWindow::ClassName (void)
	{
		return "CPPMessageWindow";
	}

