/********************************************************* DEFINITION
	DATE:	9/17/93
	AUTHOR: Eric R. Ros
	
	CLASS:  CPPScanZones
	
	SUPERCLASS: CPPPeriodicTask
	
		This c++ class goes through our list of zones, checking each
		for new Yenta nodes
	
********************************************************************/

#pragma once

#include <CPPPeriodicTask.h>

class	CPPTaskManager;
class	CPPStringList;
class	CPPNode411;

class CPPScanZones : public CPPPeriodicTask {

public:
					CPPScanZones (CPPTaskManager *TaskManager, 
								  long minPeriod = 120, 
								  Boolean deleteWhenDone = TRUE);
	
					~CPPScanZones (void);
					
	virtual	char *ClassName (void);
		
	virtual	void	DoPeriodicAction (void);
	virtual	void	DoCompletedAction (void);
		
	void			StartScanZones (CompletionProc DoProc);
		
private:
	CPPStringList	*zoneList;
	CPPNode411		*lookupTask;
	long			whichZone; 
};
