/********************************************************* DEFINITION
	DATE:	9/17/93
	AUTHOR: Eric R. Ros
	
	CLASS:  CPPSpawnConfirmTask
	
	SUPERCLASS: CPPPeriodicTask
	
		This C++ class periodically spawns a ConfirmUsers Task
	
********************************************************************/

#pragma once

#include <CPPPeriodicTask.h>

class	CPPTaskManager;
class	CPPConfirmUsers;

class CPPSpawnConfirmTask : public CPPPeriodicTask {

public:
					CPPSpawnConfirmTask (CPPTaskManager *TaskManager, 
										  long minPeriod = 120, 
										  Boolean deleteWhenDone = TRUE);
	
					~CPPSpawnConfirmTask (void);
		
	virtual	char 	*ClassName (void);

	virtual	void	DoPeriodicAction (void);
	virtual	void	DoCompletedAction (void);
		
	void			StartSpawnConfirmTask (CompletionProc DoProc);
		
private:
	CPPConfirmUsers		*confirmTask;
};
