/********************************************************* DEFINITION
	DATE:	9/28/93
	AUTHOR: Eric R. Ros
	
	CLASS:  CPPZoneList
	
	SUPERCLASS: CPPVisualStringList
	
		This C++ class manages a list of zone name strings
	
********************************************************************/

#pragma once

#include <CPPVisualStringList.h>

class CPPStringList;
class CPPDArray;

class CPPZoneList : public CPPVisualStringList  {
public:
					CPPZoneList (CPPWindow *theWindow, Rect *boundsRect,
							  	 CPPDArray *coreData, Boolean ownsData);
					~CPPZoneList (void);
			
	virtual	char	*ClassName (void);
	CPPStringList	*MakeListOfZones (void);
	StringPtr		operator[] (long getWhich);
			
protected:

	virtual	void	DrawCellContents (long whichCell, Rect *itsFrame, 
									  Boolean selected);

};