/********************************************************* DEFINITION
	DATE:	9/26/93
	
	CLASS:  CPPTreeApp
	
	SUPERCLASS: CPPApplication
	
		This C++ class defines the backbone for the TestSA
		application.
		
********************************************************************/

#pragma once

#include <CPPApplication.h>
#include "CPPTreeWindow.h"
#include "CPPPackedTreeWindow.h"

class CPPTreeApp : public CPPApplication {
public:	
		
			CPPTreeApp (void);
			~CPPTreeApp (void);
			
	virtual	char	*ClassName (void);
	virtual	Boolean	Member (char *className);
	
	Boolean	DoCommand (short commandID);
	
protected:

	virtual	void	BuildMenuBar (void);
	virtual	void	DoApplicationSetup (void);
	virtual	void	DoApplicationShutDown (void);
	
	CPPTreeWindow		*TreeWindow;
	CPPPackedTreeWindow	*PTreeWindow;
	
};