/********************************************************* DEFINITION
	DATE:	9/23/93
	AUTHOR: Eric R. Ros
	
	CLASS:  CPPCheckBox
	
	SUPERCLASS: CPPControl
	
		This C++ class manages a checkbox control
	
********************************************************************/

#pragma once

#include <CPPControl.h>


class CPPCheckBox : public CPPControl {
public:
			CPPCheckBox (CPPWindow *itsWindow, short ResID,
						 Boolean initiallyOn = FALSE,
						 Boolean canBeTarget = FALSE,
						 Boolean active = FALSE, Boolean visible = TRUE);
			CPPCheckBox (CPPWindow *itsWindow, Rect *itsBounds,
						 StringPtr itsText, Boolean initiallyOn = FALSE,
						 Boolean useWindowFont = FALSE,
						 Boolean canBeTarget = FALSE,
						 Boolean active = FALSE, Boolean visible = TRUE);
			~CPPCheckBox (void);

	virtual	Boolean	Member (char *className);
	virtual	char 	*ClassName (void);
	
	virtual	void	DoOnClick (void);
};