/***************************************************** IMPLEMENTATION
	DATE:	10/5/93
	AUTHOR: Eric R. Ros

	CLASS:  CPPDRequest
	
	SUPERCLASS: CPPWindow
	
		This C++ class manages a general request window
	
********************************************************************/

#pragma once

#include <CPPWindow.h>

class CPPDialogText;
class CPPButton;
class CPPStaticText;

class CPPDRequest : public CPPWindow {
public:
	CPPDialogText	*reply;
	CPPButton		*okButton;
	CPPButton		*cancelButton;

			CPPDRequest (CPPWindowManager *theManager,
						 StringPtr Prompt, StringPtr DefaultReply);
			~CPPDRequest (void);

	virtual	char	*ClassName (void);
	virtual	Boolean	Member (char *className);
	
	StringPtr	GetDialogData (void);

protected:	
	virtual Boolean	DoUserKey (EventRecord *theEvent);

};

/*-----------------------------------------------------------------*/

Boolean	DoRequest (StringPtr Prompt, StringPtr Default, StringPtr *Reply);