/***************************************************** IMPLEMENTATION
	DATE:	11/12/93

	CLASS:  CPPPackedTreeWindow
	
	SUPERCLASS: CPPTreeWindow
	
		This C++ class manages a window which has a packed scrolling 
		tree in it
	
********************************************************************/

#pragma once

#include "CPPTreeWindow.h"
class CPPTreeArea;

class CPPPackedTreeWindow : public CPPTreeWindow {
public:
			CPPPackedTreeWindow (CPPWindowManager *theManager, int ResID);
			~CPPPackedTreeWindow (void);
			
	virtual	char	*ClassName (void);
	virtual	Boolean	Member (char *className);

	virtual	Boolean	DoCommand (short commandID);
};