/*
	File:		ToolWindow.cp

	Contains:	A simple tool palette window recipe
				
	Written by: Dave Falkenburg
	
	Copyright:	 1993-94 by Dave Falkenburg, all rights reserved.

	Change History (most recent first):
	

	To Do:		Add tools to palette
 */

#include "ToolWindow.h"

TToolWindow::TToolWindow(ToolTemplateID toolTemplate)
	{
	fTemplateID = toolTemplate;
	this->CreateWindow(kFloatingWindow);
	}

WindowPtr
TToolWindow::MakeNewWindow(WindowPtr behindWindow)
	{
	return GetNewColorOrBlackAndWhiteWindow(fTemplateID,nil,behindWindow);
	}
