//==========================================================
//
//	File:				BeeperDef.h
//	Release Version:	$ 1.0d9 $
//
//	Author:				M.Boetcher
//
//	Copyright:	(c) 1993-95 by Apple Computer, Inc., all rights reserved.
//
//==========================================================

#ifndef BEEPERDEF_H
#define BEEPERDEF_H

// Kind
#define kODFBeeperKind "Apple:ODFExamples:Kind:ODFBeeper"

// Category
#define kODFBeeperCategory "Apple:ODFExamples:Category:ODFBeeper"

// Class ID
#define kODFBeeperEditor "ODFExamples::ODFBeeper"

// Presentation
#define kODFBeeperPresentation "Apple:Presentation:ODFBeeper"

// Editor User String
#define kODFBeeperEditorUserString "ODFBeeper 1.0d9"

// Kind User String
#define kODFBeeperKindUserString "ODF Beeper Example"

// Category User String
#define kODFBeeperCategoryUserString "Control"

// Beeper OSType
#define kODFBeeperOSType 'DFED'

// Sound OSType
#define kMacSoundOSType 'snd '

// Sound Data Type
#define kODFSoundOSType "Apple:OSType:Scrap:snd "

// Data Interchange Types
#define kHFSFlavorType "Apple:OSType:Scrap:hfs "
#define kSoundScrapKind "Apple:OSType:Scrap:snd "
#define kSoundFileKind  "Apple:OSType:FileType:sfil"
#define kScriptFileKind  "Apple:OSType:FileType:osas"
#define kScriptScrapKind "Apple:OSType:Scrap:scpt"

#define kKindCategoryMapId			128
#define kEditorKindMapId			kKindCategoryMapId + 1
#define kEditorUserStringMapId		kEditorKindMapId + 1
#define kKindUserStringMapId		kEditorUserStringMapId + 1
#define kCategoryUserStringMapId	kKindUserStringMapId + 1
#define kOldMacOSTypeMapId			kCategoryUserStringMapId + 1
#define kEditorPlatformKinds		kOldMacOSTypeMapId + 1

#endif

