/*
	File:		ToolFramework.h

	Contains:	Simple AE framework for QuickTime related tools.

	Written by:	DTS

	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

	   <1>	 	1/30/95	khs		first file
	   
*/

#pragma once on

// FUNCTION PROTOTYPES
pascal void 			InitMacEnvironment(long nMasters);
pascal Boolean 		InitializeAppleEvents(void);
pascal void 			MainEventLoop(void);

pascal OSErr 		AEOpenHandler(AppleEvent *theMessage, AppleEvent *theReply, long refCon);
pascal OSErr 		AEOpenDocHandler(AppleEvent *theMessage, AppleEvent *theReply, long refCon);
pascal OSErr 		AEPrintHandler(AppleEvent *theMessage, AppleEvent *theReply, long refCon);
pascal OSErr 		AEQuitHandler(AppleEvent *theMessage, AppleEvent *theReply, long refCon);

pascal OSErr 		CheckForRequiredAEParams(AppleEvent *theEvent);




