/*
	File:		RecompressMovie.c

	Contains:	Functions for recompression of QuickTime movies.

	Written by:	DTS

	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

	   <1>	 	1/30/95	khs		first file
	   
*/


// INCLUDES
#include "Movies.h"
#include "MoviesFormat.h"

#include "TestFunction.h"
#include "DTSQTUtilities.h"
	


// ______________________________________________________________________
// FUNCTIONS


// ______________________________________________________________________
pascal OSErr TestFunction(FSSpec* theMovieFile)
{
	OSErr 	anErr = noErr;
	short	aMovieRefNum;
	Movie	aSourceMovie;
	
	anErr = OpenMovieFile(theMovieFile, &aMovieRefNum, 0); ReturnIfError(anErr);
	anErr = NewMovieFromFile(&aSourceMovie, aMovieRefNum, NULL, NULL, newMovieActive, NULL);  ReturnIfError(anErr);
	CloseMovieFile(aMovieRefNum);

	// @@@ PROCESS THE MOVIE HERE 
	DebugStr("\pOK, we are inside the test function for processing of the movie");   // temp test

	return anErr;
}