#include <LPane.h>
#include <LCommander.h>


class	CSingleCharPane : public LPane,
						  public LCommander {
public:
	enum { class_ID = 'Cmdr' };
	
	static CSingleCharPane *CreateSingleCharPaneStream( LStream *inStream );
	
						CSingleCharPane( LStream *inStream );
	virtual Boolean		HandleKeyPress( const EventRecord &inKeyEvent );
	virtual Boolean		ObeyCommand( CommandT inCommand,
									void *ioParam );
	virtual void		FindCommandStatus( CommandT inCommand,
									Boolean &outEnabled,
									Boolean &outUsesMark,
									Char16 &outMark,
									Str255 outName );
	virtual void		DrawSelf();
				
protected:
	char				mChar;
};