typedef Boolean /*legalMove*/ (*MoveProc)(
                      /* Callback procedure to move tile at    */
  long tileToMoveRow, /*   these coordinates into the location */
  long tileToMoveCol  /*   of adjacent empty tile              */
);

void SolveTiles(
  long *tiles,      /* pointer to array of tiles where         */
  long numRows,     /*   tile (row,col) is at                  */
  long numCols,     /*   *(tiles + row*numCols + col)          */
  MoveProc MakeMove /* Callback procedure to move a tile       */
);

