// (c) copyright 1995,1996, Jon Kalb, Liberty Software
// Kalb@LibertySoft.com
// You may freely incorporate this code into any machine-
// readable project. You may modify this code, but you may
// not remove this statement. 

#include "streamstructsmac.h"

// inserters

ostream &operator<<(ostream &stream, const Point &rhs)
{
	stream << ".v(" << rhs.v << ") ";
	stream << ".h(" << rhs.h << ") ";
	return stream;
}

ostream &operator<<(ostream &stream, const Rect &rhs)
{
	stream << ".t(" << rhs.top		<< ") ";
	stream << ".l(" << rhs.left		<< ") ";
	stream << ".b(" << rhs.bottom	<< ") ";
	stream << ".r(" << rhs.right	<< ") ";
	return stream;
}

ostream &operator<<(ostream &stream, const BitMap &rhs)
{
	stream << ".baseAddr(" << (void *)rhs.baseAddr << ") ";
	stream << ".rowBytes(" << rhs.rowBytes << ")\n";
	stream << ".bounds(" << rhs.bounds		<< ") ";
	return stream;
}

