// DebugTerm.h - Contains public declarations for DebugTerm

// Useful Literals
#define kDoInitCTB		true
#define kDontInitCTB	false
#define kDoPrompt 		true
#define kDontPrompt 	false
#define kAsync			true
#define kSync			false
#define kDoCreate		true
#define kDontCreate		false

// OSErr codes - I decided to use 1001 - 19999, 
//		since they appear to be unused by Apple
#define kNoConnToolErr		1001
	// No connection tool was found
#define kNothingChosenErr	1002
	// No connection tool was chosen
#define kCMNewErr			1003
	// CMNew failed to return a handle
#define kAlreadyOpenErr		1004
	// Already curent connection open
#define kToolNotAvailErr	1005
	// Selected tool was not available
#define kNoConnectionErr	1006
	// Attempted to operate w/o a connection
#define kGetConfigErr		1007
	// Attempt to GetConfig failed

// Function Prototypes
OSErr OpenDebugTerm(Boolean async, Boolean initCTB, 
	Boolean prompt);
OSErr CloseDebugTerm(void);
OSErr DebugTerm(Str255 outStr);
OSErr debugf(char *fmt, ...);