/***************************************************************************
	File:		SMTPConstants.h
	Version:	1.0
	Purpose:	Constants used by the mail routines

	Author: 	Christopher Haupt (cfh)
				Copyright  1996, Christopher Haupt
	
	Revision History:
	960205.cfh 	New file
***************************************************************************/

#pragma once

#define 		kMonetNameString		 "CyberPuppy SMTP (Macintosh)"
const Int32		kMonetNameStringLen		= 27;

#define 		kMBToKey				"To:"
const Int32		kMBToKeyLen				= 3;

#define 		kMBFromKey				"From:"
const Int32		kMBFromKeyLen			= 5;

#define 		kMBApparentlyFromKey 	"Apparently-From:"

#define 		kMBSubjectKey			"Subject:"
const Int32		kMBSubjectKeyLen		= 8;

#define 		kMBDateKey				"Date:"
const Int32		kMBDateKeyLen			= 5;

#define 		kMBReplyKey				"Reply-To:"
const Int32		kMBReplyKeyLen			= 9;

#define 		kMBXMailerKey			"X-Mailer:"
const Int32		kMBXMailerKeyLen		= 9;

#define 		kMBContentTypeKey		"Content-Type:"
#define 		kMBMIMETypeKey			"MIME-Version:"

#define 		kMBEndOfHeaderKey		"\r\n"
const Int32		kMBEOHKeyLen			= 2;

// some SMTP constants
#define kCRLF 	"\p\r\n"
#define kEOM	"\p\r\n.\r\n"

const char* kDay[7] =  {"Sun", "Mon","Tue","Wed","Thu","Fri","Sat"};
const Int32	kDayLen = 3;

const char* kMonth[12] = {"Jan","Feb","Mar", "Apr","May","Jun","Jul", "Aug",
                 			"Sep","Oct","Nov" , "Dec"};
const Int32 kMonthLen = 3;
