{ SndPlay.p }
{ MacTech's Symantec Top Ten, November 1996 }

{ Play a sound from a snd  resource in Symantec Pascal }


program mySound;
uses Sound;

procedure CallSndPlay (mySndID: integer);

	{ Be sure to add the file sound.p to your project }	

var
	mySndHandle: Handle;			{ handle to an 'snd ' resource }		
	mySndChan: SndChannelPtr;		{ pointer to a sound channel }	
	myErr: OSErr;

begin	{ CallSndPlay }

	mySndChan   := nil;			{ Initialize channel ptr for error checking }
  	mySndHandle := GetResource('snd ', mySndID);	
								{ Read in 'snd' resource from resource }

	if (mySndHandle <> nil) then		{ check for a nil handle }
	begin
		myErr := SndPlay(mySndChan, mySndHandle, true);
		if (myErr <> noErr) then
			DoError(myErr);			{ You define the procedure, DoError. }
	end;

end;	{ CallSndPlay }


begin	{ Main }
	InitToolbox;				{ You need to add this procedure yourself. }
	CallSndPlay(9000);		{ Play snd resource ID 9000 }
end.	{ Main }
