// CMain.h -- window class
// Created 20/3/96 12:28 by AppMaker

#pragma once

#include <LWindow.h>
#include <LListener.h>

class	CSoundsDemoData;
class	LStream;

class	LStdButton;

//----------
class	CMain :	public LWindow,
						public LListener {
public:
	static	CMain*	CreateMain		(LCommander			*inSuperCommander,
													 CSoundsDemoData	*inData);

	static	CMain*	CreateMainStream	(LStream	*inStream);

						CMain();
						CMain		(LStream	*inStream);
	virtual				~CMain();

	virtual void		ListenToMessage		(MessageT	inMessage,
											 void		*ioParam);

	virtual Boolean		ObeyCommand			(CommandT	inCommand,
											 void		*ioParam = nil);
	virtual void		FindCommandStatus	(CommandT	inCommand,
											 Boolean	&outEnabled,
											 Boolean	&outUsesMark,
											 Char16		&outMark,
											 Str255		outName);
	virtual Boolean		FocusDraw();

protected:
	static	void		RegisterClass();
	virtual void		FinishCreateSelf();
	virtual void		ConnectToData	(CSoundsDemoData	*inData);

protected:

protected:
	static Boolean		sIsRegistered;

	CSoundsDemoData		*mData;

// Panes in this window:
	LStdButton*		mPlayButton;
};
