// CSoundsDemoDoc.h -- document class
// Created 20/3/96 12:28 by AppMaker

#pragma once

#include <LSingleDoc.h>

class	CSoundsDemoData;
class	CMain;

//----------
class	CSoundsDemoDoc : public LSingleDoc {
public:
						CSoundsDemoDoc	(LCommander	*inSuper);
	virtual				~CSoundsDemoDoc();

	virtual void		newFile();
	virtual void		openFile	(FSSpec		*inFileSpec);

	virtual void		MakeWindows();

	virtual Boolean		IsModified();

	virtual void		DoAESave	(FSSpec		&inFileSpec,
									 OSType		inFileType);
	virtual void		DoSave();
	virtual void		DoRevert();
	virtual void		DoPrint();

	virtual Boolean		ObeyCommand			(CommandT	inCommand,
											 void		*ioParam = nil);
	virtual void		FindCommandStatus	(CommandT	inCommand,
											 Boolean	&outEnabled,
											 Boolean	&outUsesMark,
											 Char16		&outMark,
											 Str255		outName);

protected:

protected:
	virtual void		NameNewDoc();

protected:
	CSoundsDemoData		*mData;
	CMain		*mMain;
};
