// GlobalData.c
#include "BTreeDef.h"
#include "InvoiceGlobals.h"

//Here are the actual variables 

//need a flag that shows if a file is open
 Boolean gFileIsOpen;
 
//These are the variables for the data records when they are in memory

 CustomerType 	gCustomer;
 unsigned char	gCustString[40];
 PartType		gPart;
 InvoiceType	gInvoice;
 LineItemType	gLineItems[2];
 
// These are variables that will be used by B-Tree Helper 
 TreeListHandle 	gInvoiceTrees;
 FileControlHandle	gInvoiceFCH;
 long				gBlockSize;
 long				gSpareBlocks;
 StandardFileReply	gFileReply;
 SFTypeList			gTypeList;
 short				gNumTypes;
 short				gPermission;

//Our sequence handle
SRHandle	gSequenceHandle;
 
  
 //resource fork reference number
 short		gResFileNo;
 
 // action switches
// initialize to first choice in the pop up
short	gCustomerAction = 1;
short	gPartAction = 1;
short	gInvoiceAction = 1; 


Boolean gDone;
Boolean gInBackground;
DialogPtr gCustomerDialog;
DialogPtr gPartDialog;
DialogPtr gInvoiceDialog;
MenuHandle gFileMenu;
MenuHandle gEditMenu;
MenuHandle gWindowMenu;


// this part is for debugging with B-Tree helper -- ERR

// B-Tree HELPER -  1985-90, 1993-5 (M)agreeable software, inc.

// Version 2.2

// 17 May 1995
	
// Global data for testing



#if qDebug

FILE	*gDebugStream = nil;	// Debugging output stream

#endif

