                        /*  1995 by Mesa Graphics 	*/
                        /*	  411 Cheryl Ave.		*/
                        /*	  Los Alamos, NM 87544 	*/

#include "register.h"

#define	appleMenu	1
		
#define	fileMenu				280
#define	makeRegistrationItem 	1
#define	quitItem			 	3
		
#define	rMenuBar	128				/* the menu bar ID*/
		
						/* Prototypes */
void AboutApplication(void);
void DoCommand(long mResult);

Boolean 		doneFlag, gotEvent; 
EventRecord   	thisEvent;
WindowPtr     	whichWindow;
Handle     		menuBar;

void AboutApplication(void)
{
	short tmpInt;
	StringHandle	regnameHan;

	regnameHan = (StringHandle) GetResource(regDataResType,regNameItem);
	if ( regnameHan != nil)
	{
		HLock( (Handle) regnameHan);
		ParamText( *regnameHan, "\p", "\p", "\p");
		HUnlock( (Handle) regnameHan);
		ReleaseResource( (Handle) regnameHan);
	} else ParamText( "\p", "\p", "\p", "\p");


  tmpInt = Alert(applicationAboutId, nil);
  if ( tmpInt == aboutUnregisterItem) UnRegister();
  
}

void DoCommand(long mResult)
{
 	short	theMenu, theItem, tmpInt;
	long	ticks;
	Str255	tmpStr;

	ticks = TickCount();
	theMenu = HiWord(mResult); 
	theItem = LoWord(mResult);

	switch (theMenu)
	{
		case appleMenu:
			if ( theItem == 1 ) AboutApplication();
				else
				{
					GetMenuItemText( GetMenuHandle(appleMenu), theItem, tmpStr);
					tmpInt = OpenDeskAcc(tmpStr);
				}
			break;

		case fileMenu: 
			if ( theItem == makeRegistrationItem ) MakeRegistration(); 
				else if ( theItem == quitItem )  doneFlag = TRUE;
			break;

	} 					/* of menu case */
	
	do {} while ( (TickCount() - ticks) < 30 );
	HiliteMenu(0);

}


main()
{	

	MaxApplZone();
	MoreMasters();
	
	InitGraf(&qd.thePort);
	InitFonts();
	InitWindows();
  	InitMenus(); 
	TEInit();
	InitDialogs(nil);
	SetCursor(&qd.arrow);

	
	menuBar = GetNewMBar(rMenuBar);
	SetMenuBar(menuBar);
	DisposeHandle(menuBar);
	AppendResMenu(GetMenuHandle(appleMenu), 'DRVR');
	
	DrawMenuBar();

	
	CheckRegistration();
	
	do
	{
        
		gotEvent = WaitNextEvent(everyEvent, &thisEvent, 10, nil);

		if (thisEvent.what == mouseDown)
        {

          if ( FindWindow(thisEvent.where, &whichWindow) == inMenuBar ) 
          										DoCommand(MenuSelect(thisEvent.where));
         }
 
      } while (!doneFlag);

}
   
