//	------------------------------------------------------------------------------------------	
//
//	Copyright  1996 Apple Computer, Inc., All Rights Reserved
//
//
//		You may incorporate this sample code into your applications without
//		restriction, though the sample code has been provided "AS IS" and the
//		responsibility for its operation is 100% yours.  However, what you are
//		not permitted to do is to redistribute the source as "DSC Sample Code"
//		after having made changes. If you're going to re-distribute the source,
//		we require that you make it clear in the source that the code was
//		descended from Apple Sample Code, but that you've made changes.
//
//		Authors:
//			Chris De Salvo
//
//	------------------------------------------------------------------------------------------	

#ifndef __SOUNDHANDLER__
#define __SOUNDHANDLER__

//	------------------------------	Includes
//	------------------------------	Public Definitions
//	------------------------------	Public Types

typedef enum GameSounds
{
	soundPlayerFire,
	soundPlayerHit,
	soundEnemyFire,
	soundEnemyHit,
	soundNumSounds
} GameSounds;

//	------------------------------	Public Variables

extern Boolean gSoundEffects;

//	------------------------------	Public Functions

#ifdef __cplusplus
extern "C" {
#endif

extern void SoundHandlerInit(SInt16 modifiers);
extern void SoundHandlerReset(void);
extern void SoundHandlerPlay(GameSounds theSound, SInt16 x, SInt16 y);

#ifdef __cplusplus
}
#endif

#endif