#ifndef __DEBUG__

	#define __DEBUG__
	
	void _Assert(const Boolean condition, ConstStr255Param msg);

	void _MyError(ConstStr255Param msg);

	#ifdef DEBUG

		#define Assert(c, msg)  _Assert (c, msg);
		#define MyError(msg)  _MyError (msg);
	
	#else
	
		#define Assert(c, msg) { /* Nothing */ }
		#define MyError(msg)  ExitToShell();
	
	#endif

#endif




