/*
	File:		SelectPartUtils.h

	Contains:	SelectPart utility functions & classes

	Written by:	Steve Smith

	Copyright:	 1994-95 by Apple Computer, Inc., all rights reserved.
*/


#ifndef _SELECTPARTUTILS_
#define _SELECTPARTUTILS_

// --- OpenDoc Includes ---

#ifndef _ODTYPES_
#include <ODTypes.h>
#endif

// --- Macintosh Includes ---

#ifndef __TYPES__
#include <Types.h>
#endif


//------------------------------------------------------------------------------
// Function Prototypes
//------------------------------------------------------------------------------

void		FixedToIntRect(ODRect& fixedRect, Rect& intRect);
void		IntToFixedRect(Rect& intRect, ODRect& fixedRect);
void 		InvalidateRect( Environment* ev, ODFrame* frame, Rect bRect );


#endif


