#ifndef _CDEFTESTER_H
#define _CDEFTESTER_H

#include "BaseWindow.h"

class CDEFTester : public BaseWindow
{
	public:
			CDEFTester();
			CDEFTester( SInt16 resID );
		virtual ~CDEFTester();
		
		virtual void		Activate( EventRecord& event );
		virtual void		Deactivate( EventRecord& event );
		virtual void		Draw();
		virtual void		HandleClick( EventRecord& event );
		virtual void		HandleMenuSelection( SInt16 menuID, SInt16 itemNo );
		virtual void		Idle();
		
	private:
		void				DisplayPartCode( SInt16 part );
		void				CenterControlInWindow();
		void				SetValue();
		
		ControlRef			fControl;
		Rect				fPartRect;
		
		ControlRef			fDisableButton;
		ControlRef			fSetValueButton;	
};

#endif // _CDEFTESTER_H
