#ifndef _DIALOGWINDOW_H
#define _DIALOGWINDOW_H

#include "Appearance.h"
#include "BaseWindow.h"

class DialogWindow : public BaseWindow
{
	public:
			DialogWindow();
		virtual ~DialogWindow();
		
		virtual void		Activate( EventRecord& event );
		virtual void		Deactivate( EventRecord& event );
		virtual void		Draw();
	
	private:
		void				DrawFakeEditText( ThemeDrawState state );
		void				DrawFakeListBox( ThemeDrawState state );
		void				DrawGroups( ThemeDrawState state );
		void				DrawSeparators( ThemeDrawState state );

};

#endif // _DIALOGWINDOW_H
