
#import <appkit/appkit.h>
#import <foundation/foundation.h>

@protocol LunchClientMethods

- (void)updateStats;
- (NSString *)wantToEatWhere;

@end

@protocol LunchServerMethods

- (void)updateEveryone;
- (void)addClient:client;
- (void)removeClient:client;
- (List *)clientList;

@end

@interface LunchObject:Object<NXSenderIsInvalid, LunchClientMethods, LunchServerMethods> 
{
    id				lunchButton;
    id				lunchField;
    id				window;
	id				lunchView;
	id				remoteHub;
	id				ourServer;
	List			*clientList;
	BOOL			isServer;
	NSString		*where;
}

- eat:sender;
- updateEveryoneAfterDelay;

@end
