//----------------------------------------------------------------------------------------
// CTidyHeapAction_ACList.h
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CTidyHeapActionList_AC__
#define __CTidyHeapActionList_AC__

#ifndef __CTidyHeapList_AC__
#include "CTidyHeapList_AC.h"
#endif

struct CTidyHeapAction_AC;

//----------------------------------------------------------------------------------------
// class CTidyHeapActionList_AC
//----------------------------------------------------------------------------------------

class CTidyHeapActionList_AC : public CTidyHeapList_AC
{
	public:
		CTidyHeapActionList_AC() {}
		virtual ~CTidyHeapActionList_AC() {}
		
		CTidyHeapAction_AC* GetHead();
		CTidyHeapAction_AC* GetTail();

};

//----------------------------------------------------------------------------------------
// inlines
//----------------------------------------------------------------------------------------

inline CTidyHeapAction_AC* CTidyHeapActionList_AC::GetHead()	
				{ return (CTidyHeapAction_AC*) CTidyHeapList_AC::GetHead(); }
inline CTidyHeapAction_AC* CTidyHeapActionList_AC::GetTail() 	
				{ return (CTidyHeapAction_AC*) CTidyHeapList_AC::GetTail(); }


#endif