//----------------------------------------------------------------------------------------
// CTidyHeapAction_AC.h
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------


#ifndef __CTidyHeapAction_AC__
#define __CTidyHeapAction_AC__


#ifndef __CTidyHeapListItem_AC__
#include "CTidyHeapListItem_AC.h"
#endif 

struct BlockHeader;
class CTidyHeapBlock_AC;

//----------------------------------------------------------------------------------------
// class CTidyHeapAction_AC
//----------------------------------------------------------------------------------------

class CTidyHeapAction_AC : public CTidyHeapListItem_AC
{

friend class CTidyHeapActionList_AC;
friend class CTidyHeap_AC;

public:

	CTidyHeapAction_AC();
	
	virtual ~CTidyHeapAction_AC();
	
	virtual void DoAction(CTidyHeapBlock_AC*) = 0;
	
	void LogBlockInfo();

	CTidyHeapAction_AC* Next() { return (CTidyHeapAction_AC*) CTidyHeapListItem_AC::Next(); } 

private:
	BlockHeader* 		fHeader;
};


#endif