//----------------------------------------------------------------------------------------
// MTidyHeapAllocator_AC.h
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __MTidyHeapAllocator_AC__
#define __MTidyHeapAllocator_AC__

#ifndef __STDDEF__
#include <stddef.h>
#endif

//----------------------------------------------------------------------------------------
// class MTidyHeapAllocator_AC
//----------------------------------------------------------------------------------------

class MTidyHeapAllocator_AC
{
public:
	MTidyHeapAllocator_AC() {}
	
	virtual ~MTidyHeapAllocator_AC() {}

public:
	void* operator new(size_t);
	
	void operator delete(void*);
	
	void* operator new(size_t inSize, const char*, short ) // make it compatible with macro
		{ return operator new(inSize); }

private:
	friend class CTidyHeap_AC;

#if qDebugTidyHeap
	static long fgAllocationCounter;
#endif

};

#endif