*************************************************************************
* Title: MacFORTRAN Subprogram Cross-Referencer - Common Block Definition
*
* Produced by: Absoft South, Inc.             Date:  1/15/85
*
* Purpose: To declare and define the common data storage area for the
*	     MacFORTRAN subprogram cross-referencer.
*    	    
* Notes: 
*    
* Modification History:
*
*************************************************************************
* Indicates the calling structure is to be saved in a file.
      LOGICAL OUTPUTLVL

* Indicates the final symbol table is to be saved in a file.
      LOGICAL OUTPUTSMB

* Indicates the reference table is to be saved in a file.
      LOGICAL OUTPUTREF

* Indicates a search of the symbol table for subprograms already accessed.
      LOGICAL SYMFLG

* Indicates the internal subroutines are not to be traversed.
      LOGICAL ISRFLG

* A single source code line.
      CHARACTER*132 INLINE

* Storage for the program name at the top of the traversal (Starting program).
      CHARACTER*6 MAINPR

* Temporary storage for the current source filename.
      CHARACTER*6 PROGNM

* Temporary storage for a filename extension.
      CHARACTER*4 EXTN

* File extension type (I, F, M, or ?)
      CHARACTER*1 FILTYP

* Source code filename nesting stack.
      CHARACTER*6 PRSTCK(15)

* The current nesting level of the calling structure.
      INTEGER LVLNUM

* The current logical unit number that is being read to inspect source code.
      INTEGER CURRENTUNIT

* Array of indices to the symbol table.
      INTEGER SYMIDX(375)

* Array of filenames in the symbol table.
      CHARACTER*6 SYMFIL(375)

* Array of extensions associated with SYMFIL.
      CHARACTER*4 SYMEXT(375)

* Array to associate the number of times a routine is called with its
*   name (SYMFIL).
      INTEGER SYMCLL(375)

* Array of symbol table indices that relate a symbol table entry to all
*   of its calling programs.
      INTEGER REFTBL(375,40)

* The number of files that are currently in the symbol table.
      INTEGER TOTALSYMBOLS

* Indicates the PROGNM is a part of the symbol table.
      LOGICAL ISSYMBOL

* Prefix string to illustrate the current subprogram nesting level.
      CHARACTER*62 NESTHEADER

* Indicates the current call is recursive.
      LOGICAL RECURSIVE

****************************************************************************
*
* Common Storage Definition
*
****************************************************************************
* Define a common block for frequently used variables.
      COMMON /NEWXRF/ OUTPUTLVL,OUTPUTSMB,OUTPUTREF,SYMFLG,ISRFLG,
     +		      INLINE,MAINPR,PROGNM,EXTN,FILTYP,PRSTCK,LVLNUM,
     +		      CURRENTUNIT,SYMIDX,SYMFIL,SYMEXT,SYMCLL,REFTBL,
     +		      TOTALSYMBOLS,ISSYMBOL,NESTHEADER,RECURSIVE
