;
; This is the data file for the ROM Reference desk accessory
; Version 2
; Frank Alviani
;
; 2:59:47 PM  4/7/86

; Abbreviation Macros (these are expanded by the DA)....

VAR     set $40
NOVAR   set 0

    MACRO .Integer v,x = DC.B $80+{v},{x}
    |

    MACRO .Handle  v,x = DC.B $81+{v},{x}
    |

    MACRO .Str255  v,x = DC.B $82+{v},{x}
    |

    MACRO .Ptr v,x = DC.B $83+{v},{x}
    |

    MACRO .Boolean v,x = DC.B $84+{v},{x}
    |

    MACRO .long    v,x = DC.B $85+{v},{x}
    |

    MACRO .type    v,x = DC.B $86+{v},{x}
    |

    MACRO .byte    v,x = DC.B $87+{v},{x}
    |

    MACRO .AbRecH v,x = DC.B $88+{v},{x}
    |

    MACRO .CtlHndl v,x = DC.B $89+{v},{x}
    |

    MACRO .Pt  v,x = DC.B $8A+{v},{x}
    |

    MACRO .Rect v,x = DC.B $8B+{v},{x}
    |

    MACRO .WindRec v,x = DC.B $8C+{v},{x}
    |

    MACRO .EvtRec v,x = DC.B $8D+{v},{x}
    |

    MACRO .ParamBlk v,x = DC.B $8E+{v},{x}
    |

    MACRO .DlogRec v,x = DC.B $8F+{v},{x}
    |

    MACRO .QHdrRec v,x = DC.B $90+{v},{x}
    |

    MACRO .FInfo v,x = DC.B $91+{v},{x}
    |

    MACRO .Zone v,x = DC.B $92+{v},{x}
    |

    MACRO .DTime v,x = DC.B $93+{v},{x}
    |

    MACRO .TPrP v,x = DC.B $94+{v},{x}
    |

    MACRO .THPrint v,x = DC.B $95+{v},{x}
    |

    MACRO .Pat v,x = DC.B $96+{v},{x}
    |

    MACRO .Graf v,x = DC.B $97+{v},{x}
    |

    MACRO .RgnH v,x = DC.B $98+{v},{x}
    |

    MACRO .PicH v,x = DC.B $99+{v},{x}
    |

    MACRO .PolH v,x = DC.B $9A+{v},{x}
    |

    MACRO .Fix v,x = DC.B $9B+{v},{x}
    |

    MACRO .Bmap v,x = DC.B $9C+{v},{x}
    |

    MACRO .SFReply v,x = DC.B $9D+{v},{x}
    |

    MACRO .TEHndl v,x = DC.B $9E+{v},{x}
    |

    MACRO .WPtr v,x = DC.B $9F+{v},{x}
    |

    STRING_FORMAT   0       ;no-count format for toolbox display
; -----
; Abbreviation resources
; -----
    .ALIGN    2
    RESOURCE    'ROMA'  1
    DC.B    'short',0
    DC.B    'Handle',0
    DC.B    'Str255',0
    DC.B    'Ptr',0
    DC.B    'Boolean',0
    DC.B    'long',0
    DC.B    'type',0
    DC.B    'char',0
    DC.B    'AbRecHandle',0
    DC.B    'ControlHandle',0
    DC.B    'Point',0
    DC.B    'Rect', 0
    DC.B    'WindowRecord',0
    DC.B    'EventRecord',0
    DC.B    'ParamBlockRec',0
    DC.B    'DialogRec',0
    DC.B    'DrvQEl',0
    DC.B    'FInfo',0
    DC.B    'Zone',0
    DC.B    'DateTimeRec',0
    DC.B    'TPrPort',0
    DC.B    'TPrint **',0
    DC.B    'Pattern',0
    DC.B    'GrafPtr',0
    DC.B    'RgnHandle',0
    DC.B    'PicHandle',0
    DC.B    'PolyHandle',0
    DC.B    'Fixed', 0
    DC.B    'BitMap', 0
    DC.B    'SFReply',0
    DC.B    'TEHandle',0
    DC.B    'WindowPtr',0

; -----
; Names of each toolbox call by Manager
; -----

    Include RomRef_Data:Names.asm
    Include RomRef_Data:Formal1.asm
    Include RomRef_Data:Formal2.asm
    Include RomRef_Data:Formal3.asm
    Include RomRef_Data:Formal4.asm

    end
