/*------------------------------------------------------------------------------

	  Color Life.r	-  Resources for the Color Life Application

	  Copyright Steve Sheets, 1987
	  All rights reserved.

------------------------------------------------------------------------------*/

#include "Types.r"

resource 'WIND' (256) {
	{40, 20, 340, 620},
	noGrowDocProc, invisible, GoAway, 0x0, "About Life"
};

resource 'WIND' (257) {
	{40, 170, 340, 470},
	noGrowDocProc, invisible, GoAway, 0x0, "Colors"
};

resource 'STR#' (256) {
	{	/* array StringArray: 11 elements */
		/* [1] */
		"Life";
		/* [2] */
		"Quickdraw";
		/* [3] */
		"Select Color:";
		/* [4] */
		"Color Life by Steve Sheets";
		/* [5] */
		"Demo of Color Quickdraw";
		/* [6] */
		"on the Mac //";
		/* [7] */
		"Rectangles";
		/* [8] */
		"Ovals";
		/* [9] */
		"RoundRectangles:";
		/* [10] */
		"Arcs";
		/* [11] */
		"Polygons";
		/* [12] */
		"Regions"
	}
};

resource 'MENU' (256) {
	256, textMenuProc,
	0x7FFFFFFD,	/* Disable item #2 */
	enabled, apple,
	{	/* array: 2 elements */
		/* [1] */
		"About Life",
			noicon, nokey, nomark, plain;
		/* [2] */
		"-",
			noicon, nokey, nomark, plain
	}
};

resource 'MENU' (257) {
	257, textMenuProc,
	0x7FFFFFF7,	/* Disable item #4 */
	enabled, "File",
	{	/* array: 5 elements */
		/* [1] */
		"New", noIcon, "", "", plain;
		/* [2] */
		"Load", noIcon, "", "", plain;
		/* [3] */
		"Save", noIcon, "", "", plain;
		/* [4] */
		"-", noIcon, "", "", plain;
		/* [5] */
		"Quit", noIcon, "Q", "", plain
	}
};

resource 'MENU' (258) {
	258, textMenuProc,
	0x7FFFFFFD,	/* Disable item #2 */
	enabled, "Edit",
	 {	/* array: 6 elements */
		/* [1] */
		"Undo",
			noicon, "Z", nomark, plain;
		/* [2] */
		"-",
			noicon, nokey, nomark, plain;
		/* [3] */
		"Cut",
			noicon, "X", nomark, plain;
		/* [4] */
		"Copy",
			noicon, "C", nomark, plain;
		/* [5] */
		"Paste",
			noicon, "V", nomark, plain;
		/* [6] */
		"Clear",
			noicon, nokey, nomark, plain
	}
};


resource 'MENU'  (259) {
	259, textMenuProc,
	allEnabled,
	enabled, "Action",
	{	/* array: 3 elements */
		/* [1] */
		"Step", noIcon, "S", "", plain;
		/* [2] */
		"Ten Steps", noIcon, "T", "", plain;
		/* [3] */
		"Loop til Button", noIcon, "L", "", plain
	}
};

resource 'MENU'  (260) {
	260, textMenuProc,
	allEnabled,
	enabled, "Show",
	{	/* array: 3 elements */
		/* [1] */
		"Life", noIcon, "", "", plain;
		/* [2] */
		"Colors", noIcon, "", "", plain;
		/* [3] */
		"Quickdraw", noIcon, "", "", plain
	}
};

resource 'MENU'  (261) {
	261, textMenuProc,
	allEnabled,
	enabled, "x",
	{	/* array: 8 elements */
		/* [1] */
		"Select Background Color (Age 0)", noIcon, "", "", plain;
		/* [2] */
		"Select Foreground Color (Age 1)", noIcon, "", "", plain;
		/* [3] */
		"Select Age 2 Color", noIcon, "", "", plain;
		/* [4] */
		"Select Age 3 Color", noIcon, "", "", plain;
		/* [5] */
		"Select Age 4 Color", noIcon, "", "", plain;
		/* [6] */
		"Select Age 5 Color", noIcon, "", "", plain;
		/* [7] */
		"Select Age 6 Color", noIcon, "", "", plain;
		/* [8] */
		"Select Age 7 (& Older) Color", noIcon, "", "", plain
	}
};

resource 'ALRT' (256) {
	{40, 106, 140, 406},
	256,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'DITL' (256) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{60, 120, 80, 180},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{20, 10, 40, 290},
		StaticText {
			disabled,
			"Sorry, this program only runs on a Mac /"
			"/."
		}
	}
};

type 'life' as 'STR ';

resource 'life' (0) {
	"Color Life Application - Version 1.0 by Steve Sheets"
};


resource 'ICN#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 EE00 0EEE EE00 0EEE EE00 0EEE"
		$"0000 0000 E000 000E E000 000E E000 000E"
		$"0000 0000 000E 00E0 000E 00E0 000E 00E0"
		$"0000 0000 00EE 0000 00EE 0000 00EE 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0EE0 0000 0EE0 0000 0EE0 0000"
		$"0000 0000 E00E 00EE E00E 00EE E00E 00EE"
		$"0000 0000 0EE0 00EE 0EE0 00EE 0EE0 00EE",
		/* [2] */
		$"0000 0000 EEEE EEEE EEEE EEEE EEEE EEEE"
		$"0000 0000 EEEE EEEE EEEE EEEE EEEE EEEE"
		$"0000 0000 EEEE EEEE EEEE EEEE EEEE EEEE"
		$"0000 0000 EEEE EEEE EEEE EEEE EEEE EEEE"
		$"0000 0000 EEEE EEEE EEEE EEEE EEEE EEEE"
		$"0000 0000 EEEE EEEE EEEE EEEE EEEE EEEE"
		$"0000 0000 EEEE EEEE EEEE EEEE EEEE EEEE"
		$"0000 0000 EEEE EEEE EEEE EEEE EEEE EEEE"
	}
};


resource 'ICN#' (129) {
	{	/* array: 2 elements */
		/* [1] */
		$"1FFF FC00 1000 0600 1000 0500 1000 0480"
		$"1000 0440 1360 3420 1360 37F0 1000 0010"
		$"1300 00D0 1300 00D0 1000 0010 1001 8610"
		$"1001 8610 1000 0010 100D 8010 100D 8010"
		$"1000 0010 1000 0010 1000 0010 1000 0010"
		$"106C 0010 106C 0010 1000 0010 1301 86D0"
		$"1301 86D0 1000 0010 106C 06D0 106C 06D0"
		$"1000 0010 1000 0010 1000 0010 1FFF FFF0",
		/* [2] */
		$"1FFF FC00 1FFF FE00 1FFF FF00 1FFF FF80"
		$"1FFF FFC0 1FFF FFE0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
		$"1FFF FFF0 1FFF FFF0 1FFF FFF0 1FFF FFF0"
	}
};

resource 'BNDL' (128) {
	'life',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'ICN#',
		{	/* array IDArray: 2 elements */
			/* [1] */
			0, 128,
			/* [2] */
			1, 129
		},
		/* [2] */
		'FREF',
		{	/* array IDArray: 2 elements */
			/* [1] */
			0, 128,
			/* [2] */
			1, 129
		}
	}
};

resource 'FREF' (128) {
	'APPL',
	0,
	""
};

resource 'FREF' (129) {
	'life',
	1,
	""
};
