'Professor Mac's ZBasic Color Mixer
'MacTutor 1988
'By Dave Kelly

WINDOW OFF
COORDINATE WINDOW
DIM Colorbox%(3)
red&=0
blue&=0
green&=0

DEF MOUSE=-1
false=0:true=NOT(false)
MENU 1,0,1,"File"
MENU 1,1,1,"Select Color"
MENU 1,2,1,"Quit"
EDIT MENU 2

'Find out screen size.
CALL GETWMGRPORT(WMgrPort&)
PortTop=PEEK WORD(WMgrPort&+8)
PortLeft=PEEK WORD(WMgrPort&+10)
PortBottom=PEEK WORD(WMgrPort&+12)
PortRight=PEEK WORD(WMgrPort&+14)

WINDOW 1,"Main Window",(10,44)-(PortRight-4,PortBottom-4)
TEXT ,,,0
BUTTON #6,1,"Quit",(20,WINDOW(3)-50)-(85,WINDOW(3)-30),1
BUTTON #7,1,"Pick Color",(120,WINDOW(3)-50)-(195,WINDOW(3)-30),1
CALL SETRECT(Colorbox%(0),10,10,WINDOW(2)-10,WINDOW(3)-215)
PICTURE ON
LONG COLOR blue&,green&,red&
CALL PAINTRECT(Colorbox%(0))
CALL MOVETO(20,WINDOW(3)-100)
COLOR=7
PRINT "Blue:";blue&;" Red:";red&;" Green:";green&;SPACE$(10)
PICTURE OFF,Pic1&
PICTURE, Pic1&
WINDOW PICTURE #1,Pic1&

ON DIALOG GOSUB "Event"
ON MENU GOSUB "MenuEvent"
DIALOG ON:MENU ON
"Loop"
GOTO "Loop"
DIALOG STOP:MENU STOP

"MenuEvent"
Menunumber=MENU(0)
Menuitem=MENU(1)
MENU
IF Menunumber<>1 THEN RETURN
SELECT Menuitem
	CASE 1
		GOSUB "ColorPick"
 CASE 2
		GOSUB "Quit"
END SELECT
RETURN

"Quit"
WINDOW PICTURE #1,0
KILL PICTURE Pic1&
END

"ColorPick":'A Color Selection routine
done=false
min%=-32767:'Manual says that -32768 is Min.  That doesn't work right!
max%=32766:'Manual says that 32767 is Max.  That doesn't work right!
currentred&=red&
currentblue&=blue&
currentgreen&=green&
WINDOW 5,"Color Chooser",(PortLeft+10,PortTop+30)-(PortRight-10,PortBottom-10),-2
SCROLL BUTTON #1,currentblue&-32767,min%,max%,100,(20,WINDOW(3)-200)-(WINDOW(2)-20,WINDOW(3)-200+16),0
SCROLL BUTTON #2,currentgreen&-32767,min%,max%,100,(20,WINDOW(3)-150)-(WINDOW(2)-20,WINDOW(3)-150+16),0
SCROLL BUTTON #3,currentred&-32767,min%,max%,100,(20,WINDOW(3)-100)-(WINDOW(2)-20,WINDOW(3)-100+16),0
BUTTON #4,1,"OK",(20,WINDOW(3)-50)-(85,WINDOW(3)-30),1
BUTTON #5,1,"Cancel",(120,WINDOW(3)-50)-(185,WINDOW(3)-30),1
TEXT 0,12,0,0
CALL MOVETO(WINDOW(2)/2,WINDOW(3)-200+30)
String$="Blue: "+STR$(currentblue&)
COLOR=4
CALL DRAWSTRING(String$)
CALL MOVETO(WINDOW(2)/2,WINDOW(3)-150+30)
String$="Green: "+STR$(currentgreen&)
COLOR=2
CALL DRAWSTRING(String$)
CALL MOVETO(WINDOW(2)/2,WINDOW(3)-100+30)
String$="Red: "+STR$(currentred&)
COLOR=6
CALL DRAWSTRING(String$)
GOSUB "UpdateColorBox"
FLUSHEVENTS
RETURN

"ButtonEvent"
Buttonnumber=DIALOG(1)
Buttonvalue&=BUTTON(Buttonnumber)+32767
SELECT Buttonnumber
	CASE 1
		GOSUB "Button1":'set blue
	CASE 2
		GOSUB "Button2":'set green
	CASE 3
		GOSUB "Button3":'set red
	CASE 4
		GOSUB "Button4":' OK button was pressed
	CASE 5
		GOSUB "Button5":' Cancel button was pressed
 CASE 6
		GOSUB "Quit"
 CASE 7
			GOSUB "ColorPick"
END SELECT
RETURN

"UpdateColorBox"
LONG COLOR currentblue&,currentgreen&,currentred&
CALL SETRECT(Colorbox%(0),10,10,WINDOW(2)-10,WINDOW(3)-215)
CALL PAINTRECT(Colorbox%(0))
RETURN

"Button1":'blue scroll bar
currentblue&=Buttonvalue&
CALL MOVETO(WINDOW(2)/2,WINDOW(3)-200+30)
String$="Blue: "+STR$(currentblue&)+SPACE$(10)
COLOR=4
CALL DRAWSTRING(String$)
GOSUB "UpdateColorBox"
RETURN

"Button2":'green scroll bar
currentgreen&=Buttonvalue&
CALL MOVETO(WINDOW(2)/2,WINDOW(3)-150+30)
String$="Green: "+STR$(currentgreen&)+SPACE$(10)
COLOR=2
CALL DRAWSTRING(String$)
GOSUB "UpdateColorBox"
RETURN

"Button3":'red scroll bar
currentred&=Buttonvalue&
CALL MOVETO(WINDOW(2)/2,WINDOW(3)-100+30)
String$="Red: "+STR$(currentred&)+SPACE$(10)
COLOR=6
CALL DRAWSTRING(String$)
GOSUB "UpdateColorBox"
RETURN

"Button4":'OK button
red&=currentred&
blue&=currentblue&
green&=currentgreen&
GOSUB "Closestuff"
RETURN

"Button5":'Cancel button
GOSUB "Closestuff"
RETURN

"Closestuff"
FOR J=1 TO 5
	BUTTON CLOSE J
NEXT J
WINDOW CLOSE 5
PICTURE ON
LONG COLOR blue&,green&,red&
CALL PAINTRECT(Colorbox%(0))
CALL MOVETO(20,WINDOW(3)-100)
COLOR=7
PRINT "Blue:";blue&;" Red:";red&;" Green:";green&;SPACE$(10)
PICTURE OFF,Pic1&
PICTURE, Pic1&
WINDOW PICTURE #1,Pic1&
RETURN

"Event"
	D=DIALOG(0)
SELECT D
	CASE 1
		GOSUB "ButtonEvent"
	CASE 4
		GOSUB "Quit":'if close box selected
END SELECT
RETURN


