;*******************************************************************
;
;	Data.asm
;
;	(c) 1988, 1989 Attic Software
;
;	assembly routines for scrolling MDEF.
;
;*******************************************************************

;*******************************************************************
;	exported routines
;*******************************************************************

	xdef		gethandle
	xdef		sethandle

	xdef		getoffset
	xdef		setoffset

	xdef		getsize
	xdef		setsize

	xdef		getlength
	xdef		setlength

	xdef		getflags
	xdef		setflags

;*******************************************************************

	thehandle	equ	 0
	theoffset	equ	 4
	thesize		equ	 6
	thelength	equ	 8
	theflags	equ	10

;*******************************************************************

gethandle
	lea		thedata,A0
	move.l		(A0),4(SP)
	rts

sethandle
	movea.l		(SP)+,A1
	lea		thedata,A0
	move.l		(SP)+,(A0)
	jmp		(A1)

;*******************************************************************

getoffset
	move.w		#theoffset,D0
	bra.s		getdata

setoffset
	move.w		#theoffset,D0
	bra.s		setdata

getsize
	move.w		#thesize,D0
	bra.s		getdata

setsize
	move.w		#thesize,D0
	bra.s		setdata

getlength
	move.w		#thelength,D0
	bra.s		getdata

setlength
	move.w		#thelength,D0
	bra.s		setdata

getflags
	move.w		#theflags,D0
	bra.s		getdata

setflags
	move.w		#theflags,D0
	bra.s		setdata

;*******************************************************************

getdata
	lea		thedata,A0
	move.w		(A0,D0.w),4(SP)
	rts

setdata
	movea.l		(SP)+,A1
	lea		thedata,A0
	move.w		(SP)+,(A0,D0.w)
	jmp		(A1)

;*******************************************************************

thedata
	dc.w		''
	dc.w		'(c) 1988, 1989, '
	dc.w		'Clifford Story and Attic Software.  '
	dc.w		'All rights reserved.'

;*******************************************************************

	end

;*******************************************************************
