/*********************
 ** MakeMouseDown.c **
 *********************/

#include <OSUtil.h>
#include <EventMgr.h>

/* mouse down, no key modifier */

MakeMouseDown(hzntl,vrtcl) 
int hzntl,vrtcl;
{

MMDmod(hzntl,vrtcl,0);

}

/* mouse down with key modifier */

MMDmod(hzntl,vrtcl,mod) 
int hzntl,vrtcl,mod;
{

/* locals */

EvQElPtr MyEventPtr;
QHdrPtr TheHdr;

/* begin executable */

MyEventPtr = (EvQElPtr) NewPtr ( sizeof(EvQEl) );

TheHdr = GetEvQHdr();

MyEventPtr->qType = evType;
MyEventPtr->evtQWhat = 1;
MyEventPtr->evtQMessage = 0;
MyEventPtr->evtQWhen = TickCount();
MyEventPtr->evtQWhere.h = hzntl;
MyEventPtr->evtQWhere.v = vrtcl;
MyEventPtr->evtQModifiers = mod;

Enqueue (MyEventPtr, TheHdr);

}