(******************************************************************)

unit Common;
	
(******************************************************************)

interface
	
(*******************************************************************
	
	key codes:
		
*******************************************************************)
	
	const
	
		enterkey				=	3;
		backspace			=	8;
		tabkey				=	9;
		returnkey			=	13;
		clearkey				=	27;
		leftarrow			=	28;
		rightarrow			=	29;
		uparrow				=	30;
		downarrow			=	31;
		periodkey			=	46;
	
(*******************************************************************
	
	Dialog items:
		
*******************************************************************)
		
		themask				=	3;
		
(*******************************************************************
	
	Low-memory globals:
		
*******************************************************************)
	
		applscratch			=	$A78;
		bootdrive			=	$210;
		curappname			=	$910;
		curdirstore			=	$398;
		currenta5			=	$904;
		findername			=	$2E0;
		fsfcblen				=	$3F6;
		grayrgn				=	$9EE;
		iaznotify			=	$33C;
		mbarheight			=	$BAA;
		menuflash			=	$A24;
		resload				=	$A5E;
		rom85					=	$28E;
		sfsavedisk			=	$214;
		sysmap				=	$A58;
		windowlist			=	$9D6;
	
(*******************************************************************
	
	Standard types:
		
*******************************************************************)

	type
		
		logical				=	boolean;
		long					=	longint;
		
		shortpointer		=	^integer;
		longpointer			=	^long;
	
(******************************************************************)

end.
	
(******************************************************************)