#******************************************************************
#	
#	Corners.make
#	
#	(c) 1988, by Clifford Story & Attic Software
#	
#******************************************************************

#******************************************************************
#	compile resources
#******************************************************************

Corners  Corners.make Corners.r
	Rez Corners.r -append -o Corners

#******************************************************************
#	compile common declarations
#******************************************************************

Common.p.o  Corners.make Common.p
	Pascal Common.p

#******************************************************************
#	compile and link WDEF
#******************************************************************

WDEF.p.o  Corners.make WDEF.p Common.p.o
	Pascal WDEF.p
Corners  Corners.make WDEF.p.o
	Link -m WINDOWDEF -w -t 'APPL' -c 'CORN' 
     -rt WDEF=50 -sn Main='Four Corners' 
		WDEF.p.o 
		"{Libraries}"Interface.o 
		"{Libraries}"Runtime.o 
		"{PLibraries}"PasLib.o 
		"{PLibraries}"SANELib.o 
		-o Corners

#******************************************************************
#	compile ROM replacements
#******************************************************************

Patches.p.o  Corners.make Patches.p Common.p.o
	Pascal Patches.p

#******************************************************************
#	compile and link Corners
#******************************************************************

Corners.p.o  Corners.make Corners.p Patches.p.o
	Pascal Corners.p
Corners  Corners.make Corners.p.o
	Link -w -t APPL -c 'CORN' 
		Corners.p.o 
		Patches.p.o 
		"{Libraries}"Interface.o 
		"{Libraries}"Runtime.o 
		"{PLibraries}"PasLib.o 
		"{PLibraries}"SANELib.o 
		-o Corners

#******************************************************************
