( Sleeve of Erastothanes )
( optomized for Pocket Forth with inline machine code )
9000 room - grow  ( provide for 9000 dictionary bytes )
forget task : TASK ;  decimal

( timer )
: START ( -- d ) 362 0 dl@ ;  ( get 'ticks' )
: T. ( sec -- ) s>d <# # 46 hold #S #> type ;  ( print sec.tenths )
: STOP ( d -- ) start 2swap dnegate d+ drop  6 / t. ." Seconds" ;

8190 constant SIZE
variable FLAGS size allot

( compile these 2 byte words inline )
: [DUP] ( n -- n n ) [ ' dup @ literal ] , ; IMMEDIATE  ( equal to:  dup )
: [DROP] ( n -- ) [ ' drop @ literal ] , ; IMMEDIATE  ( equal to:  drop )
: [1+] ( n -- n+1 ) [ ' 1+ @ literal ] , ; IMMEDIATE  ( equal to:  1+ )

( compile machine code inline routines )
: R+ ( n -- n+r ) 12311 , 53590 , ; IMMEDIATE  ( equal to:  r + )
: 0RC! ( -- ) 12311 , 16947 , 0 , ; IMMEDIATE  ( equal to:  0 r c! )

: PRIME  flags size 1 fill
    0 size 0 DO
      flags r+ c@ IF
        3 r+ r+ [dup] r+ size < IF
          size flags + over r+ flags +
          DO  0rc! [dup]  +LOOP
        THEN [drop] [1+]
      THEN
    LOOP . ." primes" cr ;

: SIEVE  page  ."        The Sieve of Erastothanes" decimal
    cr  start  10 0 DO prime LOOP  beep
    cr  stop  cr ." Not too shabby, eh?"  cr ;

sieve
