forget task
: task ;

: pick ( n -- dup stack item n levels down )
        ,$ 301E ( move.w [a6]+,d0)
        ,$ E380 ( asl.l  #1,d0 )
        ,$ 3D36 ,$ 0 ( move.w [a6,d0.w],-[a6] )
;

: roll ( n -- move up stack item n levels down )
        ,$ 2F02  (     move.l d2,-[a7] )
        ,$ 301E  (     move.w [a6]+,d0 )
        ,$ 6F16  (     ble.s   @1 )
        ,$ 5380  (     subq.l  #1,d0 )
        ,$ 3200  (     move.w  d0,d1 )
        ,$ 3F1E  ( @2  move.w [a6]+,-[a7] )
        ,$ 51C8
        ,$ FFFC  (     dbf     d0,@2 )
        ,$ 341E  (     move.w  [a6]+,d2 )
        ,$ 3D1F  ( @3  move.w  [a7]+,-[a6] )
        ,$ 51C9
        ,$ FFFC  (     dbf     d1,@3 )
        ,$ 3D02  (     move.w  d2,-[a6] )
        ,$ 241F  (     move.l  [a7]+,d2 )
;                ( @1  rts )

: range ( value lo hi -- flag ) 
        2 pick <  rot rot < or 0=
;         

: 4DUP ( n1 n2 n3 n4 - n1 n2 n3 n4 n1 n2 n3 n4 )
 3 pick 3 pick 3 pick 3 pick 
;

4 +md constant wrect ( Pocket Forth main window )

2variable myport
: getport >abs 2>r ,$ A874 ; ( _GetPort )
: setport 2@ 2>r ,$ A873 ; ( _SetPort )
: cls wrect >abs 2>r ,$ A8A3 ; ( _EraseRect )

( QuickDraw Equates )
hex
8      CONSTANT PatCopy
B      CONSTANT PatBic
10     CONSTANT PortRect
decimal

( Window Size Variables )
VARIABLE        WTop
VARIABLE        WLeft
VARIABLE        WBottom
VARIABLE        WRight
VARIABLE        WWidth
VARIABLE        WHeight

( Positions     Velocities )
VARIABLE xx1    VARIABLE xx1DOT
VARIABLE yy1    VARIABLE yy1DOT
VARIABLE xx2    VARIABLE xx2DOT
VARIABLE yy2    VARIABLE yy2DOT

: GetWCoords ( -- )
        wrect       @  WTop    !
        wrect 2+    @  WLeft   !
        wrect 4 +   @  WBottom !
        wrect 6 +   @  WRight  !

        ( Calculate the current window width and height. )
        WBottom @ WTop  @ - WHeight !
        WRight  @ WLeft @ - WWidth  !  
;

( Erase the window and set the initial pen positions and velocities. )
: SetupReflect (  -  )
        CLS
        GetWCoords
        WWidth  @ 3 /    xx1 !   3 xx1DOT !
        WHeight @        yy1 !  -4 yy1DOT !
        WWidth  @ 3 / 2* xx2 !   4 xx2DOT !
        WHeight @        yy2 !  -3 yy2DOT ! ;

( Draws a newline and leaves coords on stack. )
: NewCoords ( -- xx1 yy1 xx2 yy2 )
        ( Increment the line position. )
        xx1Dot @ xx1 +!
        yy1Dot @ yy1 +!
        xx2Dot @ xx2 +!
        yy2Dot @ yy2 +!

        xx1 @ 1 WWidth @ RANGE 0=
        IF xx1Dot @ NEGATE xx1Dot ! THEN

        yy1 @ 1 WHeight @ RANGE 0=
        IF yy1Dot @ NEGATE yy1Dot ! THEN

        xx2 @ 1 WWidth @ RANGE 0=
        IF xx2Dot @ NEGATE xx2Dot ! THEN

        yy2 @ 1 WHeight @ RANGE 0=
        IF yy2Dot @ NEGATE yy2Dot ! THEN 

        xx1 @ yy1 @ xx2 @ yy2 @
;

( Leaves 40 coordinate pairs on the stack and draws the 1st ten lines. )
: First20Lines (  -  )
        20 0 DO
                PatCopy >r ,$ A89C ( _PenMode )
                NewCoords 4DUP
                !pen -to
        LOOP ;

20 +md constant idlevector
: LinesAdvance (  -  )
                PatCopy >r ,$ A89C ( _PenMode )
                NewCoords 4DUP
                !pen -to

                83 ROLL 83 ROLL 83 ROLL 83 ROLL
                PatBic >r ,$ A89C ( _PenMode ) 
                        ( and white out the n-21st line)
                !pen -to
;

' LinesAdvance constant LAdv

12 +md constant actVect
actVect @ constant actDefault

24 +md constant nullevent
nullevent 6 + constant keyvector
nullevent @ constant rien

: Reflect (  -  )
        SetUpReflect
        First20Lines cls
        LAdv idlevector !
        rien keyvector !
;

variable flag  1 flag !

: start drop cls
        flag @ if 
                reflect 0 flag !
                begin ?terminal drop again
                ( leave out in DA version )
        then
;

' start actvect !

save
: bye ,$ A9F4 ; bye

        

