{}
{  File: EnvironsIntf.p}
{}
{ Copyright Apple Computer, Inc. 1987}
{ All Rights Reserved}
{}




UNIT EnvironsIntf;

INTERFACE
	CONST
		envMac = -1;			{returned by glue, if any}
		envXL = -2;			{returned by glue, if any}
		envMachUnknown = 0;
		env512KE = 1;
		envMacPlus = 2;
		envSE = 3;
		envMacII = 4;

		envCPUUnknown = 0;			{ CPU types }
		env68000 = 1;
		env68010 = 2;
		env68020 = 3;

		envUnknownKbd = 0;			{ Keyboard types }
		envMacKbd = 1;
		envMacAndPad = 2;
		envMacPlusKbd = 3;
		envAExtendKbd = 4;
		envStandADBKbd = 5;

		{ Errors }

		envNotPresent = -5500;		{ returned by glue. Official stuff now }
		envBadSel = -5501;		{ Selector non-positive }
		envSelTooBig = -5502;		{ Selector bigger than call can handle }


	TYPE
		SysEnvRec = RECORD
				environsVersion : INTEGER;
				machineType : INTEGER;
				systemVersion : INTEGER;
				processor : INTEGER;
				hasFPU : BOOLEAN;
				hasColorQD : BOOLEAN;
				keyBoardType : INTEGER;
				atDrvrVersNum : INTEGER;
				sysVRefNum : INTEGER;
			END;


	FUNCTION SysEnvirons (versionRequested : INTEGER;
									VAR theWorld : SysEnvRec) : OSErr;

IMPLEMENTATION
	FUNCTION SysEnvirons;
	External;
END.