/*********************************************************************

	miniedit.h
	
	header file for Miniedit
	
	(C) Copyright THINK Technologies, Inc. 1986.  All rights reserved.
	
*********************************************************************/

#define windowID 			128
#define ErrorAlert		256
#define AdviseAlert		257

/* resource IDs of menus */
#define appleID			128
#define fileID				129
#define editID				130

/* Edit menu command indices */
#define cutCommand		1
#define copyCommand		2
#define pasteCommand		3
#define TimesCommand		5
#define GenevaCommand	6
#define NewYorkCommand	7
#define s9Command			9
#define s10Command		10
#define s12Command		11
#define s14Command		12
#define s18Command		13
#define plainCommand		15
#define boldCommand		16
#define italicCommand	17
#define ulineCommand		18
#define shadowCommand	19
#define SuperCommand		20
#define RegularCommand	21
#define SubCommand		22

/* Menu indices */
#define appleM				0
#define fileM				1
#define editM				2

#define fmQuit				1

#define aaSave				1
#define aaDiscard			2
#define aaCancel			3

#define SBarWidth			15

#define NULL 				0L