/*-------------------------------------------------------------------------
#
#	Flame TrachCan Installer Script Resource Code
#
#	Create using with command:
#		Rez -o FlameTrash -t uins -c uins FlameTrash.r
#
#	To Function correctly, Place it in the System Folder of the
#		Installer Disk.
#
#	Installs the Flame TrashCan into the Target Disk's Finder.
#
-------------------------------------------------------------------------*/

#include "Types.r"

#include "SysTypes.r"

resource 'insc' (0, "") {
	format0 {
		"Flame TrashCan (v1.0)",
		"FlameTrash Script installs the Flame Trashcan into the Finder.  "
		"This Script must be in the System Folder of the Installing Disk.  "
		"It was created for MacTutor by Steve Sheets.",
		{	/* array FileList: 0 elements */
		},
		{	/* array ResFileList: 1 elements */
			/* [1] */
			noDelRemove, noDelInstall, noCopy, doReplace, Old, noUpdateOnly,
			noRsrcFork, noDataFork, needExist, nocrDate, typeCr,
			'FNDR', 'MACS', 0x0, "Finder",
			{	/* array SrcFileList: 1 elements */
				/* [1] */
				noDelRemove, noDelInstall, noCopy, doReplace, Old, noUpdateOnly,
				noRsrcFork, noDataFork, needExist, nocrDate, typeCr,
				'uins', 'uins', 0x0, "FlameTrash",
				{	/* array ResList: 2 elements */
					/* [1] */
					noDelRemove, DelInstall, copy, doReplace, old, noUpdateOnly,
					noEvenIf, needExist, byID, 
					'ICN#', 500, 130, "",
					/* [2] */
					noDelRemove, DelInstall, copy, doReplace, old, noUpdateOnly,
					noEvenIf, needExist, byID, 
					'ICN#', 501, 134, ""
				}
			}
		}
	}
};

/*	Flame Trash Icon	*/

resource 'ICN#' (500, "", preload) {
	{	/* array: 2 elements */
		/* [1] */
		$"1F FF FF F8 20 00 00 04 40 00 00 02 80 00 00 01"
		$"80 00 00 01 80 00 00 01 80 20 00 01 80 18 00 01"
		$"80 0C 00 01 80 06 00 01 80 07 00 01 80 03 80 01"
		$"80 06 C0 01 80 06 60 01 80 0C 30 01 80 18 18 01"
		$"80 30 0C 01 80 61 06 01 80 C1 83 01 80 81 41 01"
		$"81 82 21 81 81 84 11 81 81 84 91 81 80 C4 93 01"
		$"80 E2 A7 01 80 71 CE 01 80 39 9C 01 80 1F F8 01"
		$"80 07 E0 01 40 01 80 02 20 01 80 04 1F FF FF F8",
		/* [2] */
		$"1F FF FF F8 3F FF FF FC 7F FF FF FE FF FF FF FF"
		$"FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF"
		$"FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF"
		$"FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF"
		$"FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF"
		$"FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF"
		$"FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF"
		$"FF FF FF FF 7F FF FF FE 3F FF FF FC 1F FF FF F8"
	}
};

/*	Flame Full Trash Icon	*/

resource 'ICN#' (501, "", preload) {
	{	/* array: 2 elements */
		/* [1] */
		$"1F FF FF F8 20 40 00 04 40 20 40 02 80 38 20 01"
		$"80 1C 30 01 84 16 38 01 83 1B 3C 01 81 89 B6 01"
		$"81 8C E7 01 81 EC 63 81 83 74 31 81 83 34 18 C1"
		$"86 1C 18 61 86 18 0C 61 8C 30 06 71 8C 60 06 31"
		$"98 60 03 19 B8 C0 03 19 B0 C0 03 19 B0 C0 06 19"
		$"B8 60 86 39 9C 70 8C 71 8E 38 9C E1 87 18 B9 C1"
		$"83 8E B7 81 81 C7 EF 01 80 71 DE 01 80 3F FC 01"
		$"80 0F F0 01 40 01 80 02 20 01 80 04 1F FF FF F8",
		/* [2] */
		$"1F FF FF F8 3F FF FF FC 7F FF FF FE FF FF FF FF"
		$"FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF"
		$"FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF"
		$"FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF"
		$"FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF"
		$"FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF"
		$"FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF"
		$"FF FF FF FF 7F FF FF FE 3F FF FF FC 1F FF FF F8"
	}
};
