/*-------------------------------------------------------------------------
#
#	Normal TrachCan Installer Script Resource Code
#
#	Create using with command:
#		Rez -o NormalTrash -t uins -c uins NormalTrash.r
#
#	To Function correctly, Place it in the System Folder of the
#		Installer Disk.
#
#	Installs the Normal TrashCan into the Target Disk's Finder.
#
-------------------------------------------------------------------------*/

#include "Types.r"

#include "SysTypes.r"

resource 'insc' (0, "") {
	format0 {
		"Normal TrashCan (v1.0)",
		"NormalTrash Script installs the Normal Trashcan into the Finder.  "
		"This Script must be in the System Folder of the Installing Disk.  "
		"It was created for MacTutor by Steve Sheets.",
		{	/* array FileList: 0 elements */
		},
		{	/* array ResFileList: 1 elements */
			/* [1] */
			noDelRemove, noDelInstall, noCopy, doReplace, Old, noUpdateOnly,
			noRsrcFork, noDataFork, needExist, nocrDate, typeCr,
			'FNDR', 'MACS', 0x0, "Finder",
			{	/* array SrcFileList: 1 elements */
				/* [1] */
				noDelRemove, noDelInstall, noCopy, doReplace, Old, noUpdateOnly,
				noRsrcFork, noDataFork, needExist, nocrDate, typeCr,
				'uins', 'uins', 0x0, "NormalTrash",
				{	/* array ResList: 2 elements */
					/* [1] */
					noDelRemove, DelInstall, copy, doReplace, old, noUpdateOnly,
					noEvenIf, needExist, byID, 
					'ICN#', 500, 130, "",
					/* [2] */
					noDelRemove, DelInstall, copy, doReplace, old, noUpdateOnly,
					noEvenIf, needExist, byID, 
					'ICN#', 501, 134, ""
				}
			}
		}
	}
};

/*	Normal Trash Icon	*/

resource 'ICN#' (500, "", preload) {
	{	/* array: 2 elements */
		/* [1] */
		$"00 07 E0 00 00 08 10 00 03 FF FF C0 04 00 00 20"
		$"07 FF FF E0 02 00 00 40 02 00 00 40 02 44 44 40"
		$"02 22 22 40 02 22 22 40 02 22 22 40 02 22 22 40"
		$"02 22 22 40 02 22 22 40 02 22 22 40 02 22 22 40"
		$"02 22 22 40 02 22 22 40 02 22 22 40 02 22 22 40"
		$"02 22 22 40 02 22 22 40 02 22 22 40 02 22 22 40"
		$"02 22 22 40 02 22 22 40 02 22 22 40 02 22 22 40"
		$"02 44 44 40 02 00 00 40 02 00 00 40 03 FF FF C0",
		/* [2] */
		$"00 07 E0 00 00 0F F0 00 03 FF FF C0 07 FF FF E0"
		$"07 FF FF E0 03 FF FF C0 03 FF FF C0 03 FF FF C0"
		$"03 FF FF C0 03 FF FF C0 03 FF FF C0 03 FF FF C0"
		$"03 FF FF C0 03 FF FF C0 03 FF FF C0 03 FF FF C0"
		$"03 FF FF C0 03 FF FF C0 03 FF FF C0 03 FF FF C0"
		$"03 FF FF C0 03 FF FF C0 03 FF FF C0 03 FF FF C0"
		$"03 FF FF C0 03 FF FF C0 03 FF FF C0 03 FF FF C0"
		$"03 FF FF C0 03 FF FF C0 03 FF FF C0 03 FF FF C0"
	}
};

/*	Normal Full Trash Icon	*/

resource 'ICN#' (501, "", preload) {
	{	/* array: 2 elements */
		/* [1] */
		$"00 07 E0 00 00 08 10 00 03 FF FF C0 04 00 00 20"
		$"03 FF FF C0 02 00 00 40 02 00 00 40 02 10 04 40"
		$"04 22 22 20 04 22 22 20 08 44 11 10 08 44 11 10"
		$"10 88 08 88 10 88 08 88 10 88 08 88 10 88 08 88"
		$"10 88 08 88 10 88 08 88 10 88 08 88 10 88 08 88"
		$"10 88 08 88 10 88 08 88 10 88 08 88 08 44 11 10"
		$"08 44 11 10 04 22 22 20 04 22 22 20 04 22 22 20"
		$"02 10 00 40 02 00 00 40 02 00 00 40 01 FF FF 80",
		/* [2] */
		$"00 07 E0 00 00 0F F0 00 03 FF FF C0 07 FF FF E0"
		$"03 FF FF C0 03 FF FF C0 03 FF FF C0 03 FF FF C0"
		$"07 FF FF E0 07 FF FF E0 0F FF FF F0 0F FF FF F0"
		$"1F FF FF F8 1F FF FF F8 1F FF FF F8 1F FF FF F8"
		$"1F FF FF F8 1F FF FF F8 1F FF FF F8 1F FF FF F8"
		$"1F FF FF F8 1F FF FF F8 1F FF FF F8 0F FF FF F0"
		$"0F FF FF F0 07 FF FF E0 07 FF FF E0 07 FF FF E0"
		$"03 FF FF C0 03 FF FF C0 03 FF FF C0 01 FF FF 80"
	}
};