/*-------------------------------------------------------------------------
#
#	SampleProc Installer Script Resource Code
#
#	Create using with command:
#		Rez -o SampleProc -t uins -c uins SampleProc.r
#
#	To Function correctly, Place it in the System Folder
#		of the Installer Disk
#
#	Installs a Sample Resource into the Target Disk's
#		System File.  Also it copies the Script into the
#		Target Disk's System Folder so it can Install 
#		itself elsewhere.  This Script could be used to
#		install almost any type of Proc Resource, for
#		example, WindowProc, MenuProc, ControlProc, etc.
#
-------------------------------------------------------------------------*/

#include "Types.r"

#include "SysTypes.r"

resource 'insc' (0, "") {
	format0 {
		"SampleProc (v1.0)",
		"For the SampleProc Script, pressing the Install Button "
		"installs the SampleProc Resource (Type 'XXXX', ID 0) "
		"into the System File.  It also copies the SampleProc "
		"Script into the System Folder.  Pressing the Remove Button, "
		"deletes the Resource and the Script.  This Script must "
		"be in the System Folder of the Installing Disk.  It "
		"was created for MacTutor by Steve Sheets",
		{	/* array FileList: 1 elements */
			/* [1] */
			DelRemove, DelInstall, Copy, doReplace, Old, noUpdateOnly,
			RsrcFork, DataFork, needExist, nocrDate, typeCr,
			'uins', 'uins', 0x0, "SampleProc"
		},
		{	/* array ResFileList: 1 elements */
			/* [1] */
			noDelRemove, noDelInstall, noCopy, doReplace, Old, noUpdateOnly,
			noRsrcFork, noDataFork, needExist, nocrDate, typeCr,
			'ZSYS', 'MACS', 0x0, "System",
			{	/* array SrcFileList: 1 elements */
				/* [1] */
				noDelRemove, noDelInstall, noCopy, doReplace, Old, noUpdateOnly,
				noRsrcFork, noDataFork, needExist, nocrDate, typeCr,
				'uins', 'uins', 0x0, "SampleProc",
				{	/* array ResList: 1 elements */
					/* [1] */
					DelRemove, DelInstall, copy, doReplace, old, noUpdateOnly,
					noEvenIf, needExist, byID, 
					'XXXX', 0, 0, ""
				}
			}
		}
	}
};

/*	SampleProc Resource */

data 'XXXX' (0) {
};
