{$S Main}
{$R-}
unit matmul;

interface

type matrix = array [1..50,1..50] of extended;

procedure mat_mul_pas
	(var c : matrix; nc : longint;
	 var a : matrix; na : longint;
	 var b : matrix; nb : longint;
	 n1,n2,n3:longint);

procedure mat_mul_pas_opt
	(var c : matrix; nc : longint;
	 var a : matrix; na : longint;
	 var b : matrix; nb : longint;
	 n1,n2,n3:longint);

implementation

procedure mat_mul_pas;

var
	i,j,k:integer;

begin
	for k:=1 to n3 do
		for i:=1 to n1 do
			begin
			c[i,k] := 0;
			for j:=1 to n2 do
				c[i,k] := c[i,k]+a[i,j]*b[j,k];
			end;
end;

procedure mat_mul_pas_opt;

var
	i,j,k:integer; sum:extended;

begin
	for k:=1 to n3 do
		for i:=1 to n1 do
			begin
			sum := 0;
			for j:=1 to n2 do
				sum := sum+a[i,j]*b[j,k];
			c[i,k] := sum;
			end;
end;

end.