PROGRAM Sample;

	{$MC68020-}	{The main program must be universal code}
	{$MC68881-}

USES
	UMacApp, UPrinting,	{MacApp stuff}
	USample;						{Our stuff}

VAR
	gSampleApplication:   TSampleApplication;

{$S Main}
BEGIN
	InitToolBox;	{essential toolbox and utilities}
	IF ValidateConfiguration(gConfiguration) THEN 
		BEGIN	{make sure we can run}
			InitUMacApp(8); 			{init MacApp; 8 calls to MoreMasters}
			InitUPrinting;				{init MacApp units}
		
			New(gSampleApplication);		{create an application object}
			FailNil(gSampleApplication);	{make sure enough memory}
			gSampleApplication.ISampleApplication;	{init application}
			gSampleApplication.Run;					{run application}
		END
	ELSE
		StdAlert(phUnsupportedConfiguration);	{tell user we can't run}	
END.
