UNIT USample;

INTERFACE

USES
	UMacApp, UPrinting,	UMAUtil,	{MacApp Stuff}
	ToolUtils, Resources, Fonts, Packages, Printing; {toolbox stuff}
	
TYPE
	TSampleApplication = OBJECT(TApplication)
		PROCEDURE TSampleApplication.ISampleApplication;
		FUNCTION  TSampleApplication.DoMakeDocument(
							itsCmdNumber: CmdNumber):TDocument; OVERRIDE;
		END;

	TSampleDocument = OBJECT(TDocument)
		fDeviceCmd:		Integer;
		fSampleView:	TSampleView;
		PROCEDURE TSampleDocument.ISampleDocument;
		PROCEDURE TSampleDocument.DoMakeViews(forPrinting: BOOLEAN); OVERRIDE;
		PROCEDURE TSampleDocument.DoMakeWindows; OVERRIDE;
		PROCEDURE TSampleDocument.DoSetupMenus; OVERRIDE;
		FUNCTION  TSampleDocument.DoMenuCommand(aCmdNumber: CmdNumber):TCommand;OVERRIDE;
		
		PROCEDURE TSampleDocument.SetCmd(CmdID: INTEGER);
		FUNCTION  TSampleDocument.GetCmd: INTEGER;
		END;
		
	TSampleView = OBJECT(TView)
		fSampleDocument: TSampleDocument;
		PROCEDURE TSampleView.ISampleView(itsDocument: TSampleDocument);
		PROCEDURE TSampleView.Draw(area: Rect); OVERRIDE;
		END;		
	
IMPLEMENTATION
	{$I USample.inc1.p}
END.

