unit TEConvert;

   {General utilities for conversion between TextEdit and strings}
   { see Macintosh Technical note #18 }
interface

{    uses}
{    MemTypes, QuickDraw, OSIntf, ToolIntf;}

	procedure TERecToStr (hTE: TEHandle; var str: Str255);
      {TERecToStr converts the TextEdit record hTE to the string str.}
      {If necessary, the text will be truncated to 255 characters.}

	procedure StrToTERec (str: Str255; hTE: TEHandle);
      {StrToTERec converts the string str to the TextEdit record hTE. }

implementation

	procedure TERecToStr (hTE: TEHandle; var str: Str255);

	begin
		GetIText(hTE^^.hText, str);
	end;

	procedure StrToTERec (str: Str255; hTE: TEHandle);

	begin
		TESetText(POINTER(ORD4(@str) + 1), ORD4(length(str)), hTE);
	end;

end.