/*
 * File CIcon.r
 *
 * Created by Steve Sheets for MacTutor
 *
 * revised cicn Resource Template
 * 
 */

type 'cicn' {
		longint = 0;						/* Base address			*/
		integer = $8010;					/* New pixMap flag & Offset to next row	*/
		integer = 0;						/* Bitmap bounds		*/
		integer = 0;
		integer = 32;
		integer = 32;
		integer = 0;						/* pixMap vers number	*/
		integer = 0;						/* Packing format		*/
		longint = 0;						/* Size of packed pixel data	*/
		unsigned hex longint = $00480000;	/* h. resolution (ppi) (fixed) */
		unsigned hex longint = $00480000;	/* v. resolution (ppi) (fixed) */
		integer = 0;						/* Pixel storage format	*/
		integer = 4;						/* # bits in pixel		*/
		integer = 1;						/* # components in pixel*/
		integer = 4;						/* # bits per field		*/
		longint = 0;						/* Offset to next plane	*/
		longint = 0;						/* Offset to color table*/
		longint = 0;						/* Reserved				*/
				
		/* IconMask (bitMap) record */
		fill long;							/* Base address			*/
		integer  = 4;						/* Row bytes			*/
		integer = 0;						/* Bitmap bounds		*/
		integer = 0;
		integer = 32;
		integer = 32;
		
		/* IconBMap (bitMap) record */
		fill long;							/* Base address			*/
		integer  = 4;						/* Row bytes			*/
		integer = 0;						/* Bitmap bounds		*/
		integer = 0;
		integer = 32;
		integer = 32;
		
		longint = 0;						/* Handle placeholder	*/

		array [32] {						/* Mask Data			*/
			unsigned binary longint;
		};

		array [32] {						/* BMap Data			*/
			unsigned binary longint;
		};
				
											/* PMapCTab				*/
		longint = 0;						/*	ctSeed				*/
		integer = 0;						/*	transIndex			*/
		integer = $$Countof(ColorSpec) - 1;	/*	ctSize				*/
		wide array ColorSpec {
				hex integer;				/*	value				*/
				unsigned integer;			/*	RGB:	red			*/
				unsigned integer;			/*			green		*/
				unsigned integer;			/*			blue		*/
		};
		
		array [32] {						/*PMap Data				*/
			hex string[16];
		};
		
};
