/*	dispatcher.r

	Copyright Verity Software Systems 1989
	    All rights reserved.

	Resource definitions for dispatcher application
		Rez format
*/

#include "Types.r"

resource 'BNDL' (128) {
	'LCHA',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'ICN#',
		{	/* array IDArray: 2 elements */
			/* [1] */
			0, 128,
			/* [2] */
			1, 129
		},
		/* [2] */
		'FREF',
		{	/* array IDArray: 2 elements */
			/* [1] */
			0, 130,
			/* [2] */
			1, 131
		}
	}
};

resource 'ICN#' (128, "Dispatcher Application Icon") {
	{	/* array: 2 elements */
		/* [1] */
		$"FFFF FFFE 8000 0003 8120 0003 8120 0003"
		$"8220 0003 8440 0003 B880 07C3 8118 1823"
		$"861C 2023 B80F FF23 8006 0023 8005 0043"
		$"8004 8043 8004 4083 800C 2083 800C 0103"
		$"8014 0203 8014 0603 8024 0A03 8024 1203"
		$"8020 7203 8021 D203 801E 1203 8000 1203"
		$"8000 1203 8000 1203 8000 3303 8000 2103"
		$"8000 2103 8000 2103 FFFF FFFF 7FFF FFFF",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (129, "Dispatcher Document Icon") {
	{	/* array: 2 elements */
		/* [1] */
		$"FFFF FFFE 8000 0003 8000 1E03 8000 0183"
		$"8000 1C43 8000 0243 83C0 0123 8430 18A3"
		$"8408 38A3 84FF F0A3 8400 6003 8200 A003"
		$"8201 2003 8102 2003 8104 3003 8080 3003"
		$"8040 2803 8060 2803 8050 2403 8048 2403"
		$"804E 0403 804B 8403 8048 7803 8048 0003"
		$"8048 0003 8048 0003 80CC 0003 8084 0003"
		$"8084 0003 8084 0003 FFFF FFFF 7FFF FFFF",
		/* [2] */
		$"FFFF FFFE FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF 7FFF FFFF"
	}
};

resource 'FREF' (130) {
	'APPL',
	0,
	"Dispatcher Application"
};

resource 'FREF' (131) {
	'LCHD',
	1,
	"Dispatcher Document"
};


data 'LCHA' (0) {
	$"4469 7370 6174 6368 6572 2041 7070 6C69"        /* Dispatcher Appli */
	$"6361 7469 6F6E 202D 2043 6F70 7972 6967"        /* cation - Copyrig */
	$"6874 2031 3938 3920 5665 7269 7479 2053"        /* ht 1989 Verity S */
	$"6F66 7477 6172 6520 5379 7374 656D 732E"        /* oftware Systems. */
	$"2052 6F67 6572 2041 2E20 486F 7274 6F6E"        /*  Roger A. Horton */
	$"202D 2041 6C6C 2072 6967 6874 7320 5265"        /*  - All rights Re */
	$"7365 7276 6564"                                 /* served */
};

resource 'DLOG' (200, "Configuration Settings") {
	{38, 116, 312, 390},
	altDBoxProc,
	visible,
	noGoAway,
	0x0,
	200,
	"Configuration Settings"
};

resource 'DITL' (200, "Configuration Settings") {
	{	/* array DITLarray: 13 elements */
		/* [1] */
		{184, 24, 204, 84},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{184, 109, 204, 169},
		Button {
			enabled,
			"Search"
		},
		/* [3] */
		{184, 192, 204, 252},
		Button {
			enabled,
			"Cancel"
		},
		/* [4] */
		{74, 31, 92, 239},
		EditText {
			enabled,
			"4th Dimension v1.0.6"
		},
		/* [5] */
		{128, 30, 146, 238},
		EditText {
			enabled,
			"FPR"
		},
		/* [6] */
		{151, 56, 171, 212},
		CheckBox {
			enabled,
			"Open App Document"
		},
		/* [7] */
		{4, 81, 24, 182},
		StaticText {
			enabled,
			" Dispatcher "
		},
		/* [8] */
		{25, 75, 45, 190},
		StaticText {
			enabled,
			"Current Settings"
		},
		/* [9] */
		{51, 31, 70, 239},
		StaticText {
			enabled,
			"Application Name:"
		},
		/* [10] */
		{106, 32, 125, 239},
		StaticText {
			enabled,
			"Document Name:"
		},
		/* [11] */
		{220, 30, 238, 249},
		StaticText {
			enabled,
			" Verity Software Systems 1989"
		},
		/* [12] */
		{239, 15, 256, 128},
		StaticText {
			enabled,
			"by Roger Horton"
		},
		/* [13] */
		{239, 132, 256, 263},
		StaticText {
			enabled,
			"All Rights Reserved"
		}
	}
};

resource 'ALRT' (201) {
	{80, 100, 210, 400},
	201,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'DITL' (201) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{100, 125, 120, 175},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 70, 90, 290},
		StaticText {
			disabled,
			"^0 \n^1 \n^2 \n^3"
		}
	}
};

resource 'SIZE' (-1) {
	dontSaveScreen,
	ignoreSuspendResumeEvents,
	dontDoOwnActivate,
	128000,
	128000
};
