#   File:       MacTutorApp.make
#   Target:     MacTutorApp
#   Sources:    MacTutorApp.cp MacTutorDoc.cp MacTutorApp.r
#   Created:    Sunday, November 19, 1989 21:14:46


OBJECTS = TApplication.cp.o TDocument.cp.o MacTutorApp.cp.o MacTutorDoc.cp.o MacTutorGrow.cp.o
HEADERS = MacTutorApp.h MacTutorDoc.h MacTutorGrow.h

TApplication.cp.o  TApplication.cp TApplication.h
	 CPlus  TApplication.cp
TDocument.cp.o  TDocument.cp TDocument.h
	 CPlus  TDocument.cp
MacTutorApp.cp.o  MacTutorApp.make {HEADERS} MacTutorApp.cp
	 CPlus  MacTutorApp.cp
MacTutorDoc.cp.o  MacTutorApp.make {HEADERS} MacTutorDoc.cp
	 CPlus  MacTutorDoc.cp
MacTutorGrow.cp.o  MacTutorApp.make {HEADERS} MacTutorGrow.cp
	 CPlus  MacTutorGrow.cp

MacTutorApp  MacTutorApp.make {OBJECTS}
	Link -w -t APPL -c JLMT 
		"{CLibraries}"CRuntime.o 
		{OBJECTS} 
		"{Libraries}"Interface.o 
		"{CLibraries}"StdCLib.o 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		"{CLibraries}"CInterface.o 
		"{CLibraries}"CPlusLib.o 
		#"{CLibraries}"Complex.o 
		-o MacTutorApp

MacTutorApp  MacTutorApp.make MacTutorApp.r
	Rez MacTutorApp.r -append -o MacTutorApp

