/***********************************************************************\
| Purpose :: This header file contains all of the global data 			|
|			 structures and function prototypes necessary for the		|
|			 demo program to run the CODE RESOURCE version of the		|
|			 MacTutor Help system.  Notice the absence of the Do_Help() |
|			 and Init_Help() prototypes!								|
|-----------------------------------------------------------------------|
|		Copyright  Joe Pillera, 1990.  All Rights Reserved.			|
|	Copyright  MacTutor Magazine, 1990.  All Rights Reserved.			|
\***********************************************************************/

#define		MBarID				256
#define		AppleID				256
#define		FileID				257
#define		EditID				258
#define		HelpItem			1
#define		QuitItem			2
#define		AboutItem			1
#define		About_Window		400
#define		NIL					0L
#define		FRONT				(WindowPtr)-1
#define		OK_Button			1

/* Global variables */
extern 	Boolean	 program_done;

/* Demo program externs */
extern	void	Bold_Button( DialogPtr, int );
extern  void	Center_Window( DialogPtr, int, Boolean );
extern	void	Do_Command( long );
extern	void	Do_About_Box( void );
extern	void	Do_Apple_Cmd( int );
extern	void	Do_File_Cmd( int );
extern	void	Do_Command( long );
extern 	void 	Do_Event_Loop ( void );
extern	void	Do_Help( void );
extern	void	main( void );
