/* File ResBTMPEd.r
 *
 * resources for ResBTMPEd.c
 */
 
#include "Types.r"
#include "ResIDs.h"

/* BTMP menu */
resource 'MENU' (BTMP_MENU_ID, "BTMP")
{ BTMP_MENU_ID,
  textMenuProc,
  0b1111111111111111111111110111011,
  enabled,
  "BTMP",
  { "Change Bounds",		noIcon, noKey,	noMark, plain;
    "Fatbit Size",			noIcon, noKey,	noMark, plain;
    "-",								noIcon, noKey,	noMark, plain;
    "Fill With White",	noIcon, noKey,	noMark, plain;
    "Fill With Black",	noIcon, noKey,	noMark, plain;
    "Invert",						noIcon, noKey,  noMark, plain;
    "-",								noIcon, noKey,	noMark, plain;
    "Nudge Up",					noIcon, "8",		noMark, plain;
    "Nudge Down",				noIcon, "2",		noMark, plain;
    "Nudge Left",				noIcon, "4",		noMark, plain;
    "Nudge Right",			noIcon, "6",		noMark, plain}
};

/* fat bit size DLOG */
resource 'DLOG' (FAT_BIT_SIZE_DLOG, "BTMP fat bits")
{ {52, 176, 170, 400},
  dBoxProc,
  visible,
  noGoAway,
  0x0,
  FAT_BIT_SIZE_DITL,
  "" };

/* fat bit size DITL */
resource 'DITL' (FAT_BIT_SIZE_DITL, "BTMP fat bits")
{ { {89, 80, 109, 140}, Button      {enabled,  "OK"};
    {16, 16, 32, 208},  StaticText  {enabled,  
    	"Number Of Pixels Per FatBit:"};
    {40, 40, 56, 72},   RadioButton {enabled,  "3"};
    {64, 40, 80, 72},   RadioButton {enabled,  "4"};
    {40, 96, 56, 128},  RadioButton {enabled,  "5"};
    {64, 96, 80, 128},  RadioButton {enabled,  "6"};
    {40, 152, 56, 184}, RadioButton {enabled,  "7"};
    {64, 152, 80, 184}, RadioButton {enabled,  "8"} } };

/* bounds DLOG */
resource 'DLOG' (CHANGE_BOUNDS_DLOG, "BTMP change bounds")
{ {62, 192, 192, 430},
  dBoxProc,
  visible,
  noGoAway,
  0x0,
  CHANGE_BOUNDS_DITL,
  "" };

/* bounds DITL */
resource 'DITL' (CHANGE_BOUNDS_DITL, "BTMP change bounds")
{ { {96, 88, 116, 148}, Button      {enabled,  "OK"};
    {40, 64, 56, 104},  EditText    {enabled,  ""};
    {64, 64, 80, 104},  EditText    {enabled,  ""};
    {40, 184, 56, 224}, EditText    {enabled,  ""};
    {64, 184, 80, 224}, EditText    {enabled,  ""};
    {8, 16, 24, 72},    StaticText  {enabled,  "Bounds:"};
    {40, 24, 56, 56},   StaticText  {enabled,  "Top"};
    {64, 24, 80, 56},   StaticText  {enabled,  "Left"};
    {40, 120, 56, 176}, StaticText  {enabled,  "Bottom"};
    {64, 120, 80, 168}, StaticText  {enabled,  "Right"} } };
