/*													TrackIdle.c									*/
/*
 * Copyright  1989 Martin Minow. All rights reserved.
 *
 * void
 * TrackIdle(track_handle)
 * TrackHandle	track_handle;
 *
 * Flash the cursor.
 */
#include	"TrackEdit.h"
#define TR	(*tr)

void
TrackIdle(track_handle)
TrackHandle	track_handle;
{
		register TrackPtr	tr;
		_Track_state			state;
		register LONGINT	now;
		
		tr = _Track_lock(track_handle, &state);
		if (TR.selStart == TR.selEnd) {
			now = TickCount();
			if (now > TR.caretTime) {
				_Track_caret(tr, _Track_caret_invert);
				TR.caretTime = now + CaretTime;
			}
		}
		_Track_unlock(&state);
}



