UNIT DQTextProcedure;

INTERFACE

  USES MemTypes, QuickDraw, OSIntf, ToolIntf, PackIntf, QDaccess;

{ Tmlpascals QDaccess defines:
 TYPE  QDGlobalsPtr = ^QDGlobalsRec;
    QDGlobalsRec =
      record
        randSeed   :  LongInt;
        screenBits :  BitMap;
        arrow      :  Cursor;
        dkGray     :  Pattern;
        ltGray     :  Pattern;
        gray       :  Pattern;
        black      :  Pattern;
        white      :  Pattern;
        ThePort    :  GrafPtr;
      end;
function QDGlobals: QDGlobalsPtr;external;
}

  PROCEDURE DQText(Message: Str255);

IMPLEMENTATION
  
  PROCEDURE DQText(Message: Str255);
    
    VAR
      SavedPort    : GrafPtr;
      LocalPort    : GrafPort;
      TheRect      : Rect;

    BEGIN
      WITH QDGlobals^ DO
        BEGIN
        GetPort(SavedPort);
        OpenPort(@LocalPort);
        SetPort(@LocalPort);

        WITH ScreenBits.Bounds DO { this is QDGlobals^ s ScreenBits ! }
          SetRect(TheRect, Left, Bottom - 20, Right, Bottom);
        FillRect(TheRect, White);
        MoveTo(TheRect.Left, TheRect.Top);
        LineTo(TheRect.Right, TheRect.Top);
        MoveTo(TheRect.Left + 7, TheRect.Bottom - 7);
        DrawString(Message);

        ClosePort(@LocalPort);
        SetPort(SavedPort);
        END;
    END;
END.
