unit DemoConstants;
interface
	uses
		Memory;
	const
{resource ID's}
		nDialogID = 128;
		nWindowID = 128;

{menu constants}
		mBarID = 128;
		mApple = 128;
		mFile = 128;
		firstMenu = mApple;
		lastMenu = mFile;
		mDemo = 200;
		mDemoSub = 201;

		mEditPopUp = 202;
		iCut = 1;
		iCopy = 2;
		iPaste = 3;
		iClear = 4;
		iOptionPaste = 5;

		mFirstPopUp = mDemo;
		mLastPopUp = mEditPopUp;


		bOK = 1;
		bCancel = 2;
		uBox = 3;
		uList = 4;
		bSortName = 5;
		bSortFormula = 6;
		bSortWeight = 7;
		bSortReference = 8;
		bDelete = 9;
		bInsert = 10;
		bAppend = 11;
		uDemoPopUp = 12;
		sDemoPopUp = 13;
		eSampleEditItem = 14;
		sEditPopUp = 15;
		uEditPopUp = 16;

		nListItem = 4;
		cols = 4;
	type
		DataRecord = record
				name: str255;
				formula: str255;
				weight: extended;
				reference: integer;
			end;
		DataArray = array[0..100] of DataRecord;
		DataPtr = ^DataArray;
		DataHandle = ^DataPtr;
	procedure CreateData (var Data: DataHandle;
									nRecords: integer;
									var error: boolean);
	procedure ResizeData (Data: DataHandle;
									nRecords: integer;
									var error: boolean);
	procedure DisposData (Data: DataHandle;
									error: boolean);
	function DataRecords (Data: DataHandle;
									error: boolean): integer;
implementation
	procedure CreateData;
	begin
		Data := DataHandle(myNewHandle(nRecords * sizeof(DataRecord), error));
	end;
{**********************************}
	procedure ResizeData;
	begin
		mySetHandleSize(handle(Data), nRecords * sizeof(DataRecord), error)
	end;
{**********************************}
	procedure DisposData;
	begin
		if not error then
			DisposHandle(handle(Data));
	end;
{**********************************}
	function DataRecords;
	begin
		if not error then
			DataRecords := gethandlesize(handle(data)) div sizeof(DataRecord);
	end;
{**********************************}
end.