#***********************************************************************************
#
#	Hyphen.make
#	
#	Make file for Hyphen tool
#
#***********************************************************************************

#***********************************************************************************
#	Compile resources
#***********************************************************************************

Hyphen  Hyphen.make Hyphen.r
	Rez -a -t MPST -c 'MPS ' 
		Hyphen.r 
	-o Hyphen

#***********************************************************************************
#	Compile symbols
#***********************************************************************************

Dumper.c.o  Hyphen.make Dumper.c
	C -r -mbg ch8 
		Dumper.c

#***********************************************************************************
#	Compile and link code
#***********************************************************************************

Hyphen.c.o  Hyphen.make Dumper.c.o Hyphen.c
	C -r -mbg ch8 
		Hyphen.c

Hyphen  Hyphen.make Hyphen.c.o
	Link -w 
		Hyphen.c.o 
		"{Libraries}"Interface.o 
		"{CLibraries}"CRuntime.o 
		"{CLibraries}"StdCLib.o 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		"{CLibraries}"CInterface.o 
		"{Libraries}"ToolLibs.o 
	-o Hyphen

#***********************************************************************************
