{[a-,body+,h-,o=100,r+,rec+,t=4,u+,#+,j=20/57/1$,n+]}
{ MDrawShapes.p}
{ Copyright  1986-1989 by Apple Computer, Inc. All rights reserved.}

PROGRAM DrawShapes;

  {$MC68020-}											{ The main program must be universal code }
  {$MC68881-}

	USES
		{  MacApp }
		UMacApp,

		{  Building Blocks }
		UPrinting,
		
		UTEView, UDialog, USavedMe,

		{  Implementation Use }
		UDrawShapes;

	VAR
		gShapeApplication:	TShapeApplication;

{$S Main}

	BEGIN
	InitToolBox;										{ Essential toolbox and utilities
														  initialization }
	IF ValidateConfiguration(gConfiguration) THEN		{ Make sure we can run }
		BEGIN
		{ Continue with remainder of initialization }
		InitUMacApp(10);								{ Initialize MacApp; 10 calls to MoreMasters
														 }
		InitUTEView;
		InitUDialog;
		InitUSavedMe;
		InitUPrinting;									{ Initialize the printing unit}

		New(gShapeApplication); 						{ Allocate the Application object}
		FailNil(gShapeApplication);
		gShapeApplication.IShapeApplication;			{ Initialize it}
		
		{$IFC qDebug}
		gIntenseDebugging := TRUE;						{ I want intense debugging by default }
		{$ENDC}
		
		gShapeApplication.Run;							{ Run it}
		END
	ELSE
		StdAlert(phUnsupportedConfiguration);			{ Inform user we can't run. }
	END.
