/* File RezC.STRlist.Cmdo.R */
/* Rez input for the Rezc.STRlist Commando interface */
/* W. Powell 1988 */

/* Rez definitions for Rez-building Commando interfaces */
#include "Cmdo.R"

Resource 'cmdo' (200) {
	{ 240,
	"Rezc.STRlist produces Rez input for a String resource.\n"
	"New dialogs will prompt for further strings.",
	{
/* This include file has a standard arrangement of items
 *   common to all resources: ID#, attributes, name, 
 * 	 and redirection of output from the Rezc. script		*/
#include "CmdoReztStart.R"

	/* Item 6 */
	OR {{1}}, RegularEntry {
		"First string:",
		{80,30,96,120},
		{99,30,115,450},
		"",keepCase,"",
		"Enter the string.\nUse \\ to escape special characters." },
	/* Item 7 */
	AND {{6}}, DoItButton {}, 
	}, 
/* Dialog 2 */
/* Include the standard resource attributes dialog */
#include "CmdoReztAttr.R"

/* Dialog 3 */
/* Include a redirection dialog */
#include "CmdoReztRdir.R"

}
};

/* End File RezC.STRlist.Cmdo.R */