/*******************************************\
*	file: 		ReportMaker.c				*
*	version:	0.1						*
* 	XFCN ID		503							*
*											*
* Print a paragraph from Hypercard using the*
* the rules described :						*
*											*
* Paragraph are runs of text that have out-	*
* dent and indent characters (typically 	*
* outline numbers and such).				*
* 											*
*											*
* -----------------------------------------	*
* By:	Donald Koscheka						*
* Date:	30-OCT-89							*
* 	Copyright 1989, Donald Koscheka			*
*	All Rights Reserved						*
*											*
* -----------------------------------------	*
\*******************************************/

#include <MacTypes.h>
#include <MemoryMgr.h>
#include <ResourceMgr.h>
#include <OSUtil.h>
#include <HyperXCmd.h>
#include <HyperUtils.h>
#include <PrintMgr.h>
#include "ReportUtils.h"



pascal void main( paramPtr )
	XCmdBlockPtr	paramPtr;
/**********************************
* params[0] == the text to print.
* params[1] == text to the left of paragraph
* params[2] == text to the right of paragraph
**********************************/
{
	Handle		pH;
	pInfoPtr	pp;
	
	if( paramPtr->paramCount && ( pH = GetSystemResource( PAGE_INFO, PAGE_ID ) ) ){
		pp = (pInfoPtr)*pH;
		
		DrawParagraph( pp,paramPtr->params[0],paramPtr->params[1],paramPtr->params[2] );
	}
	paramPtr->returnValue = NIL;
}

