(******************************************************)
(*													  *)
(*	file:  Pen.d									  *)
(*													  *)
(*	Implements some of the methods for the Pen class  *)
(*	in Smalltalk-80.								  *)
(*													  *)
(*	Written in SemperSoft Modula-2 v.1.1.2			  *)
(*													  *)
(*	Allen Stenger	August 1989  					  *)
(*													  *)
(******************************************************)

DEFINITION MODULE Pen;

(*
	Go in the current direction the specified distance
	(units of pixels).
*)
PROCEDURE Go( distance : CARDINAL );

(*
	Change the current direction by turning degrees 
	(positive degrees = clockwise).
*)
PROCEDURE Turn( degrees : INTEGER );

(*
	Move to original pen position.
*)
PROCEDURE Home;

END Pen.