#***********************************************************************************
#
#	Balanced.make
#	
#	Make file for balanced tree program
#
#***********************************************************************************

#***********************************************************************************
#	Compile symbols
#***********************************************************************************

Dumper.c.o  Balanced.make Dumper.c
	C -r -mbg ch8 
		Dumper.c

#***********************************************************************************
#	Compile and link code
#***********************************************************************************

Balanced.c.o  Balanced.make Dumper.c.o Balanced.c
	C -r -mbg ch8 
		Balanced.c

Balanced  Balanced.make Balanced.c.o
	Link -w 
		Balanced.c.o 
		"{Libraries}"Interface.o 
		"{CLibraries}"CRuntime.o 
		"{CLibraries}"StdCLib.o 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		"{CLibraries}"CInterface.o 
		"{Libraries}"ToolLibs.o 
	-o Balanced

#***********************************************************************************
