/*************************************************
 CWavePanel.h
 
 Part of the interface for the WavePanel Class,
 to show how to use the DigitalControl class.
 						
  1989 Enrico Colombini. All rights reserved.
*************************************************/
#define _H_CWavePanel.h			/*include only once*/

#include <CPicture.h>
#include "CDigitalControl.h"

		/*** class declaration ***/

struct CWavePanel : CPicture {

		/* instance variables: */
		
	CDigitalControl *ctrAmpA;		/*A amplitude*/
	CDigitalControl *ctrFreqA;		/*A frequency*/
	CDigitalControl *ctrAmpB;		/*B amplitude*/
	CDigitalControl *ctrFreqB;		/*B frequency*/
	CDigitalControl *ctrPhaseB;	/*B phase*/
	
		/* overridden methods: */
		
	void	DoCommand(long theCommand);
		
		/* new methods: */

	void	IWavePanel(short resID,
					CView *anEnclosure,
					CBureaucrat *aSupervisor);
};

