#***********************************************************************************
#
#	Canon.make
#	
#	Make file for Canon tool
#
#***********************************************************************************

#***********************************************************************************
#	Compile resources
#***********************************************************************************

Canon  Canon.make Canon.r
	Rez -a -t MPST -c 'MPS ' 
		Canon.r 
	-o Canon

#***********************************************************************************
#	Compile and link code
#***********************************************************************************

Canon.c.o  Canon.make Canon.c
	C -r -mbg ch8 
		Canon.c

Canon  Canon.make Canon.c.o
	Link -w 
		Canon.c.o 
		"{Libraries}"Interface.o 
		"{CLibraries}"CRuntime.o 
		"{CLibraries}"StdCLib.o 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		"{CLibraries}"CInterface.o 
		"{Libraries}"ToolLibs.o 
	-o Canon

#***********************************************************************************
