/****
 * CObject1Doc.h
 *
 *	Document class for a typical application.
 *
 ****/

#define	_H_CObject1Doc			/* Include this file only once */
#include <CDocument.h>

struct CObject1Doc : CDocument {

									/** Construction/Destruction **/
	void		IObject1Doc(CBureaucrat *aSupervisor, Boolean printable);
	void		Dispose();

	void		DoCommand(long theCommand);

	void		Activate(void);
	void		Deactivate(void);

	void		NewFile(void);
	void		OpenFile(SFReply *macSFReply);
	void		BuildWindow(Handle theData);
	
									/** Filing **/
	Boolean		DoSave(void);
	Boolean		DoSaveAs(SFReply *macSFReply);
	void		DoRevert(void);
};