/****
 * CHeapListerDoc.h
 *
 *	Document class for a typical application.
 *
 ****/

#define	_H_CHeapListerDoc			/* Include this file only once */

#include <CDocument.h>
#include "CHeapInfo.h"
#include "CHeaderPane.h"
#include "CHeapListerPane.h"
#include "CDataPane.h"

struct CHeapListerDoc : CDocument {

	CHeaderPane		*itsHeaderPane;
	CHeapInfo		*itsHeap;
	CDataPane		*itsDataPane;
	CHeapListerPane	*itsHeapListerPane;

									/** Construction/Destruction **/
	void		IHeapListerDoc (CBureaucrat *aSupervisor, Boolean printable);
	void		Dispose ();

	void		DoCommand (long theCommand);
	void		UpdateMenus (void);

	void		NewFile (void);
};

#define cmdHeapRefreshed	997
#define cmdRefreshHeapLine	998
#define cmdRefreshData		999

