/*
---------------------------------------
      I N C L U D E   F I L E S
      				
      	   C O N S T A N T S
      	   
      	   			&
 	
 R O U T I N E S    I N T E R F A C E 
 
---------------------------------------

*/



/*
---------------------- 
*/
	
#ifndef	_NewToolBox_
#define _NewToolBox_
		
typedef struct WindInfoRec {
								Point		Worigin;
								Rect		WContRect;
								TEHandle	WactivTxt;
								ListHandle	WactivLst;
								Boolean		Wgrow;
								THPrint		WPrintRec;	
								ProcPtr		WindProc;
								int			WvRefNum;
								long		WAuxRefC;
								Handle		WText;
								Handle		WList;
								Handle		WPic;
        					} WindInfoRec,*WindInfoPtr,**WindInfoHdl;

typedef struct ListAuxRec	{
								int			ID;
								ListHandle	theList;
								Handle		nextList;
								int			fontList;
								int			sizList;
							} ListAuxRec,*ListAuxPtr,**ListAuxHdl;
							
typedef struct PicAuxRec	{
								int				ID;		
								PicHandle	    thePic;			
								Handle			nextPic;
								int				tMode;
								Rect			destRect;
							} PicAuxRec,*PicAuxPtr,**PicAuxHdl;
							
typedef struct TEAuxRec		{
								int			ID;		
								TEHandle	theText;			
								Handle		nextText;
							} TEAuxRec,*TEAuxPtr,**TEAuxHdl;

typedef struct ControlAuxRec {							
								int			contrlID;
								ProcPtr		contrlProc;
							} ControlAuxRec,*ControlAuxPtr,**ControlAuxHdl;
							
/*
----------------------
*/

extern pascal OSErr		InstalWindow();
extern pascal void 		DeInstalWindow(WindowPtr whichWindow);
extern pascal void 		ExecWindow();
extern pascal Handle	GetWindowAuxRec(WindowPtr whichWindow);
extern pascal void 		GetWindowClip(Rect *contentRect,Point *clipOrigin,
                        			  WindowPtr whichWindow);
extern pascal void 		SetWindowClip(Rect *contentRect,Point clipOrigin,
                        			  WindowPtr whichWindow);
extern pascal void 		SetCurrents(TEHandle CurrentText,ListHandle CurrentList,
									WindowPtr whichWindow);
extern pascal void		GetCurrents(TEHandle *CurrentText,ListHandle *CurrentList,
									WindowPtr whichWindow);
extern pascal Boolean	WindowWithGrow(WindowPtr whichWindow);

extern pascal void		ActivateText(WindowPtr whichWindow);
extern pascal void		DeactivateText(WindowPtr whichWindow);
extern pascal void		DrawTexts(WindowPtr whichWindow);
extern pascal OSErr		InstalText(int textID,WindowPtr whichWindow);
extern pascal TEHandle	FindText(Point thePoint,WindowPtr whichWindow);

extern pascal void		 DeactivateList(WindowPtr whichWindow);
extern pascal void		 ActivateList(WindowPtr whichWindow);
extern pascal void		 ListKey(char key,ListHandle inList);
extern pascal void		 DrawLists(WindowPtr whichWindow);
extern pascal ListHandle FindList(Boolean testControl,Point thePoint,
								  WindowPtr whichWindow);
extern pascal OSErr		 InstalList(int listID,WindowPtr whichWindow);

extern pascal OSErr		InstalPict(int PicID,WindowPtr whichWindow);
extern pascal void		DrawPicts(WindowPtr whichWindow);
extern pascal PicHandle	FindPict(Point thePoint,WindowPtr whichWindow);

extern pascal OSErr		InstalControl();
extern pascal void		ExecControl(ControlHandle theControl);	
extern pascal void		HiliteAllControls(int HiliteState,WindowPtr whichWindow);	

#endif _NewToolBox_

/*
----------------------
*/
        
