program ChangeColorDepth;  {based on Macintosh Technical Note #276}
{MacTutor, October, 1990}
{by Dave Kelly}

	var
		someResult: integer;
		gd: GDHandle;
		done: boolean;
		oldDepth, newDepth, Depthavailable, whichFlags, newFlags, oldFlags, i: integer;
		monitortype: str255;

	function SetDepth (gd: GDHandle; newDepth, whichFlags, newFlags: integer): integer;
	inline
		$203C, $000A, $0013, $AAA2;  { Move.L #$000A0013,D0}
										{_pMgrDispatch}

	function HasDepth (gd: GDHandle; newDepth, whichFlags, newFlags: Integer): integer;
	inline
		$203C, $000A, $0014, $AAA2; { Move.L #$000A0016,D0}
										{_PMgrDispatch}

begin
	showtext;
	gd := GetMainDevice;  {this gets the graphics device correctly as it should.}
	whichFlags := 1;  { indicates that only one bit on newFlags is important}
	oldDepth := BitAnd(gd^^.gdmode, whichFlags);
	oldFlags := BitAnd(gd^^.gdflags, whichFlags);
	newDepth := 32;
	for newDepth := 32 downto 1 do
		begin
			Depthavailable := HasDepth(gd, newDepth, whichFlags, newFlags);
			if Depthavailable <> 0 then
				begin
					leave
				end;
		end;
	if oldDepth <> 0 then
		newDepth := 1;
	if oldFlags = 0 then
		newFlags := 1
	else
		newflags := 0;  { clears the gdDevType flag in the device record (0=monochrome, 1=color).}
	if newflags = 0 then
		monitortype := 'monochrome'
	else
		monitortype := 'Color';
	Depthavailable := HasDepth(gd, newDepth, whichFlags, newFlags);
	if Depthavailable = 0 then
		writeln(newDepth, '-bit depth ', monitortype, ' is not supported')
	else
		begin
			writeln(newDepth, '-bit depth ', monitortype, ' is supported');
			someresult := SetDepth(gd, newDepth, whichFlags, newFlags);
			showtext;
			if someresult <> 0 then
				begin
					writeln('The result was not successful');
					writeln('The result=', someResult);
				end
		end;
	writeln;
	writeln('Click the mouse to continue');
	repeat
		done := Button;
	until done;
end.