resource 'WIND' (1, "Demo") {
	{120, 120, 340, 519},
	noGrowDocProc,
	invisible,
	noGoAway,
	0x1,
	"Demo"
};

resource 'CNTL' (31, "=>Transition=>") {
	{70, 150, 90, 250},
	0,
	16,
	1,
	0,
	pushButProc,
	31,
	"=>Transition=>"
};

resource 'CNTL' (32, "Erase Image") {
	{160, 280, 180, 370},
	0,
	16,
	1,
	0,
	pushButProc,
	32,
	"Erase Image "
};

resource 'CNTL' (33, "Draw Image") {
	{190, 280, 210, 370},
	0,
	16,
	1,
	0,
	pushButProc,
	33,
	"Draw Image"
};

resource 'DLOG' (2, "About") {
	{180, 245, 275, 395},
	dBoxProc,
	invisible,
	noGoAway,
	0x2,
	2,
	"About"
};

resource 'DITL' (2, "About") {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{60, 30, 80, 110},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 20, 50, 130},
		StaticText {
			enabled,
			"Transition Demo\nBy Kirk Chase "
		}
	}
};

resource 'MENU' (1001, "Std Menu - \0x14") {
	1001,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About Transition...", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (1002, "Std Menu - File") {
	1002,
	textMenuProc,
	allEnabled,
	enabled,
	"File",
	{	/* array: 1 elements */
		/* [1] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (1003, "Std Menu - Edit") {
	1003,
	textMenuProc,
	0x7FFFFFE0,
	enabled,
	"Edit",
	{	/* array: 5 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, "X", noMark, plain,
		/* [4] */
		"Copy", noIcon, "C", noMark, plain,
		/* [5] */
		"Paste", noIcon, "V", noMark, plain
	}
};

resource 'MENU' (1004, "Std Menu - Options") {
	1004,
	textMenuProc,
	allEnabled,
	enabled,
	"Options",
	{	/* array: 3 elements */
		/* [1] */
		"Direction", noIcon, hierarchicalMenu, "\r", plain,
		/* [2] */
		"Partitions", noIcon, hierarchicalMenu, "\v", plain,
		/* [3] */
		"Copy Mode", noIcon, hierarchicalMenu, "\f", plain
	}
};

resource 'MENU' (10, "Hier Menu - Hier10") {
	10,
	textMenuProc,
	allEnabled,
	enabled,
	"Hier10",
	{	/* array: 6 elements */
		/* [1] */
		"Top=>Down", noIcon, noKey, check, plain,
		/* [2] */
		"Down=>Up", noIcon, noKey, noMark, plain,
		/* [3] */
		"Left=>Right", noIcon, noKey, noMark, plain,
		/* [4] */
		"Right=>Left", noIcon, noKey, noMark, plain,
		/* [5] */
		"Iris", noIcon, noKey, noMark, plain,
		/* [6] */
		"Fade", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (11, "Hier Menu - Hier11") {
	11,
	textMenuProc,
	allEnabled,
	enabled,
	"Hier11",
	{	/* array: 4 elements */
		/* [1] */
		"1", noIcon, noKey, check, plain,
		/* [2] */
		"2", noIcon, noKey, noMark, plain,
		/* [3] */
		"5", noIcon, noKey, noMark, plain,
		/* [4] */
		"10", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (12, "Hier Menu - Hier12") {
	12,
	textMenuProc,
	allEnabled,
	enabled,
	"Hier12",
	{	/* array: 8 elements */
		/* [1] */
		"srcCopy", noIcon, noKey, check, plain,
		/* [2] */
		"srcOr", noIcon, noKey, noMark, plain,
		/* [3] */
		"srcXor", noIcon, noKey, noMark, plain,
		/* [4] */
		"srcBic", noIcon, noKey, noMark, plain,
		/* [5] */
		"notSrcCopy", noIcon, noKey, noMark, plain,
		/* [6] */
		"notSrcOr", noIcon, noKey, noMark, plain,
		/* [7] */
		"notSrcXor", noIcon, noKey, noMark, plain,
		/* [8] */
		"notSrcBic", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (13, "Hier 13") {
	13,
	textMenuProc,
	allEnabled,
	enabled,
	"Hier13",
	{	/* array: 4 elements */
		/* [1] */
		"Circle In", noIcon, noKey, check, plain,
		/* [2] */
		"Circle Out", noIcon, noKey, noMark, plain,
		/* [3] */
		"Triangle", noIcon, noKey, noMark, plain,
		/* [4] */
		"Odd Shape", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (14, "Hier14") {
	14,
	textMenuProc,
	allEnabled,
	enabled,
	"Hier14",
	{	/* array: 4 elements */
		/* [1] */
		"Random 1", noIcon, noKey, check, plain,
		/* [2] */
		"Random 2", noIcon, noKey, noMark, plain,
		/* [3] */
		"Diagonal", noIcon, noKey, noMark, plain,
		/* [4] */
		"Vertical", noIcon, noKey, noMark, plain
	}
};

resource 'PAT#' (1000) {
	{	/* array PatArray: 8 elements */
		/* [1] */
		$"0420 0210 8001 0840",
		/* [2] */
		$"4001 1008 0420 8002",
		/* [3] */
		$"1080 0820 0240 0401",
		/* [4] */
		$"0208 4001 2004 1080",
		/* [5] */
		$"0110 0480 0802 4020",
		/* [6] */
		$"2002 8004 4010 0108",
		/* [7] */
		$"0840 0102 1080 2004",
		/* [8] */
		$"8004 2040 0108 0210"
	}
};

resource 'PAT#' (4000) {
	{	/* array PatArray: 8 elements */
		/* [1] */
		$"0101 0101 0101 0101",
		/* [2] */
		$"0202 0202 0202 0202",
		/* [3] */
		$"0404 0404 0404 0404",
		/* [4] */
		$"0808 0808 0808 0808",
		/* [5] */
		$"1010 1010 1010 1010",
		/* [6] */
		$"2020 2020 2020 2020",
		/* [7] */
		$"4040 4040 4040 4040",
		/* [8] */
		$"8080 8080 8080 8080"
	}
};

resource 'PAT#' (3000) {
	{	/* array PatArray: 8 elements */
		/* [1] */
		$"0804 0201 8040 2010",
		/* [2] */
		$"0402 0180 4020 1008",
		/* [3] */
		$"1008 0402 0180 4020",
		/* [4] */
		$"0201 8040 2010 0804",
		/* [5] */
		$"2010 0804 0201 8040",
		/* [6] */
		$"0180 4020 1008 0402",
		/* [7] */
		$"4020 1008 0402 0180",
		/* [8] */
		$"8040 2010 0804 0201"
	}
};

resource 'PAT#' (2000) {
	{	/* array PatArray: 8 elements */
		/* [1] */
		$"C0C0 0000 0C0C",
		/* [2] */
		$"0C0C 0000 C0C0",
		/* [3] */
		$"0000 3030 0000 0303",
		/* [4] */
		$"0000 0303 0000 3030",
		/* [5] */
		$"0303 0000 3030",
		/* [6] */
		$"3030 0000 0303",
		/* [7] */
		$"0000 0C0C 0000 C0C0",
		/* [8] */
		$"0000 C0C0 0000 0C0C"
	}
	/****** Extra bytes follow... ******/
	/* $"0000 0000 0010 0000"                                /* ........ */
};

