(****************************************************)
(*													*)
(*	file:  Distributions.d							*)
(*													*)
(*	This module provides commonly used random 		*)
(*	distributions.									*)
(*													*)
(*	Written in SemperSoft Modula-2 v.1.1.2			*)
(*													*)
(*	Allen Stenger	May 1989  						*)
(*													*)
(****************************************************)

DEFINITION MODULE Distributions;

(*	Uniform distribution in the range start..end.
*)
PROCEDURE UniformDistribution( 
			start, end : CARDINAL ) : CARDINAL;

(*	Exponential distribution of given mean.
*)
PROCEDURE ExponentialDistribution( 
			mean : CARDINAL ) : CARDINAL;

END Distributions.