/*
 * File:	PieMenus.c
 *
 * Purpose:	This file contains a driver "main"
 *			function that is used to test the
 *			pie popup menu drawing function.
 */


#define   NUM_MENU_ITEMS	7

char	*strcat();


int
main()
{
	Point	windowLoc = {0,0};
	char	buffer[400];
	char	itembuf[40];
	int		num_items;
	int		i;
	
	/* Initialize the toolbox. */
	MaxApplZone();	
	InitGraf(&thePort);
	InitFonts();
	FlushEvents(everyEvent, 0);
	InitWindows();
	InitMenus();
	TEInit();
	InitDialogs(0L);
	InitCursor();


	/* Construct the test menu. */
	buffer[0] = '\0';
	for (i = 0; i < NUM_MENU_ITEMS; i++) {
		sprintf(itembuf,"ITEM %d;", i+1);
		strcat(buffer,itembuf);
	}
	num_items = ConvertMenuList(buffer);
	
	/* Display the menu. */
	DrawPieMenu(windowLoc, 		/* */
				buffer,			/* menu list */
				num_items,		/* # menu items */
				(int) geneva,	/* font to use */
				10,				/* size of font */
				TRUE,			/* use patterns */
				TRUE);			/* allow warping */
}


