
/*
 * Points of a circle with origin at 0,0 with a radius of: 50
 */

#define		CENTER_X			0
#define		CENTER_Y			0

#define		I_RADIUS			50
#define		NUM_I_POINTS		288


/* This represents a point. */
struct	xy_pt {
	int	x;
	int	y;
};

struct xy_pt i_circle_points[NUM_I_POINTS] = {
	{    0,  -50},	{    1,  -50},	{    2,  -50},	{    3,  -50},	{    4,  -50},
	{    5,  -50},	{    6,  -50},	{    7,  -50},	{    8,  -49},	{    9,  -49},
	{   10,  -49},	{   11,  -49},	{   12,  -49},	{   13,  -48},	{   14,  -48},
	{   15,  -48},	{   16,  -47},	{   17,  -47},	{   18,  -47},	{   19,  -46},
	{   20,  -46},	{   21,  -45},	{   22,  -45},	{   23,  -44},	{   24,  -44},
	{   25,  -43},	{   26,  -43},	{   27,  -42},	{   28,  -41},	{   29,  -41},
	{   30,  -40},	{   31,  -39},	{   32,  -38},	{   33,  -38},	{   34,  -37},
	{   35,  -36},	{   36,  -35},	{   37,  -34},	{   38,  -33},	{   38,  -32},
	{   39,  -31},	{   40,  -30},	{   41,  -29},	{   41,  -28},	{   42,  -27},
	{   43,  -26},	{   43,  -25},	{   44,  -24},	{   44,  -23},	{   45,  -22},
	{   45,  -21},	{   46,  -20},	{   46,  -19},	{   47,  -18},	{   47,  -17},
	{   47,  -16},	{   48,  -15},	{   48,  -14},	{   48,  -13},	{   49,  -12},
	{   49,  -11},	{   49,  -10},	{   49,   -9},	{   49,   -8},	{   50,   -7},
	{   50,   -6},	{   50,   -5},	{   50,   -4},	{   50,   -3},	{   50,   -2},
	{   50,   -1},	{   50,    0},	{   50,    0},	{   50,    1},	{   50,    2},
	{   50,    3},	{   50,    4},	{   50,    5},	{   50,    6},	{   50,    7},
	{   49,    8},	{   49,    9},	{   49,   10},	{   49,   11},	{   49,   12},
	{   48,   13},	{   48,   14},	{   48,   15},	{   47,   16},	{   47,   17},
	{   47,   18},	{   46,   19},	{   46,   20},	{   45,   21},	{   45,   22},
	{   44,   23},	{   44,   24},	{   43,   25},	{   43,   26},	{   42,   27},
	{   41,   28},	{   41,   29},	{   40,   30},	{   39,   31},	{   38,   32},
	{   38,   33},	{   37,   34},	{   36,   35},	{   35,   36},	{   34,   37},
	{   33,   38},	{   32,   38},	{   31,   39},	{   30,   40},	{   29,   41},
	{   28,   41},	{   27,   42},	{   26,   43},	{   25,   43},	{   24,   44},
	{   23,   44},	{   22,   45},	{   21,   45},	{   20,   46},	{   19,   46},
	{   18,   47},	{   17,   47},	{   16,   47},	{   15,   48},	{   14,   48},
	{   13,   48},	{   12,   49},	{   11,   49},	{   10,   49},	{    9,   49},
	{    8,   49},	{    7,   50},	{    6,   50},	{    5,   50},	{    4,   50},
	{    3,   50},	{    2,   50},	{    1,   50},	{    0,   50},	{    0,   50},
	{   -1,   50},	{   -2,   50},	{   -3,   50},	{   -4,   50},	{   -5,   50},
	{   -6,   50},	{   -7,   50},	{   -8,   49},	{   -9,   49},	{  -10,   49},
	{  -11,   49},	{  -12,   49},	{  -13,   48},	{  -14,   48},	{  -15,   48},
	{  -16,   47},	{  -17,   47},	{  -18,   47},	{  -19,   46},	{  -20,   46},
	{  -21,   45},	{  -22,   45},	{  -23,   44},	{  -24,   44},	{  -25,   43},
	{  -26,   43},	{  -27,   42},	{  -28,   41},	{  -29,   41},	{  -30,   40},
	{  -31,   39},	{  -32,   38},	{  -33,   38},	{  -34,   37},	{  -35,   36},
	{  -36,   35},	{  -37,   34},	{  -38,   33},	{  -38,   32},	{  -39,   31},
	{  -40,   30},	{  -41,   29},	{  -41,   28},	{  -42,   27},	{  -43,   26},
	{  -43,   25},	{  -44,   24},	{  -44,   23},	{  -45,   22},	{  -45,   21},
	{  -46,   20},	{  -46,   19},	{  -47,   18},	{  -47,   17},	{  -47,   16},
	{  -48,   15},	{  -48,   14},	{  -48,   13},	{  -49,   12},	{  -49,   11},
	{  -49,   10},	{  -49,    9},	{  -49,    8},	{  -50,    7},	{  -50,    6},
	{  -50,    5},	{  -50,    4},	{  -50,    3},	{  -50,    2},	{  -50,    1},
	{  -50,    0},	{  -50,    0},	{  -50,   -1},	{  -50,   -2},	{  -50,   -3},
	{  -50,   -4},	{  -50,   -5},	{  -50,   -6},	{  -50,   -7},	{  -49,   -8},
	{  -49,   -9},	{  -49,  -10},	{  -49,  -11},	{  -49,  -12},	{  -48,  -13},
	{  -48,  -14},	{  -48,  -15},	{  -47,  -16},	{  -47,  -17},	{  -47,  -18},
	{  -46,  -19},	{  -46,  -20},	{  -45,  -21},	{  -45,  -22},	{  -44,  -23},
	{  -44,  -24},	{  -43,  -25},	{  -43,  -26},	{  -42,  -27},	{  -41,  -28},
	{  -41,  -29},	{  -40,  -30},	{  -39,  -31},	{  -38,  -32},	{  -38,  -33},
	{  -37,  -34},	{  -36,  -35},	{  -35,  -36},	{  -34,  -37},	{  -33,  -38},
	{  -32,  -38},	{  -31,  -39},	{  -30,  -40},	{  -29,  -41},	{  -28,  -41},
	{  -27,  -42},	{  -26,  -43},	{  -25,  -43},	{  -24,  -44},	{  -23,  -44},
	{  -22,  -45},	{  -21,  -45},	{  -20,  -46},	{  -19,  -46},	{  -18,  -47},
	{  -17,  -47},	{  -16,  -47},	{  -15,  -48},	{  -14,  -48},	{  -13,  -48},
	{  -12,  -49},	{  -11,  -49},	{  -10,  -49},	{   -9,  -49},	{   -8,  -49},
	{   -7,  -50},	{   -6,  -50},	{   -5,  -50},	{   -4,  -50},	{   -3,  -50},
	{   -2,  -50},	{   -1,  -50},	{    0,  -50}	
};

/*
 * Points of a circle with origin at 0,0 with a radius of: 70
 */
#define		O_RADIUS			70
#define		NUM_O_POINTS		400
struct xy_pt o_circle_points[NUM_O_POINTS] = {
	{    0,  -70},	{    1,  -70},	{    2,  -70},	{    3,  -70},	{    4,  -70},
	{    5,  -70},	{    6,  -70},	{    7,  -70},	{    8,  -70},	{    9,  -69},
	{   10,  -69},	{   11,  -69},	{   12,  -69},	{   13,  -69},	{   14,  -69},
	{   15,  -68},	{   16,  -68},	{   17,  -68},	{   18,  -68},	{   19,  -67},
	{   20,  -67},	{   21,  -67},	{   22,  -66},	{   23,  -66},	{   24,  -66},
	{   25,  -65},	{   26,  -65},	{   27,  -65},	{   28,  -64},	{   29,  -64},
	{   30,  -63},	{   31,  -63},	{   32,  -62},	{   33,  -62},	{   34,  -61},
	{   35,  -61},	{   36,  -60},	{   37,  -59},	{   38,  -59},	{   39,  -58},
	{   40,  -57},	{   41,  -57},	{   42,  -56},	{   43,  -55},	{   44,  -54},
	{   45,  -54},	{   46,  -53},	{   47,  -52},	{   48,  -51},	{   49,  -50},
	{   50,  -49},	{   51,  -48},	{   52,  -47},	{   53,  -46},	{   54,  -45},
	{   54,  -44},	{   55,  -43},	{   56,  -42},	{   57,  -41},	{   57,  -40},
	{   58,  -39},	{   59,  -38},	{   59,  -37},	{   60,  -36},	{   61,  -35},
	{   61,  -34},	{   62,  -33},	{   62,  -32},	{   63,  -31},	{   63,  -30},
	{   64,  -29},	{   64,  -28},	{   65,  -27},	{   65,  -26},	{   65,  -25},
	{   66,  -24},	{   66,  -23},	{   66,  -22},	{   67,  -21},	{   67,  -20},
	{   67,  -19},	{   68,  -18},	{   68,  -17},	{   68,  -16},	{   68,  -15},
	{   69,  -14},	{   69,  -13},	{   69,  -12},	{   69,  -11},	{   69,  -10},
	{   69,   -9},	{   70,   -8},	{   70,   -7},	{   70,   -6},	{   70,   -5},
	{   70,   -4},	{   70,   -3},	{   70,   -2},	{   70,   -1},	{   70,    0},
	{   70,    0},	{   70,    1},	{   70,    2},	{   70,    3},	{   70,    4},
	{   70,    5},	{   70,    6},	{   70,    7},	{   70,    8},	{   69,    9},
	{   69,   10},	{   69,   11},	{   69,   12},	{   69,   13},	{   69,   14},
	{   68,   15},	{   68,   16},	{   68,   17},	{   68,   18},	{   67,   19},
	{   67,   20},	{   67,   21},	{   66,   22},	{   66,   23},	{   66,   24},
	{   65,   25},	{   65,   26},	{   65,   27},	{   64,   28},	{   64,   29},
	{   63,   30},	{   63,   31},	{   62,   32},	{   62,   33},	{   61,   34},
	{   61,   35},	{   60,   36},	{   59,   37},	{   59,   38},	{   58,   39},
	{   57,   40},	{   57,   41},	{   56,   42},	{   55,   43},	{   54,   44},
	{   54,   45},	{   53,   46},	{   52,   47},	{   51,   48},	{   50,   49},
	{   49,   50},	{   48,   51},	{   47,   52},	{   46,   53},	{   45,   54},
	{   44,   54},	{   43,   55},	{   42,   56},	{   41,   57},	{   40,   57},
	{   39,   58},	{   38,   59},	{   37,   59},	{   36,   60},	{   35,   61},
	{   34,   61},	{   33,   62},	{   32,   62},	{   31,   63},	{   30,   63},
	{   29,   64},	{   28,   64},	{   27,   65},	{   26,   65},	{   25,   65},
	{   24,   66},	{   23,   66},	{   22,   66},	{   21,   67},	{   20,   67},
	{   19,   67},	{   18,   68},	{   17,   68},	{   16,   68},	{   15,   68},
	{   14,   69},	{   13,   69},	{   12,   69},	{   11,   69},	{   10,   69},
	{    9,   69},	{    8,   70},	{    7,   70},	{    6,   70},	{    5,   70},
	{    4,   70},	{    3,   70},	{    2,   70},	{    1,   70},	{    0,   70},
	{    0,   70},	{   -1,   70},	{   -2,   70},	{   -3,   70},	{   -4,   70},
	{   -5,   70},	{   -6,   70},	{   -7,   70},	{   -8,   70},	{   -9,   69},
	{  -10,   69},	{  -11,   69},	{  -12,   69},	{  -13,   69},	{  -14,   69},
	{  -15,   68},	{  -16,   68},	{  -17,   68},	{  -18,   68},	{  -19,   67},
	{  -20,   67},	{  -21,   67},	{  -22,   66},	{  -23,   66},	{  -24,   66},
	{  -25,   65},	{  -26,   65},	{  -27,   65},	{  -28,   64},	{  -29,   64},
	{  -30,   63},	{  -31,   63},	{  -32,   62},	{  -33,   62},	{  -34,   61},
	{  -35,   61},	{  -36,   60},	{  -37,   59},	{  -38,   59},	{  -39,   58},
	{  -40,   57},	{  -41,   57},	{  -42,   56},	{  -43,   55},	{  -44,   54},
	{  -45,   54},	{  -46,   53},	{  -47,   52},	{  -48,   51},	{  -49,   50},
	{  -50,   49},	{  -51,   48},	{  -52,   47},	{  -53,   46},	{  -54,   45},
	{  -54,   44},	{  -55,   43},	{  -56,   42},	{  -57,   41},	{  -57,   40},
	{  -58,   39},	{  -59,   38},	{  -59,   37},	{  -60,   36},	{  -61,   35},
	{  -61,   34},	{  -62,   33},	{  -62,   32},	{  -63,   31},	{  -63,   30},
	{  -64,   29},	{  -64,   28},	{  -65,   27},	{  -65,   26},	{  -65,   25},
	{  -66,   24},	{  -66,   23},	{  -66,   22},	{  -67,   21},	{  -67,   20},
	{  -67,   19},	{  -68,   18},	{  -68,   17},	{  -68,   16},	{  -68,   15},
	{  -69,   14},	{  -69,   13},	{  -69,   12},	{  -69,   11},	{  -69,   10},
	{  -69,    9},	{  -70,    8},	{  -70,    7},	{  -70,    6},	{  -70,    5},
	{  -70,    4},	{  -70,    3},	{  -70,    2},	{  -70,    1},	{  -70,    0},
	{  -70,    0},	{  -70,   -1},	{  -70,   -2},	{  -70,   -3},	{  -70,   -4},
	{  -70,   -5},	{  -70,   -6},	{  -70,   -7},	{  -70,   -8},	{  -69,   -9},
	{  -69,  -10},	{  -69,  -11},	{  -69,  -12},	{  -69,  -13},	{  -69,  -14},
	{  -68,  -15},	{  -68,  -16},	{  -68,  -17},	{  -68,  -18},	{  -67,  -19},
	{  -67,  -20},	{  -67,  -21},	{  -66,  -22},	{  -66,  -23},	{  -66,  -24},
	{  -65,  -25},	{  -65,  -26},	{  -65,  -27},	{  -64,  -28},	{  -64,  -29},
	{  -63,  -30},	{  -63,  -31},	{  -62,  -32},	{  -62,  -33},	{  -61,  -34},
	{  -61,  -35},	{  -60,  -36},	{  -59,  -37},	{  -59,  -38},	{  -58,  -39},
	{  -57,  -40},	{  -57,  -41},	{  -56,  -42},	{  -55,  -43},	{  -54,  -44},
	{  -54,  -45},	{  -53,  -46},	{  -52,  -47},	{  -51,  -48},	{  -50,  -49},
	{  -49,  -50},	{  -48,  -51},	{  -47,  -52},	{  -46,  -53},	{  -45,  -54},
	{  -44,  -54},	{  -43,  -55},	{  -42,  -56},	{  -41,  -57},	{  -40,  -57},
	{  -39,  -58},	{  -38,  -59},	{  -37,  -59},	{  -36,  -60},	{  -35,  -61},
	{  -34,  -61},	{  -33,  -62},	{  -32,  -62},	{  -31,  -63},	{  -30,  -63},
	{  -29,  -64},	{  -28,  -64},	{  -27,  -65},	{  -26,  -65},	{  -25,  -65},
	{  -24,  -66},	{  -23,  -66},	{  -22,  -66},	{  -21,  -67},	{  -20,  -67},
	{  -19,  -67},	{  -18,  -68},	{  -17,  -68},	{  -16,  -68},	{  -15,  -68},
	{  -14,  -69},	{  -13,  -69},	{  -12,  -69},	{  -11,  -69},	{  -10,  -69},
	{   -9,  -69},	{   -8,  -70},	{   -7,  -70},	{   -6,  -70},	{   -5,  -70},
	{   -4,  -70},	{   -3,  -70},	{   -2,  -70},	{   -1,  -70},	{    0,  -70}
	};

/*
 * Points of a circle with origin at 0,0 with a radius of: 5
 */
#define		C_RADIUS			5
#define		NUM_C_POINTS		32
struct xy_pt c_circle_points[NUM_C_POINTS] = {
	{    0,   -5},	{    1,   -5},	{    2,   -5},	{    3,   -4},	{    4,   -3},
	{    5,   -2},	{    5,   -1},	{    5,    0},	{    5,    0},	{    5,    1},
	{    5,    2},	{    4,    3},	{    3,    4},	{    2,    5},	{    1,    5},
	{    0,    5},	{    0,    5},	{   -1,    5},	{   -2,    5},	{   -3,    4},
	{   -4,    3},	{   -5,    2},	{   -5,    1},	{   -5,    0},	{   -5,    0},
	{   -5,   -1},	{   -5,   -2},	{   -4,   -3},	{   -3,   -4},	{   -2,   -5},
	{   -1,   -5},	{    0,   -5}	
};
