
{ 
                                                                        
           ----------------------------------------------------         
             APPLE MACINTOSH PICT RESOURCE SCAVENGER MPW TOOL           
           ----------------------------------------------------         
                                                                        
                              Version 1.0.0                             
                                                                        
   Author ......... David T. Craig                                      
   Address ........ 736 Edgewater, Wichita, Kansas 67230                
   Date ........... August 1990                                         
   Language ....... Apple MPW Pascal 3.0                                
   Computer ....... Apple Macintosh                                     
   Environment .... Apple MPW Shell                                     
                                                                        
   PURPOSE:                                                             
                                                                        
      This program is an MPW tool which scavenges PICT (picture)        
      resources from a corrupted file.  Since this program is an MPW    
      tool, it can only be run under the MPW Shell.  Only the resource  
      fork of a file is searched for picture resources since this is    
      the only fork of a Macintosh file that should contain resources.  
                                                                        
      This program produces as output a standard Macintosh text file    
      containing the source listing for all the scavenged picture       
      resources in a format compatible with Apple's Rez tool.           
      To produce a file with actual PICT resources requires compiling   
      the text file with Rez.  Rez version 3.0 works well with the      
      output files from this program.                                   
                                                                        
      A file containing PICT resources may become corrupted in many     
      ways.  Once corrupted, a file's resources can not be accessed.    
      If Apple's wonderful ResEdit program can not open a file, then    
      you are seriously in need of this PICT scavenger.  Most resource  
      files which become corrupt generally have an invalid Resource     
      Header and Resource Map.  These two areas within a resource file  
      point to the actual resource data.                                
                                                                        
      This program will scavenge both version 1 and version 2 PICT      
      resources.  Up to four (4) versions may be supported, but this    
      feature requires setting the gv_pict_info list for the picture    
      header byte pattern and picture tail byte pattern.  An actual     
      standalone Macintosh application should store these patterns in   
      a resource which the user may modify since future versions of     
      pictures are guarenteed to exist which this current program does  
      not recognize.                                                    
                                                                        
      All non-corrupted picture resources (type 'PICT') within a file   
      will be found by this program.  This program makes no assumptions 
      about the resource file. As such, this program ignores any format 
      that the resource may contain.  For example, the Resource Header  
      is not assumed to be intact and is not used.                      
                                                                        
      This program should be viewed from a global Macintosh perspective 
      as a first step in providing a set of programs which reconstruct  
      corrupted data from Macintosh files.  This concept is not new and 
      has been around (as I far as I know) since the Xerox Alto in the  
      mid 1970's.  In this author's opinion, these types of services    
      should exist at two levels.  The first level is the lowest level  
      and involves device data integrity.  This means disk drives.      
      Apple Computer, Inc. should provide this level of service via     
      its Macintosh Operating System.  If a file becomes corrupted the  
      OS should detect this fact, inform the user, and attempt to       
      regain the corrupted data.  Apple in its wonderful Lisa computer  
      provided such a feature via the Lisa Scavenger and Tag Bytes on   
      disk media. Apple has not pursued this avenue with the Macintosh. 
      See Apple Macintosh Technical Note # 94 for Tag Byte information. 
      The second level of data integrity involves the integrity of file 
      contents.  This level of service can only be provided by the      
      authors of Macintosh applications and their related documents.    
      Implementing this service would require checksums (which includes 
      CRCs), redundant file data structures, and builtin application    
      recovery methods. (this philosophical tirade is directed toward   
      Apple's VPs of Engineering and Advanced Technology who must       
      know that this feature is a must in any sophisticated computer;   
      these people know who they are, but for those not in the know     
      their initials are EB and LT)                                     
                                                                        
   USING THIS PROGRAM:                                                  
                                                                        
      This program is used from the MPW Shell by typing the tool name   
      and a list of arguments for the tool.  This argument list must    
      always contain at least the name of the corrupted file whose      
      picture resources are desired.  Additional arguments may also     
      exist in the argument list.                                       
                                                                        
      The format for the tool and its arguments follow with arguments   
      enclosed in [] being optional (argument order is unimportant):    
                                                                        
        PICTScavenger [-p] [-s start_id] [-d] input_file [output_file]  
                                                                        
      The arguments are as follows:                                     
                                                                        
        -p : Show progress information.  The default is to NOT show     
             any progress information.                                  
        -s : Set starting PICT resource ID value to start_id.           
             The default value is 1000.                                 
        -d : Decrement resource ID.  The default is to increment the    
             ID value.                                                  
                                                                        
         Argument input_file is the name of the corrupted file.  This   
         argument must always exist in the argument list.  This name    
         MUST occur before the name of the output file, if one exists.  
                                                                        
         Argument output_file is the name of the output file which      
         will contain a Rez-compatible source listing of the pictures   
         found in the corrupted input file.  If no output file is       
         specified, then default output file created whose name         
         consists of the input file name suffixed with ".PICT.r".       
                                                                        
      To compile the Rez file use the following command line for a      
      Rez source file named "picture source" to a file named            
      "pictures" which can be opened by ResEdit:                        
                                                                        
                 Rez -t picf 'picture source' -o pictures               
                                                                        
      A sample tool command line which shows the progress information   
      for corrupted file "FooBear" whose picture resources will be      
      saved as a Rez source file to the file named "David Craig":       
                                                                        
        PICTScavenger -p -s 1000 FooBear 'David Craig'                  
                                                                        
      The output of this command line for "FooBear" is as follows:      
                                                                        
      - Apple Macintosh PICT File Scavenger 1.0.0 [8/10/90 10:39:11 AM] 
      - David T. Craig (736 Edgewater, Wichita, Kansas 67230)           
      - Not Copyright (c) 1990                                          
      -                                                                 
      - PICT Scavenger unit version: 0.9.9  [8/10/90 10:41:54 AM]       
      -                                                                 
      - Searching for PICT HEAD $1101 and PICT TAIL $FF :               
      -                                                                 
      -   Scavenging PICT #   1000  [Address $00010E  Length $0001D5]   
      -   Scavenging PICT #   1001  [Address $0002E7  Length $000677]   
      -   Scavenging PICT #   1002  [Address $000962  Length $000089]   
      -   *** PICT scavenge failure [Address $000C8C]                   
      -   *** PICT scavenge failure [Address $002B7C]                   
      -                                                                 
      - Searching for PICT HEAD $001102FF and PICT TAIL $00FF :         
      -                                                                 
      -   Scavenging PICT #   1003  [Address $0009EF  Length $0004DA]   
      -   Scavenging PICT #   1004  [Address $000ECD  Length $0007A0]   
      -   Scavenging PICT #   1005  [Address $001671  Length $0006DE]   
      -   Scavenging PICT #   1006  [Address $001D53  Length $0007B8]   
      -   Scavenging PICT #   1007  [Address $00250F  Length $000716]   
      -   Scavenging PICT #   1008  [Address $002C29  Length $00048E]   
      -                                                                 
      - PICT Scavenger Summary:                                         
      -                                                                 
      -   Input  file       : FooBear                                   
      -   Output file       : David Craig                               
      -   Scavenged PICTs   : 9                                         
      -   Scavenge failures : 2                                         
      -   Elapsed time      : 0 minute 24 seconds                       
      -                                                                 
      - That's all, folks.                                              
                                                                        
      Note that a summary appears which details the number of picture   
      resources found and the time it took to find the resources.       
      A count of the number of failed scavenges also appears.           
      The file address of the found pictures and the picture length     
      also appear in case the user wishes to examine the raw resource   
      file with a tool like Apple's MPW DumpFile tool.  The version     
      number of the PICT Scavenger Unit is also provided mainly for     
      programmer interest.                                              
                                                                        
      To compile the sample output file with Rez execute the following: 
                                                                        
              Rez -t picf 'David Craig' -o 'FooBear Pictures'           
                                                                        
   PICT SCAVENGER ERRORS:                                               
                                                                        
      Various errors may occur when using PICTScavenger.  Before a file 
      is scavenged the command line arguments are examined.  Failure    
      of a command argument generate one of the following errors:       
                                                                        
         Error Number   Error Meaning                                   
         ------------   ---------------------------------------------   
              1         Number of arguments in command is invalid       
              2         Too many file names specified                   
              3         Input file name is missing                      
              4         Starting ID value is invalid                    
              5         Invalid option encountered                      
                                                                        
      Other errors may also occur.  These will be displayed without an  
      error message detailing the type of error.  Refer to the list of  
      Macintosh errors as provided by Apple in its Inside Macintosh.    
                                                                        
   FORMAT OF PICTURES IN A RESOURCE FILE:                               
                                                                        
      A PICT resource within a resource file has a specific format.     
      All pictures begin with a specific pattern of bytes which differ  
      per picture version.  I call this pattern the Picture Header      
      Pattern (PHP). Preceeding this pattern exists an 8 byte rectangle 
      which represents the picture frame and a 2 byte integer which     
      represents the picture byte size.  This size integer is actually  
      the low order word for the picture's true size.  Preceeding the   
      size integer in the file is a 4 byte longint value which contains 
      the physical size of the picture data.  All pictures end with     
      a pattern of bytes which I call the Picture Tail Pattern (PTP).   
      This pattern is the End-Of-Picture Opcode. For version 1 pictures 
      the pattern contains one byte, for version 2 it is two bytes.     
                                                                        
      Since a (non-QuickDraw) picture is worth a thousand words ...     
                                                                        
        +---------+---------+---------+-------+-----------+-------+     
        | PSize 4 | LSize 2 | Frame 8 | PHP X | Pict Data | PTP Y |     
        +---------+---------+---------+-------+-----------+-------+     
                                                                        
        For version 1 pictures, X = 2 and Y = 1                         
        For version 2 pictures, X = 4 and Y = 2                         
                                                                        
      For more details of resource files and pictures see the reference 
      section of this file.  Apple provides many useful documents for   
      programmers describing Apple's Macintosh software architecture.   
      This is in contrast to Apple's main competition which provides    
      absolutely no software documention (given that this company's     
      name contains three letters you have three tries at guessing the  
      company name and the last two tries don't count).                 
                                                                        
   PICTURE RESOURCE SEARCH ALGORITHM:                                   
                                                                        
      The algorithm used to locate picture resources within a resource  
      file is quite straight forward.  This alogithm contains 6 steps:  
                                                                        
        Step 1: Start at the beginning of the resource fork data        
        Step 2: Locate the next Picture Header Pattern                  
        Step 3: Verify that the Picture Header Pattern is preceeded by  
                a valid rectangle and the word and longword least       
                significant word before the rectangle data are equal    
        Step 4: Verify that the Picture Tail Pattern and the last       
                opcode in the picture data match                        
        Step 5: If step 4 and step 5 are successful, then a picture     
                has been found in the resource file                     
        Step 6: Repeat steps 2-5 until the physical end-of-file of the  
                resource fork is found                                  
                                                                        
   REFERENCES:                                                          
                                                                        
      Resource file format     : Inside Macintosh, vol. I, p. 128+      
      QuickDraw pictures       : Inside Macintosh, vol. I, p.158+       
      QuickDraw picture opcodes: Apple Technical Note # 21              
                                 Inside Macintosh, vol. V, p.92+        
                                                                        
      For a comprehensive discussion of version 1 and version 2 picture 
      headers see Inside Macintosh, volume V.                           
                                                                        
  
                                                                        
                 NOT COPYRIGHT (C) 1990 BY DAVID T. CRAIG               
                                                                        
   }

PROGRAM Macintosh_PICT_Scavenger_Tool;

{ 
                             EXTERNAL MODULES                           
   }

  USES
    MemTypes,   { Macintosh common types }
    OSIntf,     { Macintosh Operating System interface }
    ToolIntf,   { Macintosh ToolBox interface }
    Packages,   { Macintosh Package interface }
    PasLibIntf, { Pascal runtime libary interface }
    IntEnv,     { MPW integrated environment interface }
    CursorCtl,  { MPW shell cursor unit }
    
    {$U U_PICT_Scavenger.p} U_PICT_Scavenger; { the real working code }

{ 
                           COMPILER DIRECTIVES                          
   }

  {$R+ }  { [MPWPASCAL] enable range checking }
  {$SC+}  { [MPWPASCAL] encable short-circuit boolean evaluation }
  {$OV+}  { [MPWPASCAL] enable integer-type overflow checking }
  
{ 
                             GLOBAL CONSTANTS                           
   }

  CONST
  
      { general program information (appears if Progress option set) }
      
    gc_pgm_name             = 'Macintosh PICT File Scavenger';
    gc_pgm_version          = '1.0.0';
    gc_pgm_date             = COMPDATE;
    gc_pgm_time             = COMPTIME;
    gc_pgm_author           = 'David T. Craig';
    gc_pgm_address          = '736 Edgewater, Wichita, Kansas 67230';
    gc_pgm_copyright        = 'Not Copyright (c) 1990';
    
      { program error values (passed back to MPW Shell) }
    
    gc_err_min              = 1; { min and max tool internal error codes }
    gc_err_max              = 5;
    
    gc_err_bad_argc         = 1; { ArgC value is invalid }
    gc_err_extra_file_name  = 2; { Too many file names specified }
    gc_err_no_input_file    = 3; { No input file name found in command }
    gc_err_bad_starting_id  = 4; { Starting ID value is invalid }
    gc_err_bad_option       = 5; { Invalid command option found }
    
    gc_output_file_suffix   = '.PICT.r'; { suffix for default output file }
    
    gc_default_starting_id  = 1000; { default starting resource ID }
    
    gc_shell_comment        = '### '; { shell message line prefix }
    
      { scavenge failure notice message }
      
    gc_fail_1 = 'NOTE: Scavenge failures indicate that a PICT header was found, ';
    gc_fail_2 = '      but the header was not valid.  The file may contain a valid ';
    gc_fail_3 = '      picture which this program could not scavenge.';
    
{ 
                              GLOBAL TYPES                              
   }

  TYPE
  
      { command interpreter (aka Shell) arguments }
      
    gt_ci_args     = RECORD
                       ci_show_progress : BOOLEAN;  { show progress flag }
                       ci_starting_id   : INTEGER;  { starting ID value }
                       ci_decrement_id  : BOOLEAN;  { decrement ID flag }
                       ci_input_file    : Str255;   { input file name }
                       ci_output_file   : Str255;   { output file name }
                     END;
    
      { version 1 picture starting and ending opcode info }
      
    gt_pict_1_info = RECORD
                       p1_version : INTEGER; { [2] $1101 }
                       p1_endpict : INTEGER; { [1] $FF?? (ignore LSB) }
                     END;
                     
      { version 2 picture starting and ending opcode info }
      
    gt_pict_2_info = RECORD
                       p2_version : LONGINT; { [4] $0011 $02FF }
                       p2_endpict : INTEGER; { [2] $00FF }
                     END;
                     
{ 
                            GLOBAL VARIABLES                            
   }

  VAR
  
    gv_shell_result      : INTEGER;        { MPW shell result code }
    gv_command_name      : Str255;         { name of tool command }
    gv_ci_args           : gt_ci_args;     { command interpreter arguments }
    gv_num_found_picts   : INTEGER;        { no. PICTs scavenged from input file }
    gv_num_pict_failures : INTEGER;        { no. PICT scavenge failures }
    gv_exec_time         : LONGINT;        { scavenger execution time (seconds) }
    
    gv_pict_1_info       : gt_pict_1_info; { version 1 picture info }
    gv_pict_2_info       : gt_pict_2_info; { version 2 picture info }
    
    gv_pict_info         : PS_t_PHI_List;  { list of picture info }
  
{ 
   Routine ..... show_Error
   Purpose ..... Display an error message to the user
   Input ....... the_error_code - error code value
   Output ...... (none)
   }

  PROCEDURE show_Error (the_error_code : INTEGER);
    
    VAR
      message : Str255; { english error message for the bozo user }
      
    BEGIN { ------------ show_Error ------------ }
      
      { setup the error message for the user }
      
      CASE the_error_code OF
        gc_err_bad_argc        : message := 'Invalid argument count';
        gc_err_extra_file_name : message := 'Too many file names specified';
        gc_err_no_input_file   : message := 'No input file name was found';
        gc_err_bad_starting_id : message := 'Invalid starting ID value found';
        gc_err_bad_option      : message := 'Invalid command line option found';
        
        OTHERWISE message := 'Unknown Macintosh error code'; { Macintosh error }
      END;
            
      { display the error message to the user }
      
      WRITELN;
      WRITELN(gc_shell_comment,
              'ERROR # ',the_error_code:1,' in ',
              gv_command_name,
              ' (',message,')');
      
    END;  { ------------ show_Error ------------ }
  
{ 
   Routine ..... uppercase_Phrase
   Purpose ..... Uppercase the characters in a phrase
   Input ....... the_phrase - phrase to uppercase (eg: "David")
   Output ...... the_phrase - uppercased phrase   (eg: "DAVID")
   }

  PROCEDURE uppercase_Phrase (VAR the_phrase : Str255);
    
    VAR
      ch_index : 1..255; { phrase character index }
      
    BEGIN { ------------ uppercase_Phrase ------------ }
      
      IF LENGTH(the_phrase) > 0 THEN
        FOR ch_index := 1 TO LENGTH(the_phrase) DO
          BEGIN
            IF the_phrase[ch_index] IN ['a'..'z'] THEN
              the_phrase[ch_index] :=
                CHR( ORD(the_phrase[ch_index]) - ORD('a') + ORD('A') );
          END;
      
    END;  { ------------ uppercase_Phrase ------------ }
    
{ 
   Routine ..... parse_Command_Arguments
   Purpose ..... Parse command arguments from shell command line
   Input ....... the_arg_count    - number of arguments in line
   Output ...... the_ci_args      - parsed argument info
                 the_shell_result - parsing result error code
   }

  PROCEDURE parse_Command_Arguments(    the_arg_count    : INTEGER;
                                    VAR the_ci_args      : gt_ci_args;
                                    VAR the_shell_result : INTEGER);
  
    CONST
      k_arg_option_symbol = '-'; { option prefix character }
      
      { option characters }
      
      k_option_progress = 'P';   { option: show progress }
      k_option_start_id = 'S';   { option: starting ID value }
      k_option_dec_id   = 'D';   { option: decrement ID value }
      
    VAR
      arg_index   : INTEGER;  { argument list indexer }
      arg_phrase  : Str255;   { argument phrase from argument list }
      arg_value   : LONGINT;  { value of a numeric argument phrase }
      good_option : BOOLEAN;  { valid option found flag }
      
    BEGIN { ------------ parse_Command_Arguments ------------ }
      
      { initialize the command arguments }
      
      the_ci_args.ci_show_progress := FALSE;
      the_ci_args.ci_starting_id   := gc_default_starting_id;
      the_ci_args.ci_decrement_id  := FALSE;
      the_ci_args.ci_input_file    := '';
      the_ci_args.ci_output_file   := '';
      
      { scan the argument list extracting the arguments and performing }
      { error checking on all the read arguments                       }
      
      arg_index := 0;
      
      REPEAT
        BEGIN
          { get the next argument from the argument list }
          
          arg_index := arg_index + 1;
          
          IF arg_index < the_arg_count THEN
            BEGIN
              arg_phrase := ArgV^[arg_index]^; { got an argument ! }
              
              { test if argument is an option (vs. file name) }
              
              IF arg_phrase[1] = k_arg_option_symbol THEN
                BEGIN
                  { ######################################################### }
                  { ###                  ARGUMENT: OPTION                 ### }
                  { ######################################################### }
                  
                  good_option := FALSE; { assume option is invalid }
                  
                  DELETE(arg_phrase,1,1); { remove option leading symbol }
                  
                  { check for an empty argument option }
                  
                  IF LENGTH(arg_phrase) >= 1 THEN
                    BEGIN
                      uppercase_Phrase(arg_phrase);
                      
                      { ####################### SHOW PROGESS }
                      
                      IF arg_phrase = k_option_progress THEN
                        BEGIN
                          good_option                  := TRUE;
                          the_ci_args.ci_show_progress := TRUE;
                        END;
                      
                      { ####################### STARTING ID VALUE }
                      
                      IF (the_shell_result = NoErr            ) AND
                         (arg_phrase       = k_option_start_id) THEN
                        BEGIN
                          good_option := TRUE;
                          
                          arg_index := arg_index + 1;
                          
                          IF arg_index >= the_arg_count THEN
                            the_shell_result := gc_err_bad_starting_id  { ERROR }
                          ELSE
                            BEGIN
                              arg_phrase := ArgV^[arg_index]^;
                              
                              StringToNum(arg_phrase,arg_value);
                              
                              IF (arg_value < -MAXINT-1) OR (arg_value > MAXINT) THEN
                                the_shell_result := gc_err_bad_starting_id  { ERROR }
                              ELSE
                                the_ci_args.ci_starting_id := LoWord(arg_value);
                            END;
                        END;
                      
                      { ####################### DECREMENT ID VALUE }
                      
                      IF (the_shell_result = NoErr          ) AND
                         (arg_phrase       = k_option_dec_id) THEN
                        BEGIN
                          good_option                 := TRUE;
                          the_ci_args.ci_decrement_id := TRUE;
                        END;
                    END;
                  
                  { check that the found option is valid }
                  
                  IF NOT(good_option) AND (the_shell_result = NoErr) THEN
                    the_shell_result := gc_err_bad_option;
                END
              ELSE { a file name must be present if arg is not an option }
                BEGIN
                  { ######################################################### }
                  { ###                ARGUMENT: NON-OPTION               ### }
                  { ######################################################### }
                  
                  { NOTE: extract INPUT file first, OUTPUT file second }
                  
                  IF the_ci_args.ci_input_file = '' THEN
                    the_ci_args.ci_input_file := arg_phrase
                  ELSE
                    BEGIN
                      IF the_ci_args.ci_output_file = '' THEN
                        the_ci_args.ci_output_file := arg_phrase
                      ELSE
                        BEGIN
                          the_shell_result := gc_err_extra_file_name;
                        END;
                    END;
                END;
            END;
        END;
      UNTIL (arg_index >= the_arg_count) OR (the_shell_result <> NoErr);
    
      { verify that the input file name is present and assign a default }
      { name to the output file name if the output file name is missing }
      
      IF the_shell_result = NoErr THEN
        BEGIN
          IF the_ci_args.ci_input_file = '' THEN
            the_shell_result := gc_err_no_input_file;
          
          IF the_shell_result = NoErr THEN
            BEGIN
              IF the_ci_args.ci_output_file = '' THEN
                the_ci_args.ci_output_file :=
                  CONCAT(the_ci_args.ci_input_file,gc_output_file_suffix);
            END;
        END;
      
    END;  { ------------ parse_Command_Arguments ------------ }
  
{ 
   Routine ..... init_Shell_Stuff
   Purpose ..... Initialize various items for the Shell and the tool
   Input ....... (none)
   Output ...... the_tool_name - name of Shell tool
   }

  PROCEDURE init_Shell_Stuff (VAR the_tool_name : Str255);
  
    BEGIN { ------------ init_Shell_Stuff ------------ }
      
      { fetch tool name from MPW Shell command line }
      
      the_tool_name := ArgV^[0]^;
      
      uppercase_Phrase(the_tool_name); { UC tool name since UC is pretty }
      
      { enable text output line buffering by calling MPW Shell RT library }
      
      PLSetVBuf(OUTPUT,NIL,_IOLBF,0);
      
    END;  { ------------ init_Shell_Stuff ------------ }
  
{ 
   Routine ..... show_Elapsed_Time
   Purpose ..... Write a line containing the elapsed time for the tool
   Input ....... the_elapsed_sec_time - elapsed time in seconds
   Output ...... (none)
   }

  PROCEDURE show_Elapsed_Time (the_elapsed_sec_time : LONGINT);
  
    VAR
      elapsed_min : INTEGER; { no. elapsed minutes }
      elapsed_sec : INTEGER; { no. elapsed seconds }
      
    BEGIN { ------------ show_Elapsed_Time ------------ }
      
      the_elapsed_sec_time := ABS(the_elapsed_sec_time);
      
      elapsed_min := the_elapsed_sec_time DIV 60;
      elapsed_sec := the_elapsed_sec_time MOD 60;
      
      WRITE(elapsed_min:1,' ');
      
      IF elapsed_min <=1 THEN WRITE('minute ')
                         ELSE WRITE('minutes ');
      
      WRITE(elapsed_sec:1,' ');
      
      IF elapsed_sec <=1 THEN WRITELN('second')
                         ELSE WRITELN('seconds');
      
    END;  { ------------ show_Elapsed_Time ------------ }
                                 
{ 
                                                                        
                              THE MAIN EVENT                            
                                                                        
   }

  BEGIN { ------------ Macintosh_PICT_Scavenger_Tool ------------ }
    
    gv_shell_result := NoErr; { initialize MPW shell result code }
    
    init_Shell_Stuff(gv_command_name);
    
    IF NOT(ArgC IN [2..6]) THEN
      BEGIN
        gv_shell_result := gc_err_bad_argc; { !!! ERROR !!! }
        show_Error(gv_shell_result);
      END
    ELSE { MPW Shell command line is valid, so parse the descriptor line }
      BEGIN
        { fetch the command arguments from the MPW Shell command line }
        
        parse_Command_Arguments(ArgC,gv_ci_args,gv_shell_result);
        
        IF gv_shell_result <> NoErr THEN
          show_Error(gv_shell_result) { !!! ERROR !!! }
        ELSE
          BEGIN
            { tell the user a little about this wonderful tool }
            
            IF gv_ci_args.ci_show_progress THEN
              BEGIN
                WRITELN;
                WRITELN(gc_pgm_name,' ',gc_pgm_version,
                        '  [',gc_pgm_date,' - ',gc_pgm_time,']');
                
                WRITELN(gc_pgm_author,' (',gc_pgm_address,')');
                WRITELN(gc_pgm_copyright);
                WRITELN;
                WRITELN('PICT Scavenger unit version: ',PICT_Unit_Version);
              END;
            
            { perform the actual PICT scavenging process by first setting }
            { up the picture information list and then calling the module }
            { which actually performs the scavenging process              }
            
            gv_pict_1_info.p1_version := $1101;
            gv_pict_1_info.p1_endpict := $FF00; { <<<<< ignore LSB }
                     
            gv_pict_2_info.p2_version := $001102FF;
            gv_pict_2_info.p2_endpict := $00FF;
                       
            gv_pict_info[1].hi_version_data        := @gv_pict_1_info.p1_version;
            gv_pict_info[1].hi_version_data_length := 2;
            gv_pict_info[1].hi_endpict_data        := @gv_pict_1_info.p1_endpict;
            gv_pict_info[1].hi_endpict_data_length := 1;
            
            gv_pict_info[2].hi_version_data        := @gv_pict_2_info.p2_version;
            gv_pict_info[2].hi_version_data_length := 4;
            gv_pict_info[2].hi_endpict_data        := @gv_pict_2_info.p2_endpict;
            gv_pict_info[2].hi_endpict_data_length := 2;
            
            gv_pict_info[3].hi_version_data        := NIL; { >>>>> UNUSED <<<<< }
            gv_pict_info[3].hi_version_data_length := 0;
            gv_pict_info[3].hi_endpict_data        := NIL;
            gv_pict_info[3].hi_endpict_data_length := 0;
            
            gv_pict_info[4] := gv_pict_info[3];            { >>>>> UNUSED <<<<< }
            
            gv_exec_time := TickCount; { start the execution timer }
            
            { ################################################ go for it ... }
            
            PICT_Scavenger(CONCAT(gv_command_name,' ',gc_pgm_version),
                           gv_ci_args.ci_input_file,0,
                           gv_ci_args.ci_output_file,0,
                           gv_ci_args.ci_show_progress,
                           gv_pict_info,
                           gv_ci_args.ci_starting_id,
                           gv_ci_args.ci_decrement_id,
                           gv_num_found_picts,
                           gv_num_pict_failures,
                           gv_shell_result);
            
            gv_exec_time := ABS(TickCount - gv_exec_time) DIV 60; { end the timer }
            
            IF gv_shell_result <> NoErr THEN
              show_Error(gv_shell_result) { !!! ERROR !!! }
            ELSE
              BEGIN
                { tell the user a little about the scavenging process }
                
                IF gv_ci_args.ci_show_progress THEN
                  BEGIN
                    WRITELN;
                    WRITELN('PICT Scavenger Summary:');
                    WRITELN;
                    WRITELN('  Input  file       : ',gv_ci_args.ci_input_file);
                    WRITELN('  Output file       : ',gv_ci_args.ci_output_file);
                    WRITELN('  Scavenged PICTs   : ',gv_num_found_picts:1);
                    WRITELN('  Scavenge failures : ',gv_num_pict_failures:1);
                    WRITE  ('  Elapsed time      : ');
                                 show_Elapsed_Time(gv_exec_time);
                    WRITELN;
                    
                    IF gv_num_pict_failures > 0 THEN
                      BEGIN
                        WRITELN(gc_fail_1);
                        WRITELN(gc_fail_2);
                        WRITELN(gc_fail_3);
                        WRITELN;
                      END;
                  END;
                
                { tell the user that I'm done (for now) }
                
                IF gv_ci_args.ci_show_progress THEN
                  BEGIN
                    WRITELN('That''s all, folks.');
                  END;
              END;
          END;
      END;
    
    IF (gv_shell_result >= gc_err_min) AND (gv_shell_result <= gc_err_max) THEN
      BEGIN
        { display the command line for this tool since the user does not }
        { appear to know how to use this command                         }
        
        WRITELN(gc_shell_comment,gv_command_name,
                ' [-p] [-s start_id] [-d] input_file [output_file]');
        WRITELN(gc_shell_comment,'  -p : show progress information');
        WRITE  (gc_shell_comment,'  -s : setup starting PICT resource ID value ');
        WRITELN(                         '[',-MAXINT-1:1,'..',MAXINT:1,']');
        WRITELN(gc_shell_comment,'  -d : decrement PICT resource ID value');
      END;
      
    IEExit(gv_shell_result); { tell MPW shell how I'm feeling }
    
  END.  { ------------ Macintosh_PICT_Scavenger_Tool ------------ }

{ 
                                                                        
                                   FINIS                                
                                                                        
   }
