/*
** File mfdemo.r
** Resource file for mfdemo.c
**
** Copyright  1987, 1988 Eric Schlegel
*/

#include	"mfile.r"

/* this is the standard Rez SIZE type definition	*/
/* with some extra bit definitions.					*/
/*----------------------------SIZE  Switcher Size Information--------------------------*/
type 'SIZE' {
		boolean 				dontSaveScreen, 				/* Save screen			*/
								saveScreen;
		boolean 				ignoreSuspendResumeEvents,		/* suspend-resume		*/
								acceptSuspendResumeEvents;
		boolean					enableOptionSwitch,				/* for Switcher			*/
								disableOptionSwitch;
		boolean					cannotBackground,				/* accept MF bkgd		*/
								canBackground;
		boolean					notMultiFinderAware,			/* obeys MF's new rules	*/
								MultiFinderAware;
		boolean					notOnlyBackground,				/* only runs in bkgd	*/
								onlyBackground;
		unsigned bitstring[10] = 0; 							/* reserved 			*/
		unsigned longint;										/* size - 32k			*/
		unsigned longint;										/* min size - 32k		*/
};

resource 'SIZE' (-1) {
	dontSaveScreen,
	acceptSuspendResumeEvents,
	disableOptionSwitch,
	cannotBackground,
	MultiFinderAware,
	notOnlyBackground,
	65536,					/* 64K preferred, min	*/
	65536
};