/*
**	File mfile.r
**	Resource file for MultiFile dialog.
**
**	Copyright  Eric Schlegel 1987, 1988
*/


#include "types.r"

resource 'DITL' (4000) {
	{
		/* [1] */
		{2210, 256, 2228, 336},
		Button {
			enabled,
			"Add"
		},
		/* [2] */
		{0, 571, 80, 589},
		Button {
			enabled,
			"Hidden"
		},
		/* [3] */
		{163, 256, 181, 336},
		Button {
			enabled,
			"Cancel"
		},
		/* [4] */
		{39, 232, 59, 347},
		UserItem {
			disabled
		},
		/* [5] */
		{68, 256, 86, 336},
		Button {
			enabled,
			"Eject"
		},
		/* [6] */
		{93, 256, 111, 336},
		Button {
			enabled,
			"Drive"
		},
		/* [7] */
		{39, 12, 185, 230},
		UserItem {
			enabled
		},
		/* [8] */
		{39, 229, 185, 246},
		UserItem {
			enabled
		},
		/* [9] */
		{124, 252, 125, 340},
		UserItem {
			disabled
		},
		/* [10] */
		{0, 532, 101, 628},
		StaticText {
			disabled,
			""
		},
		/* [11] */
		{138, 256, 156, 336},
		Button {
			enabled,
			"Done"
		},
		/* [12] */
		{225, 256, 243, 336},
		Button {
			enabled,
			"Add"
		},
		/* [13] */
		{251, 256, 269, 336},
		Button {
			enabled,
			"Remove"
		},
		/* [14] */
		{215, 13, 279, 229},
		UserItem {
			enabled
		},
		/* [15] */
		{195, 16, 211, 225},
		StaticText {
			disabled,
			""
		}
	}
};

resource 'DLOG' (4000, purgeable) {
	{0, 0, 285, 348},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	4000,
	""
};

resource 'DITL' (3999) {
	{
		/* [1] */
		{64, 108, 82, 188},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 10, 57, 220},
		StaticText {
			disabled,
			"Due to a file system limitation, you "
			"can't add any more files to the list."
		}
	}
};

resource 'ALRT' (3999, purgeable) {
	{40, 40, 130, 270},
	3999,
	{
		OK, visible, sound1,
		OK, visible, sound1,
		OK, visible, sound1,
		OK, visible, sound1
	}
};

resource 'STR#' (512, purgeable) {
	{
		"Open",
		"Add"
	}
};

include $$Shell("Projects")"landsat:mfile:mfldef" 'LDEF' (128) as 'LDEF' (128, "Multifile");