/*****
 * FILE:		CAboutMacLock.h
 * Programmer:	Mark Bykerk Kauffman
 * Date:		1/91
 * Purpose:
 *		Interface for CAboutMacLock.  I took the AboutBox class from the
 * ArtClass folder and simplified it for this application.  I've used
 * the same method names Symantec used, but the methods are completely
 * specific for MacLock because the AboutBox class from Symantec is not
 * a generic about box.  It is a class unique to ArtClass.  
 *				
 *****/
 
#define _H_CAboutMacLock.h

/* Parent class. */
#include <CDirector.h> 					

struct CAboutMacLock : CDirector {						
								
/* Instance Variables */
	PicHandle			aboutscreen;
	
/* Methods */
	void		IAboutMacLock(CBureaucrat *itsSupervisor);
	void		Dispose(void);	
	void		Display(void);
};