/*
	File Multi DA.r -- Rez compatible source
	for the resources used by the example DA
	Copyright 1989, Lincoln D. Stein
*/

#include	"types.r"

resource 'MENU' (-16000) {
	0,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About MultiDA", noIcon, noKey, noMark, plain;
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (-15999) {
	0,
	textMenuProc,
	0x7FFFFFFB,
	enabled,
	"DA-File",
	{	/* array: 4 elements */
		/* [1] */
		"New Window", noIcon, "N", noMark, plain;
		/* [2] */
		"Close", noIcon, "W", noMark, plain;
		/* [3] */
		"-", noIcon, noKey, noMark, plain;
		/* [4] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (-15998) {
	0,
	textMenuProc,
	0x7FFFFFFC,
	enabled,
	"DA-Edit",
	{	/* array: 6 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain;
		/* [2] */
		"-", noIcon, noKey, noMark, plain;
		/* [3] */
		"Cut", noIcon, "X", noMark, plain;
		/* [4] */
		"Copy", noIcon, "C", noMark, plain;
		/* [5] */
		"Paste", noIcon, "V", noMark, plain;
		/* [6] */
		"Clear", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (-15997) {
	0,
	textMenuProc,
	allEnabled,
	enabled,
	"DA-Windows",
	{	/* array: 2 elements */
		/* [1] */
		"Clean Up", noIcon, noKey, noMark, plain;
		/* [2] */
		"Beep", noIcon, noKey, noMark, plain
	}
};

resource 'DITL' (-16000, purgeable) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{96, 16, 120, 72},
		Button {
			enabled,
			"New"
		};
		/* [2] */
		{96, 80, 120, 144},
		Button {
			enabled,
			"Erase"
		};
		/* [3] */
		{32, 8, 88, 152},
		EditText {
			disabled,
			""
		};
		/* [4] */
		{7, 7, 23, 159},
		StaticText {
			disabled,
			"Type some text here"
		}
	}
};

resource 'DITL' (-15999, purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{81, 90, 101, 150},
		Button {
			enabled,
			"OK"
		};
		/* [2] */
		{7, 14, 70, 237},
		StaticText {
			disabled,
			"Written by Lincoln Stein in Think Pascal"
			" as an example program for MacTutor."
		}
	}
};

resource 'DLOG' (-16000, purgeable) {
	{68, 176, 197, 336},
	rDocProc,
	invisible,
	goAway,
	0x0,
	-16000,
	"Multi DA"
};

resource 'ALRT' (-16000, purgeable) {
	{58, 122, 176, 370},
	-15999,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent;
		/* [2] */
		OK, visible, silent;
		/* [3] */
		OK, visible, silent;
		/* [4] */
		OK, visible, silent
	}
};

