! Dispatcher.f -- dispatcher for windows and for modeless dialogs 
! Created 8/27/91 9:37 by AppMaker 

!!MP inlines.f
!!G JLtest.finc.f


!----------
!!D+
!!R+
!!OV+
!!S Dispatcher 

!----------
	Subroutine OpenWindows (fName, vRefNum, fRefNum)
	String*255 fName
	Integer*2 vRefNum, fRefNum
	Call OpenMainWindow (fName, vRefNum, fRefNum)
	 
	End !OpenWindows

!----------
	Subroutine CloseCurWindow
	include 'Globals.inc'
		if(cur^.windowKind = WMainWindow) Call CloseMainWindow 
		 
	End !CloseCurWindow

!----------
	Subroutine MouseInContent (where, modifiers)
	include 'Globals.inc'
	record /point/ where
	integer*2 modifiers
		if(cur^.windowKind = WMainWindow) Call MouseInMainWindow (where, modifiers)
		 
	End !MouseInContent

!----------
	Subroutine TypeInWindow (ch)
	include 'Globals.inc'
	character*1 ch
		if(cur^.windowKind = WMainWindow) Call TypeInMainWindow (ch)
		 
	End !TypeInWindow

!----------
	Subroutine UpdateContent
	include 'Globals.inc'
		if(cur^.windowKind = WMainWindow) Call UpdateMainWindow 
		 
	End !UpdateContent

!----------
	Subroutine ActivateContent (activate)
	include 'Globals.inc'
	logical activate
		if(cur^.windowKind = WMainWindow) Call ActivateMainWindow (activate)
		 
	End !ActivateContent

!----------
	Subroutine ResizeContent
	include 'Globals.inc'
		if(cur^.windowKind = WMainWindow) Call ResizeMainWindow 
		 
	End !ResizeContent

!----------
	Subroutine ScrollWindow (newValue, oldValue)
	include 'Globals.inc'
	integer*2 newValue, oldValue
		if(cur^.windowKind = WMainWindow) Call ScrollMainWindow (newValue, oldValue)
		 
	End !ScrollWindow

!----------
	Subroutine DoControl (whichControl, whichPart, where)
	include 'Globals.inc'
	record /ControlHandle/ whichControl
	integer*2 whichPart
	record /point/ where
		if(cur^.windowKind = WMainWindow) Call ControlMainWindow (whichControl, whichPart, where)
		 
	End !DoControl

!----------
	Subroutine InitModelessDialogs

	 
	End !InitModelessDialogs

!----------
	Subroutine CloseModelessDialog (whichDialog)
		pointer /dialogrecord/ whichDialog
	 
	End !CloseModelessDialog

!----------
	Logical*2 Function FilterModeless (whichDialog, event, itemHit)
		pointer /dialogrecord/ whichDialog
	record /EventRecord/ event
	integer*2 itemHit
	 
	End !FilterModeless

!----------
	Subroutine DoModelessItem (whichDialog, itemNr)
		pointer /Dialogrecord/ whichDialog
	integer*2 itemNr
	 
	End !DoModelessItem

