! EditM.f 
! Created 8/27/91 9:37 by AppMaker 

!!MP inlines.f
!!G JLtest.finc.f

!!D+
!!R+
!!OV+
!!S EditM 

!----------
	Subroutine InitEditM
	!add code here: Edit init
	End !InitEditM

!----------
	Subroutine DoUndo 
	!add code here: Undo action
	End !DoUndo 

!----------
	Subroutine DoCut
	include 'Globals.inc'
	integer*2 scrapCompare
	record /OSType/ scraptype
	logical*2 scrapDirty
	Common /ScrapStuff/ scrapCompare, scraptype, scrapDirty

	If (cur^.text.TEH <> nil) then 
		Call TECut (cur^.text)
		If (cur^.vscroll.CtlH .ne. nil) call SetMaxScroll
		scrapDirty = .true.
	else
	!add code here: non-text cut
	end if
	End !DoCut

!----------
	Subroutine DoCopy
	include 'Globals.inc'
	integer*2 scrapCompare
	record /OSType/ scraptype
	logical*2 scrapDirty
	Common /ScrapStuff/ scrapCompare, scraptype, scrapDirty

	If (cur^.text.TEH <> nil) then 
		Call TECopy (cur^.text)
		scrapDirty = .true.
	else
	!add code here: non-text copy
	end if
	End !DoCopy

!----------
	Subroutine DoPaste
	include 'Globals.inc'
	integer*2 scrapCompare
	record /OSType/ scraptype
	logical*2 scrapDirty
	Common /ScrapStuff/ scrapCompare, scraptype, scrapDirty

	If (cur^.text.TEH <> nil) then 
		Call TEPaste (cur^.text)
		If (cur^.vscroll.CtlH .ne. nil) call SetMaxScroll
	else
	!add code here: non-text paste
	end if
	End !DoPaste

!----------
	Subroutine DoClear
	include 'Globals.inc'
	integer*2 scrapCompare
	record /OSType/ scraptype
	logical*2 scrapDirty
	Common /ScrapStuff/ scrapCompare, scraptype, scrapDirty

	If (cur^.text.TEH <> nil) then 
		Call TEDelete (cur^.text)
	else
	!add code here: non-text clear
	end if
	End !DoClear

!----------
	Subroutine DoSelectAll
	include 'Globals.inc'
	integer*2 scrapCompare
	record /OSType/ scraptype
	logical*2 scrapDirty
	Common /ScrapStuff/ scrapCompare, scraptype, scrapDirty

	If (cur^.text.TEH <> nil) then 
		call TESetSelect (0, 32767, cur^.text)
	else
	!add code here: non-text select all
	end if
	End !DoSelectAll

!----------
	Subroutine DoShowClipboard 
	!add code here: ShowClipboard action
	End !DoShowClipboard 

!----------
	Subroutine DoEdit (itemNr)
	integer*2 itemNr
	Select Case (itemNr)
		case(EditUndo)
			Call DoUndo 
		
		case(EditCut)
			Call DoCut 
		
		case(EditCopy)
			Call DoCopy 
		
		case(EditPaste)
			Call DoPaste 
		
		case(EditClear)
			Call DoClear 
		
		case(EditSelectAll)
			Call DoSelectAll 
		
		case(EditShowClipboard)
			Call DoShowClipboard 
		
			end select
	End !DoEdit
