#   File:       MacTutorApp.make
#   Target:     MacTutorApp
#   Sources:    MacTutorApp.cp MacTutorDoc.cp MacTutorApp.r
#   Created:    Sunday, September 22, 1989 


OBJECTS = TApplication.cp.o TDocument.cp.o MacTutor7App.cp.o MacTutorDoc.cp.o MacTutorGrow.cp.o 
HEADERS = MacTutor7App.h MacTutorDoc.h MacTutorGrow.h

TApplication.cp.o  TApplication.cp TApplication.h
	 CPlus  TApplication.cp
TDocument.cp.o  TDocument.cp TDocument.h
	 CPlus  TDocument.cp
MacTutor7App.cp.o  MacTutor7App.make {HEADERS} MacTutor7App.cp
	 CPlus  MacTutor7App.cp
MacTutorDoc.cp.o  MacTutor7App.make {HEADERS} MacTutorDoc.cp
	 CPlus  MacTutorDoc.cp
MacTutorGrow.cp.o  MacTutor7App.make {HEADERS} MacTutorGrow.cp
	 CPlus  MacTutorGrow.cp

MacTutor7App  MacTutor7App.make {OBJECTS}
	Link -w -t APPL -c JLMT 
		"{CLibraries}"CRuntime.o 
		{OBJECTS} 
		"{Libraries}"Interface.o 
		"{CLibraries}"StdCLib.o 
		"{CLibraries}"CInterface.o 
		"{CLibraries}"CPlusLib.o 
		-o MacTutor7App

MacTutor7App  MacTutor7App.make MacTutor7App.r
	Rez MacTutor7App.r -append -o MacTutor7App

