/*	UCharacterDialog.types.r
 *	
 *	This file contains a few extensions to the original view resource
 *	types.  It is included in MPW:MacApp:Interfaces:RIncludes:ViewTypes.r
 *	by compiler directive.
 *	
 *	In both the ValueCheckBox and the ValueRadio, the only change is to the
 *	template signature (of course) and the addition of a new field.  The
 *	new field, an integer, will contain a value specified in the resource.
 *	It is intended that this value be used when the control is a sub-view
 *	of a TSetCluster.  Then, when the control is clicked 'on', the control's
 *	set-value will be added to the set of values maintained by the cluster.
 *	Likewise, when the control is clicked 'off', the control's set-value
 *	will be removed from the cluster's set of values.  These set changes
 *	will be performed by the cluster's DoChoice() method.
*/
	
//



		case ValueCheckBox:
			key literal longint = 'chk_';				// Template signature
			pstring;									// Class name
			align word;

			TCONTROLDATA;
			TCHECKBOXDATA;
			integer;									// the 'set value'

		case ValueRadio:
			key literal longint = 'rad_';				// Template signature
			pstring;									// Class name
			align word;

			TCONTROLDATA;
			TRADIODATA;
			integer;									// the 'set value'
