#   File:       MyGIF.make
#   Target:     MyGIF
#   Sources:    GIF.c MyGIF.c MyGIF.r
#   Created:    November 23, 1990
#
#	I used Jasik's debugger during development and have included the "sym on"
#	option in the compile and link commands so as to be able to have both source
#	and assembly level debugging (also needed if you wish to use SADE).  If you
#	don't want those capabilities, remove the option in the three places below.

OBJECTS = GIF.c.o MyGIF.c.o


MyGIF  MyGIF.make MyGIF.r
	Rez MyGIF.r -append -o MyGIF

#	For use with MPW 3.2, comment out the CInterface and CRuntime libraries
#	For use with MPW 3.0 or 3.1, comment out the Runtime library
MyGIF  MyGIF.make {OBJECTS}
	Link -w -t APPL -c GIFf -sym on -mf 
		{OBJECTS} 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		"{CLibraries}"StdClib.o 
		#"{CLibraries}"CInterface.o 
		#"{CLibraries}"CRuntime.o 
		"{Libraries}"Interface.o 
		"{Libraries}"Runtime.o 
		-o MyGIF

GIF.c.o  MyGIF.make GIF.c
	 C -sym on GIF.c

MyGIF.c.o  MyGIF.make MyGIF.c
	 C -sym on MyGIF.c
