/* PopUp Menu CDEF Demo.c											*/
/*	This is a quick demo of using the POP UP MENU CDEF				*/
/*	Version 1.4														*/
/*	Chris Faigle													*/
/*																	*/
/*	This software is now in the public domain.						*/
/*	Some Portions of the application are Copyrighted by Symantec	*/
/*	Corp. since this was developed using LightSpeed C - One of the	*/
/*	best development systems ever!									*/
/*																	*/
/* You may distribute this code, however, if you make enhancements,	*/
/*	I would like a copy.											*/
/*	Also, this source may NEVER be sold, and the only fee that can	*/
/*	be received by ANYONE is a normal copying fee or time charge on	*/
/*	a network when downloading.										*/
/*																	*/
/*	This also applies to any modifed version of this source.		*/
/*																	*/
/*																	*/
/*																	*/
/*	Mail any correspondence/bug reports/suggestions to:				*/
/*	Chris Faigle													*/
/*	c/o Performance Software										*/
/*	575 SouthLake Blvd												*/
/*	Richmond, Va  23236												*/
/* 	AppleLink:  CHRIS.FAIGLE										*/

#define	POP_UP_MENU_DIALOG_ID		128

#define	PD_OK_BUTTON				1
#define	PD_USER_OK					2
#define	PD_POP_MENU_PICT			3
#define	PD_MENU_1					4
#define	PD_MENU_2					5
#define	PD_MENU_3					6
#define	PD_MENU_4					7
#define	PD_MENU_5					8
#define	PD_MENU_6					9
#define	PD_MENU_7					10

#define	DYNAMIC_MENU_ID				134

#ifndef NULL
#define	NULL				0l
#endif

pascal void bigbutton(myDialog,itemNumber)
DialogPtr	myDialog;
int			itemNumber;
{
	Rect	DisplayRect;
	int		kind;
	ProcPtr	item;

	PenSize(3,3);
	GetDItem(myDialog,itemNumber,&kind,&item,&DisplayRect);
	InsetRect(&DisplayRect,-4,-4);
	FrameRoundRect(&DisplayRect,16,16);
}


main()
{
	Ptr					dPtr;
	DialogPtr			pop_menu_dialog;
	ProcPtr				dFilteradr;
	int					i;
	int					kind;
	Handle				item;
	Rect				box;
	MenuHandle			dynamic_menu_handle;
	Rect				control_rectangle;

	InitPack(stdFile);
	InitGraf(&thePort);
	InitWindows();
	InitFonts();
	InitMenus();
	TEInit();
	InitCursor();
	InitDialogs(0L);
	dPtr=NULL;
	dynamic_menu_handle=GetMenu(DYNAMIC_MENU_ID);
	SetPort(pop_menu_dialog = GetNewDialog(POP_UP_MENU_DIALOG_ID,dPtr,-1));
	(*thePort).txFont=geneva;
	(*thePort).txSize=9;
	GetDItem(pop_menu_dialog,PD_USER_OK,&kind,&item,&box);
	item=(void *)bigbutton;
	SetDItem(pop_menu_dialog,PD_USER_OK,kind,item,&box);
	i=0;
	GetDItem(pop_menu_dialog,PD_MENU_4,&kind,&item,&box);
	HiliteControl((ControlHandle)item,255);	/* Make it inactive	*/
	/* Set the Dynamic Menu handle Here!			*/
	GetDItem(pop_menu_dialog,PD_MENU_7,&kind,&item,&box);
	(**(ControlHandle)item).contrlRfCon=(long)dynamic_menu_handle;
	ShowWindow(pop_menu_dialog);
	while(i!=PD_OK_BUTTON)
	{
		ModalDialog(NULL,&i);
		if((i>3)&&(i<11))
		{
/*			SysBeep(1);*//* This shows that you now get a "hit" from the Dialog Manager	*/
		}
	}
	DisposDialog(pop_menu_dialog);
}


