/* PopUp Menu CDEF Demo2.c											*/
/*	This is a quick demo of using the POP UP MENU CDEF				*/
/*	Version 1.4														*/
/*	Chris Faigle													*/
/*																	*/
/*	This software is now in the public domain.						*/
/*	Some Portions of the application are Copyrighted by Symantec	*/
/*	Corp. since this was developed using LightSpeed C - One of the	*/
/*	best development systems ever!									*/
/*																	*/
/* You may distribute this code, however, if you make enhancements,	*/
/*	I would like a copy.											*/
/*	Also, this source may NEVER be sold, and the only fee that can	*/
/*	be received by ANYONE is a normal copying fee or time charge on	*/
/*	a network when downloading.										*/
/*																	*/
/*	This also applies to any modifed version of this source.		*/
/*																	*/
/*																	*/
/*																	*/
/*	Mail any correspondence/bug reports/suggestions to:				*/
/*	Chris Faigle													*/
/*	c/o Performance Software										*/
/*	575 SouthLake Blvd												*/
/*	Richmond, Va  23236												*/
/* 	AppleLink:  CHRIS.FAIGLE										*/

#define	POP_UP_WINDOW_ID			128


#ifndef NULL
#define	NULL						0l
#endif

#define	WNETrapNum					0x60
#define	UnImplTrapNum				0x9f

int						WNEIsImplemented;			/* Is WaitNextEvent implemented??				*/
WindowPtr				pop_up_window;


main()
{
	InitGraf(&thePort);
	InitWindows();
	InitFonts();
	InitMenus();
	TEInit();
	InitCursor();
	InitDialogs(0L);
	InitPack(stdFile);
	set_up_window();
	WNEIsImplemented=(NGetTrapAddress(WNETrapNum,ToolTrap)!=NGetTrapAddress(UnImplTrapNum,ToolTrap));	/* Determine if Wait Next Event is Implemented	*/
	while(do_event());
}


set_up_window()
{
	ControlHandle	pop_up_control;

	/* Get the window here and set the control	*/
	pop_up_window=GetNewWindow(128,0l,-1l);
	if(pop_up_window==NULL)
	{
		ExitToShell();		/* Forget it	*/
	}
	SetPort(pop_up_window);
	/* Now install a control		*/
	pop_up_control=GetNewControl(128,pop_up_window);		/* Install the control	*/
}


do_event()
{
	WindowPtr		whichWindow;
	EventRecord		my_event;
	
	if (WNEIsImplemented)
	{
		WaitNextEvent(everyEvent,&my_event,1,NULL);
	}
	else
	{
		SystemTask();
		GetNextEvent(everyEvent,&my_event);
	}
	switch (my_event.what)
	{
		case mouseDown:
			{
				switch (FindWindow(my_event.where,&whichWindow ))
				{
					case inDesk: 
						break;
					case inGoAway:
						return(FALSE);
						break;
					case inMenuBar:
						break;
					case inSysWindow:
						SystemClick( &my_event, whichWindow );
						break;
					case inDrag:
						break;
					case inGrow:
						break;
					case inZoomIn:
						break;
					case inZoomOut:
						break;
					case inContent:
						GlobalToLocal(&my_event.where);
						do_content(my_event.where,whichWindow);
						break;
					default: 
						break;
				}
				break;
			} /* end switch FindWindow */
		case keyDown:
		case autoKey: 
			break;
		case activateEvt:
			break;
		case updateEvt: 
			{
				update_window((WindowPtr)my_event.message);
			}
			break;
		case	nullEvent:
			break;
		default: 
			break;
	} /* end of case my_event.what */
	return(TRUE);
}


update_window(WindowPtr	which_window)
{
	WindowPeek		which_window_peek;
	GrafPtr			save_port;
	
	GetPort(&save_port);
	BeginUpdate(which_window);
	EraseRect(&(*which_window).portRect);
	which_window_peek=(WindowPeek)which_window;
	/* Update this window	*/
	DrawControls(which_window);
	EndUpdate(which_window);
	SetPort(save_port);
}


do_content(Point the_point, WindowPtr the_window)
{
	ControlHandle	the_control;
	int				part;

	part=FindControl(the_point, the_window, &the_control);
	if (the_control != NULL)
	{
		part = TrackControl(the_control,the_point,-1l);		/* Note:  Pass -1l to get default action proc.	*/
		if (part != 0)
		{
/*			if (the_control is one of my popups)     dirty = TRUE;*/
		}
	}
}