c
c	MAIN
c
c	Part of an AppleEvents example in the FORTRAN manual.
c
c	Invokes program Transform and passes it an array for processing.
c
c	Compile this demo with -bkg=4.
c
	PROGRAM MAIN
	REAL*4	Pressure(50)
	INTEGER*4	NumPts/50/
	INTEGER*2	ERROR,F_SendEvent
	LOGICAL*4	F_OpenDocWaiting
	EXTERNAL	F_SendEvent,F_OpenDocWaiting
	
	! initialize an array
	DO J = 1,NumPts
		Pressure(J) = J
	END DO
	
	! open TRANSFORM
	ERROR = F_SendEvent('oapp','TRANSFORM','')
	IF (ERROR <> 0) CALL AlertBox('AppleEvent Error reported!')
	
	! send the data as binary file
	OPEN(10,FILE='Main.Data',form='unformatted')
	WRITE(10)  NumPts,Pressure
	CLOSE(10)
	ERROR = F_SendEvent('odoc','TRANSFORM','Main.Data')
	IF (ERROR <> 0) CALL AlertBox('AppleEvent Error reported!')
	
	! wait for the data to return
	DO WHILE (.TRUE.)
		IF (F_OpenDocWaiting()) LEAVE
	END DO

	! close TRANSFORM
	ERROR = F_SendEvent('quit','TRANSFORM','')
	IF (ERROR <> 0) CALL AlertBox('AppleEvent Error reported!')
	
	! print the data
	OPEN(10,FILE=*,form='unformatted')
	READ(10)  NumPts,Pressure
	CLOSE(10,status='delete')
	WRITE(*,100) (Pressure(i),i=1,NumPts)
100	FORMAT(5(x,f10.4)/)
	END
