c
c	TRANSFORM
c
c	Part of an AppleEvents example in the FORTRAN manual.
c
c	Is called by MAIN, processes an array and returns it.
c
c	Compile this demo with -bkg=4.
c
	PROGRAM TRANSFORM			! a utility program to be
	REAL*4	DataSet(500)		!  called by many other processes
	INTEGER*4	NumPts
	INTEGER*2	ERROR,F_SendEvent
	LOGICAL*4	F_OpenDocWaiting
	EXTERNAL	F_SendEvent,F_OpenDocWaiting

	! loop until quit event comes
	DO WHILE (.TRUE.)
		IF (F_OpenDocWaiting()) THEN
		
			! read in data
			OPEN(10,FILE=*,form='unformatted')
			READ(10)  NumPts,(DataSet(J),J=1,NumPts)
			CLOSE(10,status='delete')
			
			! transform it
			DO J = 1,NumPts
				DataSet(J) = DataSet(J) * 2.0
			END DO
			
			! send the data back
			OPEN(10,FILE='Transform.out',form='unformatted')
			WRITE(10)  NumPts,(DataSet(J),J=1,NumPts)
			CLOSE(10)
			ERROR = F_SendEvent('odoc','*sender','Transform.out')
			IF (ERROR <> 0) CALL AlertBox('AppleEvent Error reported!')
		ELSE
			! do nothing
		END IF
	END DO
	END
