!!M Inlines.f
!!G AEvent.finc
c
c
	program AEMenu

	implicit none
	
	external action1, action2, AE1, AE2
	integer*2 err
	
	err = AEInstallEventHandler (%val('aevt'),%val('EVT1'),%val(%loc(AE1)),%val(int4(0)),%val(int2(0))) 
	if (err. ne. 0) then
		type *,'Error installing first Apple event, result code = ',err
	end if
	err = AEInstallEventHandler (%val('aevt'),%val('EVT2'),%val(%loc(AE2)),%val(int4(0)),%val(int2(0))) 
	if (err. ne. 0) then
		type *,'Error installing second Apple event, result code = ',err
	end if
	
	call AddMenuItem ('AE menu','action1',action1)
	call AddMenuItem ('AE menu','action2',action2)
	
	end

	subroutine action1
	implicit none
	
	integer*2 err,F_SendEvent
	external F_SendEvent
	
	err = F_SendEvent ('EVT1','*browse',0)
	type *,'Sent EVT1. Error code = ',err
	
	return
	end

	subroutine action2
	implicit none
	
	integer*2 err,F_SendEvent
	external F_SendEvent
	
	err = F_SendEvent ('EVT2','*browse',0)
	type *,'Sent EVT2. Error code = ',err
	
	return
	end
	
	integer*2 function AE1(theAppleEvent,reply,%val(handlerRefCon))
	record /AppleEvent/ theAppleEvent
	record /AppleEvent/ reply
	integer*4 handlerRefCon
	
	type *,'Event 1 received'
	
	AE1 = 0	! noErr
	return
	end

	integer*2 function AE2(theAppleEvent,reply,%val(handlerRefCon))
	record /AppleEvent/ theAppleEvent
	record /AppleEvent/ reply
	integer*4 handlerRefCon
	
	type *,'Event 2 received'
	
	AE2 = 0 ! noErr
	return
	end
	