/*********************************************************
 "CmyDoc.h"

 by John A. Love, III [Washington Apple Pi Users' Group]

 using Symantec's "THINK C", v 5.0.1
 ... and derived from their "TCL Starter" files
 *********************************************************/



#define	_H_CmyDoc


#include <CDocument.h>
#include <CApplication.h> 


struct CStarterDoc : CDocument {

						/** Construction & Destruction **/
    void        IStarterDoc (CApplication *aSupervisor, Boolean printable);
    void        Dispose (void);

	void		DoCommand (long theCommand);

    void        UpdateMenus (void);  

	void		NewFile (void);
	void		OpenFile (SFReply *macSFReply);
	void		BuildWindow (Handle theData);
	
						/** Filing **/
	Boolean		DoSave (void);
	Boolean		DoSaveAs (SFReply *macSFReply);
	void		DoRevert (void);
};



/* end: "CmyDoc.h" */