/*********************************************************
 "Radius.c"

 by John A. Love, III [ Washington Apple Pi Users' Group]

 using Symantec's "THINK C", v 5.00
 *********************************************************/


#include "protos"

#include "globals.h"
#include "extern.h"




void InitBigScreen (RadiusData *RadStatus, short *fontSize)	{

		short	largeMenuBar = 5;		/* Bit # in CPFlags field for non-MacII. */
		short	RadInfoID = 0;

		Handle	statusHdl, pivotHand, BIGfont;


	SetResLoad(TRUE);

	pivotHand = GetNamedResource('INFO', "\pRadius Pivot Display");
	if (pivotHand == nil)	LoadResource(pivotHand);
	RadStatus->PivotHdl = (PivotDSHand)pivotHand;

	if (!gMac2)	statusHdl = GetNamedResource('INFO', "\pRadius Display");
	else statusHdl = GetNamedResource('INFO', "\pRadius II Display");

	if (statusHdl == nil)
	{
		LoadResource(statusHdl);
		if (statusHdl == nil)			/* Still !!! */
		{
			RadStatus->radType = none;
			RadStatus->statHdl.zip = nil;
			*fontSize = normalSize;
			return;
		}	/* STILL! */
	}	/* Zip */

	if (!gMac2)
	{
		if (BitTst(&((*(RadBWStatHdl)(statusHdl))->CPFlags),(31-largeMenuBar)))
		{
			(*(RadBWStatHdl)(statusHdl))->LargeFontEn = (char)(1);
			AddResource(statusHdl, 'INFO', RadInfoID, "\pRadius Display");
			*fontSize = chicago16;
			/* ID = 128 * font number + size: */
			BIGfont = GetResource('FONT', 128 * systemFont + chicago16);
			if (BIGfont == nil)	LoadResource(BIGfont);
			(*(RadBWStatHdl)(statusHdl))->LargeFontEn = (char)(0);
			(*(RadBWStatHdl)(statusHdl))->PluggedIn = (char)(0);
			AddResource(statusHdl, 'INFO', RadInfoID, "\pRadius Display");
		}
		else	*fontSize = normalSize;
		;
		RadStatus->radType = radBW;
		RadStatus->statHdl.BWHdl = (RadBWStatHdl)statusHdl;
	}

	else	/* gMac2 */

	{
   		if ((*(RadIIStatHdl)(statusHdl))->LargeMenus)
		{
			*fontSize = chicago16;
			BIGfont = GetResource('FONT', 128 * systemFont + chicago16);
			if (BIGfont == nil)	LoadResource(BIGfont);
		}
		else	*fontSize = normalSize;
		;
		RadStatus->radType = radII;
		RadStatus->statHdl.IIHdl = (RadIIStatHdl)statusHdl;
	};	/* else gMac2 */

}	/* InitBigScreen */




/*	{ end file "Radius.c" }  */
