	prtr	"/E/$45"	; ImageWriter set to Elite.
	name	ictbRSRC
 	title	"$"		; Date in Page's Header.
	terse			; Optional.
	
	  
    
; "ictbRSRC.asm"
;
; By John A. Love, III
; { from: Washington Apple Pi Users' Group }
;
; [ using "McAssembly" (v7.8) from Signature Software ]



;****************************************************************
; The parts of my HFS Path Names:

volName		define	"HD"
asmFolder	define	"HD:McAsm Folder"
interfaceFolder	define	"HD:McAsm Folder:Interface Folder"

;****************************************************************


; INCLUDE file : ToolEqu.PSM
;
;   with LISTing turned off.


	LIST	0		; OFF.
	
	ipath	"{interfaceFolder}:Boot EQUates :"
	incl	"ToolEqu.PSM"
		
	LIST	1		; Back ON.



; Attributes ...
PL		equ	(1 SHL resPreload) + (1 SHL resLocked)
P		equ	(1 SHL resPreload)


; DLOG resource IDs:
Help_Window	equ	300
Help_Error	equ	301


; ============
; Color stuff:

ccSeed		equ	0
ccReserved	equ	0
ccSize		equ	4-1


	ftype	'rsrc'
	fsign	'RSED'


[[ ictb, Help_Window, PL, HELP Window

startHelpICTB

	dc.w	endDoneCT-startDoneCT,startDoneCT-startHelpICTB       ; "Done" Button
	dc.w	0,0						      ; Topics_Area
	dc.w	0,0						      ; Display_Area
	dc.w	endButtCT-startButtCT,startButtCT-startHelpICTB       ; "Next"
	dc.w	endButtCT-startButtCT,startButtCT-startHelpICTB       ; "Previous"
	; Mast_Head + Message_Area:
	dc.w	8				; Change Font foreColor.
	dc.w	startStyleCT-startHelpICTB
	dc.w	8,startStyleCT-startHelpICTB

startDoneCT
	dc.l	ccSeed
	dc.w	ccReserved
	dc.w	ccSize-1
	dc.w	cFrameColor,    0,      0,      65535   ; Blue.
	dc.w	cBodyColor,     57344,  57344,  57344   ; Light gray.
	dc.w	cTextColor,     0,      0,      0       ; Black.
;	dc.w	cThumbColor,    0,      0,      0
endDoneCT

startButtCT
	dc.l	ccSeed
	dc.w	ccReserved
	dc.w	ccSize-1
	dc.w	cFrameColor,    0,      65535,  0       ; Green.
	dc.w	cBodyColor,     57344,  57344,  57344   ; Light gray.
	dc.w	cTextColor,     0,      0,      0       ; Black.
;	dc.w	cThumbColor,    0,      0,      0
endButtCT

startStyleCT
	dc.w	0					; diFont
	dc.w	0					; diStyle
	dc.w	0					; diSize
	dc.w	0,      0,      65535			; foreground = blue
	dc.w	65535,  65535,  65535			; background = white
	dc.w	0					; diMode
endStyleCT

]]

; ----------

[[ ictb, Help_Error, PL, Error Dialog

startErrorICTB

	dc.w	endOKCT-startOKCT,startOKCT-startErrorICTB	; "OK" button
	dc.w	0,0						; UserItem for
								;  framing "OK"
								;  Button.
	dc.w	0,0						; cautionIcon.
	; 3 StaticText items:
	dc.w	8,startTextCT-startErrorICTB
	dc.w	8,startTextCT-startErrorICTB
	dc.w	8,startTextCT-startErrorICTB
	dc.w	0,0						; Picture.

startOKCT
	dc.l	ccSeed
	dc.w	ccReserved
	dc.w	ccSize-1
	dc.w	cFrameColor,    0,      0,      65535
	dc.w	cBodyColor,     57344,  57344,  57344
	dc.w	cTextColor,     0,      0,      0
;	dc.w	cThumbColor,    0,      0,      0
endOKCT

startTextCT
	dc.w	0					; diFont
	dc.w	0					; diStyle
	dc.w	0					; diSize
	dc.w	0,      0,      65535			; foreground = blue
	dc.w	65535,  65535,  65535			; background = white
	dc.w	0					; diMode
endTextCT

]]
