/*********************************************************
 "interface.c"

 by John A. Love, III [ Washington Apple Pi Users' Group]

 using Symantec's "THINK C", v 5.00
 *********************************************************/


#include "protos"




/* ---------------------
   Memory Manager stuff:
   --------------------- */

Handle	NewClearHandle (Size byteCount)	{

	asm	{
		move.l	byteCount,d0
		_NewHandle CLEAR
		move.w	d0,MemErr
		move.l	a0,d0			; = FUNCTION result.
	}
	
}


Handle	NewSysHandle (Size byteCount)	{

	asm	{
		move.l	byteCount,d0
		_NewHandle SYS
		move.w	d0,MemErr
		move.l	a0,d0
	}
	
}


Handle	NewSysClearHandle (Size byteCount)	{

	asm	{
		move.l	byteCount,d0
		_NewHandle SYS+CLEAR
		move.w	d0,MemErr
		move.l	a0,d0
	}
	
}


Ptr	NewClearPtr (Size byteCount)	{

	asm	{
		move.l	byteCount,d0
		_NewPtr CLEAR
		move.w	d0,MemErr
		move.l	a0,d0
	}
	
}


Ptr	NewSysPtr (Size byteCount)	{

	asm	{
		move.l	byteCount,d0
		_NewPtr SYS
		move.w	d0,MemErr
		move.l	a0,d0
	}
	
}


Ptr	NewSysClearPtr (Size byteCount)	{

	asm	{
		move.l	byteCount,d0
		_NewPtr SYS+CLEAR
		move.w	d0,MemErr
		move.l	a0,d0
	}
	
}




/*	{ end file = "interface.c" }  */
