/************************************************/
/*     BigList.R, Resources for BigList     */
/************************************************/

#include "Types.R"
#define blApplID  1000

#define applMID  1001
#define fileMID  applMID + 1
#define editMID  fileMID + 1
#define fontMID  editMID + 1
#define stylMID  fontMID + 1
#define alert1ID    129
#define exclamationBaseID  1000

TYPE 'BLDR' as 'STR ';
resource 'BLDR' (0)
{"BigList\0x0DVersion 1.0, April 1992\0x0D\0x0D"
 "David Rand\0x0DCRM\0x0DUniversit de Montral"};

resource 'BNDL' (blApplID)
{'BLDR',0,{'ICN#',{0, blApplID},
           'FREF',{0, blApplID}}};

resource 'FREF' (blApplID)
{'APPL',0,""};

resource 'SIZE' (-1)
{dontSaveScreen, acceptSuspendResumeEvents,
 enableOptionSwitch, canBackground,
 multiFinderAware, backgroundAndForeground,
 dontGetFrontClicks, ignoreChildDiedEvents,
 is32BitCompatible, notHighLevelEventAware,
 onlyLocalHLEvents, notStationeryAware,
 dontUseTextEditServices,
 reserved, reserved, reserved,
 192 * 1024, 192 * 1024};

resource 'ICN#' (blApplID)
{{$"0001000007F280000004400007F02000"
  $"0000100007F008000000040007F00200"
  $"0000010007F000800000004007F00020"
  $"1000001027F0000840003F0487F04082"
  $"4000804127F130221001C81407EE7F8F"
  $"0002300707F100070000800707F06007"
  $"00001FE707F0021F0000040707F00800"
  $"0004100007F220000001400000008000",
  $"0FF900000FFB80000FFFC0000FFFE000"
  $"0FFFF0000FFFF8000FFFFC000FFFFE00"
  $"0FFFFF000FFFFF800FFFFFC00FFFFFE0"
  $"1FFFFFF03FFFFFF87FFFFFFCFFFFFFFE"
  $"7FFFFFFF3FFFFFFE1FFFFFFC0FFFFFFF"
  $"0FFFFFFF0FFFFFFF0FFFFFFF0FFFFFFF"
  $"0FFFFFFF0FFFFE1F0FFFFC070FFFF800"
  $"0FFFF0000FFBE0000FF9C00000008000"}};

resource 'MENU' (applMID)
{applMID, textMenuProc,
 0x7FFFFFFD, enabled, apple,
 {"About BigList", noIcon,"G", "", plain,
  "-",             noIcon, "", "", plain}};

TYPE 'mstr' as 'STR ';
resource 'mstr' (100) {"File"};
resource 'mstr' (101) {"Quit"};

resource 'MENU' (fileMID)
{fileMID, textMenuProc,
 0b1111111111111111111111111111101,
 enabled, "File",
 {"Quit", noIcon, "Q", "", plain}};

resource 'MENU' (editMID)
{editMID, textMenuProc,
 0b1111111111111111111111111111101,
 enabled, "Edit",
 {"Undo",  noIcon, "Z", "", plain,
  "-",     noIcon,  "", "", plain,
  "Cut",   noIcon, "X", "", plain,
  "Copy",  noIcon, "C", "", plain,
  "Paste", noIcon, "V", "", plain,
  "Clear", noIcon,  "", "", plain}};

resource 'MENU' (fontMID)
{fontMID, textMenuProc,
 allEnabled, enabled, "Font", { /* empty */ }};

resource 'MENU' (stylMID)
{stylMID, textMenuProc,
 0b1111111111111111111111011111111,
 enabled, "Style",
 {"Plain",     noIcon, "", "", plain,
  "Bold",      noIcon, "", "", bold,
  "Italic",    noIcon, "", "", italic,
  "Underline", noIcon, "", "", underline,
  "Outline",   noIcon, "", "", outline,
  "Shadow",    noIcon, "", "", shadow,
  "Condense",  noIcon, "", "", condense,
  "Extend",    noIcon, "", "", extend,
   "-", noIcon, "", "", plain,
   "4", noIcon, "", "", plain,
   "5", noIcon, "", "", plain,
   "6", noIcon, "", "", plain,
   "7", noIcon, "", "", plain,
   "8", noIcon, "", "", plain,
   "9", noIcon, "", "", plain,
  "10", noIcon, "", "", plain,
  "12", noIcon, "", "", plain,
  "14", noIcon, "", "", plain,
  "18", noIcon, "", "", plain,
  "20", noIcon, "", "", plain,
  "24", noIcon, "", "", plain,
  "28", noIcon, "", "", plain,
  "36", noIcon, "", "", plain,
  "42", noIcon, "", "", plain,
  "48", noIcon, "", "", plain,
  "64", noIcon, "", "", plain,
  "72", noIcon, "", "", plain,
  "80", noIcon, "", "", plain,
  "96", noIcon, "", "", plain}};

/* alert1ID, 1 staticText & OK button */
resource 'ALRT' (alert1ID)
{{100, 90, 210, 420}, alert1ID,
 {0,1,0b00,
  0,1,0b00,
  0,1,0b00,
  0,1,0b00}};

resource 'DITL' (alert1ID)
{{{80,10,100, 50}, button     {enabled,  "OK"};
  { 5,80,109,328}, staticText {disabled, "^0"}}};

/****************************************/
/* 'PICT' resources for animation.      */
/****************************************/
resource 'PICT' (exclamationBaseID+1)
{171, {64, 41, 81, 83},
	$"1101 A000 8201 000A 0000 0000 02D0 0240"
	$"9100 0600 4000 2800 5100 5800 4000 2900"
	$"5100 5300 4000 2900 5100 5300 0000 0A00"
	$"4000 2900 5100 5300 0000 0000 0000 0000"
	$"0000 0007 0000 0000 000F C000 0000 000F"
	$"E000 0000 000F F800 0000 0007 FC00 0000"
	$"0001 FF00 0000 0000 7F80 0000 0000 1FE0"
	$"0000 0000 07F0 0000 0000 01F8 0000 0000"
	$"0078 0000 0000 001B 8000 0000 0003 8000"
	$"0000 0003 8000 0000 0000 0000 00A0 0083"
	$"FF"};

resource 'PICT' (exclamationBaseID+2)
{189, {61, 120, 81, 153},
	$"1101 A000 8201 000A 0000 0000 02D0 0240"
	$"9100 0600 3D00 7800 5100 A000 3D00 7800"
	$"5100 9900 3D00 7800 5100 9900 0000 0A00"
	$"3D00 7800 5100 9900 0000 0000 0038 0000"
	$"0000 007C 0000 0000 007E 0000 0000 007F"
	$"0000 0000 003F 8000 0000 001F C000 0000"
	$"000F E000 0000 0007 E000 0000 0003 F000"
	$"0000 0001 F800 0000 0000 7C00 0000 0000"
	$"3E00 0000 0000 1E00 0000 0000 0E00 0000"
	$"0000 00C0 0000 0000 01E0 0000 0000 01E0"
	$"0000 0000 00C0 0000 0000 0000 0000 00A0"
	$"0083 FF"};

resource 'PICT' (exclamationBaseID+3)
{165, {57, 200, 81, 229},
	$"1101 A000 8201 000A 0000 0000 02D0 0240"
	$"9100 0400 3900 C800 5100 E800 3900 C800"
	$"5100 E500 3900 C800 5100 E500 0000 0A00"
	$"3900 C800 5100 E500 0000 0000 0000 001C"
	$"0000 003E 0000 003F 0000 003F 0000 001F"
	$"8000 000F 8000 000F C000 0007 C000 0003"
	$"E000 0003 E000 0001 F000 0000 F000 0000"
	$"7800 0000 3800 0000 3C00 0000 1C00 0000"
	$"0800 0000 0300 0000 0780 0000 0780 0000"
	$"0300 0000 0000 00A0 0083 FF"};

resource 'PICT' (exclamationBaseID+4)
{127, {52, 265, 81, 280},
	$"1101 A000 8201 000A 0000 0000 02D0 0240"
	$"9100 0200 3401 0800 5101 1800 3401 0900"
	$"5101 1800 3401 0900 5101 1800 0000 0A00"
	$"3401 0900 5101 1800 0000 0000 0000 0001"
	$"C003 E003 E003 E003 E003 E003 E003 E003"
	$"E003 E003 E001 C001 C001 C001 C001 C001"
	$"C001 C000 0000 0001 C003 E003 E001 C000"
	$"00A0 0083 FF"};

resource 'PICT' (exclamationBaseID+5)
{165, {108, 224, 132, 253},
	$"1101 A000 8201 000A 0000 0000 02D0 0240"
	$"9100 0400 6C00 E000 8401 0000 6C00 E000"
	$"8400 FD00 6C00 E000 8400 FD00 0000 0A00"
	$"6C00 E000 8400 FD00 0000 0000 0000 0000"
	$"0001 C000 0003 E000 0007 E000 0007 E000"
	$"000F C000 000F 8000 001F 8000 001F 0000"
	$"003E 0000 003E 0000 007C 0000 0078 0000"
	$"00F0 0000 00E0 0000 01E0 0000 01C0 0000"
	$"0080 0000 0600 0000 0F00 0000 0F00 0000"
	$"0600 0000 0000 00A0 0083 FF"};

resource 'PICT' (exclamationBaseID+6)
{189, {164, 282, 184, 315},
	$"1101 A000 8201 000A 0000 0000 02D0 0240"
	$"9100 0600 A401 1800 B801 4000 A401 1A00"
	$"B801 3B00 A401 1A00 B801 3B00 0000 0A00"
	$"A401 1A00 B801 3B00 0000 0000 0000 0000"
	$"0380 0000 0000 07C0 0000 0000 0FC0 0000"
	$"0000 1FC0 0000 0000 3F80 0000 0000 7F00"
	$"0000 0000 FE00 0000 0000 FC00 0000 0001"
	$"F800 0000 0003 F000 0000 0007 C000 0000"
	$"000F 8000 0000 000F 0000 0000 000E 0000"
	$"0000 0060 0000 0000 00F0 0000 0000 00F0"
	$"0000 0000 0060 0000 0000 0000 0000 00A0"
	$"0083 FF"};

resource 'PICT' (exclamationBaseID+7)
{185, {155, 143, 172, 185},
	$"1101 A000 8201 000A 0000 0000 02D0 0240"
	$"9900 0800 9B00 8800 AC00 C000 9B00 8F00"
	$"AC00 B900 9B00 8F00 AC00 B900 0000 0A00"
	$"9B00 8F00 AC00 B902 F900 02F9 0006 FC00"
	$"0038 FF00 06FC 0000 FCFF 0007 FD00 0101"
	$"FCFF 0007 FD00 0107 FCFF 0007 FD00 010F"
	$"F8FF 0007 FD00 013F E0FF 0007 FD00 017F"
	$"80FF 0007 FE00 0101 FEFE 0007 FE00 0103"
	$"F8FE 0007 FE00 0107 E0FE 0007 FE00 0107"
	$"80FE 0006 FE00 0076 FD00 06FE 0000 70FD"
	$"0006 FE00 0070 FD00 02F9 00A0 0083 FF"};
