{ ScreenPicker		1991, Joseph R. L. Simkins }

{ DESCRIPTION:  This program consists of the main }
{ program, in this file. }

{ USE:  Create a THINK Pascal project that builds }
{  a code resource. Include UScreenSet.p and }
{	 ShowIconFamily library. Then insert their }
{  dependancies. }

unit UScreenPickerINIT;			{ File is UScreenPickerINIT.p }

interface

	uses
		UScreenSet, UFlags;

	procedure Main;

implementation

	procedure Main;

		var
			rs1: cScreenSet;	{ defined in unit UScreenSet }
			flags: cFlags;		{ Control Panel Flags }

		procedure ShowIconFamily (iconNumber: Integer);
		{ show icon at Start up }
		external;

    {$S %_MethTables}
    {$Push}
    {$N-}
		procedure LoadMethTables;
		begin

		end;
    {$Pop}
    {$S}

	begin { Main }
		{ point to globals }
		RememberA4;
		SetUpA4;
		LoadMethTables;

		{ get old control panal flags }
		New(flags);
		flags.IFlags;

		{ display startup }
		if flags.TShowFlag then
			ShowIconFamily(-4064);

		{ Randomize StartupScreen }
		if flags.TStartupFlag then begin
				New(rs1);
				rs1.IScreenSet('StartupScreen');
				rs1.RandomizeScreenSet;
				rs1.Free;
			end;

		{ Randomize DeskPicture }
		if flags.TDeskFlag then begin
				New(rs1);
				rs1.IScreenSet('DeskPicture');
				rs1.RandomizeScreenSet;
				rs1.Free;
			end;

		{ prepare for exit }
		flags.Free;
		UnloadA4Seg(nil);
		RestoreA4;
	end; { Main }

end.  { Unit ScreenPicker }