// globals.h -- prototypes for low level functions to manipulate globals pointer
// Copyright 1992, David T. Roach, All Rights Reserved

#ifndef		__globals__
#define		__globals__

#ifndef 	__TYPES__
#include	<Types.h>
#endif		__TYPES__

#ifndef 	__TRAPS__
#include	<Traps.h>
#endif 		__TRAPS__

void dummy(void);						// unused C function which has three more entry points
void  GlobPtr(void);					// where we store the pointer
OSErr SetGlobPtr(Ptr globalsPtr);		// how we set the pointer
OSErr GetGlobPtr(Ptr * globalsPtr);		// how we access the pointer

// application defined OSErrs

#define BadPointer	10000		// returned if globalsPtr is odd or NIL

#ifndef _FlushInstructionCache	// defined in MPW's traps.a, but not traps.h
#define _FlushInstructionCache	MOVEQ #1,D0 \
								DC.W	_HWPriv
#endif

#endif 		__globals__