// project.h -- C-language structure definitions for test project
// Copyright 1992, David T. Roach, All Rights Reserved

#ifndef		__project__
#define		__project__

#ifndef 	__globals__
#include 	"globals.h"
#endif 		__globals__
#define		AppSignature	'main'

// PROJECT SPECIFIC DEFINES

#define 	ArraySize1		3
#define 	ArraySize2		2

// PROJECT SPECIFIC STRUCTURES



typedef struct
{
	short 			m[ArraySize2];
}
AnotherStruct,*AnotherStructPtr;

typedef struct
{
	Boolean 		a;
	Byte			b;
	short 			c;
	long 			d;
	Str255			e;
	AnotherStruct	f;
}
OtherStruct,*OtherStructPtr;

typedef struct
{
	OSType			id1;
	long 			long_hex;
	long 			long_unsigned;
	long 			long_signed;
	short 			short_hex;
	short 			short_unsigned;
	short 			short_signed;
	Byte			byte_hex;
	Boolean 		bool;
	OtherStructPtr	other[ArraySize1];
	OSType			id2;
}
GlobStruct,*GlobStructPtr;

#endif 		__project__