#   File:       'Alias Meister.make'
#   Target:     'Alias Meister'
#   Sources:    Alias Meister.c
#               Alias Meister.r
#               EventHandlers.c
#               Initialize.c
#               DoIdle.c
#               MenuStuff.c
#				TouchDirectory.c
#   Created:    Saturday, October 10, 1992


OBJECTS = 'Alias Meister.c.o' EventHandlers.c.o Initialize.c.o 
			DoIdle.c.o MenuStuff.c.o TouchDirectory.c.o
			
compileOptions = -r -w
debugOptions = -sym on


AliasMeisterDump  'Alias Meister Headers.c' 'Alias Meister.h' 
					'Alias Meister Structs.h' 'Alias Meister.make'
	C {debugOptions} {compileOptions} 'Alias Meister Headers.c'

'Alias Meister'  'Alias Meister.make' 'Alias Meister.r' 'Alias Meister.h'
	Rez 'Alias Meister.r' -m -append -o 'Alias Meister'

'Alias Meister'  'Alias Meister.make' {OBJECTS}
	Link -t APPL -c AM10 -mf {debugOptions} 
		{OBJECTS} 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		-o 'Alias Meister'

'Alias Meister.c.o'  'Alias Meister.make' 'Alias Meister.c'  AliasMeisterDump
	C {debugOptions} {compileOptions} 'Alias Meister.c'

EventHandlers.c.o  'Alias Meister.make' EventHandlers.c  AliasMeisterDump
	C {debugOptions} {compileOptions} EventHandlers.c

Initialize.c.o  'Alias Meister.make' Initialize.c  AliasMeisterDump
	C {debugOptions} {compileOptions} Initialize.c

DoIdle.c.o  'Alias Meister.make' DoIdle.c  AliasMeisterDump
	C {debugOptions} {compileOptions} DoIdle.c

MenuStuff.c.o  'Alias Meister.make' MenuStuff.c  AliasMeisterDump
	C {debugOptions} {compileOptions} MenuStuff.c

TouchDirectory.c.o  'Alias Meister.make' TouchDirectory.c  AliasMeisterDump
	C {debugOptions} {compileOptions} TouchDirectory.c
