UNIT GestaltStorage_glue;
(* This UNIT holds interface to the procedures (rewritten) in asm		*)
(* Previous Pascal procedures are listed in file GestaltStorage.p.old	*)

INTERFACE
USES Memtypes,QuickDraw,OSIntf,ToolIntf,GestaltEqu;

(* Glue-free routines of the Gestalt Manager							*)
FUNCTION __ReplaceGestalt(selector: OSType;gestaltFunction: ProcPtr;VAR oldGestaltFunction: ProcPtr): OSErr;
FUNCTION __NewGestalt(selector: OSType;gestaltFunction: ProcPtr): OSErr;
FUNCTION __Gestalt(selector: OSType;VAR response: LONGINT): OSErr;

(* The following routines are used by the old version of GSNewFunction	*)
(* and kept here for compatibility purpose								*)
FUNCTION __SelectorFunc(selector:OSType;VAR gestaltResponse:LongInt):OSErr;
PROCEDURE __EndSelectorFunc;

FUNCTION GSGetStorageAddress(selector:OSType;VAR GSAddress:LongInt):OSErr;
FUNCTION GSGetFunctionAddress(selector:OSType;VAR GSFunctionAddress:LongInt):OSErr;
FUNCTION GSNewFunction:Ptr;
FUNCTION GSNewStorage(storageSize:Size;globalData:Ptr):Ptr;
FUNCTION GSFreeStorage(selector:OSType):Boolean;

IMPLEMENTATION
END.
