c	Sends commands to excel via the 'dosc' event.
c
c	Compile with -bkg=4.
c
	program SendScript

	integer*2 err, F_SendScript
	external F_SendScript
	character*30	ch
	logical exists
	
	ch = 'RUN("SinExp!R1C1") '

	type *, 'Generating Data'
	
	Error = F_SendEvent('oapp','sinus','')
	call checkError(Error)

	Error = F_SendEvent('oapp','expo','')
	call checkError(Error)
	
	exists = .false.
	do while (.not. exists)
		inquire(file='expData',exist=exists)
	end do
	
	exists = .false.
	do while (.not. exists)
		inquire(file='SinData',exist=exists)
	end do
	
	type *, 'Opening Macro sheet'

	Error = F_SendEvent('odoc','Microsoft Excel','SinExp')
	call checkError(Error)

	type *, 'Running Macro'

	Error = F_SendScript('Microsoft Excel',ch,1)

	call checkError(Error)

	type *, 'Quitting Excel'

	Error = F_SendEvent('quit','Microsoft Excel','')
	call checkError(Error)

	end


	subroutine checkError(Error)
	integer*2	Error
	character*10	ch5
	if (Error <> 0) then
		write(ch5,'(i10)') Error
		call alertbox('Error '//ch5//' occurred.')
		write(*,*) 'Error '//ch5//' occurred.'
		stop
	end if
	end
