/*****
 * flApp.h
 *
 *	Application class for a typical application.
 *
 *****/

#define	_H_flApp		/* Include this file only once */
#include <CApplication.h>
#include "HyperXCmd.h"

struct flApp : CApplication {

	/* No instance variables */

	void	IflApp(void);
	void	SetUpFileParameters(void);
    
    void    SetUpMenus(void); 
    void    UpdateMenus(void); 

	void	DoCommand(long theCommand);
    
	void	Exit(void);

	void	CreateDocument(void);
	void	OpenDocument(SFReply *macSFReply);
	
	void	XcmdRun(void);
	void	GetParams(char *paramStr);
	void	FillParamPtr(XCmdPtr paramPtr, char *paramStr);
	void	DumpData(Handle theData);
};
