#include <MacApp.h>

#include "TDemoApplication.h"
#include "TDemoDocument.h"

//----------------------------------------------------------------------------------------
// TDemoApplication::IDemoApplication
//----------------------------------------------------------------------------------------
#pragma segment AInit
pascal void TDemoApplication::IDemoApplication()
{
	macroDontDeadStrip(TReportStatusWindow);

	this->IApplication(kFileType,kSignature);
}

//----------------------------------------------------------------------------------------
// TDemoApplication::DoMakeDocument
//----------------------------------------------------------------------------------------
#pragma segment MAOpen
pascal TDocument* TDemoApplication::DoMakeDocument(CommandNumber, TFile* itsFile)
{
	FailInfo	fi;
	TDemoDocument* aDocument = nil;

	VOLATILE(aDocument);
	
	if(fi.Try()) {
		aDocument = new TDemoDocument;
		aDocument->IDemoDocument(itsFile, '????');
		fi.Success();
	}
	else {
		if(aDocument) 
			aDocument = (TDemoDocument *)FreeIfObject(aDocument);
		fi.ReSignal();
	}
	return aDocument;

}

