/*********************************************************
 "CmyBitMap.h"

 by John A. Love, III [Washington Apple Pi Users' Group]

 using Symantec's "THINK C", v 5.0.2
 ... as derived from their "TCL Starter" files
 *********************************************************/




#define	_H_CmyBitMap


#include <CDesktop.h>		// Folds in "CView.h"
#include <CBitMap.h>


// ... for Error handling in my off-screen map routine(s):
enum	{ MaxDevError		  = -15000,
		  NewBaseAddrPtrError = -20000,
		  CloneHdlError		  = -25000 };


struct CmyBitMap : CBitMap {

	// Additional Instance Variables:
	
	GDHandle	saveDevice;
 // OSErr		CreateOffScreenError;	--	 Exception Handlers place in "gLastError"
	GDHandle	myMaxDevice;
	Handle		myBits;
	GrafPort	offGrafPort;
 // GrafPtr		macPort;				--	 in superclass
	CGrafPort	offCGrafPort;
	CGrafPtr	macCPort;
	CTabHandle	ourCTHandle;
	

	// Additional or Overridden Instance Methods:
							/* Contruction/Destruction */
	void		IBitMap (short width, short height, Boolean makePort);
	void		Dispose (void);
	
							/* Preparing */
	void		BeginDrawing (void);
	void		EndDrawing (void);
	
};




/* end: "CmyBitMap.h" */