/*********************************************************
 "CmyBitMapPane.h"

 by John A. Love, III [Washington Apple Pi Users' Group]

 using Symantec's "THINK C", v 5.0.2
 ... as derived from their "TCL Starter" files
 *********************************************************/




#define	_H_CmyBitMapPane


#include <CBitMapPane.h>					/* Interface for its superclass */

#include "CmyBitMap.h"


struct CmyBitMapPane : CBitMapPane	{

	// add just one Instance Method because of my special BitMap parm:
	void	ImyBitMapPane(CView *anEnclosure,
						  CBureaucrat *aSupervisor,
						  short aWidth, short aHeight,
						  short aHEncl, short aVEncl,
						  SizingOption aHSizing, SizingOption aVSizing,
						  LongRect *aBounds,
						  CmyBitMap *aBitMap,
						  Boolean makePort);

};




/* end: "CmyBitMapPane.h" */
