/*********************************************************
 "CmyTear.h"

 by John A. Love, III [Washington Apple Pi Users' Group]

 using Symantec's "THINK C", v 5.0.2
 ... as derived from their "TCL Starter" files
 *********************************************************/




#define _H_CmyTear

// All the stuff for CmyTear.c here as well:
#include <CGridSelector.h>
#include <CSelectorMDEF.h>
#include <CTearOffMenu.h>		// includes <CPane.h>
#include <CWindow.h>
#include <Traps.h>
#include <TCLUtilities.h>

#include "CmyMisc.h"


struct	CCustomSelector : CGridSelector		{

	void	DrawItem (short theItem, Rect *theBox);
	// Inherited from CSelector:
	void	DoClick (Point hitPt, short modifierKeys, long when);
};


struct CTearMenuDir : CTearOffMenu		{

    void        ITearMenuDir (CApplication *aSupervisor);
	void		DoCommand (long theCommand);
	void		CloseWind (CWindow *theWindow);
};



/* end: "CmyTear.h" */
