unit AppUtils;
interface
	uses
		Globals;

	procedure AlertUser (message: str255; isFatal: boolean);
	function IsAppWindow (window: WindowPtr): boolean;

implementation

 { ------------------------------------------- }

	procedure AlertUser (message: str255; isFatal: boolean);
		var
			itemHit: integer;
	begin
		ParamText(message, '', '', '');
		InitCursor;
		itemHit := CautionAlert(rUserAlert, nil);
		if isFatal then
			ExitToShell;
	end;

 { ------------------------------------------- }

	function IsAppWindow (window: WindowPtr): boolean;
	begin
		if window = nil then
			IsAppWindow := false
		else
			with WindowPeek(window)^ do
				IsAppWindow := (windowKind = userKind);
	end;

 { ------------------------------------------- }

end.