unit xmUtils;
interface
	uses
		Globals, XModuleGlue;

	procedure CallCodeRes (theXmPtr: xmPtr; addr: ProcPtr);
	inline
		$205F, $4E90;
	procedure CallbackDispatcher (theXmPtr: xmPtr);

implementation

	{ ------------------------------- }

	procedure CallbackDispatcher (theXmPtr: xmPtr);
	{ Must be in the main segment; don't let this move or be purged! }
		var
			tempRect: rect;
			tempStr: str255;
			tempInt: integer;
	begin
		if theXmPtr <> nil then
			with theXmPtr^ do
				case request of

					xreqNewXMWindow: 
						begin
							tempRect.topLeft := point(param[1]);
							tempRect.botRight := point(param[2]);
							tempStr := StringPtr(param[3])^;
							tempInt := param[4];
							param[5] := longint(NewWindow(nil, tempRect, tempStr, true, tempInt, windowPtr(-1), false, 0));
						end;

					xreqCloseXMWindow: 
						begin
							if param[1] <> 0 then
								DisposeWindow(windowPtr(param[1]));
						end;

					xreqSysBeep: 
						begin
							if not (param[1] in [1..20]) then
								param[1] := 1;
							for tempInt := 1 to param[1] do
								SysBeep(0);
						end;

					otherwise
					{ unknown callback request }
				end;
	end;

	{ ------------------------------- }

end.