/*****************************************************
 * TileStackWindowsWindows.h
 ****************************************************/

/*****************************************************
 * typedefs
 ****************************************************/

typedef struct WindowElement {
	WindowPeek		theWindowPtr;
	GDHandle		theDevHndl;
} WindowElement, *WindowElementPtr;

typedef Boolean (*TileStackWindowsProc)
	(Rect *enclosingRectPtr,
	WindowElementPtr p, int wCount);
	
	
/*****************************************************
 * prototypes
 ****************************************************/
 
void	TileStackWindows(TileStackWindowsProc
				theTileStackProc);
Boolean MyMoveWindow(WindowPtr w, int leftGlobal,
				int topGlobal, Boolean sizeChanged);
Boolean MySizeWindow(WindowPtr w, int width,
				int height);
