/*
	CPiChore
	Written and copyright by Malcolm H. Teas 1993.  All rights reserved.
	
*/


#define	_H_CPiChore		/* Include this file only once */
#include <CChore.h>
#include <CDocument.h>


class CPiChore : public CChore  {
	public:
		virtual void Perform (long *maxSleep);
		void InitChore (long numDigits, CDocument *doc, Boolean timeIt, Boolean faster);
		void Dispose (void);
		long GetTicks (void);
		
	private:
		int		stage;
		long	ticks;
		Boolean	timeCalc;
		Boolean	faster;
};