// menu id's
#define mApple		128
#define mFile 		129
#define mEdit		130
#define mSoundByte	131

// mApple item id's
#define	iAbout		1

// mFile item id's
#define	iNew		1
#define	iOpen		2
#define	iClose		3
#define	iSave		4
#define	iQuit		6

// mEdit item id's
#define	iCut		3
#define	iCopy		4
#define	iPaste		5
#define	iSign		7
#define	iVerify		8

// mSoundByte item id's
#define	iRecord		1
#define	iPlay		2

// menu bar
#define rMenuBar	128

// dialog id's
#define rSoundByteDialog		128
#define rSimpleAlert			129
#define rStatusDialog			130
#define rSoundByteAboutDialog	131

// rSoundByteDialog dialog item id's
#define	iTopic					1
#define	iAuthor					2

// rStatusDialog dialog item id's
#define	iStatus					2

// strings lists
#define rMessages				128
#define rOtherStrings			129

// rMessages string indices
#define	kGenericError			1
#define	kBadConfig				2
#define	kNoMemory				3
#define	kAppleEvents			4
#define	kNeededResourceMissing	5
#define	kBadParam				6
#define	kVerifyFailed			7
#define	kPasswordFailed			8
#define	kSignerProblem			9
#define	kSignerNotValid			10

// rOtherStrings string indices
#define	kSigning				1
#define	kVerifying				2
#define	kProcessing				3
#define	kCanceling				4

// resource types
#define	kSignatureResID				128
#define	kSignatureResType			'SBDS'
#define	kSoundResID					128
#define	kSoundResType				'snd '
#define	kTopicResID					128
#define	kTopicResType				'STR '
#define	kNameResID					129
#define	kNameResType				'STR '

// file type & creator
#define	kSoundByteFileCreator		'SBFC'
#define	kSoundByteFileType			'SBFT'

// misc defines
#define kOurProcessDataSize			(1024*5)
#define kNullPString				"\p"
#define	kMinSleep					0L
#define	kNilMouseRgn				0L
#define kSuspendResumeMessage		0x01
#define kResumeMask					0x01
#define _GestaltDispatch			0xA0AD
#define kMoveToFront				(WindowPtr)-1L
#define kNonExistentFileRef			-1
#define	kProcessingEventMask 		(mDownMask + mUpMask + keyDownMask + keyUpMask + autoKeyMask)


enum {
	kSigningOperation,
	kVerifyingOperation,
	kProcessingOperation,
	kCancelingOperation
	};
typedef unsigned short OperationType;

enum {
	kUnkownState,
	kValidState,
	kInvalidState
	};
typedef unsigned short VerificationState;


typedef struct {
	Boolean		hasSoundInput;
	Boolean		running;
	Boolean 	inBackground;
	DialogPtr	statusDialog;
	} Environment, *EnvironmentPtr;

typedef struct {
	DialogRecord			window;
	Handle					signature;
	Handle					sound;
	Handle					partOfName;
	short					resRef;
	VerificationState		state;
	} SoundByteWindow, *SoundByteWindowPtr;
		

pascal OSErr PlotIconID(const Rect *theRect, short align, short transform, short theResID) = {0x303C, 0x0500, 0xABC9};
