/*****
 * 
 * FixedPointMath.c
 * Fixed point mathematics
 * Abridged version for MacTech
 *
 * God knows when
 *
 *****/

#include "FixedPointMath.h"

Fixed DivideCh(Fixed num1, Fixed num2)
{	
	asm 68020 {
		move.l	num1, d2
		move.l	num2, d1
		beq.s	@bad
		move.w	d2, d0
		swap	d0
		clr.w	d0
		swap	d2
		ext.l	d2
		divs.l	d1, d2:d0
		bra.s	@end
bad:	moveq	#-2, d0
		ror.l	#1, d0
		tst.l	d2
		bgt		@end
		not.l	d0
end:	
	}
}

/* ---------------------- */

Fixed FixSqrt(register Fixed num)
{	
	register Fixed s;
	register short i;
	
	s = (num + 65536) >> 1;		
	for (i = 0; i < 6; i++)
		s = (s + Divide(num, s)) >> 1;
	return s;
}