/*****
 * 
 * FixedPointMath.c
 * Fixed point mathematics
 * Abridged version for MacTech
 *
 *****/
 
#pragma parameter __D0 TruncPosFix2Int(__D0)
short TruncPosFix2Int(Fixed number) = 0x4840;

#pragma parameter __D0 Multiply(__D0, __D1)
Fixed Multiply (Fixed a, Fixed b) = { 0x4C01, 0x0C01, 0x3001, 0x4840 };

#pragma parameter __D0 Divide(__D2, __D1)
Fixed Divide (Fixed num, Fixed denom) = { 0x3002, 0x4840, 0x4240, 0x4842, 
										  0x48C2, 0x4C41, 0x0C02 };
#pragma parameter __D0 FixSqr(__D0)
Fixed FixSqr (Fixed num) = { 0x4C00, 0x0C01, 0x3001, 0x4840 };

#pragma parameter __D0 FixRnd(__D0)
short FixRnd (Fixed number) = { 0x4840, 0x6A06, 0x5240, 0x6802, 0x5340 };

#pragma parameter __D0 Int2Fix(__D0)
Fixed Int2Fix(short number) = { 0x4840, 0x4240 };

#pragma parameter __D0 Reciprocal(__D2)
Fixed Reciprocal(Fixed number) = { 0x7201, 0x7000, 0x4C42, 0x0C01 };

#pragma parameter __D0 RecipInt(__D2)
Fixed RecipInt(short number) = { 0x7201, 0x7000, 0x4C42, 0x0C01 };

Fixed FixSqrt(Fixed num);
Fixed DivideCh(Fixed num1, Fixed num2);