/*****
 * 
 * Transformations.c
 * Transformations: Rotation of points in 3-D space.
 * Abridged version for MacTech
 * (Matrix transformations omitted)
 *
 * Alexei Lebedev, October 6, 1992
 *
 *****/
 
#include "Defs3D.h"

void ScalePoint(Vector3D *p, Fixed x, Fixed y, Fixed z);
void PitchPoint(Vector3D *p, short angle);
void YawPoint(Vector3D *p, short angle);
void RollPoint(Vector3D *p, short angle);