/* LongArrayStats.h ----------------------------------------------
 *
 * Calculate various statistics for arrays of longs.
 *
 * Copyright (c) 1993 Bill Karsh.
 * All rights reserved.
 *
 */


#pragma once






void LongArrayMinMax(
	long	*dp,
	long	N,
	long	*min,
	long	*max );

void LongArrayMeanDev(
	long	*dp,
	long	N,
	double	*mean,
	double	*sd );

long *LongArrayBin(
	long	*data,
	long	N,
	long	min,
	long	max,
	long	*bins,
	long	nBins );
	
void LongArrayGetMaxBin(
	long	*in,
	long	nIn,
	long	min,
	long	max,
	long	*bins,
	long	nBins,
	long	*out,
	long	*nOut );
