// This file contains a single routine which will be placed into a 68K library.
// The routine takes a single callback pointer

#include <Types.h>

typedef void (*CallbackPtr)(void); // A pointer which is fed to the library

pascal OSErr Routine1 (CallbackPtr callbackRoutine)
{
  // Simple library routine
  callbackRoutine();	// Note that we don't have to do anything special from
  						// inside the 68K library to use the callback.
						// (If this were PowerPC code, we'd have to use
						// CallUniversalProc.)
  return noErr;
}
