// File: SimpleApp.r
//
// This file defines the 'cfrg' and 'SIZE' resources for SimpleApp,
// and includes the rest of the resources from a resource file
// (This allows us to use the same files for the Macintosh on RISC SDK
// and the MetroWerks compilers)

#include "Types.r"
#include "CodeFragmentTypes.r"

resource 'cfrg' (0) {
	{
		kPowerPC,
		kFullLib,
		kNoVersionNum, kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsApp, kOnDiskFlat, kZeroOffset, kWholeFork,
		"SimpleApp"
	}
};


resource 'SIZE' (-1) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	onlyLocalHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	100 * 1024,
	100 * 1024
};

INCLUDE "SimpleApp..rsrc";
