//
//	Interfaces for general utilities
//

#pragma once

// Constants

#ifndef NIL
#define NIL ((void *)0L)
#endif

#define MAXPORTSTACK	16

//	Prototypes for various public utility routines

void	PushPort(GrafPtr port);
void	PopPort(void);
void	LocalToGlobalRect(GrafPtr port, Rect *r);
void	GlobalToLocalRect(GrafPtr port, Rect *r);
void	CenterRect(Rect *r, Rect *inside, Rect *ans);
void	Wait(short aBit);

