/*
	File:		DialogWindow.h

	Contains:	Interfaces of a base class for Modeless Dialogs
				
	Written by: Dave Falkenburg

	Copyright:	 1993-94 by Dave Falkenburg, all rights reserved.

	Change History (most recent first):
	
	To Do:
 */

#ifndef		_DIALOGWINDOW_
#define		_DIALOGWINDOW_

#ifndef		_WINDOW_
#include	"Window.h"
#endif

#ifndef		__DIALOGS__
#include	<Dialogs.h>
#endif

typedef	short	DialogTemplateID;
typedef	short	DialogItemID;


class	TDialogWindow	:	public	TWindow
	{
private:
	DialogTemplateID	fTemplateID;
	
public:
						TDialogWindow(DialogTemplateID theDialogTemplate);
	
	virtual	Boolean		EventFilter(EventRecord *theEvent);

	virtual WindowPtr	MakeNewWindow(WindowPtr behindWindow);

	virtual void		Activate(Boolean activating);
	virtual void		Draw(void);
	virtual void		Click(EventRecord *anEvent);

	virtual	void		DoEditMenu(short item);
	
//	New methods:

	virtual	void		ItemHit(short theItem);
	};

#endif
