/*
	File:		MailableDocWindow.cp

	Contains:	A wacky multiple inheritance experiment with AOCE
				
	Written by: Steve & Dave Falkenburg
	
	Copyright:	 1993-94 by Dave Falkenburg, all rights reserved.

	Change History (most recent first):
	
		 <2>	 8/26/94	DRF		Added GetPerfectWindowSize, with call to
									AdjustPerfectWindowSizeForMailer.

	To Do:		Just about everything
	
 */

#include "MailableDocWindow.h"
#include "AppLib.h"

TMailableDocWindow::TMailableDocWindow()
	{
	this->CreateWindow();		//	must be a normal window
	}


WindowPtr
TMailableDocWindow::MakeNewWindow(WindowPtr behindWindow)
	{
	WindowPtr	aWindow = GetNewColorOrBlackAndWhiteWindow(1027,nil,behindWindow);

	return aWindow;
	}


void
TMailableDocWindow::GetPerfectWindowSize(Rect * perfectSize)
	{
	TWindow::GetPerfectWindowSize(perfectSize);
	AdjustPerfectWindowSizeForMailer(perfectSize);
	}


void
TMailableDocWindow::DrawContents(void)
	{
	//	drawing will be clipped to the content so we can go ahead and use the portRect
	FillRect(&fWindow->portRect,&qd.ltGray);
	}
