/*
	File:		MenuBar.h

	Contains:	IDs and item numbers for standard menus
				
	Written by: Dave Falkenburg
	
	Copyright:	 1993 by Dave Falkenburg, all rights reserved.

	Change History (most recent first):
 */

#ifndef		_MENUBAR_
#define		_MENUBAR_

#define		rMenuBar					128

#define	mApple							128
#define		iAbout						1

#define	mFile							129
#define		iNew						1
#define		iOpen						2
#define		iClose						3
#define		iSave						5
#define		iSaveAs						6
#define		iPageSetup					8
#define		iCustomPageSetup			9
#define		iPrint						10
#define		iPrintOneCopy				11
#define		iPreferences				13
#define		iQuit						15

#define	mEdit							130
#define		iUndo						1
#define		iCut						3
#define		iCopy						4
#define		iPaste						5
#define		iClear						6
#define		iSelectAll					8
#define		iCreatePublisher			10
#define		iSubscribeTo				11
#define		iPublishSubscribeOptions	12
#define		iShowOrHideClipboard		14

#define	mFont							131

#define	mSize							132
#define		i9PointSize					1
#define		i10PointSize				2
#define		i12PointSize				3
#define		i14PointSize				4
#define		i18PointSize				5
#define		i24Point					6
#define		i48Point					7
#define		i72Point					8
#define		iOtherPoint					10

#define	mMail							133
#define		iAddRemoveMailer			1
#define		iSendLetter					3
#define		iReplyToSender				4
#define		iReplyToAll					5
#define		iForwardLetter				6
#define		iOpenNextLetter				8
#define		iTagLetter					9

#define	mWindows						134

#endif
