#include <iostream.h>
#include "LinkedList.h"


void	CountAndDisplayLinks( TLinkedList *listPtr );


int main()
{
	TLinkedList		*listPtr;
	char			*string;
	char			*s1 = "Frank Zappa",
					*s2 = "Violent Femmes",
					*s3 = "Jane Siberry";
	
	listPtr = new TLinkedList;
	
	listPtr->CreateAndAddLink( s1 );
	listPtr->CreateAndAddLink( s2 );
	listPtr->CreateAndAddLink( s3 );
	
	CountAndDisplayLinks( listPtr );
	
	cout << "-----\n";
	
	string = (char *)listPtr->GetNthLinkObject( 2UL );
	listPtr->FindAndDeleteLink( string );
	
	CountAndDisplayLinks( listPtr );
	
	return 0;
}


void	CountAndDisplayLinks( TLinkedList *listPtr )
{
	unsigned long	counter, numLinks;
	char			*string;
	
	numLinks = listPtr->CountLinks();

	cout << "This list has ";
	cout << numLinks;
	cout << " links...\n";
	
	for ( counter = 1; counter <= numLinks; counter++ )
	{
		cout << "Link #" << counter << ": ";
		
		string = (char *)listPtr->GetNthLinkObject( counter );
		
		cout << string << "\n";
	}
}