/********************************************************* DEFINITION
	DATE:	9/27/93
	AUTHOR: Eric R. Ros
	
	CLASS:  CPPRadioButton
	
	SUPERCLASS: CPPVisualObject
	
		This C++ class manages a radio button control
	
********************************************************************/

#pragma once

#include <CPPControl.h>

class	CPPRadioCluster;

class CPPRadioButton : public CPPControl {
public:
			CPPRadioButton (CPPWindow *itsWindow, 
							 CPPRadioCluster *itsCluster,
							 short ResID,
							 Boolean initiallyOn = FALSE,
							 Boolean canBeTarget = FALSE,
							 Boolean active = FALSE, Boolean visible = TRUE);
			CPPRadioButton (CPPWindow *itsWindow, 
							 CPPRadioCluster *itsCluster,
							 Rect *itsBounds,
							 StringPtr itsText, Boolean initiallyOn = FALSE,
							 Boolean useWindowFont = FALSE,
							 Boolean canBeTarget = FALSE,
							 Boolean active = FALSE, Boolean visible = TRUE);
			~CPPRadioButton (void);

	virtual	char 	*ClassName (void);
	
	virtual	void	DoOnClick (void);
	
protected:
	CPPRadioCluster	*myCluster;
	
};