/********************************************************* DEFINITION
	DATE:	9/2/93
	AUTHOR: Eric R. Ros
	
	CLASS:  CPPSound
	
	SUPERCLASS: CPPObject
	
		This C++ class manages the loading, playing, and disposing 
		of snd resources
	
********************************************************************/


#pragma once

#include <CPPObject.h>
#include <Sound.h>

class CPPSound : CPPObject {

public:
			CPPSound (short ResID);
			~CPPSound (void);
	
	virtual	char	*ClassName (void);
	
	void	PlaySound (Boolean	PlayAsync);
	
private:
	short			theSoundID;
	SndChannelPtr	theSoundChannel;
	Handle			theSound;
};


