/********************************************************* DEFINITION
	DATE:	10/4/93
	AUTHOR: Eric R. Ros
	
	CLASS:  CPPVisualObjectList
	
	SUPERCLASS: CPPVisualObjectList
	
		This C++ class lets you manage a scrolling list of objects
	
********************************************************************/

#pragma once

#include <CPPVisualList.h>

class CPPDArray;

class CPPVisualObjectList : public CPPVisualList {
public:
					CPPVisualObjectList (CPPWindow *theWindow, Rect *boundsRect,
										CPPDArray *coreData, Boolean ownsCoreData,
										Boolean canBeTarget = TRUE,
										short selectionFlags = lOnlyOne + lNoNilHilite,
										short cellHeight = 20);
					~CPPVisualObjectList (void);
			
	virtual	char	*ClassName (void);
				
protected:
	virtual	void	DrawCellContents (long whichCell, Rect *itsFrame, Boolean selected);

};