/***************************************************** IMPLEMENTATION
	DATE:	9/20/93

	CLASS:  CPPTaskWindow
	
	SUPERCLASS: CPPWindow
	
		This C++ class manages a window which displays a list of
		periodic tasks
		
	
********************************************************************/

#pragma once

#include <CPPWindow.h>

class CPPWindowManager;
class CPPTaskList;
class CPPTaskManager;

class CPPTaskWindow : public CPPWindow {
 
public:

			CPPTaskWindow (CPPWindowManager *theManager,
						   CPPTaskManager *theTaskQ);
			~CPPTaskWindow (void);
			
	virtual	char 	*ClassName (void);

	virtual	void	DoUserChangeSize (short newWidth, short newHeight);

protected:
	CPPTaskList	*theTaskList;
};
