/********************************************************* DEFINITION
	DATE:	9/17/93
	AUTHOR: Eric R. Ros
	
	CLASS:  CPPSpawnZoneTask
	
	SUPERCLASS: CPPPeriodicTask
	
		This C++ class periodically spawns a ScanZoneTask
	
********************************************************************/

#pragma once

#include <CPPPeriodicTask.h>

class	CPPTaskManager;
class	CStringArray;
class	CPPScanZones;

class CPPSpawnZoneTask : public CPPPeriodicTask {

public:
					CPPSpawnZoneTask (CPPTaskManager *TaskManager, 
									  long minPeriod = 120, 
									  Boolean deleteWhenDone = TRUE);
	
					~CPPSpawnZoneTask (void);
		
	virtual	char 	*ClassName (void);

	virtual	void	DoPeriodicAction (void);
	virtual	void	DoCompletedAction (void);
		
	void			StartSpawnZoneTask (CompletionProc DoProc);
		
private:
	CPPScanZones	*scanTask;
};
