/********************************************************* DEFINITION
	DATE:	9/17/93
	AUTHOR: Eric R. Ros

	CLASS:  CPPYListenTask
	
	SUPERCLASS: CPPListenTask
	
		This C++ class subclasses the CPPConnect task to add 
		completion behavior specific to the Yenta application
	
********************************************************************/

#pragma once

#include "CPPListenTask.h"

class CPPYListenTask : public CPPListenTask {
public:
					CPPYListenTask (CPPTaskManager *TaskManager, 
									 long minPeriod, 
									 Boolean deleteWhenDone);

	virtual	char *ClassName (void);

	virtual void	DoCompletedAction (void);
		
};
