/********************************************************* DEFINITION
	DATE:	9/17/93
	AUTHOR: Eric R. Ros

	CLASS:  CPPYReadTask
	
	SUPERCLASS: CPPReadTask
	
		This C++ class subclasses CReadTask to define specific 
		completion behavior for the Yenta Application
	
********************************************************************/

#pragma once

#include <CPPReadTask.h>

class CPPTaskManager;

class CPPYReadTask : public CPPReadTask {

public:
					CPPYReadTask (CPPTaskManager *TaskManager, 
								  long minPeriod, 
								  Boolean deleteWhenDone);
					~CPPYReadTask (void);

	virtual char	*ClassName (void);

	virtual	void	DoCompletedAction (void);
		
};
