/***************************************************** IMPLEMENTATION
	DATE:	9/26/93
	AUTHOR: Eric R. Ros

	CLASS:  CPPPrefsWindow
	
	SUPERCLASS: CPPWindow
	
		This C++ class manages the NetApp preferences window
	
********************************************************************/

#pragma once

#include <CPPWindow.h>
#include "MyGlobals.h"

class CPPIntText;
class CPPButton;
class CPPCheckBox;

class CPPPrefsWindow : public CPPWindow {
public:
	CPPIntText		*scanRate,
					*confirmRate;
	CPPCheckBox		*playLogon,
					*playMessage;
	CPPCheckBox		*doScan,
					*doConfirm;
	CPPButton		*okButton,
					*cancelButton;

			CPPPrefsWindow (CPPWindowManager *theManager,
							PrefsData *initData);
			~CPPPrefsWindow (void);

	virtual	char	*ClassName (void);
	
	void	GetDialogData (PrefsData *theData);

protected:	
	virtual Boolean	DoUserKey (EventRecord *theEvent);

};

/*-----------------------------------------------------------------*/

Boolean	DoPrefsWindow (PrefsData *initData);