/********************************************************* DEFINITION
	DATE:	9/28/93
	AUTHOR: Eric R. Ros
	
	CLASS:  CPPUserList
	
	SUPERCLASS: CPPVisualObjectList
	
		This C++ class manages a list of CPPNodeInfo objects which
		contain the addresses of all known yenta applications
	
********************************************************************/

#pragma once

#include <CPPVisualObjectList.h>

class CPPNodeInfo;
class CPPDArray;

class CPPUserList : public CPPVisualObjectList  {
public:
					CPPUserList (CPPWindow *theWindow, Rect *boundsRect,
							     CPPDArray *coreData, Boolean ownsData);
					~CPPUserList (void);
			
	virtual	char	*ClassName (void);

			Boolean	AddNewUser (CPPNodeInfo *UserData);
			void	DeleteUser (CPPNodeInfo *UserData);
			Boolean	KnownUser (CPPNodeInfo *UserData, long *whichItem);

			CPPNodeInfo	*operator[] (long getWhich);

protected:

	virtual	void	DrawCellContents (long whichCell, Rect *itsFrame, 
									  Boolean selected);

};