/***************************************************** IMPLEMENTATION
	DATE:	10/31/93
	AUTHOR: Eric R. Ros

	CLASS:  CPPString
	
	SUPERCLASS: none
	
		C++ class which holds a string
	
********************************************************************/

#pragma once

#include <CPPObject.h>

class CPPString : public CPPObject {
public:
					CPPString (void);
					CPPString (StringPtr newString, Boolean becomeOwner);
	virtual			~CPPString (void);
			
	virtual	Boolean	Member (char *className);
	virtual	char	*ClassName (void);
	virtual	CPPObject	*Clone (void);	
	
			void	SetString (StringPtr newString, Boolean becomeOwner);
			StringPtr	GetString (Boolean getCopy);
	
protected:
	StringPtr	theString;
	Boolean		ownsString;
};
