/***************************************************** IMPLEMENTATION
	DATE:	9/15/93
	AUTHOR: Eric R. Ros
	
	CLASS:  CPPObjectList
	
	SUPERCLASS: CPPObject
	
		This C++ class manages a list of objects
	
********************************************************************/

#pragma once

#include "CPPList.h"

class CPPObjectList : public CPPList {
public:
			CPPObjectList (void);
			~CPPObjectList (void);
			
	virtual	char *ClassName (void);
	virtual	Boolean	Member (char *className);
		
	virtual void	InsertItem (CPPObject *NewItem, long insertAt);
	virtual void	AppendItem (CPPObject *NewItem);
	virtual	void	DeleteItem (CPPObject *theItem, Boolean doDispose);
		
	CPPObject	*operator[] (long getWhich);
	virtual	void	SetItem (CPPObject *NewItem, long setWhich, Boolean deleteOld);
	long	FindIndex (CPPObject *ObjectToFind);

protected:
	virtual	void	ClearItem (long clearWhich);
	
};
