/********************************************************* DEFINITION
	DATE:	9/23/93
	AUTHOR: Eric R. Ros
	
	CLASS:  CPPButton
	
	SUPERCLASS: CPPControl
	
		This C++ class manages a button control
	
********************************************************************/

#pragma once

#include <CPPControl.h>

class CPPButton : public CPPControl {
public:
			CPPButton (CPPWindow *itsWindow, short ResID,
						 Boolean isFramed = FALSE,
						 Boolean canBeTarget = FALSE,
						 Boolean active = FALSE, Boolean visible = TRUE);
			CPPButton (CPPWindow *itsWindow, Rect *itsBounds,
						 StringPtr itsText,
						 Boolean isFramed = FALSE,
						 Boolean useWindowFont = FALSE,
						 Boolean canBeTarget = FALSE,
						 Boolean active = FALSE, Boolean visible = TRUE);
			~CPPButton (void);

	virtual	Boolean	Member (char *className);
	virtual	char 	*ClassName (void);
		
	virtual	void	EnableButton (Boolean nowEnabled);
	
			void	SimulateClick (void);
};