/***************************************************** IMPLEMENTATION
	DATE:	10/19/93

	CLASS:  CPPTreeWindow
	
	SUPERCLASS: CPPWindow
	
		This C++ class manages a window which has a scrolling tree
		in it
	
********************************************************************/

#pragma once

#include <CPPWindow.h>
class CPPTreeArea;

class CPPTreeWindow : public CPPWindow {
public:
			CPPTreeWindow (CPPWindowManager *theManager, int ResID);
			~CPPTreeWindow (void);
			
	virtual	char	*ClassName (void);
	virtual	Boolean	Member (char *className);

	virtual	Boolean	DoCommand (short commandID);

	CPPTreeArea	*theTreeArea;


protected:

	virtual	void	DoUserChangeSize (short newWidth, short newHeight);
	virtual void	DoUserUpdate (void);
};