/**********************************************************************

     Real World Apple Guide
     by Jesse Feiler

     Copyright  1995 Philmont Software Mill. All Rights Reserved.
     
     ISBN 1-55851-429-5

     To order additional copies, call M&T Books, 1-800-488-5233
     
     For updates, check the bulletin board in the Philmont Software Mill
     area on eWorld (shortcut "Philmont" or path "Computer Center : Straight to the 
     Source : Philmont Software Mill").
     
     Send bug reports to ePhilmont@eWorld.com, or post to the bulletin
     board in the Philmont Software Mill area on eWorld.

**********************************************************************/


/*
Define a struct with all of the parameters that you will pass to the
context check. The order and number of these parameters should match the
order, number, and type in the <Define Context Check> command.
*/

typedef	struct{
	short	whichCompare;
	OSType	signature;
	short	majorRev;
	short	minorRev; //note that we bring in 3 values; the 'vers' resource combines minorRev and bugRev
	short	bugRev;
}contextCheckData,*contextCheckDataPtr,**contextCheckDataHandle;