// ===========================================================================
//	CDashboardApp.h					1994 Metrowerks Inc. All rights reserved.
// ===========================================================================

#pragma once

#include <LApplication.h>
#include <LListener.h>

class	LWindow;

class	CDashboardApp : public LApplication, public LListener {
public:
						CDashboardApp();
	virtual 			~CDashboardApp();
	
	virtual Boolean		ObeyCommand(CommandT inCommand, void *ioParam = nil);
	virtual void		FindCommandStatus(CommandT inCommand,
							Boolean &outEnabled, Boolean &outUsesMark,
							Char16 &outMark, Str255 outName);
	virtual void		ListenToMessage(MessageT inMessage, void *ioParam);

							
protected:
	LWindow 	*mDisplayWindow;
};