/*
	File:		AppConfiguration.h
	
	Contains:	Values for configuration purposes inside the actual application.
	Written by:	DTS

	Copyright:	 1994-1995 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

	   <1>	 	12/30/94	khs		first file
	   
*/


#pragma once


#include <Movies.h>


// TOOLBOX CONSTANTS
enum eBasicConstants {
	kWNEDefaultSleep = 0,																// WNE Sleep time value
	kDefaultSysBeep = 10
};

enum eWindowConstants {
	kDefaultX = 100,
	kDefaultY = 100
};


// MOVIE AND MOVIE CONTROLLER CONSTANTS
enum eMCValues {
 	kMCFlags =  0L | mcTopLeftMovie | mcWithBadge			// default MC setup
};

enum eMovieValues {
	kMaxMilliSecToUse = 0L											// MoviesTask value, 0 indicates as much as possible (serve all movies,
																					// define other millisecond values if needed.
};



