// ===========================================================================
// SCApp.h
// ===========================================================================
//  1995 James Kaput, Jeremy Roschelle SimCalc Project

#pragma once

class SCSetPropertyAction;

class SCApp  : public LDocApplication {
	public:
						SCApp();
						
						
		virtual void		StartUp();
		static long 			GenerateUniqueID();
		static void			PostAction(SCSetPropertyAction *inAction);
		virtual Boolean		ObeyCommand(CommandT inCommand, void *ioParam = nil);
		virtual void		FindCommandStatus(CommandT inCommand,
							Boolean &outEnabled, Boolean &outUsesMark,
							Char16 &outMark, Str255 outName);

	protected: 
		static	 long				sUniqueID;
		static SCSetPropertyAction	*sAction;
};
