import java.awt.*;

public class CWBlink extends java.applet.Applet implements Runnable
{
    Thread blinkThread;
    String blinkString;
    Font font;
    int speed;

    public void init()
    {
		font = new java.awt.Font("TimesRoman", Font.PLAIN, 64);
		
		String att = getParameter("speed");
		speed = (att == null) ? 400 : (1000 / Integer.valueOf(att).intValue());
		
		att = getParameter("blinker");
		blinkString = (att == null) ? "CodeWarrior!!!" : att;
    }
    
    public void paint(Graphics g)
    {
		int x = 0, y = font.getSize()-10, space;

		g.setColor(Color.black);
		g.setFont(font);
		FontMetrics fm = g.getFontMetrics();
		space = fm.stringWidth(" ");
		
		for (int index=0; index<blinkString.length(); index++ )
		{
			int red = (int)(Math.random() * 256);
			int green = (int)(Math.random() * 256);
			int blue = (int)(Math.random() * 256);
			
		    char character = blinkString.charAt(index);
		    int w = fm.charWidth(character);
		    
			g.setColor( new java.awt.Color( red, green, blue ) );
			
		    Character c = new Character( character );
		    g.drawString(c.toString(), x, y );
		    x += w;
		}
    }

    public void start()
    {
		blinkThread = new Thread(this);
		blinkThread.start();
    }
    public void stop()
    {
		blinkThread.stop();
    }
    public void run()
    {
		while (true)
		{
			try {Thread.currentThread().sleep(speed);} catch (InterruptedException e){}
	   		repaint();
		}
    }
}