#include "Tvector.h"


Tvector::Tvector(unsigned long theLength, double *aVector)
{
	int i;
	ok_vector = 0;
	if(theLength < 0)
	{
		length = 0;
		return;
	}
	theVector = new double[theLength];

	for(i = 0;i < theLength;i++)
	{
		theVector[i] = aVector[i];
	}

	length = theLength;
	ok_vector = 1;
}
	
Tvector::~Tvector()
{
	delete(theVector);
	ok_vector = 0;
}

int Tvector::calc_average(double *result)
{
	int i;
	double theResult = 0;
	*result = theResult;
	if(ok_vector == 1)
	{
		for(i=0;i<length;i++)
		{
			theResult += theVector[i];
		}
		theResult = theResult/i;
	}
	*result = theResult;
	return ok_vector;
}

int Tvector::calc_maximum(double *result)
{
	int i;
	double theResult;
	theResult = theVector[0];
	*result = theResult;
	if(ok_vector == 1)
	{
		for(i=1;i<length;i++)
		{
			if(theResult < theVector[i]) theResult = theVector[i];
		}
	}
	*result = theResult;
	return ok_vector;
}

int Tvector::calc_minimum(double *result)
{
	int i;
	double theResult;
	theResult = theVector[0];
	*result = theResult;
	if(ok_vector == 1)
	{

		for(i=1;i<length;i++)
		{
			if(theResult > theVector[i]) theResult = theVector[i];
		}
	}
	*result = theResult;
	return ok_vector;
}

int Tvector::calc_sum(double *result)
{
	int i;
	double theResult = 0;
	if(ok_vector == 1)
	{
		for(i=0;i<length;i++)
		{
			theResult += theVector[i];
		}
	}
	*result = theResult;
	return ok_vector;
}

int Tvector::calc_variance(double *result)
{
	int i;
	double average = 0;
	double variance = 0;

	calc_average(&average);

	if(ok_vector == 1)
	{
		for(i=0;i<length;i++)
		{
			variance += (theVector[i] - average)*(theVector[i] - average);
		}
	}
	*result = variance/i;
	return ok_vector;
}