/* TestDebugTerm.r */

#include "types.r"

resource 'MENU' (258) {
	258,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	"Edit",
	{	/* array: 6 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, "X", noMark, plain,
		/* [4] */
		"Copy", noIcon, "C", noMark, plain,
		/* [5] */
		"Paste", noIcon, "V", noMark, plain,
		/* [6] */
		"Clear", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (257) {
	257,
	textMenuProc,
	allEnabled,
	enabled,
	"File",
	{	/* array: 1 elements */
		/* [1] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (256) {
	256,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About TestDebugTerm", noIcon, noKey, noMark, 
			plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (259) {
	259,
	textMenuProc,
	0x00000019,
	enabled,
	"Test",
	{	/* array: 11 elements */
		/* [1] */
		"Open DebugTerm", noIcon, noKey, noMark, plain,
		/* [2] */
		"Close DebugTerm", noIcon, noKey, noMark, plain,
		/* [3] */
		"-", noIcon, noKey, noMark, plain,
		/* [4] */
		"Asynchronous calls", noIcon, noKey, noMark, plain,
		/* [5] */
		"Prompt for Tool", noIcon, noKey, noMark, plain,
		/* [6] */
		"-", noIcon, noKey, noMark, plain,
		/* [7] */
		"Simple DebugTerm", noIcon, noKey, noMark, plain,
		/* [8] */
		"Sluggish Method", noIcon, noKey, noMark, plain,
		/* [9] */
		"Faster Method", noIcon, noKey, noMark, plain,
		/* [10] */
		"Imaginative Use", noIcon, noKey, noMark, plain,
		/* [11] */
		"Absurd Use", noIcon, noKey, noMark, plain,
		/* [12] */
		"Stress Flow Control", noIcon, noKey, noMark, plain
	}
};

resource 'MBAR' (256, preload) {
	{	/* array MenuArray: 4 elements */
		/* [1] */
		256,
		/* [2] */
		257,
		/* [3] */
		258,
		/* [4] */
		259
	}
};

resource 'ALRT' (128) {
	{76, 124, 203, 383},
	128,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'DITL' (128) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{97, 104, 117, 164},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{13, 15, 79, 253},
		StaticText {
			disabled,
			"TestDebugTerm by Mark Chally.\n\nThis is a"
			" silly program used to\ntest DebugTerm's "
			"functionality."
		}
	}
};
