/***************************************************************************
	File:		SMTPSender.h
	Version:	1.0
	Purpose:	A Document interface to SMTP send functionality
	Author: 	Christopher Haupt (cfh)
				Copyright  1996, Christopher Haupt
	
	Revision History:
	960201.cfh 	New file, derived from starterapp
***************************************************************************/

#pragma once

#include <LDocApplication.h>

class	SMTPSenderApp : public LDocApplication {
public:
						SMTPSenderApp();		// constructor registers all PPobs
	virtual 			~SMTPSenderApp();		// stub destructor
			
	virtual LModelObject*	MakeNewDocument();		
	virtual void		FindCommandStatus(CommandT inCommand,
							Boolean &outEnabled, Boolean &outUsesMark,
							Char16 &outMark, Str255 outName);
protected:

	virtual void		StartUp();		
};
