// SndPlay.c
// MacTech's Symantec Top Ten, November 1996
//
// Play a sound from a snd  resource in Symantec C/C++

#include <Sound.h>

void CallSndPlay(void);		// Function Prototype

void CallSndPlay()
{
	Handle mySndHandle;		// handle to an 'snd ' resource
	SndChannelPtr mySndChan;	// pointer to a sound channel
	OSErr myErr;

	void DoError(OSErr);		// prototype for your DoError function

	mySndChan = nil;     		// Initialize channel ptr for error checking
	mySndHandle = GetResource('snd ', mySndID); 
							// Read in 'snd' resource from resource

	
	if ( mySndHandle != NULL )		// Check for NULL handle
	{
		myErr = SndPlay (mySndChan, mySndHandle, TRUE);
		if ( myErr )
			DoError(myErr);		// You define the function, DoError. 
	}
}

int main()
{
	InitToolbox();			// Function you get to define.
	CallSndPlay(9000);		// Play snd resource ID 9000
}

