#define SystemSevenOrLater 1

#include "Types.r"
#include "SysTypes.r"
#include "BalloonTypes.r"
#include "AEUserTermTypes.r"

resource 'MENU' (128, "Apple") {
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About ???", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (129, "File") {
	129,
	textMenuProc,
	allEnabled,
	enabled,
	"File",
	{	/* array: 2 elements */
		/* [1] */
		"Select File", noIcon, "O", noMark, plain,
		/* [2] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'hmnu' (128, purgeable) {
	2,
	0,
	0,
	0,
	HMSkipItem {

	},
	{	/* array HMenuArray: 2 elements */
		/* [1] */
		HMSkipItem {

		}		,
		/* [2] */
		HMStringResItem {
			128,
			1,
			128,
			1,
			0,
			0,
			0,
			0
		}
	}
};

resource 'hmnu' (129, purgeable) {
	2,
	0,
	0,
	0,
	HMSkipItem {

	},
	{	/* array HMenuArray: 3 elements */
		/* [1] */
		HMStringResItem {
			129,
			1,
			129,
			2,
			129,
			3,
			129,
			4
		},
		/* [2] */
		HMStringResItem {
			129,
			5,
			129,
			6,
			0,
			0,
			0,
			0
		},
		/* [3] */
		HMStringResItem {
			129,
			7,
			129,
			8,
			0,
			0,
			0,
			0
		}
	}
};

resource 'ALRT' (128, purgeable) {
	{75, 79, 198, 354},
	128,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	},
	alertPositionMainScreen
};

resource 'ALRT' (200, purgeable) {
	{100, 120, 224, 452},
	200,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	},
	alertPositionMainScreen
};

resource 'DITL' (128, purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{97, 198, 117, 270},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{8, 8, 87, 271},
		StaticText {
			disabled,
			"DropShell - the simplest program possibl"
			"e with the DS Technology!"
		},
		/* [3] */
		{0, 0, 0, 0},
		HelpItem {
			disabled,
			HMScanhdlg {
				1
			}
		}
	}
};

resource 'DITL' (200, purgeable) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{92, 246, 112, 318},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{11, 73, 75, 318},
		StaticText {
			disabled,
			"^0"
		},
		/* [3] */
		{11, 11, 43, 43},
		Icon {
			disabled,
			0
		},
		/* [4] */
		{96, 11, 112, 100},
		StaticText {
			disabled,
			"Error #^1"
		}
	}
};

resource 'hdlg' (128, purgeable) {
	2,
	0,
	4,
	0,
	3,
	HMSkipItem {

	},
	{	/* array HDialogArray: 2 elements */
		/* [1] */
		HMStringResItem {
			{0, 0},
			{0, 0, 0, 0},
			128,
			2,
			0,
			0,
			0,
			0,
			0,
			0
		},
		/* [2] */
		HMStringResItem {
			{0, 0},
			{0, 0, 0, 0},
			0,
			0,
			128,
			3,
			0,
			0,
			0,
			0
		}
	}
};

resource 'hdlg' (200, purgeable) {
	2,
	0,
	4,
	0,
	3,
	HMSkipItem {

	},
	{	/* array HDialogArray: 4 elements */
		/* [1] */
		HMStringResItem {
			{0, 0},
			{0, 0, 0, 0},
			200,
			1,
			0,
			0,
			0,
			0,
			0,
			0
		},
		/* [2] */
		HMStringResItem {
			{0, 0},
			{0, 0, 0, 0},
			0,
			0,
			200,
			2,
			0,
			0,
			0,
			0
		},
		/* [3] */
		HMSkipItem {

		},
		/* [4] */
		HMStringResItem {
			{0, 0},
			{0, 0, 0, 0},
			0,
			0,
			200,
			3,
			0,
			0,
			0,
			0
		}
	}
};

resource 'STR#' (128, purgeable) {
	{	/* array StringArray: 3 elements */
		/* [1] */
		"Everything you always wanted to know abo"
		"ut ???, but were afraid to ask",
		/* [2] */
		"Click here to dismiss this informative d"
		"ialog.",
		/* [3] */
		"This text describes the product, its aut"
		"hor, and why!"
	}
};

resource 'STR#' (129, purgeable) {
	{	/* array StringArray: 8 elements */
		/* [1] */
		"Use this menu to select a file and to ex"
		"it the program.",
		/* [2] */
		"Use this menu to select a file and to ex"
		"it the program. This menu is unavailable"
		" now.",
		/* [3] */
		"Use this menu to select a file and to ex"
		"it the program. This menu is unavailable"
		" until you respond to the alert box or d"
		"ialog box.",
		/* [4] */
		"This command is unavailable until you re"
		"spond to the alert box or dialog box.",
		/* [5] */
		"Use this command to select a file.",
		/* [6] */
		"Use this command to select a file. Not a"
		"vailable for some strange reason.",
		/* [7] */
		"Use this command to exit the program.",
		/* [8] */
		"Use this command to exit the program. No"
		"t available for some strange reason."
	}
};

resource 'STR#' (100) {
	{	/* array StringArray: 2 elements */
		/* [1] */
		"This application requires Apple events. "
		" Please upgrade to System 7.0 or later t"
		"o use.",
		/* [2] */
		"An error occured during Apple event proc"
		"essing."
	}
};

resource 'STR#' (200, purgeable) {
	{	/* array StringArray: 3 elements */
		/* [1] */
		"Click here to dismiss this informative d"
		"ialog.",
		/* [2] */
		"This text describes the error that occur"
		"ed.",
		/* [3] */
		"This error ID gives more specific detail"
		"s of the error."
	}
};

resource 'SIZE' (0) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	102400,
	102400
};

resource 'SIZE' (-1) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	cannotBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	393216,
	393216
};

resource 'FREF' (128) {
	'APPL',
	0,
	""
};

resource 'FREF' (129) {
	'****',
	1,
	""
};

resource 'hfdr' (-5696) {
	2,
	0,
	0,
	0,
	{	/* array HFdrArray: 1 elements */
		/* [1] */
		HMStringItem {
			"Drag any file onto this icon, and I will"
			" magically ???"
		}
	}
};

resource 'WIND' (128) {
	{79, 171, 104, 470},
	movableDBoxProc,
	visible,
	noGoAway,
	0x0,
	"DropShell Splash Screen",
	centerMainScreen
};

resource 'PICT' (128, "Splash") {
	972,
	{0, 0, 25, 299},
	$"1101 A030 39A0 0082 0100 0A00 0000 0000"
	$"1901 3099 0026 0000 0000 0019 0130 0000"
	$"0000 0019 012B 0000 0000 0019 012B 0000"
	$"000A 0000 0000 0019 012B 1602 FFFF C0FB"
	$"0001 3FFC F800 0201 FFFE FB00 01FF E0FA"
	$"001D 02FF FFC0 FB00 017F FEFD 0001 01FC"
	$"FE00 0401 FFFF 01F8 FD00 01FF F8FA 0026"
	$"FEFF 228F EFC3 FF80 00FF FEFF E007 8007"
	$"FF1F FF00 01FF FF07 FE03 FC00 00FF FC3F"
	$"FE7F 03F7 FFE0 2725 5FFF FF8F EFC7 FFC0"
	$"00FF FEFF F00F C00F FF9F FF80 01FF FF1F"
	$"FF87 FF00 00FF FE3F FF7F 03F7 FFE0 2725"
	$"5FFD DF87 EFC7 FFC0 01FF FEFF F80F C01F"
	$"FFDF FF80 00FE 7F9F FFC7 FF80 00FF FE3F"
	$"FF7F 83E6 FFE0 2725 5FF0 9F03 EFCF FFC0"
	$"01FC 6E7F FC1F C03F FFCF 9F80 00FC 63BF"
	$"EFC7 FF80 00FF FF1F 3F3F 83E2 FF60 2725"
	$"03F0 9F03 E7CF CDC0 00FC 4E7F FE1F E03E"
	$"2BCF 0980 00F8 033F EFE7 FFC0 007E FF9E"
	$"133F C3C2 FE00 2725 03F0 1F03 E78F C4C0"
	$"00FC 467C BE3F E07C 2BEF 0180 00F8 007C"
	$"6CE3 CFC0 007C CF9E 033F E3C0 9E00 2725"
	$"03F0 1F03 E787 E4C0 007E 067C 1E3C F078"
	$"02EF 8000 007C 0078 00F3 CDE0 007C 0F9F"
	$"003F E3C0 1E00 2725 03E0 0F03 E787 F0C0"
	$"003F 003C 1E7C 7078 0067 FE00 007F FC78"
	$"00F3 C0E0 007C 0F8F FC3F E3C0 1C00 2725"
	$"01E0 0E01 E783 F800 001F 803C 1E78 7870"
	$"0027 FE00 007F FC70 0073 E0C0 007C 0F0F"
	$"FC3F F3C0 1C00 2725 01E0 0F01 E7C1 FC00"
	$"000F E01C 3EF0 3870 0003 C400 003E 1870"
	$"0071 E0C0 003C 0F07 883C F3C0 1C00 2725"
	$"01E0 0FFF E3C0 FE00 0007 F03C 7AF0 1C70"
	$"0007 8400 003C 1870 0033 E180 007C 1E0F"
	$"081E 7380 1C00 2725 01E0 0FFF C380 7F00"
	$"0007 F83F F0FF FC30 0003 8400 007C 1030"
	$"0033 E280 007C 7A07 081E 3B80 3C00 2725"
	$"01E0 0F6B 8380 7F00 0003 781F D0FF FC38"
	$"0003 8000 003C 0030 0021 FC40 003F F207"
	$"001E 3F80 3C00 2725 01E0 0701 8384 2F80"
	$"00C2 3C1E 50FF 7C18 0003 8000 003C 0018"
	$"0061 FE00 003F F207 001E 1F80 3C00 2725"
	$"01E0 0703 8306 0780 00E0 3C1C 00E0 1C1C"
	$"00C1 8600 003C 001C 0061 8F00 0038 F003"
	$"0C1E 0F80 3C00 2725 01E0 0601 8307 0780"
	$"0070 3C18 00E0 1C1F 0381 FC00 001C 000F"
	$"01A1 8F00 0038 7803 F816 0380 0C00 2725"
	$"01E0 0401 8303 8F00 0078 7818 00E0 0C0F"
	$"FF01 FC00 001E 000F FF21 8380 0018 7803"
	$"F816 0300 0C00 2725 00E0 0601 8101 FE00"
	$"003F F018 00E0 0809 F901 E400 001E 0009"
	$"FF01 C080 0018 7C03 C806 0300 1800 2719"
	$"00E0 0401 8100 F800 001F E010 00C0 0800"
	$"F000 8000 000E 0000 7C01 FE00 081C 0C01"
	$"0006 0000 1000 2410 00C0 0000 8000 5000"
	$"000F C010 0040 0800 60FD 0004 0E00 0018"
	$"01FE 0004 1C06 0000 02FD 0016 0100 C0FD"
	$"0004 4000 0005 80F7 0000 0CFA 0001 1804"
	$"FA00 1401 0080 FD00 0340 0000 04F6 0000"
	$"04FA 0000 10F9 0006 F800 0004 E500 A000"
	$"83FF"
};

resource 'BNDL' (128, "Bundle") {
	'????',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'FREF',
		{	/* array IDArray: 2 elements */
			/* [1] */
			0, 128,
			/* [2] */
			1, 129
		},
		/* [2] */
		'ICN#',
		{	/* array IDArray: 2 elements */
			/* [1] */
			0, 128,
			/* [2] */
			1, 0
		}
	}
};

resource 'aete' (0, "Apple Events Terminology") {
	0x0,
	-0x70,
	english,
	roman,
	{	/* array Suites: 1 elements */
		/* [1] */
		"Required Suite",
		"Events that every application should sup"
		"port",
		'reqd',
		1,
		1,
		{	/* array Events: 0 elements */
		},
		{	/* array Classes: 0 elements */
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 0 elements */
		}
	}
};

resource 'vers' (2) {
	0x2,
	0x0,
	release,
	0x0,
	verUS,
	"2.0",
	"DropShell 2.0"
};

