                        { 1995 by Mesa Graphics 	}
                        {	   P.O. Box 600		 	}
                        {	   Los Alamos, NM 87544 }
PROGRAM Registration;

USES 
	 	Types, Events, Menus, Devices, Fonts, Printing, TextUtils, Resources, ToolUtils;
				
CONST
									{ menu ID's, and items in each}
		appleMenu				= 	1;
		
		fileMenu				= 	280;
			makeRegistrationItem =	1;
			quitItem			 = 	3;
		
		rMenuBar				=	128;		{ the menu bar ID}
		
									{ Alert and dialogs}
		applicationAboutId 		= 300;
			aboutUnregisterItem	= 2;
	
		lockedAlert 		= 400;
		
		shareSplashAlert 	= 401;
				
		registerDLog 		= 314;	 {saves name..reg num,  but not credit info}
			regPrintItem			=	3;
			regMkPwdItem			=	4;
			regFrstPrtItem			= 	5;
			regLastPrtItem			=	19;
			regFrstOtherSaveItem	=	12;
			regLastOtherSaveItem	=	13;
			regNameItem				=	11;
			regNumberItem			=	19;
		
		regDataResType	= 'ABCD';
		
		regNumSeedValue = 1234;		{ seed value for registration numbers}
		
	
TYPE	
			longptr = ^ LONGINT;
			longhan = ^ longptr;

      
VAR
   		doneFlag, gotEvent: Boolean;
   		thisEvent: EventRecord;
     	whichWindow: WindowPtr;
     	menuBar:	Handle;

   	
PROCEDURE PrintRegForm(theDialog: DialogPtr);
VAR	index, which, xpos, ypos: integer;
    theTextHdl: handle;
    itemBox: Rect;
    theType: integer;
    thePort: GrafPtr;
    thestr: STR255;
	pbuf: STR255;
	PPort: TPPrPort;
	prh:	THPrint;
	tmpb: Boolean;
	status: TPrStatus;
	pos: Point;
 BEGIN
 	IF regFrstPrtItem <= regLastPrtItem THEN         {there is something to print}
 	BEGIN
	 	GetPort(thePort);
		prh:=THPrint(NewHandle(SizeOf(TPrint)));
		PrOpen;
		PrintDefault(prh);
		tmpb := PrValidate(prh);
		tmpb := PrStlDialog(prh);
		IF PrJobDialog(prh) THEN
		BEGIN
			PPort:=PrOpenDoc(prh,NIL,NIL);
			TextFont(times);
			TextSize(12);
			IF PrError = noErr THEN PrOpenPage(PPort,NIL);
			  
		 	FOR index := regFrstPrtItem TO regLastPrtItem DO
		 	BEGIN
			  GetDialogItem (theDialog, index, theType, theTextHdl, itemBox);
			  GetDialogItemText (theTextHdl, thestr);
			  IF LENGTH(thestr) > 0 THEN
			  BEGIN
			  	xpos := itemBox.left;
			  	ypos := itemBox.top + 12;
			  	MoveTo(xpos,ypos);
			  	FOR which := 1 TO LENGTH(thestr) DO
			  	BEGIN
			  		IF thestr[which] < ' ' THEN
			  		BEGIN
			  			ypos := ypos +12;
			  			MoveTo(xpos,ypos);
			  			END ELSE DrawChar(thestr[which]);
			  		IF thestr[which] = ' ' THEN
			  		BEGIN
			  			GetPen(pos);
			  			IF pos.h >= itemBox.right THEN
			  			BEGIN
				  			ypos := ypos +12;
			  				MoveTo(xpos,ypos);
			  				END;
			  			END;
			  		END;
			  	END;
		 		END; 
		 		IF prError = noErr THEN 
		 		BEGIN
		 			PrClosePage(PPort);
					PrCloseDoc(PPort);
					IF prh^^.PrJob.bJDocLoop = bSpoolLoop THEN PrPicFile(prh,NIL,NIL,NIL,status);
					END;
				PrClose;
				DisposeHandle(Handle(prh));
			  SetPort(thePort);
			 END;
	 	END;  
	END;

FUNCTION ComputeRegistration(name : STR255): LONGINT;
VAR regnum: LONGINT;
		i: INTEGER;
BEGIN
	IF LENGTH(name) = 0 THEN regnum := -1 ELSE regnum := regNumSeedValue;
	FOR i:=1 TO LENGTH(name) DO regnum := regnum + ORD(name[i]);
	ComputeRegistration := regnum;
	END;
	
PROCEDURE MakeRegistration;
VAR theDialog : DialogPtr;
    theTextHdl: handle;
    itemBox: Rect;
    itemHit, theType : integer;
    thePort: GrafPtr;
    tmpstr: STR255;
    regwordL : LONGINT;
BEGIN
    FlushEvents (everyEvent, 0); {this throws out leftover clicks, keys}
    theDialog := GetNewDialog (registerDLog, nil, pointer (-1));
    IF theDialog <> nil THEN
    BEGIN
    	ShowDialogItem(theDialog,regMkPwdItem); {Shows the Make Password button}
    	GetPort(thePort);
		SetPort (theDialog);
      	ShowWindow (theDialog);
      	repeat
      		ModalDialog (nil,itemHit); 
      		IF itemHit = regMkPwdItem THEN
      		BEGIN
      		 	GetDialogItem (theDialog, regNameItem, theType, theTextHdl, itemBox);
           		GetDialogItemText (theTextHdl,tmpstr);
           		regwordL := ComputeRegistration(tmpstr);
           		NumToString(regwordL,tmpstr);
           		GetDialogItem (theDialog, regNumberItem, theType, theTextHdl, itemBox);
           		SetDialogItemText (theTextHdl,tmpstr);
      			END
      			ELSE IF itemHit = regPrintItem THEN PrintRegForm(theDialog);
       		 until itemHit IN [ok, cancel];
     	
     	DisposeDialog(theDialog);
     	SetPort(thePort);
    	SetCursor(qd.arrow);
   		END;
	END;
	
PROCEDURE UnRegister;
VAR tmpHan: Handle;
		index: integer;
BEGIN
	REPEAT
		tmpHan := GetResource(regDataResType, regNameItem);
		IF tmpHan <> nil THEN
		BEGIN
			RemoveResource(tmpHan);
			DisposeHandle(tmpHan);
			UpdateResFile(CurResFile);
			END;
		UNTIL tmpHan = nil;
	REPEAT
		tmpHan := GetResource(regDataResType, regNumberItem);
		IF tmpHan <> nil THEN
		BEGIN
			RemoveResource(tmpHan);
			DisposeHandle(tmpHan);
			UpdateResFile(CurResFile);
			END;
		UNTIL tmpHan = nil;
	FOR index := regFrstOtherSaveItem TO regLastOtherSaveItem DO
		REPEAT
			tmpHan := GetResource(regDataResType, index);
			IF tmpHan <> nil THEN
			BEGIN
				RemoveResource(tmpHan);
				DisposeHandle(tmpHan);
				UpdateResFile(CurResFile);
				END;
			UNTIL tmpHan = nil;
	END;

PROCEDURE Register;
VAR theDialog : DialogPtr;
    theTextHdl: handle;
    itemBox: Rect;
    itemHit, theType: integer;
    thePort: GrafPtr;
    namestr, regstr: STR255;
    regwordL : LONGINT;
    nameHan, strHan: StringHandle;
    regsHan: longhan;
    index: integer;
BEGIN
    FlushEvents (everyEvent, 0); {this throws out leftover clicks, keys}
    IF Alert(shareSplashAlert, nil) = ok THEN
    BEGIN
	    FlushEvents (everyEvent, 0); {this throws out leftover clicks, keys}   
	    theDialog := GetNewDialog (registerDLog, nil, pointer (-1));
	    IF theDialog <> nil THEN
	    BEGIN
	    	HideDialogItem(theDialog,regMkPwdItem);  {Hides the Make Reg Number button}
	    											{fill in text fields from save values}
			strHan := StringHandle(GetResource(regDataResType, regNameItem));
			IF strHan <> nil THEN
			BEGIN
  				GetDialogItem (theDialog, regNameItem, theType, theTextHdl, itemBox);
      			SetDialogItemText (theTextHdl, strHan^^);
      			ReleaseResource(Handle(strHan));
      			END;
			FOR index := regFrstOtherSaveItem TO regLastOtherSaveItem DO
			BEGIN
				strHan := StringHandle(GetResource(regDataResType, index));
				IF strHan <> nil THEN
				BEGIN
  					GetDialogItem (theDialog, index, theType, theTextHdl, itemBox);
      				SetDialogItemText (theTextHdl, strHan^^);
      				ReleaseResource(Handle(strHan));
      				END;
      			END;
	    	
	    	GetPort(thePort);
			SetPort (theDialog);	    {this makes later GlobalToLocal calls work right}
	      	ShowWindow (theDialog);    {here I am!}
	      	repeat
	      		ModalDialog (nil,itemHit); 
	      		IF itemHit = regPrintItem THEN PrintRegForm(theDialog);	     	
	       		until itemHit IN [ok, cancel];
	        
	      	IF itemHit = ok THEN
	      	BEGIN
	      		GetDialogItem (theDialog, regNameItem, theType, theTextHdl, itemBox);
	      		GetDialogItemText (theTextHdl,namestr);
	      		GetDialogItem (theDialog, regNumberItem, theType, theTextHdl, itemBox);
	      		GetDialogItemText (theTextHdl,regstr);
	      		StringToNum(regstr,regwordL);
	      		IF (Length(namestr) > 0){ AND (regwordL > 0) } THEN
	      		BEGIN
					UnRegister;
					regsHan := longhan(NewHandle(4));
	      			nameHan := NewString(namestr);
	      			regsHan^^ := regwordL;
	      			AddResource(Handle(nameHan),regDataResType, regNameItem ,'');
					IF ResError <> noErr THEN BEGIN itemHit:=StopAlert(lockedAlert,NIL); END;
					WriteResource(Handle(nameHan));
	      			AddResource(Handle(regsHan),regDataResType, regNumberItem ,'');
					IF ResError <> noErr THEN BEGIN itemHit:=StopAlert(lockedAlert,NIL); END;
					WriteResource(Handle(regsHan));
					UpdateResFile(CurResFile);
					FOR index := regFrstOtherSaveItem TO regLastOtherSaveItem DO
					BEGIN
	      				GetDialogItem (theDialog, index, theType, theTextHdl, itemBox);
	      				GetDialogItemText (theTextHdl,namestr);
	      				nameHan := NewString(namestr);
	      				AddResource(Handle(nameHan),regDataResType, index ,'');
						IF ResError <> noErr THEN BEGIN itemHit:=StopAlert(lockedAlert,NIL); END;
						WriteResource(Handle(nameHan));
						UpdateResFile(CurResFile);
						END;
					END;
	      		END;						{of itemHit = ok}
	      
	     	DisposeDialog(theDialog);
	     	SetPort(thePort);
	    	SetCursor(qd.arrow);
	   		END;
	   	END;
	  END;

PROCEDURE CheckRegistration;
VAR namehan: StringHandle;
		regwdhan: longhan;
		inregwdnum, computeregwdnum: LONGINT;
BEGIN
	namehan := StringHandle(GetResource(regDataResType, regNameItem));
	regwdhan := longhan(GetResource(regDataResType, regNumberItem));
	IF (namehan <> nil) AND (regwdhan <> nil) THEN
	BEGIN
		IF (GetHandleSize(Handle(namehan)) > 1) AND (GetHandleSize(Handle(regwdhan)) = 4) THEN
		BEGIN
			HLock(Handle(namehan));
			HLock(Handle(regwdhan));
			computeregwdnum := ComputeRegistration(namehan^^);
			inregwdnum := regwdhan^^;
			HUnlock(Handle(namehan));
			HUnlock(Handle(regwdhan));
			IF namehan <> nil THEN ReleaseResource(Handle(namehan));
			IF regwdhan <> nil THEN ReleaseResource(Handle(regwdhan));
			regwdhan := nil;
			namehan := nil;
			IF inregwdnum <> computeregwdnum THEN Register;
			END;
		END ELSE 
		BEGIN
			IF namehan <> nil THEN ReleaseResource(Handle(namehan));
			IF regwdhan <> nil THEN ReleaseResource(Handle(regwdhan));
			Register;
			END;
	END;

PROCEDURE AboutApplication;
VAR 
	tmpInt:INTEGER;
	regnameHan: StringHandle;

BEGIN
	regnameHan := StringHandle(GetResource(regDataResType,regNameItem));
	IF regnameHan <> nil THEN
	BEGIN
		HLock(Handle(regnameHan));
		ParamText(regnameHan^^,'','','');
		HUnlock(Handle(regnameHan));
		ReleaseResource(Handle(regnameHan));
		END ELSE ParamText('','','','');


  tmpInt:= Alert(applicationAboutId,nil);
  IF tmpInt = aboutUnregisterItem THEN UnRegister;
  

  END;

 PROCEDURE DoCommand(mResult: LongInt);
 VAR 
 	theMenu, theItem, tmpInt: INTEGER;
	ticks: LONGINT;
	tmpStr: STR255;

BEGIN
	ticks:=TickCount;
			
	{$IFC MAC68K}
	theMenu := HiWord(mResult); 
	theItem := LoWord(mResult);
	{$ELSEC}
		theMenu := HiWrd(mResult); 
		theItem := LoWrd(mResult);
		{$ENDC}
			
	CASE theMenu OF
		appleMenu:
			IF theItem=1 THEN
			BEGIN
				AboutApplication;
				END
				ELSE
				BEGIN
					GetMenuItemText(GetMenuHandle(appleMenu),theItem,tmpStr);
					tmpInt := OpenDeskAcc(tmpStr);
					END;

		fileMenu: IF theItem = makeRegistrationItem THEN MakeRegistration 
					ELSE IF theItem = quitItem THEN doneFlag:=TRUE;

		 END; { of menu case }
	REPEAT UNTIL Abs(TickCount-ticks)>30;
	HiliteMenu(0);

	END; { of DoCommand }


BEGIN   {main program}


	MaxApplZone;
	MoreMasters;
	
	InitGraf(@qd.thePort);
	InitFonts;
	InitWindows;
  	InitMenus; 
	TEInit;
	InitDialogs(NIL);
	SetCursor(qd.arrow);

	
	menuBar := GetNewMBar(rMenuBar);
	SetMenuBar(menuBar);
	DisposeHandle(menuBar);
	AppendResMenu(GetMenuHandle(appleMenu), 'DRVR');
	
	DrawMenuBar();

	
	CheckRegistration;
	REPEAT
        
		gotEvent:= WaitNextEvent(everyEvent,thisEvent,10,nil);

		IF thisEvent.what = mouseDown THEN
        BEGIN

          IF FindWindow(thisEvent.where,whichWindow) = inMenuBar THEN 
          										DoCommand(MenuSelect(thisEvent.where));
          END;
 
      UNTIL doneFlag;

	END.
   
