#pragma internal on

// not callable at interrupt time or preemptive thread
IOParam *OpenLogFile(const FSSpec *spec, OSType creator, OSErr *retErr, Boolean exists);
void CloseLogFile(IOParam *thePB);

void WriteToLogFile(IOParam *thePB, void *buffer, UInt32 bufSize);

#pragma internal reset


#define	SAFEDESTROY(disposFn, type, obj, realtype)	{disposFn((type)obj); obj = nil;}

#define	SSAFEDESTROY(disposFn, type, obj, realtype)	if (obj) SAFEDESTROY(disposFn, type, obj, realtype)
