//	------------------------------------------------------------------------------------------	
//
//	Copyright  1996 Apple Computer, Inc., All Rights Reserved
//
//
//		You may incorporate this sample code into your applications without
//		restriction, though the sample code has been provided "AS IS" and the
//		responsibility for its operation is 100% yours.  However, what you are
//		not permitted to do is to redistribute the source as "DSC Sample Code"
//		after having made changes. If you're going to re-distribute the source,
//		we require that you make it clear in the source that the code was
//		descended from Apple Sample Code, but that you've made changes.
//
//		Authors:
//			Chris De Salvo
//
//	------------------------------------------------------------------------------------------	

#ifndef __SIRESOURCES__
#define __SIRESOURCES__

//	------------------------------	Includes
//	------------------------------	Public Definitions

//	'ALRT' resources

#define kALRTAboutBox				128
#define kALRTNoSoundSprocket			129
#define kALRTFatal					2000
#define kALRTWarning				2001
#define kALRTNonFatal				2002
#define kALRTMessage				2003

//	'CLUT' resources

#define kCLUTSprites				1000
#define kCLUTTwoPlanets				2000
#define kCLUTGasCloud				2001

//	'MBAR' resources

#define kMBARMain					128

//	'MENU' resources

#define kMENUApple					128
#define kMENUFile					129
#define kMENUEdit					130
#define kMENUOptions				131

//	'PICT' resources

#define kPICTTwoPlanets				2000
#define kPICTGasCloud				2001

//	'SND ' resources

#define kSND_PlayerFire				2000
#define kSND_PlayerHit				2001
#define kSND_EnemyFire				2002
#define kSND_EnemyHit				2003

//	'SPRT' resources

#define kSPRTPlayer				128
#define kSPRTPlayerShot				129
#define kSPRTPoints					130
#define kSPRTEnemy					131
#define kSPRTEnemyShot				132
#define kSPRTPlayer2				133

//	'STR#' resources

#define kSTRMessageStrings			2000
#define kSTRiFatal					1
#define kSTRiWarning				2
#define kSTRiNonFatal				3
#define kSTRiFileError				4

//	'WIND' resources

#define kWINDMain					128

//	------------------------------	Public Types
//	------------------------------	Public Variables
//	------------------------------	Public Functions

#ifdef __cplusplus
extern "C" {
#endif

#ifdef __cplusplus
}
#endif

#endif