/*------------------------------------------------------------------------------
	File:		OSAPlugInDef.h

	Contains:	Common definitions used by the OSAPlugIn

	Written by:	Sue Dumont

	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
------------------------------------------------------------------------------*/

#ifndef _OSAPLUGINDEF_
#define _OSAPLUGINDEF_

//==============================================================================
// Constants
//==============================================================================

// Class / Editor ID
#define kAgentID						"Sample::SelectPartAgent"
#define	kAgentPartClassName				"SelectPartAgent"
#define kAgentEditorName				"Sample_SelectPartAgent"

#define kOSAPlugInOSType				'PUNR'

#define kBaseResourceID					20001

// Bundles/FREFs
#define kPlugInBundle					kBaseResourceID
#define kPlugInFREF						kBaseResourceID
#define kDocumentFREF					kBaseResourceID+1
#define kPlugInIcons					kBaseResourceID

#endif
