//
//	RadioGroup.cp
//
//	by Edward Voas, Apple Computer, Inc.
//
//	Copyright  1997 Edward Voas, All rights reserved.
//
//	Braindead radio group implementation.
//

#pragma once

class RadioGroup
{
	public:
			RadioGroup();
		virtual ~RadioGroup();
		
		virtual void		AddControl( ControlRef control, SInt16 value );
		virtual SInt16		GetValue();
		virtual void		SetValue( SInt16 value );
		virtual void		SetValueByControl( ControlRef control );
		
	private:
		SInt16				fValue;
		Handle				fInfo;
};