
#import "LunchChoice.h"

@implementation LunchChoice

static	int	MaxValue = 0;

+ ResetMaxValue
{
	MaxValue = 0;
	return self;
}

+ (int)MaxValue
{
	return MaxValue;
}

- initLocation:(const char *)location
{
	[super init];
	where = [NSString stringWithCString:location];
	value = 0;
	return self;
}

- incrementValue;
{
	value++;
	if ( value > MaxValue )
		MaxValue = value;
	return self;
}

- (NSString *)location;
{
	return where;
}

- (int)value;
{
	return value;
}

- free;
{
	[where release];
	return [super free];
}

@end
