//----------------------------------------------------------------------------------------
// CTidyHeapLogFileLogger_AC.h
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CTidyHeapLogFileLogger_AC__
#define __CTidyHeapLogFileLogger_AC__

// Toolbox

#ifndef __FILES__
#include <Files.h>
#endif

// ANSI
#ifndef __STDDEF__
#include <stddef.h>
#endif

#ifndef __CTidyHeapFile_AC__
#include "CTidyHeapFile_AC.h"
#endif
#ifndef __CTidyHeapLogger_AC__
#include "CTidyHeapLogger_AC.h"
#endif

//----------------------------------------------------------------------------------------
// class CTidyHeapLogFileLogger_AC
//----------------------------------------------------------------------------------------

class CTidyHeapLogFileLogger_AC : public CTidyHeapLogger_AC
{
public:
	CTidyHeapLogFileLogger_AC();
	
	virtual ~CTidyHeapLogFileLogger_AC();
	
	virtual void Log(char*);
	
private:
	CTidyHeapFile_AC fFile;
};

#endif