//----------------------------------------------------------------------------------------
// CTidyHeapBitFlags_AC.cp
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CTidyHeap_AC__
#include "CTidyHeap_AC.h"
#endif

#if qTidyHeap

#ifndef	__CTidyHeapBitFlags_AC__
#include "CTidyHeapBitFlags_AC.h"
#endif

#ifndef __CTidyHeapFile_AC__
#include "CTidyHeapFile_AC.h"
#endif

//========================================================================================
// class CTidyHeapBitFlags_AC
//========================================================================================

//----------------------------------------------------------------------------------------
// CTidyHeapBitFlags_AC constructor
//----------------------------------------------------------------------------------------

void CTidyHeapBitFlags_AC::SetFlag(unsigned char inFlagNum, Boolean toTrue)
{
	if(toTrue)
		fFlags |= ( 1L << (unsigned long) inFlagNum);
	else
		fFlags &= ~( 1L << (unsigned long) inFlagNum);
}

//----------------------------------------------------------------------------------------
// CTidyHeapBitFlags_AC::Write
//----------------------------------------------------------------------------------------

void CTidyHeapBitFlags_AC::Write( CTidyHeapFile_AC* inFile)
{
	inFile->Write((char*) &fFlags, sizeof(long));
}

//----------------------------------------------------------------------------------------
// CTidyHeapBitFlags_AC::Read
//----------------------------------------------------------------------------------------

void CTidyHeapBitFlags_AC::Read( CTidyHeapFile_AC* inFile)
{
	inFile->Read((char*) &fFlags, sizeof(long));
}

#endif