//----------------------------------------------------------------------------------------
// CTidyHeapDebugStrLogger_AC.cp
// Copyright  1984-97 by Apple Computer, Inc. All rights reserved.
//----------------------------------------------------------------------------------------

#ifndef __CTidyHeap_AC__
#include "CTidyHeap_AC.h"
#endif

#if qTidyHeap

#ifndef __CTidyHeapDebugStrLogger_AC__
#include "CTidyHeapDebugStrLogger_AC.h"
#endif

#ifndef _STRING
#include <string.h>
#endif
#ifndef __TEXTUTILS__
#include <TextUtils.h>
#endif
//========================================================================================
// class CTidyHeapDebugStrLogger_AC
//========================================================================================

//----------------------------------------------------------------------------------------
// CTidyHeapDebugStrLogger_AC constructor
//----------------------------------------------------------------------------------------

CTidyHeapDebugStrLogger_AC::CTidyHeapDebugStrLogger_AC(Boolean wantsHalt = true) :
fWantsHalt(wantsHalt) 
{
}

//----------------------------------------------------------------------------------------
// CTidyHeapDebugStrLogger_AC destructor
//----------------------------------------------------------------------------------------

CTidyHeapDebugStrLogger_AC::~CTidyHeapDebugStrLogger_AC() 
{
}

//----------------------------------------------------------------------------------------
// CDebugStrLogge::Log
//----------------------------------------------------------------------------------------

void CTidyHeapDebugStrLogger_AC::Log(char *inStr) 
{ 	
	if(!fWantsHalt)
		::strcat(inStr, ";g");
	
	::c2pstr(inStr); 
	::DebugStr((unsigned char*) inStr);
}

#endif
